/*
  filename: integralui.radiogroup.js
  version : 23.4.0
  Copyright © 2016-2023 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{h as html}from"../external/lit-element.js";import IntegralUIBase from"./integralui.base.js";class IntegralUIRadioGroup extends IntegralUIBase{constructor(){super();this._buttonList=[];this._currentSelection=null;this._currentIndex=-1;this._initStyle()}_init(){super._init();this._initStyle()}connectedCallback(){}disconnectedCallback(){}attributeChangedCallback(e,t,n){super.attributeChangedCallback(e,t,n)}static get properties(){return{selectedIndex:{type:Number,attribute:"selected-index",reflect:!0}}}get colorScheme(){return this._currentColorScheme}set colorScheme(e){if(this._currentColorScheme!==e){const t=this._currentColorScheme;this._currentColorScheme=e;this._updateColorSchemeSettings(e);this.requestUpdate("colorScheme",t);this.updateLayout()}}get selectedIndex(){return this._currentIndex}set selectedIndex(e){if(this._commonService.isIndexInRange(e,this._buttonList)&&this._currentIndex!==e){const t=this._currentIndex;this._currentIndex=e;this._selectComponent(this._buttonList[e]);this.requestUpdate("selectedIndex",t)}}_getComponentCurrentIndex(e){return e&&this._buttonList?this._buttonList.indexOf(e):-1}_getComponentData(e){return e&&e.data?e.data:null}invokeCtrlEvent(e,t,n){let r=!0;if(this._isEnabled){let o=this._getComponentData(t);switch(e){case"CHECKED":this._invokeEvent("buttonChecked",{checked:t.checked,index:n,button:o});break;default:r=!0}}return r}invokeCtrlMethod(e,t){let n=!0;if(this._isEnabled)switch(e){case"CHECKED":this._selectComponent(t);break;default:n=!0}return n}_processUpdateLayout(){let e=this;return new Promise(t=>{let n=e._buttonList.filter(e=>e.checked);e._currentSelection=n.length>0?n[n.length-1]:null;e._currentIndex=e._getComponentCurrentIndex(e._currentSelection);e._clearCmpSelection(e._currentSelection);t()})}clearSelection(){this._clearCmpSelection()}_clearCmpSelection(e){this._buttonList.forEach(function(t){if(t!==e)t.checked=!1});if(!e){this._currentSelection=null;this._currentIndex=-1}}_selectComponent(e){let t=this;if(e){let n=t._getComponentCurrentIndex(e);t._currentIndex=n;t._currentSelection=e;t._clearCmpSelection(e);e.checked=!0;t.invokeCtrlEvent("CHECKED",e,n);return!0}return!1}firstUpdated(e){this._updateReferences();this.updateLayout()}_refreshGroupParent(){let e=this;return new Promise(t=>{setTimeout(function(){e._contentSlotElem=e.shadowRoot.querySelector("slot").assignedNodes();e._buttonList=e._contentSlotElem.filter(e=>"iui-radiobutton"===e.nodeName.toLowerCase());e._buttonList.forEach(t=>{t.allowAnimation=e.allowAnimation;t.colorScheme=e._currentColorScheme;t.resourcePath=e.resourcePath;t.theme=e.theme;t.setParent(e)});t()},10)})}render(){return html`             <div>                 <slot @slotchange="${e=>this._slotChange(e)}"></slot>             </div>         `}_slotChange(e){this.updateLayout()}async updateLayout(e){await this._refreshGroupParent();await this._processUpdateLayout();this.update()}_updateReferences(){this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=radiogroup]")}}window.customElements.define("iui-radiogroup",IntegralUIRadioGroup);export default IntegralUIRadioGroup;