/*
  filename: integralui.base.list.js
  version : 23.4.0
  Copyright © 2016-2023 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{T as TemplateResult,a as defaultTemplateProcessor,h as html}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import IntegralUIAnimation from"./integralui.animation.js";import IntegralUIBase from"./integralui.base.js";import IntegralUIDataService from"../services/integralui.data.service.js";import IntegralUIDragDropService from"../services/integralui.dragdrop.service.js";import IntegralUIFilterService from"../services/integralui.filter.service.js";import{IntegralUIComponentAppearance,IntegralUIContentVisibility,IntegralUIDragDropMode,IntegralUIObjectState,IntegralUIOrientation,IntegralUIMoveDirection,IntegralUISelectionMode,IntegralUISortOrder,IntegralUISpeedMode}from"./integralui.enums.js";import IntegralUIDragWindow from"./integralui.dragwin.js";class IntegralUIBaseList extends IntegralUIBase{_init(){super._init();this._lastUpdate=0;this._updateDelay=100;this._dataService=new IntegralUIDataService;this._dragDropService=IntegralUIDragDropService.getInstance();this._filterService=new IntegralUIFilterService;this._currentAnimationSpeedValue=400;this._initSuccess=!0;this._isAnimationInProcess=!1;this._isInitActive=!1;this._stackAdd=[];this._stackRemove=[];this._currentDefaultGroupName="other";this._currentGroupBy=null;this._currentGroupList=[];this._currentList=[];this._dataGroups=[];this._dataItems=[];this._fullList=[];this._fullChildList=[];this._fullRemovalList=[];this._scrollItemList=[];this._currentDragDropMode=IntegralUIDragDropMode.Dynamic;this._dropMarkElem=null;this._dragCmp=null;this._expandItem=null;this._isAutoExpanded=!1;this._dragContentElem=null;this._dragItemList=[];this._dragItemObj=null;this._dragElemPos={top:-9999999,left:0};this._dragElemSize={width:0,height:0};this._dragListPos={top:-9999999,left:0};this._dragListSize={width:0,height:0};this._dragListStartPos={top:-9999999,left:0};this._dragWindow=null;this._dragListIndex=-1;this._dragTargetIndex=-1;this._dragOverStarted=!1;this._currentDragPos={x:0,y:0};this._prevDragPos={x:0,y:0};this._dragMoveSpace=10;this._dropPos=-1;this._cloneElem=null;this._cloneElemStartPos={x:0,y:0};this._expandTimeout=null;this._isCtrlDragEntered=!1;this._isDragActive=!1;this._isDragCopy=!1;this._isDragInside=!1;this._isDragActiveTimeout=null;this._currentDragItems=0;this._maxDragItems=3;this._totalDragItems=0;this._filterParams=null;this._ctrlCursor="default";this._currentContentVisibility=IntegralUIContentVisibility.Both;this._hoverItem=null;this._options={allowDrag:!1,allowDrop:!1,currentStyle:null,dataFields:null,selectedItem:null};this._isGroupingEnabled=!1;this._blockHoverRect={height:0,left:0,top:-9999999,width:0};this._blockSelectRect=[];this._blockSelectHeight=0;this._hoverItemObj={data:{}};this._currentFocusObj=null;this._isKeyboardActive=!1;this._avgItemHeight=0;this._blockSize={width:0,height:0};this._contentSize={width:0,height:0};this._ctrlPadding={top:0,right:0,bottom:0,left:0};this._currentIndex=0;this._currentItemSize={width:0,height:0};this._currentItemSpacing=0;this._prevIndex=0;this._isAutoSized=!1;this._isHoverTemplatePresent=!1;this._isSelectedTemplatePresent=!1;this._isUpdateActive=!1;this._prevLongestItemWidth=0;this._longestItemWidth=0;this._longestItemWidthValue="auto";this._requestUpdateLayout=!1;this._virtualization=!0;this._visibleRange=100;this._updateTimer=null;this._isLoading=!1;this._isLoadingEnd=!1;this._loadingEndTimeout=null;this._loadIconPos={top:0,left:0};this._currentMouseWheelSpeed=IntegralUISpeedMode.Normal;this._currentScrollAppearance=IntegralUIComponentAppearance.Static;this._currentScrollPos={x:0,y:0};this._maxScrollPos={x:0,y:0};this._accelerator=.5;this._isMouseWheelActive=!1;this._isScrollActive=!1;this._isScrollTimerActive=!1;this._isScrollVisible=!0;this._prevScrollPos={x:0,y:0};this._scrollAppearanceTimeout=null;this._scrollBarSize={width:0,height:0};this._scrollCount=0;this._scrollLargeChange={x:0,y:0};this._scrollSize={width:0,height:0};this._scrollSizeAddition=0;this._scrollTimerID=null;this._horScrollOrientation=IntegralUIOrientation.Horizontal;this._currentSelection=null;this._currentSelectionMode=IntegralUISelectionMode.One;this._isItemClicked=!1;this._shiftFirstSelectedItem=null;this._removeIndex=-1;this._currentSelectedItems=[];this._currentCtrlSize={width:0,height:0};this._currentSorting=IntegralUISortOrder.None;this._sortComparer=null;this._dragListClass={};this._groupClassName="iui-baselistgroup";this._groupContentClassName=this._groupClassName+"-content";this._expandBoxClassName=this._groupClassName+"-expand-box";this._itemClassName="iui-baselistitem";this._itemContentClassName=this.itemClassName+"-content";this._scrollCornerClassName="iui-scrollbar-corner";this._animationCheckTimer=null;this._touchStartPos={x:0,y:0};this._touchEndPos={x:0,y:0}}connectedCallback(){super.connectedCallback();this._windowDragOver=this._windowDragOver.bind(this);window.addEventListener("dragover",this._windowDragOver);this._windowKeyDown=this._windowKeyDown.bind(this);window.addEventListener("keydown",this._windowKeyDown);this._windowKeyUp=this._windowKeyUp.bind(this);window.addEventListener("keyup",this._windowKeyUp)}disconnectedCallback(){super.disconnectedCallback();window.removeEventListener("dragover",this._windowDragOver);window.removeEventListener("keydown",this._windowKeyDown);window.removeEventListener("keyup",this._windowKeyUp);this._clearDragTimeout();this._clearExpandTimeout();this._resetAnimationCheckTimer();this._resetLayoutTimer();this._resetScrollAppearanceTimeout()}_initStyle(){this._defaultStyle={general:{disabled:this._generalClassName+"-disabled",focused:this._generalClassName+"-focused",normal:this._generalClassName,hovered:this._generalClassName+"-hovered",selected:this._generalClassName+"-selected"},group:{expandBox:{general:this._expandBoxClassName,expanded:this._expandBoxClassName+"-open",collapsed:this._expandBoxClassName+"-close"},general:{disabled:this._groupClassName+"-disabled",focused:this._groupClassName+"-focused",normal:this._groupClassName,hovered:this._groupClassName+"-hovered",selected:this._groupClassName+"-selected"},content:{disabled:this._groupContentClassName+"-disabled",focused:this._groupContentClassName+"-focused",normal:this._groupContentClassName,hovered:this._groupContentClassName+"-hovered",selected:this._groupContentClassName+"-selected"}},item:{general:{disabled:this._itemClassName+"-disabled",focused:this._itemClassName+"-focused",normal:this._itemClassName,hovered:this._itemClassName+"-hovered",selected:this._itemClassName+"-selected"},content:{disabled:this._itemContentClassName+"-disabled",focused:this._itemContentClassName+"-focused",normal:this._itemContentClassName,hovered:this._itemContentClassName+"-hovered",selected:this._itemContentClassName+"-selected"}}};this._updateStyle(this.controlStyle);this._updateControlClass();this._updateColorSchemeSettings(this._currentColorScheme);this.refresh()}attributeChangedCallback(e,t,i){super.attributeChangedCallback(e,t,i)}static get properties(){return{allowDrag:{type:Boolean,attribute:"allow-drag",reflect:!0},allowDrop:{type:Boolean,attribute:"allow-drop",reflect:!0},allowFilter:{type:Boolean,attribute:"allow-filter",reflect:!0},animateInit:{type:Boolean,attribute:"animate-init",reflect:!0},contentVisibility:{attribute:"content-visibility",converter:{fromAttribute:e=>{switch((e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"none":return IntegralUIContentVisibility.None;case"hover":return IntegralUIContentVisibility.Hover;case"select":return IntegralUIContentVisibility.Select;default:return IntegralUIContentVisibility.Both}},toAttribute:e=>{switch(e){case IntegralUIContentVisibility.None:return"None";case IntegralUIContentVisibility.Hover:return"Hover";case IntegralUIContentVisibility.Select:return"Select";default:return"Both"}}},reflect:!0},dataFields:{type:Object,attribute:"data-fields"},dragDropMode:{attribute:"dragdrop-mode",converter:{fromAttribute:e=>{switch((e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"popup":return IntegralUIDragDropMode.Static;default:return IntegralUISelectionMode.Dynamic}},toAttribute:e=>{switch(e){case IntegralUIDragDropMode.Static:return"Static";default:return"Dynamic"}}},reflect:!0},focusedItem:{type:Object,attribute:"focused-item"},items:{type:Array},itemSpacing:{type:Number,attribute:"item-spacing",reflect:!0},mouseWheelSpeed:{attribute:"mousewheel-speed",converter:{fromAttribute:e=>{switch((e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"veryslow":return IntegralUISpeedMode.VerySlow;case"slow":return IntegralUISpeedMode.Slow;case"fast":return IntegralUISpeedMode.Fast;case"veryfast":return IntegralUISpeedMode.VeryFast;default:return IntegralUISpeedMode.Normal}},toAttribute:e=>{switch(e){case IntegralUISpeedMode.VerySlow:return"VerySlow";case IntegralUISpeedMode.Slow:return"Slow";case IntegralUISpeedMode.Fast:return"Fast";case IntegralUISpeedMode.VeryFast:return"VeryFast";default:return"Normal"}}},reflect:!0},scrollAppearance:{attribute:"scroll-appearance",converter:{fromAttribute:e=>"dynamic"===(e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()?IntegralUIComponentAppearance.Dynamic:IntegralUIComponentAppearance.Static,toAttribute:(e,t)=>e===IntegralUIComponentAppearance.Dynamic?"Dynamic":"Static"},reflect:!0},selectedItem:{type:Object,attribute:"selected-item"},selectionMode:{attribute:"selection-mode",converter:{fromAttribute:e=>{switch((e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"none":return IntegralUISelectionMode.None;case"multisimple":return IntegralUISelectionMode.MultiSimple;case"multiextended":return IntegralUISelectionMode.MultiExtended;default:return IntegralUISelectionMode.One}},toAttribute:e=>{switch(e){case IntegralUISelectionMode.None:return"None";case IntegralUISelectionMode.MultiSimple:return"MultiSimple";case IntegralUISelectionMode.MultiExtended:return"MultiExtended";default:return"One"}}},reflect:!0},showScroll:{type:Boolean,attribute:"show-scroll",reflect:!0},sorting:{converter:{fromAttribute:e=>{switch((e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"ascending":return IntegralUISortOrder.Ascending;case"descending":return IntegralUISortOrder.Descending;default:return IntegralUISortOrder.None}},toAttribute:e=>{switch(e){case IntegralUISortOrder.Ascending:return"Ascending";case IntegralUISortOrder.Descending:return"Descending";default:return"None"}}},reflect:!0},virtualMode:{type:Boolean,attribute:"virtual-mode",reflect:!0}}}set allowDrag(e){if(this._options.allowDrag!==e){const t=this._options.allowDrag;this._options.allowDrag=e;this.requestUpdate("allowDrag",t)}}set allowDrop(e){if(this._options.allowDrop!==e){const t=this._options.allowDrop;this._options.allowDrop=e;this.requestUpdate("allowDrop",t)}}set allowFilter(e){if(this._options.allowFilter!==e){const t=this._options.allowFilter;this._options.allowFilter=e;this.requestUpdate("allowFilter",t)}}get allowFocus(){return this._options.allowFocus}set allowFocus(e){if(this._options.allowFocus!==e){const t=this._options.allowFocus;this._options.allowFocus=e;if(!e)this._currentFocusObj=null;this.refresh();this.requestUpdate("allowFocus",t)}}get animateInit(){return this._isInitActive}set animateInit(e){if(this._isInitActive!==e){const t=this._isInitActive;this._isInitActive=e;this.requestUpdate("animateInit",t)}}get dataFields(){return this._options.dataFields}set dataFields(e){const t=this._options.dataFields;this._updateDataFields(e);this.requestUpdate("dataFields",t)}get focusedItem(){return this._currentFocusObj?this._currentFocusObj.data:null}set focusedItem(e){let t=this.allowFocus&&!this._currentFocusObj,i=this.allowFocus&&this._currentFocusObj&&this._currentFocusObj.data!==e;if(t||i){const t=this._currentFocusObj?this._currentFocusObj.data:null;this._currentFocusObj=this._getObjFromItem(e);this._updateFocusItem();if(this.selectedItem!==e)this._processSelection(null,e);this.requestUpdate("focusedItem",t);this.refresh()}}get contentVisibility(){return this._currentContentVisibility}set contentVisibility(e){if(this._currentContentVisibility!==e){const t=this._currentContentVisibility;this._currentContentVisibility=e;this.requestUpdate("contentVisibility",t)}}get dragDropMode(){return this._currentDragDropMode}set dragDropMode(e){if(this._currentDragDropMode!==e){const t=this._currentDragDropMode;this._currentDragDropMode=e;this.requestUpdate("dragDropMode",t)}}get items(){return this._dataItems}set items(e){const t=this._dataItems;if(0===t.length)this._initSuccess=!1;this._dataItems=e;this._updateData();this.requestUpdate("items",t)}get itemSpacing(){return this._currentItemSpacing}set itemSpacing(e){const t=this._currentItemSpacing;this._currentItemSpacing=e;this.requestUpdate("itemSpacing",t)}get mouseWheelSpeed(){return this._currentMouseWheelSpeed}set mouseWheelSpeed(e){if(this._currentMouseWheelSpeed!==e){const t=this._currentMouseWheelSpeed;this._currentMouseWheelSpeed=e;this.requestUpdate("mouseWheelSpeed",t)}}get scrollAppearance(){return this._currentScrollAppearance}set scrollAppearance(e){if(this._currentScrollAppearance!==e){const t=this._currentScrollAppearance;this._currentScrollAppearance=e;this._isScrollVisible=this._currentScrollAppearance===IntegralUIComponentAppearance.Dynamic?!1:!0;this.requestUpdate("scrollAppearance",t);this._internalUpdateLayout()}}get showScroll(){return this._options.showScroll}set showScroll(e){const t=this._options.showScroll;this._updateShowScroll(e);this.requestUpdate("showScroll",t)}get selectedItem(){return this._currentSelection}set selectedItem(e){if(this._currentSelection!==e){const t=this._currentSelection;let i=this,s=setTimeout(function(){i._processSelection(null,e);i.requestUpdate("selectedItem",t);clearTimeout(s)},1)}}get selectionMode(){return this._currentSelectionMode}set selectionMode(e){if(this._currentSelectionMode!==e){let t=this;const i=t._currentSelectionMode;t._currentSelectionMode=e;t._clearPrevSelection(t._currentSelectionMode!==IntegralUISelectionMode.None?t._currentSelection:null);let s=setTimeout(function(){t.refresh();if(t._currentSelectionMode===IntegralUISelectionMode.None)t._currentSelection=null;t._invokeEvent("selectionChanged",{item:t._currentSelection});t.requestUpdate("selectionMode",i);clearTimeout(s)},1)}}get sorting(){return this._currentSorting}set sorting(e){if(this._currentSorting!==e){const t=this._currentSorting;this._currentSorting=e;this.requestUpdate("sorting",t)}}get virtualMode(){return this._virtualization}set virtualMode(e){if(this._virtualization!==e){const e=this._virtualization;this._virtualization=!0;this.requestUpdate("virtualMode",e);this._internalUpdateLayout()}}async addItem(e,t){return this._callEventAdd("add",e,-1,t)}_addItemToList(e,t,i,s,r,o){let l=this,a=!0,n=-1,c=l._dragDropService.getData();if(l._isAnimationAllowed&&!c.source){let t=l._currentList.length,c=[],h=null,d=null;n=l._scrollItemList.length;switch(e){case"at":t=i;if(s)c=l._currentList.filter(e=>"group"!==e.data.type&&e.data[l._options.dataFields.pid]===s[l._options.dataFields.id]);else c=l._currentList.filter(e=>"group"!==e.data.type&&!e.data[l._options.dataFields.pid]);if(l._commonService.isIndexInRange(t,c)){h=l._getObjFromScrollItem(c[t].data);n=l._getItemScrollIndex(h)}else if(c.length>0)if(h=l._getObjFromScrollItem(c[c.length-1].data))n=l._getItemScrollIndex(h)+1;else n=-1;else if(s)n=0;break;case"ref":if(r){let e=l._getObjFromScrollItem(r);if(e){n=l._scrollItemList.indexOf(e);if(o)if(d=l._getLastChildItemFromExpanded(r))n=(h=l._getObjFromScrollItem(d))?l._getItemScrollIndex(h)+1:-1}else a=!1}break;default:if(s)if(d=l._getLastChildItemFromExpanded(s))n=(h=l._getObjFromScrollItem(d))?l._getItemScrollIndex(h)+1:-1}if(n<0)a=!1}if(1)switch(e){case"at":for(let e=t.length-1;e>=0;e--)l._dataService.insert(t[e],i,s);break;case"ref":let a=o?t.toReversed():t;for(let e=0;e<a.length;e++)l._dataService.insertByRef(a[e],r,o);break;default:for(let e=0;e<t.length;e++)l._dataService.insert(t[e],-1,s)}return{animateAllowed:a,scrollIndex:n,addAllowed:!0}}async clearItems(e){let t=this;if(!e){t._currentSelectedItems.length=0;t._currentSelection=null}return t._callEventClear(e)}async insertItemAt(e,t,i){return this._callEventAdd("at",e,t,i)}async insertItemBefore(e,t){return this._callEventAdd("ref",e,-1,null,t)}async insertItemAfter(e,t){return this._callEventAdd("ref",e,-1,null,t,!0)}async removeItem(e){return this._callEventRemove(e)}async removeItemAt(e,t){return this._callEventRemove(null,e,t)}async _callEventAdd(e,t,i,s,r,o){let l=this,a=l._dragDropService.getData();if(!l._isAnimationAllowed||a.source)return l._processAddItemGeneral(e,t,i,s,r,o);else{l._stackAdd.push({type:e,item:t,index:i,parent:s,refItem:r,flag:o});if(1===l._stackAdd.length)return l._processAddRange(e,t,i,s,r,o)}return Promise.resolve()}async _callEventClear(e){let t=this;return new Promise(i=>{if(t._isAnimationAllowed&&t._scrollItemList.length>0){t._isAnimationInProcess=!0;setTimeout(async function(){await t._applyScaleAnimation(t._scrollItemList);t._dataService.clear(e);await t._processUpdateCurrentLayout();t._invokeEvent("clear",{parent:e});t._isAnimationInProcess=!1;i()},1)}else if(t._isUpdateAllowed)setTimeout(async function(){t._dataService.clear(e);await t._processUpdateCurrentLayout();t._invokeEvent("clear",{parent:e});i()},1);else{t._dataService.clear(e);t._invokeEvent("clear",{parent:e});i()}})}async _callEventRemove(e,t,i){let s=this,r=s._dragDropService.getData();if(!s._isAnimationAllowed||r.source)return s._processRemoveItemGeneral(e,t,i);else{s._stackRemove.push({item:e,index:t,parent:i});if(1===s._stackRemove.length)return s._processRemoveRange(e,t,i)}return Promise.resolve()}_processAddItemGeneral(e,t,i,s,r,o){let l=this;return new Promise(a=>{if(!0!==l._invokeEvent("itemAdding",{cancel:!1,item:t,index:i,parent:s}).cancel){let n=Array.isArray(t)?t:[t];l._addItemToList(e,n,i,s,r,o);l._processItemAdd(t,s);let c=l._dragDropService.getData();if(c.source){l._invokeEvent("itemAdded",{index:i,item:t});a()}else if(l._isUpdateAllowed)setTimeout(async function(){if(!c.source){if(0===l._scrollItemList.length){l.update();l._updateClientRect();l._currentItemSize.width=l._clientRect.width}await l._processUpdateCurrentLayout()}l._invokeEvent("itemAdded",{index:i,item:t});a()},1);else{l._invokeEvent("itemAdded",{index:i,item:t});a()}}else a()})}_processItemAdd(e,t){}_processItemRemoval(e,t){}async _processRemoveItemGeneral(e,t,i){let s=this;return new Promise(r=>{if(!0!==s._invokeEvent("itemRemoving",{cancel:!1,item:e,index:t,parent:i}).cancel){if(!e&&s._commonService.isIndexInRange(t,s._fullList))e=s._fullList[t];let o=Array.isArray(e)?e:[e];for(let e=0;e<o.length;e++)s._dataService.removeAt(o[e],t,i);s._processItemRemoval(e,i);if(e&&e[s._options.dataFields.selected]){e[s._options.dataFields.selected]=!1;s._currentSelectedItems=s._currentSelectedItems.filter(t=>t!==e);if(s._currentSelection&&s._commonService.isEqual(s._currentSelection[s._options.dataFields.id],e[s._options.dataFields.id]))s._currentSelection=null;s._invokeEvent("selectionChanged",{item:s._currentSelection})}if(s._dragDropService.getData().source){s._invokeEvent("itemRemoved",{index:t,item:e});r()}else if(s._isUpdateAllowed)setTimeout(async function(){await s._processUpdateCurrentLayout();s._invokeEvent("itemRemoved",{index:t,item:e});r()},1);else{s._invokeEvent("itemRemoved",{index:t,item:e});r()}}else r()})}_getLastChildItemFromExpanded(e){let t=this;if(t.isItemExpanded(e)){let i=t._currentList.filter(i=>"group"!==i.data.type&&i.data[t._options.dataFields.pid]===e[t._options.dataFields.id]);if(i.length>0)return t._getLastChildItemFromExpanded(i[i.length-1].data)}return e}_animateCurrentItemPos(e,t){e.forEach((e,t)=>{e.element.position={x:e.element.position.x,y:e.values.top}});this.update();if(t)this._clearInactiveAnimations()}_animateNewItemPos(e,t){e.forEach((e,t)=>{e.element.position={x:e.element.position.x,y:e.values.top}});this.update();if(t)this._clearInactiveAnimations()}_animatePosition(e,t){e.forEach((e,t)=>{e.element.position={x:e.element.position.x,y:e.values.top}});if(t)this._clearInactiveAnimations();this.update()}_cancelAddProcess(e,t,i,s,r,o){}async _processAddRange(e,t,i,s,r,o){let l=this;return new Promise(a=>{if(!0!==l._invokeEvent("itemAdding",{cancel:!1,item:t,index:i,parent:s}).cancel){let n=Array.isArray(t)?t:[t],c=l._addItemToList(e,n,i,s,r,o);if(c.addAllowed&&c.animateAllowed){l._isAnimationInProcess=!0;let e=c.scrollIndex;l._processItemAdd(n,s);setTimeout(async function(){if(0===l._scrollItemList.length){l.update();l._updateClientRect();l._currentItemSize.width=l._clientRect.width;l._updateBlockSize()}let r={x:l._ctrlPadding.left,y:l._ctrlPadding.top},o=l._currentItemSize.height>0?l._currentItemSize.height:30,c=[],h=null;if(e>=0&&e<l._scrollItemList.length){r={x:(h=l._scrollItemList[e]).position.x,y:h.position.y};await l._updateCurrentScrollItemPos(e,n.length*l._currentItemSize.height);r.y-=l._currentItemSize.height}else if(l._scrollItemList.length>0)r={x:(h=l._scrollItemList[l._scrollItemList.length-1]).position.x,y:h.position.y};let d=h?h.indent:0;if(s){let e=l._getObjFromItem(s);d=e?e.indent+l._options.indent:d}for(let t=0;t<n.length;t++){if(0===l._scrollItemList.length)r.y-=o;let i={clickPos:{x:0,y:0},data:n[t],indent:d,index:e,inlineStyle:{},position:{x:r.x,y:r.y},showCheckBox:l._isItemCheckBoxAllowed(n[t]),showRadioButton:l._isItemRadioButtonAllowed(n[t]),size:{width:0,height:l._currentItemSize.height},targetPosition:{x:r.x,y:r.y},style:{},tabIndex:0,zIndex:0};l._updateItemStyle(i);l._scrollItemList.splice(e,0,i);l.refresh();let s=Math.max(50,300-50*l._stackAdd.length);l._applyScaleAnimation([i],s,.8,1);await l._updateNewScrollItemPos(i,s);c.push(i);e++;r.y+=o}l._invokeEvent("itemAdded",{index:i,item:t});let _=Math.max(50,300-50*l._stackAdd.length);setTimeout(function(){if(0===l._currentList.length){l._updateCurrentItemSize();l._updateVisibleRange()}l._updateCurrentList();l._stackAdd.splice(0,1);if(l._stackAdd.length>0){let e=l._stackAdd[0];l._processAddRange(e.type,e.item,e.index,e.parent,e.refItem,e.flag)}else{l._internalUpdateCurrentLayout();l._isAnimationInProcess=!1;a()}},_)},1)}else{l._stackAdd.splice(0,1);if(l._stackAdd.length>0){let e=l._stackAdd[0];l._processAddRange(e.type,e.item,e.index,e.parent,e.refItem,e.flag)}else{l._internalUpdateCurrentLayout();l._isAnimationInProcess=!1;a()}}}else{l._stackAdd.splice(0,1);if(l._stackAdd.length>0){let e=l._stackAdd[0];l._processAddRange(e.type,e.item,e.index,e.parent,e.refItem,e.flag)}else{l._internalUpdateCurrentLayout();l._isAnimationInProcess=!1;a()}}})}_updateFullRemovalList(e){let t=this;e.forEach(e=>{t._fullRemovalList.push(e);if(e[t._options.dataFields.items]&&t.isItemExpanded(e))t._updateFullRemovalList(e[t._options.dataFields.items])})}_animateRemove(e,t){e.forEach((e,t)=>{e.element.animateLeft=e.values.animateLeft});if(t)this._clearInactiveAnimations();this.update()}_animateScale(e,t){e.forEach((e,t)=>{e.element.scale=e.values.scale});if(t)this._clearInactiveAnimations();this.update()}async _applyRemoveAnimation(e,t){let i=this._animateRemove.bind(this),s=new IntegralUIAnimation;this._activeAnimations.push(s);let r=[];for(let t=0;t<e.length;t++){let i=e[t],s={animateLeft:0},o={animateLeft:100};r.push({element:i,current:s,values:o})}await s.animate(r,100,void 0!==t?t:200,i);return Promise.resolve()}async _applyScaleAnimation(e,t,i,s){let r=this._animateScale.bind(this),o=new IntegralUIAnimation;this._activeAnimations.push(o);let l=[];for(let t=0;t<e.length;t++){let r=e[t],o={scale:void 0!==i?i:1},a={scale:void 0!==s?s:0};l.push({element:r,current:o,values:a})}await o.animate(l,0,void 0!==t?t:200,r);return Promise.resolve()}async _processRemoveRange(e,t,i){let s=this;return new Promise(r=>{if(!0!==s._invokeEvent("itemRemoving",{cancel:!1,item:e,index:t,parent:i}).cancel){if(!e){let r=[];if(i)r=s._currentList.filter(e=>"group"!==e.data.type&&e.data[s._options.dataFields.pid]===i[s._options.dataFields.id]);else r=s._currentList.filter(e=>"group"!==e.data.type&&!e.data[s._options.dataFields.pid]);if(s._commonService.isIndexInRange(t,r))e=r[t].data}let o=[];if(e)o=Array.isArray(e)?e:[e];if(o.length>0){s._isAnimationInProcess=!0;setTimeout(async function(){s._fullRemovalList.length=0;s._updateFullRemovalList(o);let l=[],a=[...s._scrollItemList],n=0;for(let e=0;e<s._fullRemovalList.length;e++){let t=s._getObjFromScrollItem(s._fullRemovalList[e]);if(t){n++;l.push(t);a=a.filter(e=>e.data!==t.data)}}let c=Math.max(50,200-50*s._stackRemove.length);await s._applyScaleAnimation(l,c,1,.8);await s._applyRemoveAnimation(l,c);if(n>0)s.refresh();let h=!1;for(let e=0;e<o.length;e++){let r=o[e];s._dataService.removeAt(r,t,i);if(r&&r[s._options.dataFields.selected]){r[s._options.dataFields.selected]=!1;s._currentSelectedItems=s._currentSelectedItems.filter(e=>e!==r);if(s._currentSelection&&s._commonService.isEqual(s._currentSelection[s._options.dataFields.id],r[s._options.dataFields.id]))s._currentSelection=null;h=!0}}for(let e=0;e<s._fullRemovalList.length;e++){let i=s._fullRemovalList[e],r=void 0!==t?t:s._fullList.indexOf(i);if(r>=0)s._fullList.splice(r,1);if((r=s._getItemCurrentIndex(i))>=0)s._currentList.splice(r,1)}s._processItemRemoval(e,i);let d=Math.max(50,300-50*s._stackRemove.length);if(n>0&&a.length>0){let e={x:s._ctrlPadding.left,y:s._ctrlPadding.top};a.forEach(t=>{t.targetPosition.y=e.y;e.y+=s._currentItemSize.height});s._repositionItems(a,0,d)}if(n>0&&s._scrollItemList.length>0){let e=[],t=s._scrollItemList.length-1,i=s._scrollItemList[t],r={x:i.position.x,y:i.position.y+s._currentItemSize.height},o=s._currentIndex+s._visibleRange-n;for(let i=0;i<n;i++)if(o+i<s._currentList.length){let l=s._currentList[o+i].data,a={clickPos:{x:0,y:0},data:l,indent:s._currentList[o+i].indent,index:t+i+1,inlineStyle:{},position:{x:r.x,y:r.y},showCheckBox:s._isItemCheckBoxAllowed(l),showRadioButton:s._isItemRadioButtonAllowed(l),size:{width:0,height:s._currentItemSize.height},targetPosition:{x:r.x,y:r.y},style:{},tabIndex:0,zIndex:0};e.push(a);s._updateItemStyle(a);s._scrollItemList.splice(a.index,0,a);r.y+=s._currentItemSize.height}s.update();let l=n*s._currentItemSize.height;await s._moveItemsUpward(s._scrollItemList,t+1,-l,d)}l.forEach(e=>{let t=s._scrollItemList.indexOf(e);if(t>=0)s._scrollItemList.splice(t,1)});s.refresh();s._invokeEvent("itemRemoved",{index:t,item:e});if(h)s._invokeEvent("selectionChanged",{item:s._currentSelection});setTimeout(function(){s._stackRemove.splice(0,1);s._updateCurrentList();if(s._stackRemove.length>0){let e=s._stackRemove[0];s._processRemoveRange(e.item,e.index,e.parent)}else{s._isAnimationInProcess=!1;s._internalUpdateCurrentLayout();r()}},d)},1)}else{s._stackRemove.splice(0,1);if(s._stackRemove.length>0){let e=s._stackRemove[0];s._processRemoveRange(e.item,e.index,e.parent)}else{s._isAnimationInProcess=!1;s._internalUpdateCurrentLayout();r()}}}else{s._stackRemove.splice(0,1);if(s._stackRemove.length>0){let e=s._stackRemove[0];s._processRemoveRange(e.item,e.index,e.parent)}else{s._isAnimationInProcess=!1;s._internalUpdateCurrentLayout();r()}}})}async _repositionItems(e,t,i){let s=this._animatePosition.bind(this),r=new IntegralUIAnimation;this._activeAnimations.push(r);let o=[];for(let i=t;i<e.length;i++){let t=e[i],s={top:t.position.y},r={top:t.targetPosition.y};o.push({element:t,current:s,values:r})}await r.animate(o,0,void 0!==i?i:250,s);return Promise.resolve()}async _updateCurrentScrollItemPos(e,t){let i=this,s=i._animateCurrentItemPos.bind(i),r=new IntegralUIAnimation;i._activeAnimations.push(r);let o=[];for(let s=e;s<i._scrollItemList.length;s++){let e=i._scrollItemList[s],r={top:e.position.y},l={top:e.position.y+t};o.push({element:e,current:r,values:l})}await r.animate(o,0,250,s);return Promise.resolve()}async _updateNewScrollItemPos(e,t){let i=this._animateNewItemPos.bind(this),s=new IntegralUIAnimation;this._activeAnimations.push(s);let r=[],o=this._currentItemSize.height>0?this._currentItemSize.height:30,l={top:e.position.y},a={top:e.position.y+o};r.push({element:e,current:l,values:a});await s.animate(r,0,void 0!==t?t:200,i);return Promise.resolve()}async _updateCtrlSize(e){this._clearAnimations();this._isAnimationInProcess=!0;let t=this._animateSize.bind(this),i=new IntegralUIAnimation;this._activeAnimations.push(i);let s=[{current:{height:this._currentCtrlSize.height},values:{height:this._clientRect.height}}];await i.animate(s,100,void 0!==e?e:250,t);this._isAnimationInProcess=!1;return Promise.resolve()}_animateSize(e,t){let i=this;if(e.length>0)i._currentCtrlSize.height=e[0].values.height;if(t){i._currentCtrlSize.height=i._clientRect.height;setTimeout(function(){i._clearInactiveAnimations()},1)}i.update()}_animateToggle(e,t){let i=this;if(e.length>0){i._currentCtrlSize.height=e[0].values.height;e.forEach((e,t)=>{e.element.position={x:e.element.position.x,y:e.values.top}})}if(t){i._currentCtrlSize.height=i._clientRect.height;i._clearInactiveAnimations()}i.update()}async _moveItemsDownward(e,t,i){let s=this,r=s._animateToggle.bind(s),o=new IntegralUIAnimation;s._activeAnimations.push(o);let l=[];for(let r=t;r<e.length;r++){let t=e[r],o={top:t.position.y,height:s._currentCtrlSize.height},a={top:void 0!=i?t.position.y+i:t.targetPosition.y,height:s._clientRect.height};l.push({element:t,current:o,values:a})}await o.animate(l,0,250,r);return Promise.resolve()}async _moveItemsUpward(e,t,i,s){let r=this,o=r._animateToggle.bind(r),l=new IntegralUIAnimation;r._activeAnimations.push(l);let a=[];for(let s=t;s<e.length;s++){let t=e[s],o={top:t.position.y,height:r._currentCtrlSize.height},l={top:void 0!=i?t.position.y+i:t.targetPosition.y,height:r._clientRect.height};a.push({element:t,current:o,values:l})}await l.animate(a,0,void 0!==s?s:250,o);return Promise.resolve()}async _updateItemCollapse(e){let t=this,i=t._getObjFromScrollItem(e);if(i){t._updateItemStyle(i);let e=t._scrollItemList.indexOf(i);if(e<t._scrollItemList.length){let s=t._scrollItemList[e];t._fullChildList.length=0;t._updateChildList(i.data[t._options.dataFields.items],i.indent);let r=t._fullChildList.length;t._currentCtrlSize.height=t._clientRect.height;t._clientRect.height=(t._currentList.length-r)*t._avgItemHeight;if(e<t._scrollItemList.length-1){let i=[],s=t._scrollItemList.length-1,o=t._scrollItemList[t._scrollItemList.length-1],l={x:o.position.x,y:o.position.y+t._currentItemSize.height},a=t._getItemCurrentIndex(o.data);if(a>=0){let e=a+1;for(let o=0;o<r&&o+e<t._currentList.length;o++){let r=t._currentList[o+e],a={clickPos:{x:0,y:0},data:r.data,indent:r.indent,index:o+s+1,inlineStyle:{},position:{x:l.x,y:l.y},showCheckBox:t._isItemCheckBoxAllowed(r.data),showRadioButton:t._isItemRadioButtonAllowed(r.data),size:{width:0,height:t._currentItemSize.height},targetPosition:{x:l.x,y:l.y},style:{},tabIndex:0,zIndex:0};i.push(a);t._updateItemStyle(a);t._scrollItemList.splice(a.index,0,a);l.y+=t._currentItemSize.height}t.update()}let n=r*t._currentItemSize.height;t._moveItemsUpward(t._scrollItemList,e+r,-n)}let o=[],l=0;for(let i=e+1;i<t._scrollItemList.length&&l<r;i++,l++){let e=t._scrollItemList[i];e.targetPosition={x:s.position.x,y:s.position.y};o.push(e)}await t._moveItemsUpward(o,0)}}t._internalUpdateCurrentLayout();t._isAnimationInProcess=!1;return Promise.resolve()}_updateChildList(e,t){let i=this;e.forEach(e=>{if(i._isItemAllowed(e)){let s=t+i._options.indent;i._fullChildList.push({data:e,indent:s});if(e[i._options.dataFields.items]&&i.isItemExpanded(e))i._updateChildList(e[i._options.dataFields.items],s)}})}async _updateItemExpand(e){let t=this,i=t._getObjFromScrollItem(e);if(i){let e=t._scrollItemList.indexOf(i);if(e<t._scrollItemList.length){let s=t._scrollItemList[e],r={x:s.position.x,y:s.position.y};t._fullChildList.length=0;t._updateChildList(i.data[t._options.dataFields.items],i.indent);let o=t._fullChildList.length;if(e<t._scrollItemList.length-1){let i=o*t._currentItemSize.height;t._moveItemsDownward(t._scrollItemList,e+1,i)}let l=[];t._currentCtrlSize.height=t._clientRect.height;t._clientRect.height=(t._currentList.length+o)*t._avgItemHeight;for(let i=0;i<t._fullChildList.length;i++){let s=t._fullChildList[i],o={clickPos:{x:0,y:0},data:s.data,indent:s.indent,index:i+e,inlineStyle:{},position:{x:r.x,y:r.y},showCheckBox:t._isItemCheckBoxAllowed(s.data),showRadioButton:t._isItemRadioButtonAllowed(s.data),size:{width:0,height:t._currentItemSize.height},targetPosition:{x:r.x,y:r.y+(i+1)*t._currentItemSize.height},style:{},tabIndex:0,zIndex:0};l.push(o);t._updateItemStyle(o);t._scrollItemList.splice(o.index,0,o)}await t._moveItemsDownward(l,0)}}t._internalUpdateCurrentLayout();t._isAnimationInProcess=!1;return Promise.resolve()}_animateItemPos(e,t){e.forEach((e,t)=>{e.element.position={x:e.values.left,y:e.element.position.y}});this.update();if(t)this._clearInactiveAnimations()}_isInitAnimationAllowed(){return this._isAnimationAllowed&&this._isInitActive&&!this._initSuccess}async _updateScrollItemPos(){let e=this;if(e._isInitAnimationAllowed()){let t=e._animateItemPos.bind(e),i=new IntegralUIAnimation;e._activeAnimations.push(i);let s=[];e._scrollItemList.forEach((e,t)=>{let i={left:e.position.x},r={left:e.targetPosition.x};s.push({element:e,current:i,values:r})});await i.animate(s,0,250,t);e.refresh()}e._initSuccess=!0;return Promise.resolve()}_itemClickEvent(e,t){if(this._isEnabled&&1===e.which)this._invokeEvent("itemClick",{event:e,item:t.data})}_itemDblClickEvent(e,t){if(this._isEnabled&&1===e.which)this._invokeEvent("itemDblClick",{event:e,item:t.data})}_itemRightClickEvent(e,t){if(this._isEnabled)this._invokeEvent("itemRightClick",{event:e,item:t.data})}async _processLoadData(e,t,i,s){await this.clearItems(t);this._updateDataFields(i);let r=[];if(e)if(s||void 0===s){let t=[];e.forEach((e,i)=>{e[this._options.dataFields.items]=[];let s=e[this._options.dataFields.pid];if(t[s]){if(!t[s][this._options.dataFields.items])t[s][this._options.dataFields.items]=[];t[e[this._options.dataFields.id]]=e;t[s][this._options.dataFields.items].push(e)}else{t[e[this._options.dataFields.id]]=e;r.push(e)}});t.length=0}else r=e;if(t){r.map(e=>e[this._options.dataFields.pid]=t[this._options.dataFields.id]);t[this._options.dataFields.items]=r}else if(this.items){this.items.length=0;r.map(e=>this.items.push(e))}this._invokeEvent("loadComplete");this._internalUpdateLayout();return Promise.resolve()}_updateData(){this._dataService.init([{data:this.items}])}_updateDataFields(e){if(e)this._options.dataFields={allowCheckBox:e.allowCheckBox?e.allowCheckBox:"allowCheckBox",allowDrag:e.allowDrag?e.allowDrag:"allowDrag",allowDrop:e.allowDrop?e.allowDrop:"allowDrop",allowEdit:e.allowEdit?e.allowEdit:"allowEdit",allowFocus:e.allowFocus?e.allowFocus:"allowFocus",allowRadioButton:e.allowRadioButton?e.allowRadioButton:"allowRadioButton",autoCheck:e.autoCheck?e.autoCheck:"autoCheck",canSelect:e.canSelect?e.canSelect:"canSelect",checkBoxSettings:e.checkBoxSettings?e.checkBoxSettings:"checkBoxSettings",checked:e.checked?e.checked:"checked",checkState:e.checkState?e.checkState:"checkState",childCount:e.childCount?e.childCount:"childCount",content:e.content?e.content:"content",contentVisibility:e.contentVisibility?e.contentVisibility:"contentVisibility",contextMenu:e.contextMenu?e.contextMenu:"contextMenu",enabled:e.enabled?e.enabled:"enabled",expanded:e.expanded?e.expanded:"expanded",group:e.group?e.group:"group",hasChildren:e.hasChildren?e.hasChildren:"hasChildren",icon:e.icon?e.icon:"icon",iconUrl:e.iconUrl?e.iconUrl:"iconUrl",id:e.id?e.id:"id",items:e.items?e.items:"items",name:e.name?e.name:"name",objects:e.items?e.items:"items",pid:e.pid?e.pid:"pid",radioGroup:e.radioGroup?e.radioGroup:"radioGroup",selected:e.selected?e.selected:"selected",showCheckBox:e.showCheckBox?e.showCheckBox:"showCheckBox",statusIcon:e.statusIcon?e.statusIcon:"statusIcon",style:e.style?e.style:"style",templateObj:e.templateObj?e.templateObj:"templateObj",text:e.text?e.text:"text",tooltip:e.tooltip?e.tooltip:"tooltip",value:e.value?e.value:"value",visible:e.visible?e.visible:"visible"};else this._options.dataFields={allowCheckBox:"allowCheckBox",allowDrag:"allowDrag",allowDrop:"allowDrop",allowEdit:"allowEdit",allowFocus:"allowFocus",allowRadioButton:"allowRadioButton",autoCheck:"autoCheck",canSelect:"canSelect",checkBoxSettings:"checkBoxSettings",checked:"checked",checkState:"checkState",childCount:"childCount",content:"content",contentVisibility:"contentVisibility",contextMenu:"contextMenu",enabled:"enabled",expanded:"expanded",group:"group",hasChildren:"hasChildren",icon:"icon",iconUrl:"iconUrl",id:"id",items:"items",name:"name",objects:"items",pid:"pid",radioGroup:"radioGroup",selected:"selected",showCheckBox:"showCheckBox",statusIcon:"statusIcon",style:"style",templateObj:"templateObj",text:"text",tooltip:"tooltip",value:"value",visible:"visible"};if(this._dataService)this._dataService.updateDataFields(this._options.dataFields)}_updateOptions(e){if(e){this._options={allowDrag:this._commonService.isFieldAvailable(e.allowDrag,!1),allowDrop:this._commonService.isFieldAvailable(e.allowDrop,!1),allowFilter:this._commonService.isFieldAvailable(e.allowFilter,!1),allowFocus:this._commonService.isFieldAvailable(e.allowFocus,!1),dataFields:null,selectedItem:this._commonService.isFieldAvailable(e.selectedItem,this._options.selectedItem?this._options.selectedItem:null)};this._updateShowScroll(e.showScroll)}else{this._options={allowDrag:!1,allowDrop:!1,allowFilter:!1,allowFocus:!1,dataFields:null,selectedItem:null};this._updateDataFields();this._updateShowScroll()}}_resetScrollItemList(){this._scrollItemList.length=0;this.update()}_updateScrollItemList(e){this._resetScrollItemList()}_updateShowScroll(e){if(e)this._options.showScroll={horizontal:this._commonService.isFieldAvailable(e.horizontal,!0),vertical:this._commonService.isFieldAvailable(e.vertical,!0)};else this._options.showScroll={horizontal:!0,vertical:!0}}_isItemCheckBoxAllowed(e){return!1}_isItemRadioButtonAllowed(e){return!1}_addDropMark(e){this._removeDropMark();if(this._currentDragDropMode===IntegralUIDragDropMode.Dynamic?null!==this._dragItemObj:!0){this._dragCmp=document.createElement("iui-dragwin",{is:IntegralUIDragWindow});if(this._dragCmp){this._dragCmp.colorScheme=this._currentColorScheme;this._dragCmp.customStyle=this.customStyle;this._dragCmp.resourcePath=this.resourcePath;this._dragCmp.theme=this._currentTheme;document.body.appendChild(this._dragCmp);this._dragCmp.refresh()}}}_removeDropMark(){if(this._dragCmp)this._dragCmp.remove();this._dragCmp=null}_calcDragMoveSpace(){return Math.floor(.4*this._currentItemSize.height)}_callDragDropEvent(e,t,i){let s={action:t.action,cancel:!1,dragObj:t.source,dropPos:t.dropPos,event:e,isDropAllowed:t.allow,mousePos:this._commonService.getMousePos(e),sourceCtrl:t.sourceCtrl,targetCtrl:t.targetCtrl,targetObj:t.target};if(i)this._invokeEvent("dragDrop",s);else this._invokeEvent("dragOver",s);return s}_checkEmptySpace(e){let t=this._getContentSize(),i=this._commonService.getPageRect(this._elemRef),s=i.top+t.height,r=i.bottom,o=this._commonService.getMousePos(e),l=this._commonService.getShiftPos();o.x-=l.x;o.y-=l.y;return o.y>=s&&o.y<=r}_clearDragActive(){let e=this;e._isDragActiveTimeout=setTimeout(function(){e._isDragActive=!1;clearTimeout(e._isDragActiveTimeout)},100)}_clearDragTimeout(){if(this._isDragActiveTimeout)clearTimeout(this._isDragActiveTimeout);this._isDragActiveTimeout=null}_clearDragDropSettings(e){if(e)this._dragDropService.clearData();this._dragItemList.length=0;this._dragItemObj=null;this._dragOverStarted=!1;this._dropPos=-1;this._hoverItem=null;this._isDragCopy=!1;this._scrollSizeAddition=0;this._removeDropMark();this._resetDragListPos()}_clearExpandTimeout(){if(this._expandTimeout)clearTimeout(this._expandTimeout);this._expandTimeout=null}_ctrlDragEnd(e){this._removeDropMark();let t=this._dragDropService.getData();if(t.targetCtrl&&t.targetCtrl.removeDropMark)t.targetCtrl.removeDropMark();this._itemDragEnd(e,null)}_ctrlDragEnter(e){if(this._isEnabled)this._processDragEnter(e)}_ctrlDragDrop(e){if(this._isEnabled){if(this._currentDragDropMode===IntegralUIDragDropMode.Static){this._processDragDropStatic(e);this._removeDropMark()}else this._processDragDropDynamic(e);e.stopPropagation()}}_ctrlDragLeave(e){if(this._isEnabled)this._processDragLeave(e)}_ctrlDragOver(e){if(this._isEnabled)if(this._currentDragDropMode===IntegralUIDragDropMode.Static){this._processDragOverStatic(e);e.stopPropagation()}else if(this._options.allowDrop){this._processScroll(e);if(!this._isScrollTimerActive)this._processDragOverDynamic(e);else this._updateDragListPos(e)}else if(this._isDragActive&&this._dragItemObj){if(this._dragDropService.getData().targetCtrl)this._dropMark(e);else{this._updateDropMark(e);e.stopPropagation()}}}_dropMark(e,t,i){if(!this._dragCmp&&!this._isScrollTimerActive)this._addDropMark({x:e.pageX,y:e.pageY});if(this._dragCmp){let e="none";if(i||this._options.allowDrop)e=t?"block":"none";this._dragCmp.display=e;this._dragCmp.refresh()}}_expandOnDelay(e){let t=this;if(!1!==t._isAutoExpanded&&e){if(t._expandItem!==e){t._clearExpandTimeout();t._expandTimeout=setTimeout(function(){if(t._expandTimeout)t.expand(e);clearTimeout(t._expandTimeout)},this._currentDragDropMode===IntegralUIDragDropMode.Dynamic?750:500)}t._expandItem=e}}_updateDragComponent(e){if(this._dragCmp)this._dragCmp.updatePos(e)}_isDragAllowed(e){return this._options.allowDrag?e&&(e[this._options.dataFields.allowDrag]||void 0===e[this._options.dataFields.allowDrag])?!0:!1:!1}_isDropAllowed(e,t,i){let s=this._options.allowDrop;if(s&&e&&t)if(t[this._options.dataFields.allowDrop]||void 0===t[this._options.dataFields.allowDrop]){s=!0;let r=!1;if(Array.isArray(e))for(let o=0;o<e.length;o++){r=0===i&&this._isParentOf(t,e[o])?!0:!1;if(this._commonService.isEqual(e[o][this._options.dataFields.id],t[this._options.dataFields.id])||r||this._isChildOf(t,e[o])){s=!1;break}if(!s)break}else{r=0===i&&this._isParentOf(t,e)?!0:!1;if(this._commonService.isEqual(e[this._options.dataFields.id],t[this._options.dataFields.id])||r||this._isChildOf(t,e))s=!1}}else s=!1;return s}_processDragStartStatic(e,t){this._dragDropService.clearData();if(this._isDragAllowed(t)){if(t)if(!this._isDragAllowed(t)){if(e.dataTransfer)e.dataTransfer.effectAllowed="none";else if(e.originalEvent&&e.originalEvent.dataTransfer)e.originalEvent.dataTransfer.effectAllowed="none"}else{let i={clone:null,source:null,sourceCtrl:this,sourceData:this.items};switch(this.selectionMode){case IntegralUISelectionMode.MultiSimple:case IntegralUISelectionMode.MultiExtended:i.clone=this._createCloneList(this._currentSelectedItems,!0);i.source=this._currentSelectedItems;break;default:i.clone=this._createCloneList([t],!0)[0];i.source=t}let s={action:e.shiftKey?"copy":"move",cancel:!1,dragObj:i.source,dropPos:-1,event:e,isDropAllowed:this._options.allowDrop,mousePos:this._commonService.getMousePos(e),sourceCtrl:i.sourceCtrl,targetCtrl:this,targetObj:null};this._invokeEvent("dragStart",s);if(!0===s.cancel){e.preventDefault();return}else{this._isDragActive=!0;this._addDropMark({x:e.pageX,y:e.pageY});this._dropMark(e);if(e.dataTransfer){e.dataTransfer.effectAllowed="move";e.dataTransfer.setData("text",t[this._options.dataFields.id]?t[this._options.dataFields.id].toString():"")}else if(e.originalEvent&&e.originalEvent.dataTransfer){e.originalEvent.dataTransfer.effectAllowed="move";e.originalEvent.dataTransfer.setData("text",t[this._options.dataFields.id]?t[this._options.dataFields.id].toString():"")}this._dragDropService.setData(i)}}}else e.preventDefault()}_processDragStartDynamic(e,t,i){let s=this;s._dragDropService.clearData();if(s._isDragAllowed(t)){if(t)if(!s._isDragAllowed(t)){if(e.dataTransfer)e.dataTransfer.effectAllowed="none";else if(e.originalEvent&&e.originalEvent.dataTransfer)e.originalEvent.dataTransfer.effectAllowed="none"}else{let o={clone:null,source:null,sourceCtrl:s,sourceData:s.items};switch(s.selectionMode){case IntegralUISelectionMode.MultiSimple:case IntegralUISelectionMode.MultiExtended:o.clone=s._createCloneList(s._currentSelectedItems,!0);o.source=s._currentSelectedItems;break;default:o.clone=s._createCloneList([t],!0)[0];o.source=t}let l={action:e.shiftKey?"copy":"move",cancel:!1,dragObj:o.source,dropPos:-1,event:e,isDropAllowed:s._options.allowDrop,mousePos:s._commonService.getMousePos(e),sourceCtrl:o.sourceCtrl,targetCtrl:s,targetObj:null};s._invokeEvent("dragStart",l);if(!0===l.cancel){e.preventDefault();return}else{s._isAnimationInProcess=!0;s._isCtrlDragEntered=!0;s._isDragActive=!0;s._dragOverStarted=!1;s._isMouseEnterAllowed=!1;let l=s._getObjFromScrollItem(t);if(l){s._updateDragItemList(o);let t=s._commonService.getShiftPos(),a=s._commonService.getMousePos(e);a.x-=t.x;a.y-=t.y;s._dragElemPos.top=i.client.y;s._dragElemSize={width:i.page.width,height:i.page.height};s._dragItemObj=l;s._dragListStartPos.top=a.y-i.page.y;s._dragListStartPos.left=a.x-i.page.x;s._currentDragPos=s._commonService.getMousePos(e);s._prevDragPos=s._commonService.getMousePos(e);let n=Array.isArray(o.source)?o.source.length:1;s._currentDragItems=Math.min(s._maxDragItems,n);s._totalDragItems=n;s._dropPos=-1;s._dragMoveSpace=s._calcDragMoveSpace();s.update();s._updateDragListSize();s._dragListIndex=s._scrollItemList.indexOf(l);let c=s._scrollItemList.filter(e=>!s._isItemDragged(e.data));if(s._isGroupingEnabled)c=c.filter(e=>"group"===e.data.type&&!e.data.visibleOnDrag?!1:!0);let h={x:s._ctrlPadding.left,y:s._ctrlPadding.top};for(let e=0;e<c.length;e++){let t=c[e];if(e===s._dragListIndex)h.y+=s._currentItemSize.height;t.position={x:h.x,y:h.y};h.y+=s._currentItemSize.height}s._dragListIndex=-1;var r=document.createElement("span");r.id="drag-ghost";r.style.position="absolute";r.style.top="-1000px";document.body.appendChild(r);e.dataTransfer.setDragImage(r,0,0);r.remove()}s._addDropMark({x:e.pageX,y:e.pageY});s._dropMark(e);if(e.dataTransfer){e.dataTransfer.effectAllowed="move";e.dataTransfer.setData("text",t[s._options.dataFields.id]?t[s._options.dataFields.id].toString():"")}else if(e.originalEvent&&e.originalEvent.dataTransfer){e.originalEvent.dataTransfer.effectAllowed="move";e.originalEvent.dataTransfer.setData("text",t[s._options.dataFields.id]?t[s._options.dataFields.id].toString():"")}s._dragDropService.setData(o)}}}else e.preventDefault()}_preventDrop(e){if(e.dataTransfer)e.dataTransfer.dropEffect="none";else if(e.originalEvent&&e.originalEvent.dataTransfer)e.originalEvent.dataTransfer.dropEffect="none"}_processDragEnter(e){if(!this._options.allowDrop)this._preventDrop(e);if(this._currentDragDropMode===IntegralUIDragDropMode.Static)this._processDragEnterStatic(e);else this._processDragEnterDynamic(e)}_processDragEnterStatic(e){if(!this._isCtrlDragEntered){this._isCtrlDragEntered=!0;let t=this._dragDropService.getData(),i={action:e.shiftKey?"copy":"move",dragObj:t.source,dropPos:-1,event:e,isDropAllowed:this._options.allowDrop,mousePos:this._commonService.getMousePos(e),sourceCtrl:t.sourceCtrl,targetCtrl:this,targetObj:null};this._invokeEvent("dragEnter",i)}}_processDragEnterDynamic(e){e.preventDefault();if(this._options.allowDrop&&!this._isCtrlDragEntered){this._isCtrlDragEntered=!0;this._isDragActive=!0;this._dropPos=-1;this._dropMark(e);this._updateDragItemList();if(!this._dragItemObj){this._dragListStartPos.top=this._currentItemSize.height>0?this._currentItemSize.height/2:10;this._dragListStartPos.left=this._currentItemSize.width>0?this._currentItemSize.width/2:10;this._updateDragListPos(e);this.update()}let t=this._dragDropService.getData();this._dragDropService.setData({action:e.shiftKey?"copy":"move",clone:t.clone,dropPos:-1,source:t.source,sourceCtrl:t.sourceCtrl,sourceData:t.sourceData,target:null,targetCtrl:this});let i={action:e.shiftKey?"copy":"move",dragObj:t.source,dropPos:-1,event:e,isDropAllowed:this._options.allowDrop,mousePos:this._commonService.getMousePos(e),sourceCtrl:t.sourceCtrl,targetCtrl:this,targetObj:null};this._invokeEvent("dragEnter",i)}}_processDragLeave(e){if(this._currentDragDropMode===IntegralUIDragDropMode.Static)this._processDragLeaveStatic(e);else this._processDragLeaveDynamic(e)}_processDragLeaveStatic(e){if(this._isCtrlDragEntered){let t=this._commonService.getPageRect(this._elemRef),i=this._commonService.getMousePos(e),s=this._commonService.getShiftPos();i.x-=s.x;i.y-=s.y;if(i.x<t.left||i.x>t.right||i.y<t.top||i.y>t.bottom){this._isCtrlDragEntered=!1;this._stopScrollTimer();let t=this._dragDropService.getData(),i={action:e.shiftKey?"copy":"move",dragObj:t.source,dropPos:-1,event:e,isDropAllowed:!1,mousePos:this._commonService.getMousePos(e),sourceCtrl:t.sourceCtrl,targetCtrl:null,targetObj:null};this._invokeEvent("dragLeave",i)}this._dropMark(e)}}_processDragLeaveDynamic(e){if(this._isCtrlDragEntered){let t=this._commonService.getPageRect(this._elemRef),i=this._commonService.getMousePos(e),s=this._commonService.getShiftPos();i.x-=s.x;i.y-=s.y;if(i.x<=t.left||i.x>=t.right||i.y<=t.top||i.y>=t.bottom){this._isCtrlDragEntered=!1;this._dragListIndex=-1;this._dropPos=-1;this._resetDragListPos();this._updateScrollItemList();this.update();this._stopScrollTimer();let t=this._dragDropService.getData();this._dragDropService.setData({action:e.shiftKey?"copy":"move",clone:t.clone,dropPos:-1,source:t.source,sourceCtrl:t.sourceCtrl,sourceData:t.sourceData,target:null,targetCtrl:null});let i={action:e.shiftKey?"copy":"move",dragObj:t.source,dropPos:-1,event:e,isDropAllowed:!1,mousePos:this._commonService.getMousePos(e),sourceCtrl:t.sourceCtrl,targetCtrl:null,targetObj:null};this._invokeEvent("dragLeave",i)}}}_processDragOverStatic(e,t,i,s,r){e.preventDefault();this._processDragEnter(e);let o=!0;if(e.dataTransfer)o="none"===e.dataTransfer.effectAllowed?!1:!0;else if(e.originalEvent&&e.originalEvent.dataTransfer)o="none"===e.originalEvent.dataTransfer.effectAllowed?!1:!0;if(o){let l=this._dragDropService.getData(),a=this._commonService.getShiftPos();if(t){let n=this._commonService.getMousePos(e);n.x-=a.x;n.y-=a.y;let c=this._dragDropService.getDropPos(n,i,s,r);o=this._isDropAllowed(l.source,t,c);let h={action:e.shiftKey?"copy":"move",source:l.source,dropPos:c,allow:o,sourceCtrl:l.sourceCtrl,target:t,targetCtrl:this},d=this._callDragDropEvent(e,h);if(!o||!0===d.cancel){this._preventDrop(e);this._dropMark(e)}else{let i=this._commonService.getMousePos(e),s=i.y+16,a=i.x+20,n={"iui-dragwin-icon":!0},c="";switch(d.dropPos){case 0:c="iui-dragwin-move-in";break;case 1:if("horizontal"===r)c="iui-dragwin-move-left";else c="iui-dragwin-move-up";break;case 2:if("horizontal"===r)c="iui-dragwin-move-right";else c="iui-dragwin-move-down";break;default:c=""}if(""!==c){if("copy"===d.action)c+="-copy";n[c]=!0}this._updateDragComponent({class:n,top:s,left:a,text:t[this._options.dataFields.text]});this._dropMark(e,o);this._dragDropService.setData({action:d.action,clone:l.clone,source:l.source,sourceCtrl:l.sourceCtrl,sourceData:l.sourceData,target:t,targetCtrl:this,dropPos:d.dropPos})}}else if(!this._options.allowDrop){this._preventDrop(e);this._dropMark(e)}else{o=this._checkEmptySpace(e);let t={action:e.shiftKey?"copy":"move",source:l.source,dropPos:-1,allow:o,sourceCtrl:l.sourceCtrl,target:null,targetCtrl:this},i=this._callDragDropEvent(e,t);if(!o||!0===i.cancel){this._preventDrop(e);this._dropMark(e)}else{let t=this._commonService.getMousePos(e),s=t.y+16,r=t.x+20,a={"iui-dragwin-icon":!0,"iui-dragwin-move-end":!0};if("copy"===i.action)a["iui-dragwin-move-end-copy"]=!0;this._updateDragComponent({class:a,top:s,left:r,text:this.name?this.name:"Component"});this._dropMark(e,o);this._dragDropService.setData({action:i.action,clone:l.clone,source:l.source,sourceCtrl:l.sourceCtrl,sourceData:l.sourceData,target:null,targetCtrl:this,dropPos:i.dropPos})}}}}_processDragDropStatic(e,t){e.preventDefault();this._dropMark(e);let i=!0;if(e.dataTransfer)i="none"===e.dataTransfer.effectAllowed?!1:!0;else if(e.originalEvent&&e.originalEvent.dataTransfer)i="none"===e.originalEvent.dataTransfer.effectAllowed?!1:!0;let s=this._dragDropService.getData();if(i){if(t)i=this._isDropAllowed(s.source,t,s.dropPos);else i=this._checkEmptySpace(e);if(i&&s.source){let t={action:s.action,source:s.source,dropPos:s.dropPos,allow:i,sourceCtrl:s.sourceCtrl,target:s.target,targetCtrl:this},r=this._callDragDropEvent(e,t,!0);this._dragDropService.setData({action:r.action,clone:s.clone,dropPos:r.dropPos,source:s.source,sourceCtrl:s.sourceCtrl,sourceData:s.sourceData,target:s.target,targetCtrl:this});if(!r.cancel&&this._isProcessAllowed)this._drop(this._dragDropService.getData());else this._isDragActive=!1}else{this._isDragActive=!1;this._dragDropService.clearData()}}else{this._isDragActive=!1;this._dragDropService.clearData()}this._clearDragDropSettings();this.update()}_processDragOverDynamic(e){e.preventDefault();this._processDragEnter(e);let t=!0;if(e.dataTransfer)t="none"===e.dataTransfer.effectAllowed?!1:!0;else if(e.originalEvent&&e.originalEvent.dataTransfer)t="none"===e.originalEvent.dataTransfer.effectAllowed?!1:!0;if(t){let i=this._dragDropService.getData();this._isAnimationInProcess=!0;if(!this._dragOverStarted){this._dragItemList.forEach(e=>e.data[this._options.dataFields.expanded]=!1);let e=this._dragItemObj?this.getNextCurrentItem(this._dragItemObj.data):null;for(;e&&this._isItemDragged(e);)e=this.getNextCurrentItem(e);this._processUpdateCurrentLayout();if(this._dragItemObj&&this.isItemExpanded(this._dragItemObj.data))this.collapse(this._dragItemObj.data);this._scrollSizeAddition=0;if(i.sourceCtrl!==this)this._scrollSizeAddition=this._dragListSize.height;else if(this._dragItemObj&&this._dragItemObj.position.y+this._currentScrollPos.y+this._dragListSize.height<this._maxScrollPos.y)this._scrollSizeAddition=this._dragListSize.height;this._updateScrollSize();this._dragOverStarted=!0;this._updateScrollItemList(e);this.update();this._dragListIndex=-1}else{this._updateDragListPos(e);this._currentDragPos=this._commonService.getMousePos(e);let s=this._scrollItemList,r=this._getDragDropTarget(t),o=r.target?r.target.data:null;t=r.pass&&this._options.allowDrop;if(this._dragTargetIndex>=0&&this._dragTargetIndex<s.length)o=s[this._dragTargetIndex].data;if(0===this._dropPos)this._expandOnDelay(o);let l={action:e.shiftKey?"copy":"move",source:i.source,dropPos:o?this._dropPos:-1,allow:t,sourceCtrl:i.sourceCtrl,target:o,targetCtrl:this};this._isDragCopy=e.shiftKey?!0:!1;let a=this._callDragDropEvent(e,l);if(!t||!0===a.cancel)this._preventDrop(e);else{this._updateDragItemPos();this._dragDropService.setData({action:a.action,clone:i.clone,source:i.source,sourceCtrl:i.sourceCtrl,sourceData:i.sourceData,target:o,targetCtrl:this,dropPos:a.dropPos})}this._prevDragPos=this._commonService.getMousePos(e);this.update()}}}_resetDragListPos(){this._dragListPos={top:-9999999,left:0}}_updateDragListPos(e){let t=this._commonService.getShiftPos(),i=this._commonService.getMousePos(e);i.x-=t.x;i.y-=t.y;let s=this._commonService.getPageRect(this._elemRef);this._dragListPos.top=i.y-s.y-this._dragListStartPos.top;this._dragListPos.left=i.x-s.x-this._dragListStartPos.left}_getDragDropTarget(e){let t=null,i=this._dragDropService.getData();if(this._currentDragPos.y>this._prevDragPos.y)for(let s=this._scrollItemList.length-1;s>=0;s--){let r=this._scrollItemList[s];t=r.data;if(this._dragListPos.top+this._dragListSize.height>r.position.y+this._dragMoveSpace){this._dragListIndex=s+1;this._dropPos=2;if(e=this._isDropAllowed(i.source,t)){this._dragTargetIndex=s;break}}}else if(this._currentDragPos.y<this._prevDragPos.y)for(let s=0;s<this._scrollItemList.length;s++){let r=this._scrollItemList[s];t=r.data;if(this._dragListPos.top<r.position.y+r.size.height-this._dragMoveSpace){this._dragListIndex=s;this._dropPos=1;if(e=this._isDropAllowed(i.source,t)){this._dragTargetIndex=s;break}}}return{pass:e,target:t}}_updateDragItemPos(){if(this._dragListIndex>=0){let e={x:this._ctrlPadding.left,y:this._ctrlPadding.top},t=0;for(t=0;t<this._scrollItemList.length;t++){let i=this._scrollItemList[t];if(t===this._dragListIndex)e.y+=this._dragListSize.height;if(t===this._dragTargetIndex)this._updateDragIndent(this._dropPos>=0?i.indent:0);if(0===this._activeAnimations.filter(e=>e.isAnimated(i)).length)this._animateTarget(i,e);e.y+=this.isSeparator(i.data)?15:this._currentItemSize.height}}}_updateDragIndent(e){}_animateTarget(e,t){let i={top:e.position.y,left:e.position.x},s={top:t.y,left:t.x};if(s.top!==i.top||s.left!==i.left){let t=this._updateAnimationValues.bind(this),r=new IntegralUIAnimation(e);this._activeAnimations.push(r);r.animate({element:e,current:i,values:s},0,this._currentAnimationSpeedValue,t)}}_clearTargetAnimation(e){this._activeAnimations.filter(t=>t.isAnimated(e)).forEach(e=>{e.destroy();e=void 0});this._activeAnimations=this._activeAnimations.filter(t=>!t.isAnimated(e))}_updateAnimationValues(e,t,i){if(e.length>0){e.forEach(e=>{if(e.element){e.element.position={x:e.values.left,y:e.values.top};if(t){this._clearTargetAnimation(e.element);this._clearInactiveAnimations()}}});this.update()}}_updateDragListSize(){this._dragContentElem=this.shadowRoot.querySelector("#drag-content");if(this._dragContentElem)this._dragListSize={width:this._dragContentElem.offsetWidth,height:this._dragContentElem.offsetHeight}}_getDragItemExpandBoxStyle(e){return{}}_updateDragItemList(e){this._dragItemList.length=0;let t=e?e:this._dragDropService.getData();if(t.source){let e=Array.isArray(t.source)?t.source:[t.source];e.forEach(e=>{this._dragItemList.push({data:e,expanded:e[this._options.dataFields.expanded],indent:0,style:{expandBox:this._getDragItemExpandBoxStyle(e)}})});this._currentDragItems=Math.min(this._maxDragItems,e.length);this._totalDragItems=e.length;this.refresh();this._updateDragListSize()}}async _processDragDropDynamic(e){e.preventDefault();this._dragItemList.forEach(e=>e.data[this._options.dataFields.expanded]=e.expanded);this._updateCurrentLayout(!1);this._dropMark(e);this._dragItemList.length=0;this.update();let t=!0;if(e.dataTransfer)t="none"===e.dataTransfer.effectAllowed?!1:!0;else if(e.originalEvent&&e.originalEvent.dataTransfer)t="none"===e.originalEvent.dataTransfer.effectAllowed?!1:!0;let i=this._dragDropService.getData();if(t){if(i.target)t=this._isDropAllowed(i.source,i.target);if(t&&i.source){let s={action:i.action,source:i.source,dropPos:i.dropPos,allow:t,sourceCtrl:i.sourceCtrl,target:i.target,targetCtrl:this},r=this._callDragDropEvent(e,s,!0);this._dragDropService.setData({action:r.action,clone:i.clone,dropPos:r.dropPos,source:i.source,sourceCtrl:i.sourceCtrl,sourceData:i.sourceData,target:i.target,targetCtrl:this});if(!r.cancel&&this._isProcessAllowed)await this._drop(this._dragDropService.getData());else this._isDragActive=!1}else{this._isDragActive=!1;this._dragDropService.clearData()}}else{this._isDragActive=!1;this._dragDropService.clearData()}this._clearDragDropSettings();this.update();return Promise.resolve()}async _drop(e){if(this._currentDragDropMode===IntegralUIDragDropMode.Static)return this._dropStatic(e);else return this._dropDynamic(e)}async _dropDynamic(e){let t=this;return new Promise(i=>{let s=t.getTopItem(),r=t._getItemCurrentIndex(s),o=0;if(e&&e.sourceCtrl){let i="copy"===e.action&&e.clone?e.clone:e.source,l=-1;if(Array.isArray(i)){let s=[];i.forEach(e=>{if((l=t._getItemCurrentIndex(e))<r){o++;if(t._isGroupingEnabled){let i=t._getGroupFromItem(e);if(i&&!i.visibleOnDrag)o--}}s.push(e)});if(2===e.dropPos)s=s.toReversed();t._processDataDrop(s,e)}else{if((l=t._getItemCurrentIndex(i))<r){o=1;if(t._isGroupingEnabled){let e=t._getGroupFromItem(i);if(e&&!e.visibleOnDrag)o--}}t._processDataDrop([i],e)}t._isAnimationInProcess=!1;if(e.sourceCtrl!==e.targetCtrl){o=0;t._isDragActive=!1}o="copy"!==e.action?o:0;t.scrollTo(s,o);t._processUpdateLayout();t._clearAllSelection();t.refresh()}t._isAnimationInProcess=!1;setTimeout(function(){t._isCtrlDragEntered=!1;t._clearDragActive();t._clearExpandTimeout();t._dragDropService.clearData();i()},250)})}async _dropStatic(e){let t=this;return new Promise(i=>{if(e&&e.sourceCtrl){t.suspendLayout();let i="copy"===e.action&&e.clone?e.clone:e.source;if(Array.isArray(i)){let s=[];for(let e=0;e<i.length;e++)s.push(i[e]);if(2===e.dropPos)s=s.toReversed();t._processDataDrop(s,e)}else t._processDataDrop([i],e);if(e.sourceCtrl!==e.targetCtrl&&e.sourceCtrl.updateLayout)e.sourceCtrl.updateLayout();t.resumeLayout();t._clearAllSelection();t.refresh()}setTimeout(function(){t._isCtrlDragEntered=!1;t._clearDragActive();t._clearExpandTimeout();t._dragDropService.clearData();i()},250)})}async _processDataDrop(e,t){let i=this;return new Promise(s=>{let r=!0;if(i._currentDragDropMode===IntegralUIDragDropMode.Dynamic&&t.dropPos<0)if(t.target||i._currentList.length>0){r=!1;let e=i._commonService.getPageRect(i._elemRef),t=i._commonService.getShiftPos(),s=i._currentDragPos.y-t.y-e.top,o=i._scrollItemList[i._scrollItemList.length-1];if(o&&s>=o.position.y+o.size.height&&s<=e.height)r=!0}if(r){if("copy"!==t.action&&t.sourceCtrl&&t.sourceCtrl.removeItem)t.sourceCtrl.removeItem(e);if(i._isGroupingEnabled&&t.dropPos>0&&t.target){let s=t.target[i._options.dataFields.group];if("group"===t.target.type){let e=1===t.dropPos?i.getPrevObj(t.target,i._currentGroupList):t.target;s=e?e[i._options.dataFields.name]:void 0;if(e){let s=i._currentGroupBy?i._currentGroupBy:i._options.dataFields.group,r=i._fullList.filter(t=>t[s]===e[i._options.dataFields.name]&&i._isItemAllowed(t));if(r.length>0)if(1===t.dropPos){t.target=r[r.length-1];t.dropPos=2}else{t.target=r[0];t.dropPos=1}}else t.dropPos=-1}e.forEach(e=>e[i._options.dataFields.group]=s)}switch(t.dropPos){case 0:i.insertItemAt(e,i._currentDragDropMode===IntegralUIDragDropMode.Dynamic?0:-1,t.target);break;case 1:i.insertItemBefore(e,t.target);break;case 2:i.insertItemAfter(e,t.target);break;default:i.addItem(e)}}else s()})}_itemDragStart(e,t,i){if(this._isEnabled)if(this._currentDragDropMode===IntegralUIDragDropMode.Static)this._processDragStartStatic(e,t.data);else{let s=this._getItemElemList();if(s&&i>=0&&i<s.length){let r=this._commonService.getPageRect(s[i]),o={x:r.left,y:r.top,width:r.right-r.left,height:r.bottom-r.top},l={x:(r=this._commonService.getClientRect(this._elemRef,s[i])).left,y:r.top,width:r.right-r.left,height:r.bottom-r.top};this._processDragStartDynamic(e,t.data,{page:o,client:l})}}e.stopPropagation()}_itemDragOver(e,t,i,s){if(this._isEnabled&&this._currentDragDropMode===IntegralUIDragDropMode.Static&&this._options.allowDrop){let r=this._getItemElemList();if(r&&i>=0&&i<r.length){let o=this._commonService.getPageRect(r[i]),l={x:o.left,y:o.top,width:o.right-o.left,height:o.bottom-o.top};this._expandOnDelay(t.data);this._processScroll(e);if(!this._isScrollTimerActive)this._processDragOverStatic(e,t.data,l,s)}e.stopPropagation()}}_itemDragDrop(e,t){if(this._isEnabled&&this._currentDragDropMode===IntegralUIDragDropMode.Static){this._processDragDropStatic(e,t.data);e.stopPropagation()}}_itemDragEnd(e,t){let i=this._dragDropService.getData(),s={action:e.shiftKey?"copy":"move",dragObj:i.source,dropPos:i.dropPos,event:e,mousePos:this._commonService.getMousePos(e),sourceCtrl:i.sourceCtrl,targetCtrl:this,targetObj:i.target};this._invokeEvent("dragEnd",s);this.updateLayout();this._clearDragDropSettings();this._isAnimationInProcess=!1}_updateDropMark(e){let t=this._commonService.getMousePos(e),i=t.y+16,s=t.x-8,r=this._dragItemObj.data[this._options.dataFields.text];this._updateDragComponent({num:this._totalDragItems,top:i,left:s,text:r});this._dropMark(e,!0,!0)}_windowDragOver(e){if(this._currentDragDropMode===IntegralUIDragDropMode.Dynamic&&this._isDragActive&&this._dragItemObj){let t=this._commonService.getPageRect(this._elemRef),i=this._commonService.getMousePos(e),s=this._commonService.getShiftPos();i.x-=s.x;i.y-=s.y;if(i.x<t.left||i.x>t.right||i.y<t.top||i.y>t.bottom){if(this._dragDropService.getData().targetCtrl)this._dropMark(e);else this._updateDropMark(e)}else this._dropMark(e)}}exportToJSON(e,t,i,s){i=i?i:null;e=e?e:this.items;let r=t?t:[this._options.dataFields.allowDrag,this._options.dataFields.allowDrop,this._options.dataFields.allowEdit,this._options.dataFields.allowFocus,this._options.dataFields.autoCheck,this._options.dataFields.canSelect,this._options.dataFields.checkBoxSettings,this._options.dataFields.checked,this._options.dataFields.checkState,this._options.dataFields.childCount,this._options.dataFields.content,this._options.dataFields.contentVisibility,this._options.dataFields.contextMenu,this._options.dataFields.enabled,this._options.dataFields.fixed,this._options.dataFields.fixChildren,this._options.dataFields.group,this._options.dataFields.hasChildren,this._options.dataFields.icon,this._options.dataFields.id,this._options.dataFields.name,this._options.dataFields.radioGroup,this._options.dataFields.selected,this._options.dataFields.showCheckBox,this._options.dataFields.statusIcon,this._options.dataFields.style,this._options.dataFields.templateObj,this._options.dataFields.text,this._options.dataFields.tooltip,this._options.dataFields.value,this._options.dataFields.visible];return JSON.stringify(e,r,i)}filter(e){this._filterParams=e;this._processUpdateLayout();this._invokeEvent("filtered")}_clearHoverItem(){let e=this;if(e._hoverItem){let t=setTimeout(function(){let i=e._getObjFromScrollItem(e._hoverItem);e._hoverItem=null;e._updateItemStyle(i);clearTimeout(t)},25)}}cloneItem(e){return this._dataService.clone(e)}_createCloneList(e,t){let i=[];e.map(e=>{let s=this.cloneItem(e);if(t)delete s[this._options.dataFields.selected];i.push(s)});return i}_getFilterTree(e){return e?this._filterService.createTree(e.conditions,e.formula):null}_getGroupFromItem(e){let t=this,i=t._currentGroupBy?t._currentGroupBy:t._options.dataFields.group,s=t._currentGroupList.filter(s=>t._isGroupAllowed(s)&&s[t._options.dataFields.name]===e[i]);return s.length>0?s[0]:null}_getObjFromItem(e){return this._getObjFromList(e,this._currentList)}_getObjFromList(e,t){let i=t.filter(t=>e&&t.data===e);return i.length>0?i[0]:null}_getObjFromScrollItem(e){return this._getObjFromList(e,this._scrollItemList)}_getItemCurrentIndex(e){let t=this._getObjFromItem(e);return e&&t&&this._currentList?this._currentList.indexOf(t):-1}_getItemScrollIndex(e){return e&&this._scrollItemList?this._scrollItemList.indexOf(e):-1}_getItemElem(e){let t=this._getObjFromScrollItem(e);if(t){let e=this._getItemElemList(),i=this._getItemScrollIndex(t);if(i>=0&&i<e.length)return e[i]}return null}_getItemContentElem(e){let t=this._getObjFromScrollItem(e);if(t){let e=this._getItemContentElemList(),i=this._getItemScrollIndex(t);if(i>=0&&i<e.length)return e[i]}return null}_getItemElemList(){return this._itemElems?this._itemElems:null}_getItemContentElemList(){return this._itemContentElems?this._itemContentElems:null}getHoverItem(){return this._hoverItem}getList(e,t){let i=[];switch(e){case"current":i=this._currentList;break;case"selected":i=this._currentSelectedItems;break;case"virtual":i=this._scrollItemList?this._scrollItemList.map(e=>e.data):[];break;default:i=this._dataService.getList(t)}return i}getFullList(){return this._fullList}_updateCurrentList(){}updateFullList(){this._fullList=[...this._dataService.getList()];this._fullList=this._applySorting(this._fullList);return this._fullList}getTopItem(){return!1!==this.virtualMode?this._scrollItemList.length>0?this._scrollItemList[0].data:null:null}_isChildOf(e,t){return!1}_isThereNoSelectTemplate(e){return this.contentVisibility===IntegralUIContentVisibility.Both&&(!this._isSelectedTemplatePresent||!e[this._options.dataFields.selected])}_isThereHoverTemplate(e){return this._isThereNoSelectTemplate(e)||this.contentVisibility===IntegralUIContentVisibility.Hover}_checkItemHoverVisibility(e){return void 0===e[this._options.dataFields.contentVisibility]||e[this._options.dataFields.contentVisibility]===IntegralUIContentVisibility.Hover||e[this._options.dataFields.contentVisibility]===IntegralUIContentVisibility.Both}_isContentAllowed(e,t){let i=this.contentVisibility===IntegralUIContentVisibility.Both;switch(t){case"hover":i=this._isThereHoverTemplate(e)&&this._checkItemHoverVisibility(e);break;case"select":{let t=i||this.contentVisibility===IntegralUIContentVisibility.Select,s=void 0===e[this._options.dataFields.contentVisibility]||e[this._options.dataFields.contentVisibility]===IntegralUIContentVisibility.Select||e[this._options.dataFields.contentVisibility]===IntegralUIContentVisibility.Both;i=t&&s}break;default:i=this.contentVisibility===IntegralUIContentVisibility.Both}return i}_isGroupAllowed(e){return!1===e[this._options.dataFields.visible]?!1:!0}_isIndexInRange(e){return this._currentList?e>=0&&e<this._currentList.length:!1}_isItemAllowed(e){if(!1===e[this._options.dataFields.visible])return!1;else if(!1===this._options.allowFilter)return!0;let t=!0;if(e&&this._filterParams){let i=e[this._options.dataFields.value];i=void 0!==i?i:e[this._options.dataFields.text];if(this._filterParams.callback)t=this._filterParams.callback(i,e);else if(!(t=this._filterService.match(i,this._filterParams.conditions,this._filterParams.caseSensitive,this._filterParams.formula,this._getFilterTree(this._filterParams)))&&this._filterParams.allowParent)t=this._filterIsThereChildren(e)}return t}isSeparator(e){return!1}_filterIsThereChildren(e){let t=!1,i=e[this._options.dataFields.items];if(i)for(let e=0;e<i.length&&!(t=this._isItemAllowed(i[e]));e++);return t}_isItemDragged(e){if(e){return this._dragItemList.filter(t=>t.data===e).length>0}return!1}_isItemEnabled(e){return this._isEnabled&&e&&this._commonService.isTrue(e[this._options.dataFields.enabled])}isItemExpanded(e){return e?e[this._options.dataFields.expanded]||void 0===e[this._options.dataFields.expanded]?!0:!1:!0}_isItemHovered(e){return!this._isDragActive&&!this._isScrollTimerActive&&e&&e===this._hoverItem?!0:!1}_isItemSelected(e){return e&&!0===e[this._options.dataFields.selected]?!0:!1}_isParentOf(e,t){return!1}_updateItemList(){}beginLoad(e){this._isLoading=!0;this.update();let t=this.shadowRoot.querySelector(".iui-loading-icon");if(t)this._loadIconPos={top:(this._clientRect.height-t.offsetHeight)/2,left:(this._clientRect.width-t.offsetWidth)/2}}endLoad(e){let t=this;t._isLoading=!1;t._isLoadingEnd=!0;t.update();t._loadingEndTimeout=setTimeout(function(){t._isLoadingEnd=!1;t.update();clearTimeout(t._loadingEndTimeout)},400)}_getLastItemIndex(){return this._fullList.length-1}getPrevCurrentItem(e){let t=null;if(e){let i=this._currentList,s=this._getItemCurrentIndex(e);if((s=s>0?s-1:-1)>=0)t=i[s].data}return t}getPrevItem(e){return this.getPrevObj(e,this._fullList)}getPrevObj(e,t){let i=null;if(e){let s=t.filter(e=>!1!==e.visibleOnDrag).indexOf(e);if((s=s>0?s-1:-1)>=0)i=t[s]}return i}getNextCurrentItem(e){let t=null;if(e){let i=this._currentList,s=this._getItemCurrentIndex(e);if((s=s>=0&&s<i.length-1?s+1:-1)>=0)t=i[s].data}return t}getNextItem(e){return this.getNextObj(e,this._fullList)}getNextObj(e,t){let i=null;if(e){let s=t.indexOf(e);if((s=s<t.length-1?s+1:-1)>=0)i=t[s]}return i}async moveItem(e,t,i,s){if(e){let r=-1;switch(t){case IntegralUIMoveDirection.At:r=s;break;case IntegralUIMoveDirection.Down:i=this.getNextItem(e);break;case IntegralUIMoveDirection.First:r=0;break;case IntegralUIMoveDirection.Last:if(this._fullList.length>0)i=this._fullList[this._fullList.length-1];break;case IntegralUIMoveDirection.Up:i=this.getPrevItem(e);break;default:r=-1}let o=Array.isArray(e)?e:[e];await this._moveItemAt(o,i,t,r)}return Promise.resolve()}async _moveItemAt(e,t,i,s){let r=this;if(!t)if(i===IntegralUIMoveDirection.Before||i===IntegralUIMoveDirection.Up)return Promise.resolve();else if(i===IntegralUIMoveDirection.After||i===IntegralUIMoveDirection.Down||i===IntegralUIMoveDirection.Last)return Promise.resolve();r._isUpdateAllowed=!1;let o=e.filter(e=>r._fullList.indexOf(e)>=0);if(r._getItemCurrentIndex(o[0])>r._getItemCurrentIndex(o[o.length-1]))o=o.toReversed();for(let e=0;e<o.length;e++){let l=o[e];await r.removeItem(l);if(i===IntegralUIMoveDirection.First||i===IntegralUIMoveDirection.Right||i===IntegralUIMoveDirection.At)await this.insertItemAt(l,s,t);else if(i===IntegralUIMoveDirection.Before||i===IntegralUIMoveDirection.Up)await this.insertItemBefore(l,t);else if(i===IntegralUIMoveDirection.After||i===IntegralUIMoveDirection.Left||i===IntegralUIMoveDirection.Down||i===IntegralUIMoveDirection.Last)await this.insertItemAfter(l,t)}r._isUpdateAllowed=!0;r._internalUpdateLayout();r._invokeEvent("itemMoved",{item:o});return Promise.resolve()}_getSelectBlockRect(e){let t={left:0,top:"-9999999px",height:0,width:0};if(e<this._blockSelectRect.length)t={left:this._blockSelectRect[e].left+"px",top:this._blockSelectRect[e].top+"px",height:this._blockSelectRect[e].height+"px",width:this._blockSelectRect[e].width+"px"};return t}_hoverBlockMouseMove(e){if(this._isEnabled&&!this._isScrollActive&&!this._hoverItem)this._itemMouseEnter(e,this._hoverItemObj)}_hoverBlockMouseLeave(e){if(this._isEnabled&&!this._isScrollActive)this._itemMouseLeave(e,this._hoverItemObj)}_itemMouseEnter(e,t){if(this._isEnabled&&!this._isDragActive&&!this._isScrollActive&&!this.isSeparator(t.data)){this._hoverItem=t.data;this._hoverItemObj=t;this._updateItemStyle(t);this.update();this._invokeEvent("itemHover",{item:t.data})}}_itemMouseMove(e,t){if(this._isEnabled&&!this._isDragActive&&!this._isScrollActive){this._hoverItem=t.data;this._updateItemStyle(t);let e=this._getItemScrollIndex(t),i=this._getItemElemList();if(i&&e>=0&&e<i.length){let t=this._commonService.getPageRect(this._elemRef),s=this._commonService.getPageRect(i[e]);this._blockHoverRect.top=s.top-t.top-1;this._blockHoverRect.width=this._clientRect.width-2;if(this.isVerScrollVisible()){this._blockHoverRect.width-=16;if(this._currentScrollAppearance===IntegralUIComponentAppearance.Dynamic)this._blockHoverRect.width+=7}this.update()}this._invokeEvent("itemHover",{item:t.data})}}_itemMouseLeave(e,t){if(this._isEnabled&&!this._isScrollActive){this._hoverItem=null;this._updateItemStyle(t);this.update()}}_itemGotFocus(e){if(this._isEnabled&&!this._isScrollActive)this.focusedItem=e.data}_itemLostFocus(e){this.focusedItem=null;this.refresh()}_itemKeyDown(e,t){if(this._isEnabled){let i={cancel:!1,item:t.data,event:e};this._invokeEvent("keyDown",i);switch(e.keyCode){case 9:break;case 13:this._invokeEvent("beforeEdit",i);break;case 27:break;case 33:if(!i.cancel&&this._options.allowFocus){e.preventDefault();this._isKeyboardActive=!0;this._processPageUpKey(t)}break;case 34:if(!i.cancel&&this._options.allowFocus){e.preventDefault();this._isKeyboardActive=!0;this._processPageDownKey(t)}break;case 35:if(!i.cancel&&this._options.allowFocus){e.preventDefault();this._isKeyboardActive=!0;this._processEndKey(t)}break;case 36:if(!i.cancel&&this._options.allowFocus){e.preventDefault();this._isKeyboardActive=!0;this._processHomeKey(t)}break;case 37:if(!i.cancel&&this._options.allowFocus){e.preventDefault();this._isKeyboardActive=!0;this._processLeftArrowKey(t)}break;case 32:break;case 38:if(!i.cancel&&this._options.allowFocus){e.preventDefault();this._isKeyboardActive=!0;this._processUpArrowKey(t)}break;case 39:if(!i.cancel&&this._options.allowFocus){e.preventDefault();this._isKeyboardActive=!0;this._processRightArrowKey(t)}break;case 40:if(!i.cancel&&this._options.allowFocus){e.preventDefault();this._isKeyboardActive=!0;this._processDownArrowKey(t)}break;default:this._defaultFunc()}}}_itemKeyPress(e,t){if(this._isEnabled){let i={cancel:!1,item:t.data,event:e};this._invokeEvent("keyPress",i)}}_itemKeyUp(e,t){if(this._isEnabled){let i={cancel:!1,item:t.data,event:e};this._invokeEvent("keyUp",i)}}_refreshFocusedItem(e){let t=this;setTimeout(function(){t._currentFocusObj=e;t._updateFocusItem();t.refresh()},1)}_updateFocusItem(){if(this._options.allowFocus&&this._currentFocusObj){let e=this._getItemContentElem(this._currentFocusObj.data);if(e)e.focus()}}_processDownArrowKey(e,t){let i=this._getDownItem(e);if(i){let e=this,s=setTimeout(function(){e._processSelection(t,i.data);clearTimeout(s)},1);if(this._isLastItem(i))this.scrollPos({x:this._currentScrollPos.x,y:this._currentScrollPos.y+2*this._avgItemHeight});this.focusedItem=i.data;this.refresh()}return i}_processEndKey(e,t){let i=null;if(this._scrollItemList.length>0){this.scrollPos({x:this._currentScrollPos.x,y:this._maxScrollPos.y});let e=this;setTimeout(function(){i=e._scrollItemList[e._scrollItemList.length-1];e.focusedItem=i.data;let s=setTimeout(function(){e._processSelection(t,i.data);clearTimeout(s)},1)},1)}return i}_processHomeKey(e,t){let i=null;if(this._scrollItemList.length>0){this.scrollPos({x:this._currentScrollPos.x,y:0});let e=this;setTimeout(function(){i=e._scrollItemList[0];e.focusedItem=i.data;let s=setTimeout(function(){e._processSelection(t,i.data);clearTimeout(s)},1)},1)}return i}_processLeftArrowKey(e,t){return null}_processPageDownKey(e,t){let i=null;if(this._scrollItemList.length>0){this.scrollPos({x:this._currentScrollPos.x,y:this._currentScrollPos.y+this._avgItemHeight*(this._scrollItemList.length-1)});let s=this;setTimeout(function(){let r=e.index>=0&&e.index<s._scrollItemList.length?e.index:s._scrollItemList.length-1;if(s._currentScrollPos.y===s._maxScrollPos.y)r=s._scrollItemList.length-1;i=s._scrollItemList[r];s.focusedItem=i.data;let o=setTimeout(function(){s._processSelection(t,i.data);clearTimeout(o)},1)},1)}return i}_processPageUpKey(e,t){let i=null;if(this._scrollItemList.length>0){this.scrollPos({x:this._currentScrollPos.x,y:this._currentScrollPos.y-this._avgItemHeight*(this._scrollItemList.length-1)});let s=this;setTimeout(function(){let r=e.index>=0&&e.index<s._scrollItemList.length?e.index:0;if(0===s._currentScrollPos.y)r=0;i=s._scrollItemList[r];s.focusedItem=i.data;let o=setTimeout(function(){s._processSelection(t,i.data);clearTimeout(o)},1)},1)}return i}_processRightArrowKey(e,t){return null}_processUpArrowKey(e,t){let i=this._getUpItem(e);if(i){let e=this,s=setTimeout(function(){e._processSelection(t,i.data);clearTimeout(s)},1);if(this._isFirstItem(i))this.scrollPos({x:this._currentScrollPos.x,y:this._currentScrollPos.y-this._avgItemHeight});this.focusedItem=i.data;this.refresh()}return i}_getDownItem(e){let t=e.index>=0&&e.index<this._scrollItemList.length-1?e.index+1:-1;return t>=0?this._scrollItemList[t]:null}_getUpItem(e){let t=e.index>0?e.index-1:-1;return t>=0?this._scrollItemList[t]:null}_isFirstItem(e){return 0===e.index?!0:!1}_isLastItem(e){return e.index===this._scrollItemList.length-2?!0:!1}moveFocus(e,t){if(!this._options.allowFocus)return null;let i=null,s=this._getObjFromScrollItem(e);if(s)switch(t){case"down":i=this._processDownArrowKey(s);break;case"end":i=this._processEndKey(s);break;case"home":i=this._processHomeKey(s);break;case"left":i=this._processLeftArrowKey(s);break;case"pagedown":i=this._processPageDownKey(s);break;case"pageup":i=this._processPageUpKey(s);break;case"right":i=this._processRightArrowKey(s);break;case"up":i=this._processUpArrowKey(s);break;default:this._defaultFunc()}return i?i.data:null}_windowKeyDown(e){if(this._isEnabled&&this._isKeyboardActive)e.preventDefault()}_windowKeyUp(e){this._isKeyboardActive=!1}_checkForSelectionChange(){if(this._currentSelectedItems.length>0){let e=this.getFullList(),t=[];this._currentSelectedItems.forEach(i=>{if(0===e.filter(e=>this._commonService.isEqual(e[this._options.dataFields.id],i[this._options.dataFields.id])).length)t.push(i)});if(t.length>0){let e=[];t.forEach(t=>{t[this._options.dataFields.selected]=!1;e.push(this._currentSelectedItems.indexOf(t))});if(this._currentSelection&&t.filter(e=>this._commonService.isEqual(this._currentSelection[this._options.dataFields.id],e[this._options.dataFields.id])).length>0)this._currentSelection=null;for(let t=e.length-1;t>=0;t--)this._currentSelectedItems.splice(e[t],1);this._invokeEvent("selectionChanged",{item:this._currentSelection})}}}_getContentSize(){return{width:0,height:0}}_internalUpdateCurrentLayout(){let e=this;e._resetLayoutTimer();e._updateTimer=setTimeout(function(){if(e._updateTimer)e._processUpdateCurrentLayout();e._resetLayoutTimer()},100)}_processUpdateCurrentLayout(){let e=this;return new Promise(t=>{if(e._isAnimationAllowed||e._isUpdateAllowed){let t=e._currentFocusObj?e._currentFocusObj.data:null;e._currentCtrlSize={width:e._clientRect.width,height:e._clientRect.height};e._updateClientRect();e._updateCurrentList();e.updateFullList();e._updateScrollItemList();e.update();e._updateScrollSize();e._updateBlockSize();e._updateItemElems();e._updateCurrentItemSize();e._updateVisibleRange();e._updateScrollItemList();e._currentItemSize.width=e._contentSize.width;if(e._isAutoSized){e._clientRect.height=e._visibleRange*e._avgItemHeight;e._updateCtrlSize(10)}if(t)e.focusedItem=t;e.update();e._updateItemElems()}t()})}_updateBlockSize(){this._blockSize={width:0,height:0}}_resetAnimationCheckTimer(){if(this._animationCheckTimer)clearInterval(this._animationCheckTimer);this._animationCheckTimer=null}_resetLayoutTimer(){if(this._updateTimer)clearTimeout(this._updateTimer);this._updateTimer=null}suspendLayout(){this._isUpdateAllowed=!1}async resumeLayout(){this._isUpdateAllowed=!0;return this.updateLayout()}_updateCheckState(){}_updateCurrentLayout(e){}_updateItemElems(){this._itemElems=this.shadowRoot.querySelectorAll("li[data-item]");this._itemContentElems=this.shadowRoot.querySelectorAll("div[data-item-content]")}_internalUpdateLayout(){let e=this;e._resetLayoutTimer();e._updateTimer=setTimeout(function(){if(e._updateTimer)e._processUpdateLayout();e._resetLayoutTimer()},100)}async updateLayout(e){let t=this,i=Promise.resolve();if(!t._animationCheckTimer)t._animationCheckTimer=setInterval(async function(){if(!t._isAnimationInProcess){t._resetAnimationCheckTimer();i=await t._processUpdateLayout()}},100);return i}_processUpdateLayout(){let e=this;e._ut();if(!e._tCmp)e._at();return new Promise(t=>{e._isUpdateActive=!0;if(e._isUpdateAllowed){let i=e._currentFocusObj?e._currentFocusObj.data:null;e._stackAdd.length=0;e._stackRemove.length=0;e._updateCurrentList();e.updateFullList();e._ctrlPadding=e._commonService.getPadding(e._elemRef);e._currentCtrlSize={width:e._clientRect.width,height:e._clientRect.height};e._updateClientRect();e._updateScrollItemList();e.update();setTimeout(function(){e._updateItemElems();e._updateVisibleRange();setTimeout(function(){e._updateItemElems();e._updateBlockSize();e._checkForSelectionChange();e._updateCurrentItemSize();e._updateCheckState();e._updateScrollSize();e._updateVisibleRange();e._updateScrollItemList();e.refresh();e._currentItemSize={width:e._contentSize.width,height:e._avgItemHeight};if(e._isAutoSized){e._clientRect.height=e._visibleRange*e._avgItemHeight;e._updateCtrlSize()}else e._currentCtrlSize={width:e._clientRect.width,height:e._clientRect.height};e._updateScrollItemPos();setTimeout(function(){e._updateBlockSize();if(i)e.focusedItem=i;e._isUpdateActive=!1;e._updateItemElems();e._updateHoverContentPos();e._updateSelectContentPos();e.refresh();e._invokeEvent("updateComplete");t()},1)},1)},1)}else t()})}_updateClientRect(){this._ctrlPadding=this._commonService.getPadding(this._elemRef);if(this._elemRef.clientWidth>0&&this._elemRef.clientHeight>0)this._clientRect={width:this._elemRef.clientWidth-(this._ctrlPadding.left+this._ctrlPadding.right),height:this._elemRef.clientHeight-(this._ctrlPadding.top+this._ctrlPadding.bottom)}}_updateCurrentItemSize(){let e=this;e._avgItemHeight=0;let t=e._getItemElemList();if(t&&t.length>0){let i=0;for(let e=0;e<t.length;e++)i+=t[e].offsetHeight;e._avgItemHeight=Math.floor(i/t.length)}e._currentItemSize.height=e._avgItemHeight}_updateScrollSize(){let e=this;e._contentSize={width:e._clientRect.width-2,height:e._clientRect.height-2};e._scrollSize={width:0,height:e._avgItemHeight*e._currentList.length-e._clientRect.height+e._avgItemHeight};if(e._isDragActive)e._scrollSize.height+=e._scrollSizeAddition;if(e.isVerScrollVisible()){e._contentSize.width-=16;if(e._currentScrollAppearance===IntegralUIComponentAppearance.Dynamic)e._contentSize.width+=5;if(e._scrollSize.width>0)e._scrollSize.width+=16}if(e.isHorScrollVisible())e._scrollSize.height+=16;e._scrollSize.width=Math.max(0,e._scrollSize.width);e._scrollSize.height=Math.max(0,e._scrollSize.height);e._maxScrollPos={x:e._scrollSize.width,y:e._scrollSize.height};if(e._currentScrollPos.x>e._maxScrollPos.x)e._changeHorizontalScrollPos(e._maxScrollPos.x);if(e._currentScrollPos.y>e._maxScrollPos.y)e._changeVerticalScrollPos(e._maxScrollPos.y);e._scrollBarSize={width:e.isVerScrollVisible()?e._clientRect.width-14:e._clientRect.width,height:e.isHorScrollVisible()?e._clientRect.height-14:e._clientRect.height};if(e._currentScrollAppearance===IntegralUIComponentAppearance.Static){e._scrollBarSize.width-=4;e._scrollBarSize.height-=4}else{if(e.isVerScrollVisible())e._scrollBarSize.height+=2;if(e.isHorScrollVisible())e._scrollBarSize.width+=2;if(e.isVerScrollVisible()&&e.isHorScrollVisible()){e._scrollBarSize.width+=5;e._scrollBarSize.height+=5}}e._scrollLargeChange={x:e._scrollBarSize.width,y:e._scrollBarSize.height};e._blockHoverRect={height:e._avgItemHeight-2,left:0,top:-9999999,width:e._clientRect.width-2};let t={height:e._avgItemHeight-2,left:0,top:-9999999,width:e._clientRect.width-2};if(e.isVerScrollVisible()){e._blockHoverRect.width-=16;t.width-=16;if(e._currentScrollAppearance===IntegralUIComponentAppearance.Dynamic){e._blockHoverRect.width+=7;t.width+=7}}e._blockSelectRect.forEach(e=>{e.width=t.width;e.height=t.height})}_updateHoverContentPos(){let e=this;e._blockHoverRect={height:e._avgItemHeight-2,left:0,top:-9999999,width:e._clientRect.width-2};if(e._hoverItem&&e._isHoverTemplatePresent){let t=e._getObjFromScrollItem(e._hoverItem),i=e._getItemScrollIndex(t),s=e._getItemElemList();if(s&&i>=0&&i<s.length){let t=e._commonService.getPageRect(e._elemRef),r=e._commonService.getPageRect(s[i]);e._blockHoverRect.top=r.top-t.top-1;if(e.isVerScrollVisible()){e._blockHoverRect.width-=16;if(e._currentScrollAppearance===IntegralUIComponentAppearance.Dynamic)e._blockHoverRect.width+=7}e.update()}}}_updateSelectContentPos(){let e=this;e._blockSelectRect.length=0;if(e._isSelectedTemplatePresent){let t=e._commonService.getPageRect(e._elemRef),i=e._getItemElemList();e._blockSelectHeight=e._avgItemHeight-2;e._currentSelectedItems.forEach(s=>{let r=e._getObjFromScrollItem(s),o=e._getItemScrollIndex(r),l={height:e._blockSelectHeight,left:0,top:-9999999,width:e._clientRect.width-2};if(e.isVerScrollVisible())l.width-=16;let a=e._commonService.getPageRect(i[o]);if(i&&o>=0&&o<i.length)l.top=a.top-t.top-1;else l.top=-9999999;e._blockSelectRect.push(l)})}}_updateVisibleRange(){if(this._isAutoSized)this._visibleRange=this._currentList.length;else{this._visibleRange=1;let e=this._getItemElemList();if(e&&e.length>0){let t=0;for(let i=0;i<e.length;i++)t+=e[i].offsetHeight;let i=Math.floor(t/e.length);if(i>0)this._visibleRange=Math.floor(this._clientRect.height/i)+1}}}updateView(){this._currentIndex=this._avgItemHeight>0?Math.floor(this._currentScrollPos.y/this._avgItemHeight):0;if(this._currentIndex!==this._prevIndex){this._updateScrollItemList();this._updateBlockSize();this._prevIndex=this._currentIndex;this.update();this._updateItemElems()}else this.update();this._updateHoverContentPos();this._updateSelectContentPos()}_updateCloneElemPos(e){if(1===e.which)if(this._cloneElem){this._cloneElem.style.top=e.pageY-this._cloneElemStartPos.y+"px";this._cloneElem.style.left=e.pageX-this._cloneElemStartPos.x+"px"}}_ctrlMouseEnter(e){if(this._isEnabled){if(1===e.which&&this._cloneElem)this._cloneElem.style.display="block";this.state|=IntegralUIObjectState.Hovered;if(this._currentScrollAppearance===IntegralUIComponentAppearance.Dynamic)this._isScrollVisible=!0}this._ctrlCursor="default";this.update()}_ctrlMouseLeave(e){if(this._isEnabled){if(1===e.which&&this._cloneElem)this._cloneElem.style.display="none";this.state&=~IntegralUIObjectState.Hovered;if(this._currentScrollAppearance===IntegralUIComponentAppearance.Dynamic){this._resetScrollAppearanceTimeout();this._isScrollVisible=this._isScrollActive?!0:!1}}this._blockHoverRect.top=-9999999;this.update();this._stopScrollTimer()}_onCtrlMouseMove(e){if(!this._hoverItem){this._blockHoverRect.top=-9999999;this.update()}}_itemMouseDown(e,t){if(this._isEnabled){this._isItemClicked=!0;if(this._options.allowFocus&&1===e.which)this.focusedItem=t.data;if("group"===t.data.type&&1===e.which)this.toggle(t.data);else this._processSelection(e,t.data);if(this._prevClickedObj)this._prevClickedObj.isClicked=!1;t.isClicked=!0;t.clickPos=this._commonService.getClientPos(e,this._elemRef);this._prevClickedObj=t}e.stopPropagation()}_itemMouseUp(e,t){if(this._isEnabled&&this._isItemClicked)this._updateSelection(e,t.data);this._isItemClicked=!1}_onScroll(e){if(e.target)if(!this.virtualMode)this.scrollPos({x:e.target.scrollLeft,y:e.target.scrollTop});else{e.target.scrollTop=0;e.target.scrollLeft=0}}scrollPos(e){if(e){this._currentScrollPos={x:Math.max(0,Math.min(e.x,this._maxScrollPos.x)),y:Math.max(0,Math.min(e.y,this._maxScrollPos.y))};this.updateView();this._invokeEvent("scrollPosChanged",{value:this._currentScrollPos,max:this._maxScrollPos})}return{x:Math.floor(this._currentScrollPos.x),y:Math.floor(this._currentScrollPos.y)}}_changeHorizontalScrollPos(e){this._currentScrollPos.x=Math.max(0,Math.min(e,this._maxScrollPos.x));if(this._currentScrollPos.x!==this._prevScrollPos.x){this._invokeEvent("scrollPosChanged",{value:this.scrollPos(),max:this._maxScrollPos});this._prevScrollPos.x=this._currentScrollPos.x;this.update()}}_changeVerticalScrollPos(e){this._currentScrollPos.y=Math.max(0,Math.min(e,this._maxScrollPos.y));if(this._currentScrollPos.y!==this._prevScrollPos.y){this.updateView();this._invokeEvent("scrollPosChanged",{value:this.scrollPos(),max:this._maxScrollPos});this._prevScrollPos.y=this._currentScrollPos.y}}_processMouseWheel(e,t){if(this._isEnabled){this._hoverItem=null;this._isMouseWheelActive=!0;let i=Math.max(-1,Math.min(1,e.wheelDelta||-e.detail)),s=5;switch(this._mouseWheelSpeed){case IntegralUISpeedMode.VerySlow:s=15;break;case IntegralUISpeedMode.Slow:s=9;break;case IntegralUISpeedMode.Fast:s=3;break;case IntegralUISpeedMode.VeryFast:s=1;break;default:s=5}e.preventDefault();if(this.isVerScrollVisible()){let e=Math.floor(this._clientRect.height/s);if(this._mouseWheelSpeed===IntegralUISpeedMode.VerySlow&&this._avgItemHeight>0)e=this._avgItemHeight;let t=this._currentScrollPos.y+e*i*-1;if(i>0&&t<=this._avgItemHeight)t=0;this._changeVerticalScrollPos(t)}else if(t&&this.isHorScrollVisible()){let e=Math.floor(this._clientRect.width/s),t=this._currentScrollPos.x+e*i*-1;this._changeHorizontalScrollPos(t)}e.stopPropagation();this._isMouseWheelActive=!1}}isVerScrollVisible(){return!this._isAutoSized&&this._options.showScroll.vertical&&this._scrollSize.height>0?!0:!1}isHorScrollVisible(){return this._options.showScroll.horizontal&&this._scrollSize.width>0?!0:!1}isScrolling(){return this._isScrollActive}_onVerticalScrollStart(e){this._hoverItem=null;this._isScrollActive=!0}_onVerticalScrollEnd(e){this._isScrollActive=!1;this._updateScrollAppearance(e.detail.event)}_onVerticalScrollChanged(e){if(!this._isMouseWheelActive)this._changeVerticalScrollPos(e.detail.value)}_onHorizontalScrollStart(e){this._hoverItem=null;this._isScrollActive=!0}_onHorizontalScrollEnd(e){this._isScrollActive=!1}_onHorizontalScrollChanged(e){this._currentScrollPos.x=e.detail.value;this._invokeEvent("scrollPosChanged",{value:this.scrollPos(),max:this._maxScrollPos});this.update()}_scrollMouseEnter(e){this._blockHoverRect.top=-9999999;this.update()}_processScroll(e){if(this.isVerScrollVisible()){let t=this._commonService.getShiftPos(),i=this._commonService.getMousePos(e);i.x-=t.x;i.y-=t.y;let s=this._commonService.getPageRect(this._elemRef),r=s.top+25,o=s.bottom-25;if(this.isHorScrollVisible())o-=16;if(this._currentDragDropMode===IntegralUIDragDropMode.Static)if(i.y<r&&this._currentScrollPos.y>0)this._startScrollTimer(!1);else if(i.y>o&&this._currentScrollPos.y<this._maxScrollPos.y)this._startScrollTimer(!0);else this._stopScrollTimer();else{let e=this._commonService.getPageRect(this._elemRef);if(e.y+this._dragListPos.top<r&&this._currentScrollPos.y>0)this._startScrollTimer(!1);else if(e.y+this._dragListPos.top+this._dragListSize.height>o&&this._currentScrollPos.y<this._maxScrollPos.y)this._startScrollTimer(!0);else this._stopScrollTimer()}}else this._stopScrollTimer()}_resetScrollAppearanceTimeout(){if(this._scrollAppearanceTimeout)clearTimeout(this._scrollAppearanceTimeout);this._scrollAppearanceTimeout=null}_startScrollTimer(e,t){let i=this;i._removeDropMark();if(!i._isScrollTimerActive){i._accelerator=.5;i._scrollCount=0;i._isScrollTimerActive=!0;let s=t?t:100;if(!i._scrollTimerID)i._scrollTimerID=setInterval(function(){i._scrollTimerElapsed(e)},s)}}_stopScrollTimer(){if(this._scrollTimerID){clearInterval(this._scrollTimerID);this._scrollTimerID=null}this._accelerator=.5;this._scrollCount=0;this._isScrollTimerActive=!1}_scrollTimerElapsed(e){let t=this._currentScrollPos;if(0===this._scrollCount)this._scrollCount=5;this._scrollCount+=5;this._accelerator+=.5;this._scrollCount+=Math.floor(this._accelerator);let i=this._scrollCount;if(e)if(this._currentScrollPos.y+i>this._maxScrollPos.y)this._currentScrollPos.y=this._maxScrollPos.y;else this._currentScrollPos.y+=i;else if(this._currentScrollPos.y-i<0)this._currentScrollPos.y=0;else this._currentScrollPos.y-=i;if(t.y<=0||this._currentScrollPos.y<t.y)this._stopScrollTimer();this.update()}scrollTo(e,t){if(!1!==this.virtualMode&&e){let i=this._getItemCurrentIndex(e);if(i>=0)this.scrollPos({x:this._currentScrollPos.x,y:void 0!==t?this._avgItemHeight*(i-t):this._avgItemHeight*(i+1-Math.floor(this._visibleRange/2))});this._processUpdateLayout()}}_updateScrollAppearance(e){let t=this;t._resetScrollAppearanceTimeout();t._scrollAppearanceTimeout=setTimeout(function(){let i=t._commonService.getPageRect(t._elemRef),s=t._commonService.getMousePos(e),r=t._commonService.getShiftPos();s.x-=r.x;s.y-=r.y;let o=s.x<i.left||s.x>i.right||s.y<i.top||s.y>i.bottom;t._isScrollVisible=o?!1:!0;t.update()},100)}findItemById(e){return this._dataService.findObjectById(e)}findItemByText(e){return this._dataService.findObjectByText(e)}_callAfterSelectEvent(e){let t={item:e};this._invokeEvent("afterSelect",t);this._invokeEvent("selectionChanged",t)}_clearAllSelection(){let e=this._fullList;if(e){e.forEach(e=>e[this._options.dataFields.selected]=!1);this._currentSelection=null;this._currentSelectedItems.length=0}}clearSelection(){this._clearPrevSelection();this._currentSelection=null;this._updateSelectContentPos();this.refresh()}_clearComponentSelection(){this._itemList.forEach(e=>e.state&=~IntegralUIObjectState.Selected)}_clearPrevSelection(e){for(let t=0;t<this._currentSelectedItems.length;t++)if(e&&!this._commonService.isEqual(this._currentSelectedItems[t][this._options.dataFields.id],e[this._options.dataFields.id]))this._currentSelectedItems[t][this._options.dataFields.selected]=!1;else if(!e)this._currentSelectedItems[t][this._options.dataFields.selected]=!1;this._currentSelectedItems.length=0;if(e&&this._isItemEnabled(e))this._currentSelectedItems.push(e)}_isItemInSelectionList(e){let t=!1,i=this._currentSelectedItems;if(e&&i)for(let s=0;s<i.length;s++)if(this._commonService.isEqual(i[s][this._options.dataFields.id],e[this._options.dataFields.id])){t=!0;break}return t}_isCtrlKeyPressed(e){return e&&(e.ctrlKey||e.metaKey)}_isShiftKeyPressed(e){return e&&e.shiftKey}_processSelection(e,t,i){let s=this,r=!0;if(t){if(s.selectionMode===IntegralUISelectionMode.None||"group"===t.type||!1===t[s._options.dataFields.canSelect])return;let o=s._currentSelectedItems.length>0;if(!s._isItemEnabled(t)){s._clearPrevSelection();s.refresh();if(o)this._invokeEvent("selectionChanged",{item:null})}else{let l=s._currentSelection,a=!0;if(l)a=this._isCtrlKeyPressed(e)||!this._commonService.isEqual(l[s._options.dataFields.id],t[s._options.dataFields.id])||!1===l[s._options.dataFields.selected];let n={cancel:!1,item:t};s._invokeEvent("beforeSelect",n);r=!0===n.cancel?!1:!0;if(!0!==n.cancel){let r=e&&(e.shiftKey||e.ctrlKey||e.metaKey)?!0:!1;if(a){if(s.selectionMode===IntegralUISelectionMode.MultiExtended)a=!s._isItemInSelectionList(t)||!r||this._isShiftKeyPressed(e);if(a)if(s.selectionMode===IntegralUISelectionMode.One)s._clearPrevSelection();else if(e&&e.shiftKey)s._clearPrevSelection();else if(!r&&s.selectionMode!==IntegralUISelectionMode.MultiSimple&&(1===s._currentSelectedItems.length||!s._isItemInSelectionList(t)))s._clearPrevSelection();s._currentSelection=t;if(e&&e.shiftKey&&s.selectionMode!==IntegralUISelectionMode.One){if(!s._shiftFirstSelectedItem)s._shiftFirstSelectedItem=l;let e=s._getItemCurrentIndex(s._shiftFirstSelectedItem),i=s._getItemCurrentIndex(t);if(e>i){let t=e;e=i;i=t}if(s._isIndexInRange(e)&&s._isIndexInRange(i))for(let t=e;t<=i;t++)if("group"!==s._currentList[t].data.type&&!1!==s._currentList[t].data[s._options.dataFields.canSelect]){s._currentList[t].data[s._options.dataFields.selected]=!0;s._currentSelectedItems.push(s._currentList[t].data)}}else if(r||s.selectionMode===IntegralUISelectionMode.MultiSimple){let e=null===t[s._options.dataFields.selected]||"undefined"===t[s._options.dataFields.selected]?!1:t[s._options.dataFields.selected];t[s._options.dataFields.selected]=!e;if(!t[s._options.dataFields.selected])s._currentSelectedItems=s._currentSelectedItems.filter(function(e){return e!==t});else if(!s._isItemInSelectionList(t))s._currentSelectedItems.push(t);s._shiftFirstSelectedItem=null}else{t[s._options.dataFields.selected]=!0;if(!s._isItemInSelectionList(t))s._currentSelectedItems.push(t);s._shiftFirstSelectedItem=null}s._callAfterSelectEvent(t);s.refresh()}else if(r||s.selectionMode===IntegralUISelectionMode.MultiSimple){let e=null===t[s._options.dataFields.selected]||"undefined"===t[s._options.dataFields.selected]?!1:t[s._options.dataFields.selected];if(i&&"undefined"!==i)e=i;t[s._options.dataFields.selected]=!e;if(!t[s._options.dataFields.selected])s._currentSelectedItems=s._currentSelectedItems.filter(function(e){return e!==t});else if(!s._isItemInSelectionList(t))s._currentSelectedItems.push(t);s._shiftFirstSelectedItem=null;s._callAfterSelectEvent(t);s.refresh()}else if(!r&&!(s.selectionMode&IntegralUISelectionMode.MultiSimple)&&(1===s._currentSelectedItems.length||!s._isItemInSelectionList(t))){s._shiftFirstSelectedItem=null;s._clearPrevSelection(t);s.refresh();if(a&&o)s._invokeEvent("selectionChanged",{item:null})}s._updateSelectContentPos()}}}return r}selectItems(e){if(e&&Array.isArray(e)){this._currentSelectedItems.map(e=>e[this._options.dataFields.selected]=!1);this._currentSelectedItems.length=0;for(let t=0;t<e.length;t++){e[t][this._options.dataFields.selected]=!0;this._currentSelectedItems.push(e[t])}if(e.length>0){this._currentSelection=e[e.length-1];this._callAfterSelectEvent(this._currentSelection)}else this._currentSelection=null;this.refresh()}}_updateSelection(e,t){let i=e&&(e.shiftKey||e.ctrlKey||e.metaKey)?!0:!1;if(this.selectionMode===IntegralUISelectionMode.MultiExtended&&!1!==t[this._options.dataFields.canSelect]&&this._currentSelectedItems.length>0&&!e.shiftKey&&!i&&1===e.which){let e=this._currentSelectedItems.length;this._clearPrevSelection();t[this._options.dataFields.selected]=!0;this._currentSelectedItems.push(t);this._updateSelectContentPos();if(e>1)this._callAfterSelectEvent(t);this.refresh()}}_applySorting(e){let t=this;if(Array.isArray(e))if(e=[...e])if(t._sortComparer)e.sort(t._sortComparer);else if(t._isSortingAllowed())e.sort(function(e,i){let s=null,r=null;if(!(s=e[t._options.dataFields.value]))s="group"===e.type?e[t._options.dataFields.name]:e[t._options.dataFields.text];if(t._commonService.isObject(s))s=s.value?s.value:s.text;if(!(r=i[t._options.dataFields.value]))r="group"===i.type?i[t._options.dataFields.name]:i[t._options.dataFields.text];if(t._commonService.isObject(r))r=r.value?r.value:r.text;s=void 0!==s?s:null;r=void 0!==r?r:null;switch(t._currentSorting){case IntegralUISortOrder.Ascending:if(s<r)return-1;else if(s>r)return 1;break;case IntegralUISortOrder.Descending:if(s>r)return-1;else if(s<r)return 1;break;default:return 0}return 0});return e}_isSortingAllowed(){return this._currentSorting===IntegralUISortOrder.Ascending||this._currentSorting===IntegralUISortOrder.Descending}sort(e,t){this._currentSorting=e;this._sortComparer=t?t:null;this._processUpdateLayout();this._invokeEvent("sorted")}_getDragListClass(){this._dragListClass={"iui-draglist":!0};if(this._isDragActive)this._dragListClass["iui-draglist-active"]=!0;return this._dragListClass}_getItemInlineStyle(e){return e?e.data[this._options.dataFields.style]||{}:{}}_getScrollCornerClass(){let e={};e[this._scrollCornerClassName]=!0;if(this._currentScrollAppearance===IntegralUIComponentAppearance.Dynamic)e[this._scrollCornerClassName+"-dynamic"]=!0;if(!this._isEnabled)e[this._scrollCornerClassName+"-disabled"]=!0;return e}refresh(){this._updateControlClass();this._scrollItemList.forEach(e=>this._updateItemStyle(e));this.update();this._updateReferences()}_updateItemStyle(e){if(e){e.style={expandBox:{},general:{},content:{}};e.inlineStyle=this._getItemInlineStyle(e);if("group"===e.data.type){e.style.general[this._groupClassName]=!0;e.style.general[this._options.currentStyle.group.general.normal]=!0;e.style.content[this._groupContentClassName]=!0;e.style.content[this._options.currentStyle.group.content.normal]=!0;if(!this._isItemEnabled(e.data)){e.style.general[this._options.currentStyle.group.general.disabled]=!0;e.style.content[this._options.currentStyle.group.content.disabled]=!0}if(this._options.allowFocus&&this._currentFocusObj&&e.data===this._currentFocusObj.data){e.style.general[this._options.currentStyle.group.general.focused]=!0;e.style.content[this._options.currentStyle.group.content.focused]=!0}e.style.expandBox[this._options.currentStyle.group.expandBox.general]=!0;if(!1!==e.data[this._options.dataFields.expanded])e.style.expandBox[this._options.currentStyle.group.expandBox.expanded]=!0;else e.style.expandBox[this._options.currentStyle.group.expandBox.collapsed]=!0}else{e.style.general[this._itemClassName]=!0;e.style.general[this._options.currentStyle.item.general.normal]=!0;e.style.content[this._itemContentClassName]=!0;e.style.content[this._options.currentStyle.item.content.normal]=!0;if(!this._isItemEnabled(e.data)){e.style.general[this._options.currentStyle.item.general.disabled]=!0;e.style.content[this._options.currentStyle.item.content.disabled]=!0}else if(this._isItemSelected(e.data)){e.style.general[this._options.currentStyle.item.general.selected]=!0;e.style.content[this._options.currentStyle.item.content.selected]=!0}else if(this._isItemHovered(e.data)){e.style.general[this._options.currentStyle.item.general.hovered]=!0;e.style.content[this._options.currentStyle.item.content.hovered]=!0}if(this._options.allowFocus&&this._currentFocusObj&&e.data===this._currentFocusObj.data){e.style.general[this._options.currentStyle.item.general.focused]=!0;e.style.content[this._options.currentStyle.item.content.focused]=!0}}let t=this._getObjFromItem(e.data);if(t){t.style=e.style;t.inlineStyle=e.inlineStyle}}}_getItemStyle(e){if(e)return{general:this._getItemGeneralStyle(e.general),content:this._getItemContentStyle(e.content)};else return this._getDefaultItemStyle()}_getItemGeneralStyle(e){if(this._commonService.isString(e))return e;else if(e)return{disabled:this._commonService.isFieldAvailable(e.disabled,this._itemClassName+"-disabled"),focused:this._commonService.isFieldAvailable(e.focused,this._itemClassName+"-focused"),normal:this._commonService.isFieldAvailable(e.normal,this._itemClassName),hovered:this._commonService.isFieldAvailable(e.hovered,this._itemClassName+"-hovered"),selected:this._commonService.isFieldAvailable(e.selected,this._itemClassName+"-selected")};else return this._getDefaultItemGeneralStyle()}_getItemContentStyle(e){if(this._commonService.isString(e))return e;else if(e)return{disabled:this._commonService.isFieldAvailable(e.disabled,this._itemContentClassName+"-disabled"),focused:this._commonService.isFieldAvailable(e.focused,this._itemContentClassName+"-focused"),normal:this._commonService.isFieldAvailable(e.normal,this._itemContentClassName),hovered:this._commonService.isFieldAvailable(e.hovered,this._itemContentClassName+"-hovered"),selected:this._commonService.isFieldAvailable(e.selected,this._itemContentClassName+"-selected")};else return this._getDefaultItemContentStyle()}_getDefaultListStyle(){return{general:this._getDefaultGeneralStyle(),group:this._getDefaultGroupStyle(),item:this._getDefaultItemStyle()}}_getDefaultGroupStyle(){return{expandBox:this._getDefaultGroupExpandBoxStyle(),general:this._getDefaultGroupGeneralStyle(),content:this._getDefaultGroupContentStyle()}}_getDefaultGroupExpandBoxStyle(){return{general:this._defaultStyle.group.expandBox.general,expanded:this._defaultStyle.group.expandBox.expanded,collapsed:this._defaultStyle.group.expandBox.collapsed}}_getDefaultGroupGeneralStyle(){return{disabled:this._defaultStyle.group.general.disabled,focused:this._defaultStyle.group.general.focused,normal:this._defaultStyle.group.general.normal,hovered:this._defaultStyle.group.general.hovered,selected:this._defaultStyle.group.general.selected}}_getDefaultGroupContentStyle(){return{disabled:this._defaultStyle.group.content.disabled,focused:this._defaultStyle.group.content.focused,normal:this._defaultStyle.group.content.normal,hovered:this._defaultStyle.group.content.hovered,selected:this._defaultStyle.group.content.selected}}_getDefaultItemStyle(){return{general:this._getDefaultItemGeneralStyle(),content:this._getDefaultItemContentStyle()}}_getDefaultItemGeneralStyle(){return{disabled:this._defaultStyle.item.general.disabled,focused:this._defaultStyle.item.general.focused,normal:this._defaultStyle.item.general.normal,hovered:this._defaultStyle.item.general.hovered,selected:this._defaultStyle.item.general.selected}}_getDefaultItemContentStyle(){return{disabled:this._defaultStyle.item.content.disabled,focused:this._defaultStyle.item.content.focused,normal:this._defaultStyle.item.content.normal,hovered:this._defaultStyle.item.content.hovered,selected:this._defaultStyle.item.content.selected}}_updateStyle(e){this._options.currentStyle=this._getDefaultListStyle()}_getItemTemplate(e,t){let i=null,s=null;if("group"===e.type)i=this.itemTemplate;else switch(t){case"hover":i=this.itemHoverTemplate;break;case"select":i=this.itemSelectTemplate;break;default:i=this.itemTemplate}if(i){let t=i(e,this._getItemCurrentIndex(e));if(t)s=new TemplateResult(t.strings,t.values,"html",defaultTemplateProcessor)}if(!s){let t={},i=this._commonService.isString(e[this._options.dataFields.icon])?e[this._options.dataFields.icon].split(" "):[];i.map(e=>t[e]=!0);let s="group"===e.type?e[this._options.dataFields.name]:e[this._options.dataFields.text];return html`                 ${i.length>0?html`<span class=${classMap(t)}></span>`:html``}                 ${e[this._options.dataFields.iconUrl]?html`<img style=${styleMap({verticalAlign:"middle"})} src="${e[this._options.dataFields.iconUrl]} />`:html``}                 <span class="iui-item-label">${s}</span>             `}return s}_itemTouchStart(e,t){if(this._isEnabled){if(this._options.allowFocus&&1===e.which)this.focusedItem=t.data;this._processSelection(e,t.data)}}_itemTouchMove(e,t){}_itemTouchEnd(e,t){}_ctrlTouchStart(e){e.preventDefault();if(this._isEnabled){let t=this._commonService.getTouchData(e);if(t&&t.length>0)this._touchStartPos={x:t[0].pageX,y:t[0].pageY}}}_ctrlTouchEnd(e){let t=this;if(t._isEnabled){let i=t._commonService.getTouchData(e);if(i&&i.length>0)t._touchEndPos={x:i[0].pageX,y:i[0].pageY};let s={dx:t._touchEndPos.x-t._touchStartPos.x,dy:t._touchEndPos.y-t._touchStartPos.y},r=!1,o=!1,l=t._touchStartPos,a={x:t._currentScrollPos.x,y:t._currentScrollPos.y},n=setInterval(function(){let e=t._currentScrollPos;if(s.dx<-20){l.x-=30;if(l.x>t._touchEndPos.x)e.x+=30;else{e.x=a.x-s.dx;r=!0}}else if(s.dx>20){l.x+=30;if(l.x<t._touchEndPos.x)e.x-=30;else{e.x=a.x-s.dx;r=!0}}else r=!0;if(s.dy<-20){l.y-=25;if(l.y>t._touchEndPos.y)e.y+=25;else{e.y=a.y-s.dy;o=!0}}else if(s.dy>20){l.y+=25;if(l.y<t._touchEndPos.y)e.y-=25;else{e.y=a.y-s.dy;o=!0}}else o=!0;t.scrollPos(e);if(r&&o)clearInterval(n)},5);t._touchStartPos=t._touchEndPos}}resolve(e){this._isProcessAllowed=!0;if(this._commonService.isString(e))switch(e.toLowerCase()){case"dragdrop":this._drop(this._dragDropService.getData());break;default:this._defaultFunc()}}}export default IntegralUIBaseList;