/*
  filename: integralui.contextmenu.js
  version : 23.4.0
  Copyright © 2016-2023 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{L as LitElement,c as css,T as TemplateResult,a as defaultTemplateProcessor,h as html}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import IntegralUIAnimation from"./integralui.animation.js";import IntegralUIBase,{IntegralUITComponent}from"./integralui.base.js";import IntegralUICommonService from"../services/integralui.common.service.js";import IntegralUIDataService from"../services/integralui.data.service.js";import{IntegralUIColorScheme,IntegralUIDirection,IntegralUITheme}from"./integralui.enums.js";import"./integralui.menuitem.js";import{iuiContextMenuDefaultStyle}from"../styles/default/integralui.contextmenu.style.js";import{iuiContextMenuOfficeStyle}from"../styles/themes/office/integralui.contextmenu.office.js";import{iuiContextMenuDarkStyle}from"../styles/color-schemes/dark/integralui.contextmenu.dark.js";import{iuiContextMenuLightStyle}from"../styles/color-schemes/light/integralui.contextmenu.light.js";export class IntegralUIContextMenuWindow extends LitElement{constructor(){super();this._commonService=new IntegralUICommonService;this._dataService=new IntegralUIDataService;this._activeAnimations=[];this._currentAnimationSpeedValue=250;this._isAnimationAllowed=!0;this._currentDataFields={};this._currentOptions={};this._fullList=[];this._menuItems=[];this._updateOptions();this._blockDisplay="none";this._blockElemWidth="0";this._blockElemHeight="0";this._blockOverflow="hidden";this._ctrlOpacity=0;this._currentResourcePath="../icons";this._menuActive=!0;this._currentActiveMenu=null;this._currentControlStyleSettings=iuiContextMenuDefaultStyle;this._currentCustomStyle=[];this._currentTheme=IntegralUITheme.None;this._currentThemeSettings=css``;this._ctrlClass={};this._generalClassName="iui-contextmenu";this._initTimout=null;this._updateDataFields();this._initStyle();this._updateData()}_initStyle(){this._defaultStyle={general:{disabled:this._generalClassName+"-disabled",focused:this._generalClassName+"-focused",normal:this._generalClassName,hovered:this._generalClassName+"-hovered",selected:this._generalClassName+"-selected"}};this._updateColorSchemeSettings(this._currentColorScheme);this.refresh();this._initFocus()}_initFocus(){let e=this;e._initTimout=setTimeout(function(){if(e._elemRef)e._elemRef.focus()},1)}connectedCallback(){super.connectedCallback()}disconnectedCallback(){super.disconnectedCallback();this._rt();this._clearAnimations();if(this._initTimout)clearTimeout(this._initTimout);this._initTimout=null}attributeChangedCallback(e,t,i){super.attributeChangedCallback(e,t,i)}static get properties(){return{allowAnimation:{type:Boolean,attribute:"allow-animation",reflect:!0},colorScheme:{converter:{fromAttribute:e=>{switch((e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"light":return IntegralUIColorScheme.Light;case"dark":return IntegralUIColorScheme.Dark;default:return IntegralUIColorScheme.None}},toAttribute:e=>{switch(e){case IntegralUIColorScheme.Light:return"Light";case IntegralUIColorScheme.Dark:return"Dark";default:return"None"}}},reflect:!0},customStyle:{type:Object,attribute:"custom-style"},dataFields:{type:Object,attribute:"data-fields"},options:{type:Object},resourcePath:{type:String,attribute:"resource-path",reflect:!0},theme:{converter:{fromAttribute:e=>{switch((e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"office":return IntegralUITheme.Office;case"dark":return IntegralUITheme.Dark;default:return IntegralUITheme.None}},toAttribute:e=>{switch(e){case IntegralUITheme.Office:return"Office";case IntegralUITheme.Dark:return"Dark";default:return"None"}}},reflect:!0}}}get allowAnimation(){return this._isAnimationAllowed}set allowAnimation(e){if(this._isAnimationAllowed!==e){const t=this._isAnimationAllowed;this._isAnimationAllowed=e;this.requestUpdate("allowAnimation",t)}}get colorScheme(){return this._currentColorScheme}set colorScheme(e){if(this._currentColorScheme!==e){const t=this._currentColorScheme;this._currentColorScheme=e;this._updateColorSchemeSettings(e);this.requestUpdate("colorScheme",t);this.refresh()}}get customStyle(){return this._currentCustomStyle}set customStyle(e){if(this._currentCustomStyle!==e){const t=this._currentCustomStyle;this._currentCustomStyle=e;this.requestUpdate("customStyle",t);this.refresh()}}get dataFields(){return this._currentDataFields}set dataFields(e){const t=this._currentDataFields;this._updateDataFields(e);this.requestUpdate("dataFields",t)}get options(){return this._currentOptions}set options(e){const t=this._currentOptions;this._updateOptions(e);this.refresh();this.requestUpdate("options",t)}get resourcePath(){return this._currentResourcePath}set resourcePath(e){if(this._currentResourcePath!==e){const t=this._currentResourcePath;this._currentResourcePath=e;this._updateColorSchemeSettings(this._currentColorScheme);this._updateControlStyleSettings(e);this.requestUpdate("resourcePath",t)}}get theme(){return this._currentTheme}set theme(e){if(this._currentTheme!==e){const t=this._currentTheme;this._currentTheme=e;this._updateThemeSettings(e);this.requestUpdate("theme",t)}}_animationCallback(e,t){if(e.length>0){let t=e[0].values;this._ctrlOpacity=t.opacity;this._currentOptions.position.y=t.top;this.update()}}_clearActiveAnimations(){this._activeAnimations.filter(e=>e.isActive()).forEach(e=>e.destroy())}_clearAnimations(){this._activeAnimations.forEach(e=>{e.destroy();e=void 0});this._activeAnimations.length=0}_addChildItems(e,t){let i=!0;if(!e[this._currentDataFields.items])return i=this._addItemToCurrentList(e,t);if(this._addItemToCurrentList(e,t)){i=!0;let t=e[this._currentDataFields.items];if(t)t.forEach(t=>this._addChildItems(t,e[this._currentDataFields.id]))}return i}_addItemToCurrentList(e,t){if(!e[this._currentDataFields.id])e[this._currentDataFields.id]=this._commonService.getUniqueId();if(t)e[this._currentDataFields.pid]=t;let i=this._isItemAllowed(e);if(i)this._fullList.push(e);return i}getFullList(){return this._fullList}_isItemAllowed(e){return!1===e[this._currentDataFields.visible]?!1:!0}_updateOptions(e){if(e){this._currentOptions={adjustment:this._commonService.isFieldAvailable(e.adjustment,{top:0,left:0}),autoClose:this._commonService.isFieldAvailable(e.autoClose,!0),direction:this._commonService.isFieldAvailable(e.direction,IntegralUIDirection.None),inverse:this._commonService.isFieldAvailable(e.inverse,!1),items:this._commonService.isFieldAvailable(e.items,[]),mode:this._commonService.isFieldAvailable(e.mode,"normal"),position:this._commonService.isFieldAvailable(e.position,{x:0,y:-9999999})};this._updateDataFields(e.dataFields)}else{this._currentOptions={adjustment:{top:0,left:0},autoClose:!0,direction:IntegralUIDirection.None,inverse:!1,items:[],mode:"normal",position:{x:0,y:-9999999}};this._updateDataFields()}this._updateData()}_updateData(){this._dataService.init([{data:this._currentOptions.items,fields:this._currentDataFields}]);this._updateFullList()}_updateDataFields(e){if(e)this._currentDataFields={allowCheckBox:e.allowCheckBox?e.allowCheckBox:"allowCheckBox",allowRadioButton:e.allowRadioButton?e.allowRadioButton:"allowRadioButton",checked:e.checked?e.checked:"checked",enabled:e.enabled?e.enabled:"enabled",expanded:e.expanded?e.expanded:"expanded",hasChildren:e.hasChildren?e.hasChildren:"hasChildren",icon:e.icon?e.icon:"icon",iconUrl:e.iconUrl?e.iconUrl:"iconUrl",id:e.id?e.id:"id",items:e.items?e.items:"items",objects:e.items?e.items:"items",pid:e.pid?e.pid:"pid",radioGroup:e.radioGroup?e.radioGroup:"radioGroup",shortcutKey:e.shortcutKey?e.shortcutKey:"shortcutKey",style:e.style?e.style:"style",text:e.text?e.text:"text",tooltip:e.tooltip?e.tooltip:"tooltip",value:e.value?e.value:"value",visible:e.visible?e.visible:"visible"};else this._currentDataFields={allowCheckBox:"allowCheckBox",allowRadioButton:"allowRadioButton",checked:"checked",enabled:"enabled",expanded:"expanded",hasChildren:"hasChildren",icon:"icon",iconUrl:"iconUrl",id:"id",items:"items",objects:"items",pid:"pid",radioGroup:"radioGroup",shortcutKey:"shortcutKey",style:"style",text:"text",tooltip:"tooltip",value:"value",visible:"visible"}}_updateFullList(){this._fullList.length=0;let e=this._dataService.getList();if(e)e.forEach(e=>this._addChildItems(e,null))}_invokeEvent(e,t,i,s){let n=new CustomEvent(e,{detail:t,bubbles:void 0!==i?i:!1,composed:void 0!==s?s:!1});this.dispatchEvent(n);return t}_onBlur(e){if(!1!==this.autoClose)this._invokeEvent("closed",{event:e})}_onRightClick(e){e.preventDefault()}_defaultFunc(){}invokeCtrlMethod(e,t){switch(e){case"MENU_CLICK":if(t.item&&"header"!==t.item.type&&"separator"!==t.item.type)this._invokeEvent("menuClick",{event:t.event,item:t.item});break;case"UPDATE_CHECKBOX":this._updateItemCheckBoxValue(t.event,t.item);break;case"UPDATE_RADIOBUTTON":this._updateItemRadioButtonValue(t.event,t.item);break;default:this._defaultFunc()}}_getActiveMenu(){return null}getItemParent(e){return this._dataService.getParent(e)}_isContextMenu(){return!0}_isMenuActive(){return this._menuActive}_setActiveMenu(e){}_getSize(){return{width:this._elemRef.offsetWidth,height:this._elemRef.offsetHeight}}_updateItemCheckBoxValue(e,t){if(t)this._invokeEvent("checkedChanged",{event:e,item:t,checked:t[this._currentDataFields.checked]})}_isItemRadioButtonAllowed(e){return e&&!0===e[this._currentDataFields.allowRadioButton]}_updateItemRadioButtonValue(e,t){let i=this;if(t){let s=i.getItemParent(t),n=s?s[i._currentDataFields.items]:i._currentOptions.items;(n=n.filter(e=>e[i._currentDataFields.radioGroup]===t[i._currentDataFields.radioGroup])).forEach(e=>{if(i._isItemRadioButtonAllowed(e)&&e!==t)e[i._currentDataFields.checked]=!1});i._invokeEvent("checkedChanged",{event:e,item:t,checked:t[i._currentDataFields.checked],radioGroup:t[i._currentDataFields.radioGroup]});if(i._menuItems)i._menuItems.forEach(e=>e.refresh())}}_adjustPosition(e,t,i,s,n){let r=this,o=r._commonService.getShiftPos();setTimeout(function(){let l=r._getSize(),a=i;if("manual"===t&&n){a.x=n.left+n.width+o.x+r._currentOptions.adjustment.left;a.y=n.bottom+o.y+4+r._currentOptions.adjustment.top;if(r._currentOptions.direction&IntegralUIDirection.Above)a.y-=l.height;if(r._currentOptions.inverse||r._currentOptions.direction&IntegralUIDirection.Left)a.x-=l.width}if(s)if(a.y+l.height>s.height){let e=a.y+l.height-s.height;a.y-=e}r._currentOptions.position=a;if(r._isAnimationAllowed){r._ctrlOpacity=0;let e=new IntegralUIAnimation,t=r._animationCallback.bind(r);r._activeAnimations.push(e);let i={opacity:0,top:r._currentOptions.position.y-10},s={opacity:1,top:r._currentOptions.position.y};e.animate({current:i,values:s},0,r._currentAnimationSpeedValue,t)}else{r._ctrlOpacity=1;r.update()}r._updateReferences();r._invokeEvent("menuOpened",{event:e})},10)}open(e,t,i,s,n){let r=this;r._clearActiveAnimations();if(r._currentOptions.items){r._blockDisplay="block";r._ut();if(!r._tCmp)r._at();r._adjustPosition(e,t,i,s,n)}}findItemById(e){return this._dataService.findObjectById(e)}findItemByText(e){return this._dataService.findObjectByText(e)}_getClassName(){return this._generalClassName}_getControlClass(){return this._ctrlClass}_updateControlClass(){this._ctrlClass={};this._ctrlClass["iui-contextmenu"]=!0}_updateColorSchemeSettings(e){this._currentColorSchemeSettings=css``;switch(e){case IntegralUIColorScheme.Dark:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiContextMenuDarkStyle.cssText,"../../../icons",this._currentResourcePath);break;case IntegralUIColorScheme.Light:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiContextMenuLightStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentColorSchemeSettings.cssText=""}}_updateThemeSettings(e){this._currentThemeSettings=css``;switch(e){case IntegralUITheme.Office:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiContextMenuOfficeStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentThemeSettings.cssText=""}}_getItemTemplate(e){let t=null;if(this.itemTemplate){let i=this.itemTemplate(e);if(i)t=new TemplateResult(i.strings,i.values,"html",defaultTemplateProcessor)}if(!t){let i={},s=this._commonService.isString(e.icon)?e.icon.split(" "):[];s.map(e=>i[e]=!0);let n=e[this._currentDataFields.iconUrl];t=html`                 ${s.length>0?html`<span class=${classMap(i)}></span>`:html``}                 ${n?html`<img style=${styleMap({verticalAlign:"middle"})} src="${n} />`:html``}                 <span class="iui-menuitem-label">${e.text}</span>             `}return t}firstUpdated(e){this._updateReferences()}refresh(){this._updateControlClass();this.update();if(this._menuItems)this._menuItems.forEach(e=>e.refresh())}render(){return html`             <style>                 ${this._currentControlStyleSettings}                 ${this._currentThemeSettings}                 ${this._currentColorSchemeSettings}                 ${this._currentCustomStyle}             </style>             <div data-ctrl="contextmenu-win" class=${classMap(this._getControlClass())} style=${styleMap({top:this._currentOptions.position.y+"px",left:this._currentOptions.position.x+"px",height:"auto",opacity:this._ctrlOpacity})} @blur="${e=>this._onBlur(e)}" @contextmenu="${e=>this._onRightClick(e)}" tabindex="999">                 <ul id="content">                     ${this._currentOptions.items.map(e=>html`                         <iui-menuitem .allowAnimation="${this.allowAnimation}" .colorScheme="${this._currentColorScheme}" .customStyle="${[this._currentControlStyleSettings,this._currentThemeSettings,this._currentCustomStyle]}" .data="${e}" .dataFields="${this._currentDataFields}" .items="${e[this._currentDataFields.items]}" .enabled="${e[this._currentDataFields.enabled]}" .icon="${e[this._currentDataFields.icon]}" .iconUrl="${e[this._currentDataFields.iconUrl]}" .level="0" .resourcePath="${this.resourcePath}" .text="${e[this._currentDataFields.text]}" .templateRef="${this._getItemTemplate(e)}" .theme="${this.theme}"></iui-menuitem>                     `)}                 </ul>             </div>         `}_updateControlStyleSettings(e){this._currentControlStyleSettings=css``;this._currentControlStyleSettings.cssText=this._commonService.replaceAll(iuiContextMenuDefaultStyle.cssText,"../../icons",e)}_updateReferences(){this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=contextmenu-win]");this._contentElem=this.shadowRoot.querySelector("#content");if(this._contentElem){this._menuItems=this._contentElem.querySelectorAll("iui-menuitem");if(this._menuItems)this._menuItems.forEach(e=>e.setParent(this))}}_at(){if(this._elemRef){this._tCmp=document.createElement("iui-tc",{is:IntegralUITComponent});if(this._tCmp){this._elemRef.appendChild(this._tCmp);this._ut()}}}_rt(){if(this._tCmp)this._tCmp.parentNode.removeChild(this._tCmp);this._tCmp=null}_ut(){this._tCmp=this._elemRef?this._elemRef.querySelector("iui-tc"):null}};window.customElements.define("iui-contextmenu-win",IntegralUIContextMenuWindow);class IntegralUIContextMenu extends IntegralUIBase{constructor(){super();this._currentSettings=null;this._winScrollPos={top:0,left:0};this._cmpRef=null;this._cmp=null;this._currentThemeSettings=css``}connectedCallback(){}disconnectedCallback(){this._removeContextMenuWindow()}attributeChangedCallback(e,t,i){super.attributeChangedCallback(e,t,i)}static get properties(){return{settings:{type:Object}}}get settings(){return this._currentSettings}set settings(e){if(this._currentSettings!==e){const t=this._currentSettings;this._currentSettings=e;this.requestUpdate("settings",t)}}getFullList(){return this._cmpRef?this._cmpRef.getFullList():[]}_closeContextMenu(){if(this._cmpRef)this._cmpRef.close()}getItemParent(e){return this._cmpRef?this._cmpRef.getItemParent(e):null}_removeContextMenu(){this._removeContextMenuWindow()}_menuItemClick(e){this._invokeEvent("menuClick",{event:e.detail.event,item:e.detail.item});this._removeContextMenuWindow()}_menuItemCheckedChanged(e){this._invokeEvent("checkedChanged",{event:e.detail.event,item:e.detail.item,checked:e.detail.checked,radioGroup:e.detail.radioGroup})}_getSize(){return{width:this._elemRef.offsetWidth,height:this._elemRef.offsetHeight}}_isInsideClick(e){this._contentSlotElem=this.shadowRoot.querySelector("slot").assignedNodes();if(this._contentSlotElem){this._contentSlotElem=this._contentSlotElem.filter(e=>1===e.nodeType);if(this._contentSlotElem&&this._contentSlotElem.length>0){let t=this._commonService.getPageRect(this._contentSlotElem[0]),i=this._commonService.getMousePos(e),s=this._commonService.getShiftPos();i.x-=s.x;i.y-=s.y;return i.x>=t.left&&i.x<=t.right&&i.y>=t.top&&i.y<=t.bottom}}return!1}_ctrlContextMenu(e){if("manual"!==this._currentSettings.position)this._processMenuOpen(e)}_ctrlMouseDown(e){if("manual"===this._currentSettings.position&&(this._currentSettings.buttonType<0||e.which===this._currentSettings.buttonType))this._processMenuOpen(e,"manual")}_processMenuOpen(e,t){if(!this._isInsideClick(e))return;e.preventDefault();let i=this;i._winScrollPos={top:document.documentElement.scrollTop,left:document.documentElement.scrollLeft};let s={cancel:!1,event:e};i._invokeEvent("menuOpening",s);if(!0!==s.cancel){i._addContextMenuWindow();if(i._cmpRef){i._cmpRef.resourcePath=i._currentResourcePath;i._cmpRef.allowAnimation=i.allowAnimation;i._cmpRef.colorScheme=i._currentColorScheme;i._cmpRef.customStyle=i.customStyle;i._cmpRef.itemTemplate=i.itemTemplate;i._cmpRef.options=i._currentSettings;i._cmpRef.options.mode=t;i._cmpRef.theme=i._currentTheme;let s=i._currentSettings.appSize?i._currentSettings.appSize:{width:window.innerWidth,height:window.innerHeight};if("manual"===t)i._cmpRef.open(e,t,{x:0,y:0},s,i._elemRef.getBoundingClientRect());else i._cmpRef.open(e,t,{x:e.pageX,y:e.pageY},s);setTimeout(function(){window.scrollTo(i._winScrollPos.left,i._winScrollPos.top)},5);this._removeContextMenu=this._removeContextMenu.bind(this);this._cmpRef.addEventListener("closed",this._removeContextMenu);this._menuItemClick=this._menuItemClick.bind(this);this._cmpRef.addEventListener("menuClick",this._menuItemClick);this._menuItemCheckedChanged=this._menuItemCheckedChanged.bind(this);this._cmpRef.addEventListener("checkedChanged",this._menuItemCheckedChanged);if("manual"===t)e.stopPropagation()}}}_addContextMenuWindow(){this._removeContextMenuWindow();this._cmpRef=document.createElement("iui-contextmenu-win",{is:IntegralUIContextMenuWindow});document.body.appendChild(this._cmpRef)}_removeContextMenuWindow(){if(this._cmpRef){this._cmpRef.removeEventListener("menuClick",this._menuItemClick);this._cmpRef.removeEventListener("closed",this._removeContextMenu);this._cmpRef.parentNode.removeChild(this._cmpRef)}this._cmpRef=null}findItemById(e){return this._cmpRef?this._cmpRef.findItemById(e):null}findItemByText(e){return this._cmpRef?this._cmpRef.findItemByText(e):null}firstUpdated(e){this._updateReferences()}refresh(){this._updateStyle(this.controlStyle);this._updateControlClass();this.update();this._updateReferences();if(this._cmpRef)this._cmpRef.refresh()}render(){return html`             <style>             </style>             <div data-ctrl="contextmenu" style=${styleMap(this._getControlStyle())} @contextmenu="${e=>this._ctrlContextMenu(e)}" @mousedown="${e=>this._ctrlMouseDown(e)}">                 <slot></slot>             </div>         `}_updateReferences(){this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=contextmenu]")}}window.customElements.define("iui-contextmenu",IntegralUIContextMenu);export default IntegralUIContextMenu;