/*
  filename: integralui.loading.js
  version : 23.4.0
  Copyright © 2016-2023 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{c as css,h as html}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import IntegralUIAnimation from"./integralui.animation.js";import IntegralUIBaseValue from"./integralui.base.value.js";import{IntegralUIColorScheme,IntegralUITheme}from"./integralui.enums.js";import{iuiLoadingDefaultStyle}from"../styles/default/integralui.loading.style.js";import{iuiLoadingOfficeStyle}from"../styles/themes/office/integralui.loading.office.js";import{iuiLoadingDarkStyle}from"../styles/color-schemes/dark/integralui.loading.dark.js";import{iuiLoadingLightStyle}from"../styles/color-schemes/light/integralui.loading.light.js";class IntegralUILoading extends IntegralUIBaseValue{_init(){super._init();this._currentAnimationSpeedValue=400;this._isLoadingFinished=!1;this._isStartFinished=!1;this._currentParent="";this._isVisible=!1;this._parentRef=null;this._ctrlCurrentPos={top:0,left:0};this._ctrlCurrentSize={width:0,height:0};this._ctrlDisplay="none";this._ctrlSize={width:0,height:5};this._currentProgress=0;this._parentPadding={top:0,right:0,bottom:0,left:0};this._parentSize={width:0,height:0};this._progressSize={width:0,height:0};this._generalClassName="iui-loading";this._currentControlStyleSettings=iuiLoadingDefaultStyle;this._initStyle();this.updateLayout();this._setParent()}connectedCallback(){super.connectedCallback()}disconnectedCallback(){super.disconnectedCallback();this._clearResizeObserver()}attributeChangedCallback(e,t,i){super.attributeChangedCallback(e,t,i)}static get properties(){return{parentId:{type:String,attribute:"parent-id",reflect:!0}}}get parentId(){return this._currentParent}set parentId(e){if(this._commonService.isString(e)&&this._currentParent!==e){const t=this._currentParent;this._currentParent=e;this._setParent();this.requestUpdate("parentId",t)}}get value(){return this._currentValue}set value(e){if(this._commonService.isNumber(e)&&this._currentValue!==e){const t=this._currentValue;this._currentValue=Math.max(0,Math.min(100,e));this._invokeEvent("valueChanged",{value:this._currentValue});this.requestUpdate("value",t);this.updateProgress()}}_animationCallback(e,t){if(e.length>0){let i=e[0].values;this._ctrlCurrentPos.top=i.top;this._ctrlCurrentSize.height=i.height;if(t){this._isStartFinished=!0;if(!this._isVisible){this._ctrlDisplay="none";this._isLoadingFinished=!1;this._isStartFinished=!1;this._currentProgress=0;this._progressSize.width=0;this._clearAnimations();this._invokeEvent("loadComplete")}}this.update()}}_animationCallbackValue(e,t){if(e.length>0){let t=e[0].values;this._progressSize.width=t.width;this._currentProgress=100*t.width/this._ctrlCurrentSize.width;this.update()}}_getParent(){return this._parentRef}_getParentSize(){return{width:this._parentRef?this._parentRef.clientWidth:window.innerWidth,height:this._parentRef?this._parentRef.clientHeight:window.innerHeight}}_setParent(){this._parentRef=""!==this._currentParent?document.querySelector("#"+this._currentParent):document.body;this._updateResizeObserver()}async beginLoad(){let e=this,t=0;if(0===e._activeAnimations.filter(e=>e.isAnimated("begin")).length){e._clearAnimations();e._getParent().appendChild(e);e._updateResizeObserver();e._ctrlDisplay="block";e._isVisible=!0;e._isLoadingFinished=!1;e._currentProgress=0;let i=new IntegralUIAnimation("begin"),r=e._animationCallback.bind(e);e._activeAnimations.push(i);let s={top:e._parentSize.height/2,height:0},n={top:(e._parentSize.height-e._ctrlSize.height)/2,height:e._ctrlSize.height};t=await i.animate({current:s,values:n},0,e._currentAnimationSpeedValue/2,r)}return t}endLoad(){let e=this;if(0===this._activeAnimations.filter(e=>e.isAnimated("end")).length){e._isVisible=!1;let t=new IntegralUIAnimation("end"),i=e._animationCallback.bind(e);e._activeAnimations.push(t);let r={top:(e._parentSize.height-e._ctrlSize.height)/2,height:e._ctrlSize.height},s={top:e._parentSize.height/2,height:0};t.animate({current:r,values:s},0,e._currentAnimationSpeedValue/2,i)}}async updateProgress(){let e=this;if(!e._isLoadingFinished)if(!e._isStartFinished)await e.beginLoad();else{e._activeAnimations.filter(e=>e.isAnimated("progress")).forEach(e=>e.destroy());let t=new IntegralUIAnimation("progress"),i=e._animationCallbackValue.bind(e);e._activeAnimations.push(t);let r={width:e._ctrlCurrentSize.width*e._currentProgress/100},s={width:e._ctrlCurrentSize.width*e._currentValue/100};if(e._currentValue>=100){e._isLoadingFinished=!0;await t.animate({current:r,values:s},0,e._currentAnimationSpeedValue,i);e.endLoad()}else t.animate({current:r,values:s},0,e._currentAnimationSpeedValue,i)}}_processUpdateLayout(){let e=this;return new Promise(t=>{if(e._isUpdateAllowed)setTimeout(function(){e._updateReferences();e._clientRect={width:e._elemRef.clientWidth,height:e._elemRef.clientHeight};e._parentSize=e._getParentSize();e._parentPadding=e._commonService.getPadding(e._parentRef);e._ctrlCurrentSize.width=Math.min(e._ctrlSize.width,e._parentSize.width-(e._parentPadding.left+e._parentPadding.right));t()},1)})}async updateLayout(e){await this._processUpdateLayout();this.update()}_clearResizeObserver(){if(this._resizeObserver)this._resizeObserver.disconnect();this._resizeObserver=null}_updateResizeObserver(){this._clearResizeObserver();this._resizeObserver=new ResizeObserver(e=>{if(e&&e.length>0&&e[0].contentRect)this.updateLayout()});if(this._resizeObserver&&this._parentRef)this._resizeObserver.observe(this._parentRef)}_getControlStyle(){let e=this._currentInlineStyle||{};e.display=this._ctrlDisplay;e.top=this._ctrlCurrentPos.top+"px";e.left=(this._parentSize.width-this._ctrlCurrentSize.width)/2+"px";e.width=this._ctrlCurrentSize.width+"px";e.height=this._ctrlCurrentSize.height+"px";return e}_updateColorSchemeSettings(e){this._currentColorSchemeSettings=css``;switch(e){case IntegralUIColorScheme.Dark:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiLoadingDarkStyle.cssText,"../../../icons",this._currentResourcePath);break;case IntegralUIColorScheme.Light:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiLoadingLightStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentColorSchemeSettings.cssText=""}}_updateThemeSettings(e){this._currentThemeSettings=css``;switch(e){case IntegralUITheme.Office:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiLoadingOfficeStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentThemeSettings.cssText=""}}firstUpdated(e){this.updateLayout()}render(){return html`             <style>                 ${this._currentControlStyleSettings}                 ${this._currentThemeSettings}                 ${this._currentColorSchemeSettings}                 ${this._currentCustomStyle}             </style>             <div data-ctrl="loading" class=${classMap(this._getControlClass())} style=${styleMap(this._getControlStyle())}>                 <div class="iui-loading-progress" style=${styleMap({width:this._progressSize.width+"px"})}></div>             </div>         `}_updateControlStyleSettings(e){this._currentControlStyleSettings=css``;this._currentControlStyleSettings.cssText=this._commonService.replaceAll(iuiLoadingDefaultStyle.cssText,"../../icons",e)}_updateReferences(){this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=loading]")}}window.customElements.define("iui-loading",IntegralUILoading);export default IntegralUILoading;