/*
  filename: integralui.menu.js
  version : 23.4.0
  Copyright © 2016-2023 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{c as css,h as html,T as TemplateResult,a as defaultTemplateProcessor,P}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import IntegralUIBase from"./integralui.base.js";import IntegralUIDataService from"../services/integralui.data.service.js";import{IntegralUIColorScheme,IntegralUIOrientation,IntegralUITheme}from"./integralui.enums.js";import"./integralui.menuitem.js";import{iuiMenuDefaultStyle}from"../styles/default/integralui.menu.style.js";import{iuiMenuOfficeStyle}from"../styles/themes/office/integralui.menu.office.js";import{iuiMenuDarkStyle}from"../styles/color-schemes/dark/integralui.menu.dark.js";import{iuiMenuLightStyle}from"../styles/color-schemes/light/integralui.menu.light.js";class IntegralUIMenu extends IntegralUIBase{_init(){super._init();this._dataService=new IntegralUIDataService;this._currentDataFields={};this._dataItems=[];this._fullList=[];this._menuItems=[];this._currentOrientation=IntegralUIOrientation.Horizontal;this._currentFocusObj=null;this._isKeyboardActive=!1;this._currentControlStyleSettings=iuiMenuDefaultStyle;this._generalClassName="iui-menu";this._menuActive=!1;this._currentActiveMenu=null;this._updateDataFields();this._initStyle();this._updateData()}connectedCallback(){super.connectedCallback();this._windowKeyDown=this._windowKeyDown.bind(this);window.addEventListener("keydown",this._windowKeyDown);this._windowMouseDown=this._windowMouseDown.bind(this);window.addEventListener("mousedown",this._windowMouseDown)}disconnectedCallback(){super.disconnectedCallback();this._currentActiveMenu=null;this._rt();window.removeEventListener("keydown",this._windowKeyDown);window.removeEventListener("mousedown",this._windowMouseDown)}attributeChangedCallback(e,t,i){super.attributeChangedCallback(e,t,i)}static get properties(){return{dataFields:{type:Object,attribute:"data-fields"},items:{type:Array},orientation:{converter:{fromAttribute:e=>"horizontal"===(e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()?IntegralUIOrientation.Horizontal:IntegralUIOrientation.Vertical,toAttribute:(e,t)=>e===IntegralUIOrientation.Horizontal?"Horizontal":"Vertical"},reflect:!0}}}get allowFocus(){return this._options.allowFocus}set allowFocus(e){if(this._options.allowFocus!==e){const t=this._options.allowFocus;this._options.allowFocus=e;if(!e)this._currentFocusObj=null;this.refresh();this.requestUpdate("allowFocus",t);this.updateLayout()}}get dataFields(){return this._currentDataFields}set dataFields(e){const t=this._currentDataFields;this._updateDataFields(e);this.requestUpdate("dataFields",t)}get items(){return this._dataItems}set items(e){const t=this._dataItems;this._dataItems=e;this._updateData();this.requestUpdate("items",t)}get orientation(){return this._currentOrientation}set orientation(e){if(this._currentOrientation!==e){const t=this._currentOrientation;this._currentOrientation=e;this.requestUpdate("orientation",t)}}_addChildItems(e,t){let i=!0;if(!e[this._currentDataFields.items])return i=this._addItemToCurrentList(e,t);if(this._addItemToCurrentList(e,t)){i=!0;let t=e[this._currentDataFields.items];if(t)t.forEach(t=>this._addChildItems(t,e[this._currentDataFields.id]))}return i}_addItemToCurrentList(e,t){if(!e[this._currentDataFields.id])e[this._currentDataFields.id]=this._commonService.getUniqueId();if(t)e[this._currentDataFields.pid]=t;let i=this._isItemAllowed(e);if(i)this._fullList.push(e);return i}getFullList(){return this._fullList}_isItemAllowed(e){return!1===e[this._currentDataFields.visible]?!1:!0}_updateData(){this._dataService.init([{data:this._dataItems,fields:this._currentDataFields}]);this._updateFullList()}_updateDataFields(e){if(e)this._currentDataFields={allowCheckBox:e.allowCheckBox?e.allowCheckBox:"allowCheckBox",allowRadioButton:e.allowRadioButton?e.allowRadioButton:"allowRadioButton",checked:e.checked?e.checked:"checked",enabled:e.enabled?e.enabled:"enabled",expanded:e.expanded?e.expanded:"expanded",hasChildren:e.hasChildren?e.hasChildren:"hasChildren",icon:e.icon?e.icon:"icon",iconUrl:e.iconUrl?e.iconUrl:"iconUrl",id:e.id?e.id:"id",items:e.items?e.items:"items",objects:e.items?e.items:"items",pid:e.pid?e.pid:"pid",radioGroup:e.radioGroup?e.radioGroup:"radioGroup",shortcutKey:e.shortcutKey?e.shortcutKey:"shortcutKey",style:e.style?e.style:"style",text:e.text?e.text:"text",tooltip:e.tooltip?e.tooltip:"tooltip",value:e.value?e.value:"value",visible:e.visible?e.visible:"visible"};else this._currentDataFields={allowCheckBox:"allowCheckBox",allowRadioButton:"allowRadioButton",checked:"checked",enabled:"enabled",expanded:"expanded",hasChildren:"hasChildren",icon:"icon",iconUrl:"iconUrl",id:"id",items:"items",objects:"items",pid:"pid",radioGroup:"radioGroup",shortcutKey:"shortcutKey",style:"style",text:"text",tooltip:"tooltip",value:"value",visible:"visible"};if(this._dataService)this._dataService.updateDataFields(this._currentDataFields)}_updateFullList(){this._fullList.length=0;let e=this._dataService.getList();if(e)e.forEach(e=>this._addChildItems(e,null))}_closeActiveMenu(){if(this._isEnabled){this._menuActive=!1;if(this._currentActiveMenu)this._currentActiveMenu.collapse();this._currentActiveMenu=null}}getItemParent(e){return this._dataService.getParent(e)}_getOffset(){return this._elemRef?{left:this._elemRef.offsetLeft,top:this._elemRef.offsetTop,width:this._elemRef.offsetWidth,height:this._elemRef.offsetHeight}:{left:0,top:0,width:0,height:0}}invokeCtrlMethod(e,t){switch(e){case"MENU_CLICK":if(t.item&&"header"!==t.item.type&&"separator"!==t.item.type){this._invokeEvent("menuClick",{event:t.event,item:t.item});this._closeActiveMenu()}break;case"ACTIVATE_MENU":this._menuActive=!0;this._currentActiveMenu=t.cmp;break;case"UPDATE_CHECKBOX":this._updateItemCheckBoxValue(t.event,t.item);break;case"UPDATE_RADIOBUTTON":this._updateItemRadioButtonValue(t.event,t.item);break;default:this._defaultFunc()}}_getActiveMenu(){return this._currentActiveMenu}_isContextMenu(){return!1}_isMenuActive(){return this._menuActive}_setActiveMenu(e){this._currentActiveMenu=e}_isCtrlKeyPressed(e){return e.ctrlKey||e.metaKey}_findItemByShortcut(e){let t=null,i=this._fullList.filter(e=>void 0!==e[this._currentDataFields.shortcutKey]&&this._commonService.isString(e[this._currentDataFields.shortcutKey]));for(let s=0;s<i.length;s++){let r=i[s],a=!1,n=r[this._currentDataFields.shortcutKey].toLowerCase(),l=n.substring(n.lastIndexOf("+")+1).toLowerCase(),o=n.includes("ctrl"),u=n.includes("shift"),c=n.includes("alt"),h=e.key.toLowerCase();if("control"!==h&&"shift"!==h&&"alt"!==h&&l===h){a=!0;if(o||this._isCtrlKeyPressed(e))a=o&&this._isCtrlKeyPressed(e);if(u||e.shiftKey)a=a&&u&&e.shiftKey;if(c||e.altKey)a=a&&c&&e.altKey}if(a){t=r;break}}return t}_windowKeyDown(e){if(this._isEnabled){let t=this._findItemByShortcut(e);if(t)this.invokeCtrlMethod("MENU_CLICK",{event:e,item:t})}}_windowMouseDown(e){this._closeActiveMenu()}async updateLayout(e){this._ut();if(!this._tCmp)this._at();await this._processUpdateLayout();this.update()}_processUpdateLayout(){let e=this;e._updateStyle(e.controlStyle);e._updateControlClass();e.update();return new Promise(t=>{setTimeout(function(){e._updateReferences();if(e._menuItems)e._menuItems.forEach(e=>e.refresh());t()},1)})}_updateItemCheckBoxValue(e,t){if(t)this._invokeEvent("checkedChanged",{event:e,item:t,checked:t[this._currentDataFields.checked]})}_isItemRadioButtonAllowed(e){return e&&!0===e[this._currentDataFields.allowRadioButton]}_updateItemRadioButtonValue(e,t){if(t){let i=this.getItemParent(t),s=i?i[this._currentDataFields.items]:[];(s=s.filter(e=>e[this._currentDataFields.radioGroup]===t[this._currentDataFields.radioGroup])).forEach(e=>{if(this._isItemRadioButtonAllowed(e)&&e!==t)e[this._currentDataFields.checked]=!1});this._invokeEvent("checkedChanged",{event:e,item:t,checked:t[this._currentDataFields.checked],radioGroup:t[this._currentDataFields.radioGroup]});if(this._menuItems)this._menuItems.forEach(e=>e.refresh())}}findItemById(e){return this._dataService.findObjectById(e)}findItemByText(e){return this._dataService.findObjectByText(e)}_updateColorSchemeSettings(e){this._currentColorSchemeSettings=css``;switch(e){case IntegralUIColorScheme.Dark:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiMenuDarkStyle.cssText,"../../../icons",this._currentResourcePath);break;case IntegralUIColorScheme.Light:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiMenuLightStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentColorSchemeSettings.cssText=""}}_updateThemeSettings(e){this._currentThemeSettings=css``;switch(e){case IntegralUITheme.Office:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiMenuOfficeStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentThemeSettings.cssText=""}}_getItemTemplate(e){let t=null;if(this.itemTemplate){let i=this.itemTemplate(e);if(i)t=new TemplateResult(i.strings,i.values,"html",defaultTemplateProcessor)}if(!t){let i={},s=this._commonService.isString(e.icon)?e.icon.split(" "):[];s.map(e=>i[e]=!0);let r=e[this._currentDataFields.iconUrl],a=e[this._currentDataFields.shortcutKey];t=html`                 ${s.length>0?html`<span class=${classMap(i)}></span>`:html``}                 ${r?html`<img style=${styleMap({verticalAlign:"middle"})} src="${r} />`:html``}                 ${a?html`                         <span class="iui-menuitem-label-main">${e.text}</span>                         <span class="iui-menuitem-shortcut">${a}</span>`:html`<span class="iui-menuitem-label">${e.text}</span>`}             `}return t}firstUpdated(e){this._updateReferences();this.updateLayout()}refresh(){this._updateStyle(this.controlStyle);this._updateControlClass();this.update();if(this._menuItems)this._menuItems.forEach(e=>e.refresh())}render(){return html`             <style>                 ${this._currentControlStyleSettings}                 ${this._currentThemeSettings}                 ${this._currentColorSchemeSettings}                 ${this._currentCustomStyle}             </style>             <div data-ctrl="menu" class=${classMap(this._getControlClass())} style=${styleMap(this._getControlStyle())}>                 <ul id="content" class="iui-menu-block">                     ${this._dataItems.map(e=>html`                         <iui-menuitem .allowAnimation="${this.allowAnimation}" .colorScheme="${this._currentColorScheme}" .customStyle="${this.customStyle}" .data="${e}" .dataFields="${this._currentDataFields}" .items="${e[this._currentDataFields.items]}" .enabled="${e[this._currentDataFields.enabled]}" .icon="${e[this._currentDataFields.icon]}" .iconUrl="${e[this._currentDataFields.iconUrl]}" .level="0" .orientation="${this._currentOrientation}" .resourcePath="${this.resourcePath}" .text="${e[this._currentDataFields.text]}" .templateRef="${this._getItemTemplate(e)}" .theme="${this.theme}"></iui-menuitem>                     `)}                 </ul>             </div>         `}_updateControlStyleSettings(e){this._currentControlStyleSettings=css``;this._currentControlStyleSettings.cssText=this._commonService.replaceAll(iuiMenuDefaultStyle.cssText,"../../icons",e)}_updateReferences(){this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=menu]");this._contentElem=this.shadowRoot.querySelector("#content");if(this._contentElem){this._menuItems=this._contentElem.querySelectorAll("iui-menuitem");if(this._menuItems){let e=this._getOffset();this._menuItems.forEach(t=>{t.setParent(this);t.setOffset(e)})}}}}window.customElements.define("iui-menu",IntegralUIMenu);export default IntegralUIMenu;