/*
  filename: integralui.menuitem.js
  version : 23.4.0
  Copyright © 2016-2023 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{c as css,h as html}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import IntegralUIAnimation from"./integralui.animation.js";import IntegralUIItem from"./integralui.item.js";import IntegralUIDataService from"../services/integralui.data.service.js";import{IntegralUIColorScheme,IntegralUIObjectState,IntegralUIOrientation,IntegralUITheme}from"./integralui.enums.js";import{iuiMenuItemDefaultStyle}from"../styles/default/integralui.menuitem.style.js";import{iuiMenuItemOfficeStyle}from"../styles/themes/office/integralui.menuitem.office.js";import{iuiMenuItemDarkStyle}from"../styles/color-schemes/dark/integralui.menuitem.dark.js";import{iuiMenuItemLightStyle}from"../styles/color-schemes/light/integralui.menuitem.light.js";class IntegralUIMenuItem extends IntegralUIItem{_init(){super._init();this._dataService=new IntegralUIDataService;this._contentAnimation={display:"none",left:0,width:0,height:0};this._currentAnimationSpeedValue=250;this._currentDataFields={};this._dataItems=[];this._childItems=[];this._currentLevel=0;this._currentOrientation=IntegralUIOrientation.Vertical;this._currentPause=300;this._currentIconUrl=null;this._expandState="none";this._isExpanded=!1;this._isItemHovered=!1;this._blockPos={top:0,left:0};this._popupOrder=999;this._blockDisplay="none";this._blockElemWidth="0";this._blockElemHeight="0";this._blockOverflow="hidden";this._blockOpacity=0;this._pauseTimer=null;this._skipPause=!1;this._parentOffset={left:0,top:0,width:0,height:0};this._currentTemplateRef=null;this._currentControlStyleSettings=iuiMenuItemDefaultStyle;this._updateDataFields();this._updateData();this._initStyle()}_initClassNames(){this._parentClassName=this._parentCtrl&&this._parentCtrl._getClassName?this._parentCtrl._getClassName():"iui-menu";this._generalClassName=this.data&&!this.data.pid?this._parentClassName+"item-root":this._parentClassName+"item";this._blockClassName=this._parentClassName+"item-block";this._contentClassName=this._generalClassName+"-content";this._expandBoxClassName="iui-menu-marker-expand";this._expandBoxSpaceClassName=this._expandBoxClassName+"-space";this._headerClassName=this._parentClassName+"-header";this._separatorClassName=this._generalClassName+"-separator";this._isExpanded=this.data&&void 0!==this.data.expanded?this.data.expanded:!1;this._defaultStyle={general:{disabled:this._generalClassName+"-disabled",focused:this._generalClassName+"-focused",normal:this._generalClassName,hovered:this._generalClassName+"-hovered",selected:this._generalClassName+"-selected"},expandBox:{general:this._expandBoxClassName,animated:this._expandBoxClassName+"-load",expanded:this._expandBoxClassName+"-open",collapsed:this._expandBoxClassName+"-close"},header:this._headerClassName,content:{disabled:this._contentClassName+"-disabled",focused:this._contentClassName+"-focused",normal:this._contentClassName,hovered:this._contentClassName+"-hovered",selected:this._contentClassName+"-selected"},separator:this._separatorClassName}}_initStyle(){this._initClassNames();this._updateColorSchemeSettings(this._currentColorScheme);this.refresh()}connectedCallback(){}disconnectedCallback(){this._removePauseTimer()}setParent(e){this._parentCtrl=e;this._initClassNames()}attributeChangedCallback(e,t,i){super.attributeChangedCallback(e,t,i)}static get properties(){return{dataFields:{type:Object,attribute:"data-fields"},expanded:{type:Boolean,reflect:!0},items:{type:Array},level:{type:Number,reflect:!0},orientation:{converter:{fromAttribute:e=>"horizontal"===(e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()?IntegralUIOrientation.Horizontal:IntegralUIOrientation.Vertical,toAttribute:(e,t)=>e===IntegralUIOrientation.Horizontal?"Horizontal":"Vertical"},reflect:!0},pause:{type:Number,reflect:!0},templateRef:{type:Object,attribute:"template-ref"}}}get data(){return this._ctrlData}set data(e){if(this._ctrlData!==e){const t=this._ctrlData;this._ctrlData=e;this._initStyle();this.requestUpdate("data",t)}}get dataFields(){return this._currentDataFields}set dataFields(e){const t=this._currentDataFields;this._updateDataFields(e);this.requestUpdate("dataFields",t)}get expanded(){return this._isExpanded}set expanded(e){if(this._isEnabled){if(e)this._expandState="expand";else this._expandState="collapse";this._isExpanded=e;this._toggleContent()}}get iconUrl(){return this._currentIconUrl}set iconUrl(e){if(this._currentIconUrl!==e){const t=this._currentIconUrl;this._currentIconUrl=e;this.requestUpdate("iconUrl",t)}}get items(){return this._dataItems}set items(e){const t=this._dataItems;this._dataItems=e;this._updateData();this.requestUpdate("items",t)}get level(){return this._currentLevel}set level(e){if(this._currentLevel!==e){const t=this._currentLevel;this._currentLevel=e;this.requestUpdate("level",t)}}get orientation(){return this._currentOrientation}set orientation(e){if(this._currentOrientation!==e){const t=this._currentOrientation;this._currentOrientation=e;this.requestUpdate("orientation",t)}}get pause(){return this._currentPause}set pause(e){if(this._currentPause!==e){const t=this._currentPause;this._currentPause=e;this.requestUpdate("pause",t)}}get templateRef(){return this._currentTemplateRef}set templateRef(e){if(this._currentTemplateRef!==e){const t=this._currentTemplateRef;this._currentTemplateRef=e;this.requestUpdate("templateRef",t)}}_updateData(){this._dataService.init([{data:this.items,fields:this._currentDataFields}])}_updateDataFields(e){if(e)this._currentDataFields={allowCheckBox:e.allowCheckBox?e.allowCheckBox:"allowCheckBox",allowRadioButton:e.allowRadioButton?e.allowRadioButton:"allowRadioButton",checked:e.checked?e.checked:"checked",enabled:e.enabled?e.enabled:"enabled",expanded:e.expanded?e.expanded:"expanded",hasChildren:e.hasChildren?e.hasChildren:"hasChildren",icon:e.icon?e.icon:"icon",iconUrl:e.iconUrl?e.iconUrl:"iconUrl",id:e.id?e.id:"id",items:e.items?e.items:"items",objects:e.items?e.items:"items",pid:e.pid?e.pid:"pid",radioGroup:e.radioGroup?e.radioGroup:"radioGroup",shortcutKey:e.shortcutKey?e.shortcutKey:"shortcutKey",style:e.style?e.style:"style",text:e.text?e.text:"text",tooltip:e.tooltip?e.tooltip:"tooltip",value:e.value?e.value:"value",visible:e.visible?e.visible:"visible"};else this._currentDataFields={allowCheckBox:"allowCheckBox",allowRadioButton:"allowRadioButton",checked:"checked",enabled:"enabled",expanded:"expanded",hasChildren:"hasChildren",icon:"icon",iconUrl:"iconUrl",id:"id",items:"items",objects:"items",pid:"pid",radioGroup:"radioGroup",shortcutKey:"shortcutKey",style:"style",text:"text",tooltip:"tooltip",value:"value",visible:"visible"};if(this._dataService)this._dataService.updateDataFields(this._currentDataFields)}collapse(){this.expanded=!1;if(this._childItems)this._childItems.forEach(e=>e.collapse());this.refresh()}expand(){this.expanded=!0}toggle(){this.expanded=!this.expanded}_onExpandBoxMouseDown(e){if(this._isEnabled)this.toggle()}_getDataType(){return this.data&&this.data.type?this.data.type:"item"}_getItemLevel(){return void 0!==this._currentLevel?this._currentLevel+1:0}_getOffset(){return this._elemRef?{left:this._elemRef.offsetLeft,top:this._elemRef.offsetTop,width:this._elemRef.offsetWidth,height:this._elemRef.offsetHeight}:{left:0,top:0,width:0,height:0}}_isThereChildren(){return this._dataItems&&this._dataItems.length>0}_isBlockVisible(){return this._isItemHovered&&this._isThereChildren()}_isCheckBoxVisible(){return this.data&&!0===this.data[this._currentDataFields.allowCheckBox]}_isRadioButtonVisible(){return this.data&&!0===this.data[this._currentDataFields.allowRadioButton]}setOffset(e){this._parentOffset=e}async updateLayout(e){let t=this;t._updateReferences();let i=setTimeout(function(){if(t.data&&t._elemRef){let e=t._commonService.getPadding(t._elemRef);t._clientRect={width:t._elemRef.clientWidth-(e.left+e.right),height:t._elemRef.clientHeight-(e.top+e.bottom)};if(t.data.pid||t._currentOrientation===IntegralUIOrientation.Vertical)t._blockPos={top:t._currentLevel>0?-2:-1,left:t._elemRef.offsetLeft+t._elemRef.offsetWidth-3};else t._blockPos={top:t._parentOffset.height-8,left:-1}}t.refresh();clearTimeout(i)},1)}_checkItem(e){if(this._isEnabled&&this.data){let t=this._getItemCheckValue();this.data[this._currentDataFields.checked]=!t;if(this._parentCtrl)this._parentCtrl.invokeCtrlMethod("UPDATE_CHECKBOX",{event:e,cmp:this,item:this.data,checked:this._getItemCheckValue()});this.update()}e.stopPropagation()}_checkMouseUp(e){e.stopPropagation()}_checkedChanged(e){let t=e.detail.checked;if(this.data[this._currentDataFields.checked]!==t){this.data[this._currentDataFields.checked]=t;if(this._parentCtrl)this._parentCtrl.invokeCtrlMethod("UPDATE_RADIOBUTTON",{event:e,cmp:this,item:this.data,checked:this._getItemCheckValue()});this.update()}e.stopPropagation()}_getItemCheckValue(){return this.data&&!0===this.data[this._currentDataFields.checked]?!0:!1}_onMouseEnter(e){if(this._isEnabled){this.state|=IntegralUIObjectState.Hovered;this._isItemHovered=!0;this.updateLayout();if(this.data&&this.data[this._currentDataFields.pid])this.expand();else if(this._parentCtrl&&this._parentCtrl._isMenuActive()){let e=this._parentCtrl._getActiveMenu();if(e&&e!==this)e.collapse();if(this.data&&!this.data[this._currentDataFields.pid])this._parentCtrl._setActiveMenu(this);if(e)e.refresh();this.expand()}this.refresh();this._invokeEvent("mouseEnter",e)}e.stopPropagation()}_onMouseDown(e){if(this._isEnabled)this._invokeEvent("mouseDown",e);e.stopPropagation()}_onMouseLeave(e){if(this._isEnabled){this.state&=~IntegralUIObjectState.Hovered;this._removePauseTimer();this._isItemHovered=!1;if(this._parentCtrl)if(this.data&&this.data[this._currentDataFields.pid])this.collapse();else if(this!==this._parentCtrl._getActiveMenu())this.collapse();this.refresh();this._invokeEvent("mouseLeave",e)}e.stopPropagation()}_onMouseUp(e){if(this._isEnabled){if(1===e.which&&this._parentCtrl){this._parentCtrl.invokeCtrlMethod("MENU_CLICK",{event:e,cmp:this,item:this.data});if(this.data&&!this.data[this._currentDataFields.pid]){this._skipPause=!0;this.expand();this._parentCtrl.invokeCtrlMethod("ACTIVATE_MENU",{event:e,cmp:this,item:this.data});this.refresh()}}this._invokeEvent("mouseUp",e)}e.stopPropagation()}_onContextMenu(e){e.preventDefault();e.stopPropagation()}_onChildItemMouseDown(e){this.collapse()}_radioMouseDown(e){e.stopPropagation()}_radioMouseUp(e){e.stopPropagation()}_animationCallbackClose(e,t){if(e.length>0){let t=e[0].values;this._blockOpacity=t.opacity;this._blockPos.top=t.top}if(t){this._blockDisplay="none";this._blockElemHeight="0";this._expandState="none"}this.update()}_animationCallbackOpen(e,t){if(e.length>0){let t=e[0].values;this._blockOpacity=t.opacity;this._blockPos.top=t.top}if(t){this._blockElemHeight="auto";this._blockOverflow="visible";this._expandState="none"}this.update()}_removePauseTimer(){if(this._pauseTimer)clearTimeout(this._pauseTimer);this._pauseTimer=null}_toggleContent(){let e=this;if(e._dataItems){e._clearActiveAnimations();if(e._isAnimationAllowed)if(e._isExpanded){e._removePauseTimer();if(e.data&&!e.data[this._currentDataFields.pid]&&e._parentCtrl&&e._parentCtrl._isMenuActive()&&!e._parentCtrl._isContextMenu()){e._blockDisplay="block";e._blockElemHeight="auto";e._blockOverflow="visible";e._blockOpacity=1;e._expandState="none";e.refresh()}else{let t=e._skipPause?0:300;e._pauseTimer=setTimeout(function(){if(e._pauseTimer){e._blockDisplay="block";e._blockElemHeight="auto";e._blockOverflow="visible";let t=new IntegralUIAnimation,i=e._animationCallbackOpen.bind(e);e._activeAnimations.push(t);let s={opacity:0,top:e._blockPos.top+5},a={opacity:1,top:e._blockPos.top};t.animate({current:s,values:a},0,e._currentAnimationSpeedValue,i)}e._skipPause=!1;e._removePauseTimer()},t)}}else if(e.data&&!e.data[this._currentDataFields.pid]&&e._parentCtrl&&e._parentCtrl._isMenuActive()&&!e._parentCtrl._isContextMenu()){e._blockOverflow="hidden";e._blockDisplay="none";e._blockElemHeight="0";e._blockOpacity=0;e._expandState="none";e.refresh()}else{e._blockOverflow="hidden";e.update();let t=new IntegralUIAnimation,i=e._animationCallbackClose.bind(e);e._activeAnimations.push(t);let s={opacity:1,top:e._blockPos.top},a={opacity:0,top:e._blockPos.top+5};t.animate({current:s,values:a},0,e._currentAnimationSpeedValue/2,i)}else if(e._isExpanded){e._removePauseTimer();e._pauseTimer=setTimeout(function(){if(e._pauseTimer){e._blockDisplay="block";e._blockElemHeight="auto";e._blockOverflow="visible";e._blockOpacity=1;e._expandState="none"}e.refresh();e._removePauseTimer()},300)}else{e._blockOverflow="hidden";e._blockDisplay="none";e._blockElemHeight="0";e._blockOpacity=0;e._expandState="none";e.refresh()}}}_getControlStyle(){let e=this._currentInlineStyle||{};if(this.data)e=this.data.style||{};e.display=this._getItemDisplay();return e}_getItemDisplay(){let e="block";if(this.data&&void 0!==this.data.pid)e=this._currentOrientation?this._currentOrientation===IntegralUIOrientation.Vertical?"block":"inline-block":"block";else e=this._currentOrientation?this._currentOrientation===IntegralUIOrientation.Vertical?"block":"inline-block":"inline-block";return e}_isContextMenu(){return this._parentCtrl&&this._parentCtrl._isContextMenu()}_isMenuActive(){return this._parentCtrl&&this._parentCtrl._isMenuActive()&&this._parentCtrl._getActiveMenu()===this}_getCheckBoxClass(){let e={"iui-menuitem-checkbox":!0};if(this._getItemCheckValue())e["iui-menuitem-checkbox-checked"]=!0;return e}_getExpandBoxSpaceClass(){let e="";if(this._isThereChildren())e=this._expandBoxSpaceClassName;return e}_getExpandBoxClass(){let e="";if(this._isThereChildren())e=this._defaultStyle.expandBox.general;return e}_updateColorSchemeSettings(e){this._currentColorSchemeSettings=css``;switch(e){case IntegralUIColorScheme.Dark:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiMenuItemDarkStyle.cssText,"../../../icons",this._currentResourcePath);break;case IntegralUIColorScheme.Light:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiMenuItemLightStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentColorSchemeSettings.cssText=""}}_updateControlClass(){this._ctrlClass={};this._ctrlClass[this._generalClassName]=!0;if("header"===this._getDataType())this._ctrlClass[this._defaultStyle.header]=!0;else if("separator"===this._getDataType())this._ctrlClass[this._defaultStyle.separator]=!0;else if(this._defaultStyle){this._ctrlClass[this._defaultStyle.general.normal]=!0;if(this.state&IntegralUIObjectState.Disabled)this._ctrlClass[this._defaultStyle.general.disabled]=!0;else if(this.state&IntegralUIObjectState.Focused)this._ctrlClass[this._defaultStyle.general.focused]=!0;else if(this._isMenuActive()||this.state&IntegralUIObjectState.Selected)this._ctrlClass[this._defaultStyle.general.selected]=!0;else if(this.state&IntegralUIObjectState.Hovered)this._ctrlClass[this._defaultStyle.general.hovered]=!0;if(this._isThereChildren()){let e=this._getExpandBoxClass();if(this.data&&this.data.pid)e+="-right";else if(this._currentOrientation===IntegralUIOrientation.Vertical)e+="-right";else e+="-down";this._ctrlClass[e]=!0;this._ctrlClass[this._getExpandBoxSpaceClass()]=!0}}}_updateStyle(e){if(e)this._options.currentStyle={general:this._getGeneralStyle(e.general),content:this._getContentStyle(e.content)};else this._options.currentStyle={general:{disabled:this._defaultStyle.general.disabled,focused:this._defaultStyle.general.focused,hovered:this._defaultStyle.general.hovered,normal:this._defaultStyle.general.normal,selected:this._defaultStyle.general.selected},expandBox:{general:this._defaultStyle.expandBox.general,animated:this._defaultStyle.expandBox.animated,expanded:this._defaultStyle.expandBox.expanded,collapsed:this._defaultStyle.expandBox.collapsed},header:this._defaultStyle.header,content:{disabled:this._defaultStyle.content.disabled,focused:this._defaultStyle.content.focused,hovered:this._defaultStyle.content.hovered,normal:this._defaultStyle.content.normal,selected:this._defaultStyle.content.selected},separator:this._defaultStyle.separator}}_updateThemeSettings(e){this._currentThemeSettings=css``;switch(e){case IntegralUITheme.Office:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiMenuItemOfficeStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentThemeSettings.cssText=""}}_getItemTemplate(e){if(this._parentCtrl&&this._parentCtrl._getItemTemplate)return this._parentCtrl._getItemTemplate(e);else return html``}firstUpdated(e){this._updateReferences();this.updateLayout()}_getCheckBoxLayout(){let e=html``;if(this._isCheckBoxVisible())e=html`<span class=${classMap(this._getCheckBoxClass())} @mousedown="${e=>this._checkItem(e)}" @mouseup="${e=>this._checkMouseUp(e)}" @touchstart="${e=>this._checkItem(e)}"></span>`;return e}_getChildItemLayout(){if(this._isThereChildren())return html`<ul id="block" class="iui-menuitem-block" style=${styleMap({display:this._blockDisplay,top:this._blockPos.top+"px",left:this._blockPos.left+"px",height:this._blockElemHeight,overflow:this._blockOverflow,opacity:this._blockOpacity})}>                     ${this._dataItems.map(e=>html`                         <iui-menuitem .allowAnimation="${this.allowAnimation}" .colorScheme="${this._currentColorScheme}" .customStyle="${this.customStyle}" .data="${e}" .dataFields="${this._currentDataFields}" .enabled="${e[this._currentDataFields.enabled]}" .items="${e[this._currentDataFields.items]}" .icon="${e[this._currentDataFields.icon]}" .iconUrl="${e[this._currentDataFields.iconUrl]}" .level="${this._getItemLevel()}" .resourcePath="${this.resourcePath}" .text="${e[this._currentDataFields.text]}" .templateRef="${this._getItemTemplate(e)}" .theme="${this.theme}"></iui-menuitem>                     `)}                 </ul>`;else return html``}_getHeaderLayout(){let e=html``;if(this.data&&"header"===this._getDataType()){let t=this._commonService.getStyle(this.data[this._currentDataFields.style]);e=html`                 <div class="iui-menuitem-header" style=${styleMap(t)}>                     ${this.templateRef}                 </div>             `}return e}_getItemLayout(){let e=html``;if("item"===this._getDataType())e=html`<div class="iui-menuitem-content-template">                     ${this.templateRef}                     ${this._getChildItemLayout()}                 </div>`;return e}_getRadioButtonLayout(){let e=html``;if(this._isRadioButtonVisible()){let t=css`                 .iui-radio-button {                     margin: var(--iui-radio-button-margin, 0 3px);                     padding: var(--iui-radio-button-padding, 3px 0);                 }                 .iui-radio-button-btn {                     margin: var(--iui-radio-button-btn-margin, 0);                 }                 .iui-radio-button-btn span {                     height: var(--iui-radio-button-btn-content-height, 10px);                     width: var(--iui-radio-button-btn-content-width, 10px);                 }             `;e=html`                 <iui-radiobutton                      .checked=${this._getItemCheckValue()}                     .colorScheme="${this._currentColorScheme}"                     .customStyle="${[t,this.customStyle]}"                     .enabled="${this.enabled}"                      .theme="${this.theme}"                     @checkedChanged="${e=>this._checkedChanged(e)}"                     @mousedown="${e=>this._radioMouseDown(e)}"                     @mouseup="${e=>this._radioMouseUp(e)}"                 ></iui-radiobutton>`}return e}_getSeparatorLayout(){let e=html``;if("separator"===this._getDataType())if(this.data){let t=this._commonService.getStyle(this.data[this._currentDataFields.style]),i={...t.content}||{},s={...t.line}||{};if(this.data.text)e=html`                         <hr class="iui-menuitem-inline-separator" style=${styleMap(s)} />                         <div class="iui-menuitem-separator-content" style=${styleMap(i)}>                             ${this.templateRef}                         </div>                     `;else e=html`<hr style=${styleMap(s)} />`}else e=html`<hr />`;return e}refresh(){this._updateStyle(this.controlStyle);this._updateControlClass();this._updateContentClass();this.update();this._updateReferences();this._refreshChildren()}_refreshChildren(){if(this._childItems)this._childItems.forEach(e=>e.refresh())}render(){return html`             <style>                 ${this._currentControlStyleSettings}                 ${this._currentThemeSettings}                 ${this._currentColorSchemeSettings}                 ${this._currentCustomStyle}             </style>             <li data-ctrl="menuitem" class=${classMap(this._getControlClass())} style=${styleMap(this._getControlStyle())} @click="${e=>this._onClick(e)}" @contextmenu="${e=>this._onContextMenu(e)}" @mousedown="${e=>this._onMouseDown(e)}" @mouseup="${e=>this._onMouseUp(e)}" @mouseenter="${e=>this._onMouseEnter(e)}" @mousemove="${e=>this._onMouseMove(e)}" @mouseleave="${e=>this._onMouseLeave(e)}">                 ${this._getHeaderLayout()}                 ${this._getCheckBoxLayout()}                 ${this._getRadioButtonLayout()}                 ${this._getItemLayout()}                 ${this._getSeparatorLayout()}             </li>         `}_updateControlStyleSettings(e){this._currentControlStyleSettings=css``;this._currentControlStyleSettings.cssText=this._commonService.replaceAll(iuiMenuItemDefaultStyle.cssText,"../../icons",e)}_updateReferences(){this._elemRef=this.shadowRoot.querySelector("li[data-ctrl=menuitem]");this._blockElem=this.shadowRoot.querySelector("#block");if(this._blockElem){this._childItems=this._blockElem.querySelectorAll("iui-menuitem");if(this._childItems)this._childItems.forEach(e=>{e.setParent(this._parentCtrl);e.setOffset(this._getOffset())})}}}window.customElements.define("iui-menuitem",IntegralUIMenuItem);export default IntegralUIMenuItem;