/*
  filename: integralui.panel.js
  version : 23.4.0
  Copyright © 2016-2023 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{c as css,h as html}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import IntegralUIAnimation from"./integralui.animation.js";import IntegralUIBase from"./integralui.base.js";import{IntegralUIColorScheme,IntegralUIComponentAppearance,IntegralUITheme}from"./integralui.enums.js";import{iuiPanelDefaultStyle}from"../styles/default/integralui.panel.style.js";import{iuiPanelOfficeStyle}from"../styles/themes/office/integralui.panel.office.js";import{iuiPanelDarkStyle}from"../styles/color-schemes/dark/integralui.panel.dark.js";import{iuiPanelLightStyle}from"../styles/color-schemes/light/integralui.panel.light.js";import{iuiScrollBarStyle}from"../styles/default/integralui.scrollbar.style.js";import{iuiScrollBarOfficeStyle}from"../styles/themes/office/integralui.scrollbar.office.js";import{iuiScrollBarDarkStyle}from"../styles/color-schemes/dark/integralui.scrollbar.dark.js";import{iuiScrollBarLightStyle}from"../styles/color-schemes/light/integralui.scrollbar.light.js";import"./integralui.scrollbar.js";class IntegralUIPanel extends IntegralUIBase{_init(){super._init();this._isDraggable=!1;this._isAutoSized=!1;this._contentAlignPos={top:0,left:0};this._contentSize={width:0,height:0};this._ctrlPadding={top:0,right:0,bottom:0,left:0};this._currentContentAlignment={horizontal:"left",vertical:"top"};this._currentCtrlSize={width:0,height:0};this._prevContentSize={width:0,height:0};this._currentScrollAppearance=IntegralUIComponentAppearance.Static;this._currentScrollPos={x:0,y:0};this._maxScrollPos={x:0,y:0};this._isScrollActive=!1;this._isScrollVisible=!0;this._prevScrollPos={x:0,y:0};this._scrollBarSize={width:0,height:0};this._scrollLargeChange={x:0,y:0};this._scrollSize={width:0,height:0};this._currentScrollColorSchemeSettings=css``;this._currentScrollStyleSettings=iuiScrollBarStyle;this._generalClassName="iui-panel";this._scrollCornerClassName="iui-scrollbar-corner";this._scrollAppearanceTimeout=null;this._updateTimer=null;this._currentControlStyleSettings=iuiPanelDefaultStyle;this._initStyle();this._internalUpdateLayout();this._resizeObserver=new ResizeObserver(t=>{if(!this._isAnimationActive()&&t&&t.length>0&&t[0].contentRect){let e=!1;this._clientRect={width:t[0].contentRect.width,height:t[0].contentRect.height};if(this._clientRect.width!==this._prevClientRect.width){this._prevClientRect.width=this._clientRect.width;e=!0}if(!this._isAutoSized&&this._clientRect.height!==this._prevClientRect.height){this._prevClientRect.height=this._clientRect.height;e=!0}if(e)this._processUpdateLayout()}})}connectedCallback(){super.connectedCallback()}disconnectedCallback(){super.disconnectedCallback();this._clearAnimations();if(this._resizeObserver)this._resizeObserver.disconnect();this._resetLayoutTimer();this._resetScrollAppearanceTimeout();this._resizeObserver=null}attributeChangedCallback(t,e,i){super.attributeChangedCallback(t,e,i)}static get properties(){return{allowDrag:{type:Boolean,attribute:"allow-drag",reflect:!0},autoSize:{type:Boolean,attribute:"auto-size",reflect:!0},contentAlignment:{type:Object,attribute:"content-alignment"},scrollAppearance:{attribute:"scroll-appearance",converter:{fromAttribute:t=>"dynamic"===(t=t.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()?IntegralUIComponentAppearance.Dynamic:IntegralUIComponentAppearance.Static,toAttribute:(t,e)=>t===IntegralUIComponentAppearance.Dynamic?"Dynamic":"Static"},reflect:!0}}}get allowDrag(){return this._isDraggable}set allowDrag(t){if(this._isDraggable!==t){const e=this._isDraggable;this._isDraggable=t;this.requestUpdate("allowDrag",e);this.update()}}get autoSize(){return this._isAutoSized}set autoSize(t){if(this._isAutoSized!==t){const e=this._isAutoSized;this._isAutoSized=t;this.requestUpdate("autoSize",e);this._internalUpdateLayout()}}get contentAlignment(){return this._currentContentAlignment}set contentAlignment(t){if(t){let e=!1;const i=this._currentContentAlignment;if(void 0!==t.horizontal&&this._currentContentAlignment.horizontal!==t.horizontal){this._currentContentAlignment.horizontal=t.horizontal;e=!0}if(void 0!==t.vertical&&this._currentContentAlignment.vertical!==t.vertical){this._currentContentAlignment.vertical=t.vertical;e=!0}if(e){this.requestUpdate("contentAlignment",i);this._internalUpdateLayout()}}}get scrollAppearance(){return this._currentScrollAppearance}set scrollAppearance(t){if(this._currentScrollAppearance!==t){const e=this._currentScrollAppearance;this._currentScrollAppearance=t;this._isScrollVisible=this._currentScrollAppearance===IntegralUIComponentAppearance.Dynamic?!1:!0;this.requestUpdate("scrollAppearance",e);this._internalUpdateLayout()}}async _updateCtrlSize(){this._clearAnimations();let t=this._animateSize.bind(this),e=new IntegralUIAnimation;this._activeAnimations.push(e);let i=[{current:{height:this._currentCtrlSize.height},values:{height:this._contentSize.height}}];await e.animate(i,0,250,t)}_animateSize(t,e){let i=this;if(t.length>0)i._currentCtrlSize.height=t[0].values.height;if(e){i._currentCtrlSize.height=i._contentSize.height;setTimeout(function(){i._clearAnimations()},1)}i.update()}_internalUpdateLayout(){let t=this;t._resetLayoutTimer();t._updateTimer=setTimeout(function(){if(t._updateTimer)t._processUpdateLayout();t._resetLayoutTimer()},100)}_processUpdateLayout(){let t=this;return new Promise(e=>{if(t._isUpdateAllowed)setTimeout(function(){t._updateReferences();t._contentAlignPos={top:0,left:0};t.update();t._currentCtrlSize={width:t._contentSize.width,height:t._contentSize.height};t._ctrlPadding=t._commonService.getPadding(t._elemRef);t._contentSize=t._contentElem?{width:t._contentElem.offsetWidth,height:t._contentElem.offsetHeight}:{width:0,height:0};t._clientRect={width:t._elemRef.clientWidth,height:t._isAutoSized?t._contentSize.height+(t._ctrlPadding.top+t._ctrlPadding.bottom):t._elemRef.clientHeight};switch(t._currentContentAlignment.horizontal){case"center":t._contentAlignPos.left=t._ctrlPadding.left+Math.max(0,(t._clientRect.width-t._ctrlPadding.left-t._ctrlPadding.right-t._contentSize.width)/2);break;case"right":t._contentAlignPos.left=Math.max(0,t._clientRect.width-t._ctrlPadding.right-t._contentSize.width);break;default:t._contentAlignPos.left=t._ctrlPadding.left}switch(t._currentContentAlignment.vertical){case"middle":t._contentAlignPos.top=t._ctrlPadding.top+Math.max(0,(t._clientRect.height-t._ctrlPadding.top-t._ctrlPadding.bottom-t._contentSize.height)/2);break;case"bottom":t._contentAlignPos.top=Math.max(0,t._clientRect.height-t._ctrlPadding.bottom-t._contentSize.height);break;default:t._contentAlignPos.top=t._ctrlPadding.top}if(t._isAutoSized)t._updateCtrlSize();else{t._currentCtrlSize={width:t._contentSize.width,height:t._contentSize.height};t._updateScrollSize();t.update();t._updateScrollSize()}e()},1)})}async updateLayout(t){await this._processUpdateLayout();this.update()}_updateScrollSize(){let t=this;t._scrollSize={width:t._contentSize.width+(t._ctrlPadding.left+t._ctrlPadding.right)-t._clientRect.width,height:t._contentSize.height+(t._ctrlPadding.top+t._ctrlPadding.bottom)-t._clientRect.height};if(t.isVerScrollVisible())if(t._scrollSize.width>0&&t._currentScrollAppearance===IntegralUIComponentAppearance.Static)t._scrollSize.width+=16;if(t.isHorScrollVisible())if(t._scrollSize.height>0&&t._currentScrollAppearance===IntegralUIComponentAppearance.Static)t._scrollSize.height+=16;t._scrollSize.width=Math.max(0,t._scrollSize.width);t._scrollSize.height=Math.max(0,t._scrollSize.height);t._maxScrollPos={x:t._scrollSize.width,y:t._scrollSize.height};if(t._currentScrollPos.x>t._maxScrollPos.x)t._changeHorizontalScrollPos(t._maxScrollPos.x);if(t._currentScrollPos.y>t._maxScrollPos.y)t._changeVerticalScrollPos(t._maxScrollPos.y);t._scrollBarSize={width:t.isVerScrollVisible()?t._clientRect.width-14:t._clientRect.width,height:t.isHorScrollVisible()?t._clientRect.height-14:t._clientRect.height};if(t._currentScrollAppearance===IntegralUIComponentAppearance.Static){t._scrollBarSize.width-=4;t._scrollBarSize.height-=4}else{if(t.isVerScrollVisible())t._scrollBarSize.height+=2;if(t.isHorScrollVisible())t._scrollBarSize.width+=2;if(t.isVerScrollVisible()&&t.isHorScrollVisible()){t._scrollBarSize.width+=5;t._scrollBarSize.height+=5}}t._scrollLargeChange={x:t._scrollBarSize.width,y:t._scrollBarSize.height}}_ctrlMouseEnter(t){if(this._isEnabled){if(this._currentScrollAppearance===IntegralUIComponentAppearance.Dynamic)this._isScrollVisible=!0;this.update()}}_ctrlMouseLeave(t){if(this._isEnabled){if(this._currentScrollAppearance===IntegralUIComponentAppearance.Dynamic){this._resetScrollAppearanceTimeout();this._isScrollVisible=this._isScrollActive?!0:!1}this.update()}}_changeHorizontalScrollPos(t){this._currentScrollPos.x=Math.max(0,Math.min(t,this._maxScrollPos.x));if(this._currentScrollPos.x!==this._prevScrollPos.x){this._invokeEvent("scrollPosChanged",{value:this.scrollPos()});this._prevScrollPos.x=this._currentScrollPos.x;this.update()}}_changeVerticalScrollPos(t){this._currentScrollPos.y=Math.max(0,Math.min(t,this._maxScrollPos.y));if(this._currentScrollPos.y!==this._prevScrollPos.y){this._invokeEvent("scrollPosChanged",{value:this.scrollPos()});this._prevScrollPos.y=this._currentScrollPos.y;this.update()}}_processMouseWheel(t,e){if(this._isEnabled){t.preventDefault();let e=Math.max(-1,Math.min(1,t.wheelDelta||-t.detail)),i=5,l=0,r=0;if(t.shiftKey){l=Math.floor(this._clientRect.width/i);r=this._currentScrollPos.x+l*e*-1;this._changeHorizontalScrollPos(r)}else{l=Math.floor(this._clientRect.height/i);r=this._currentScrollPos.y+l*e*-1;this._changeVerticalScrollPos(r)}t.stopPropagation()}}scrollPos(t){if(t){this._currentScrollPos={x:Math.max(0,Math.min(t.x,this._maxScrollPos.x)),y:Math.max(0,Math.min(t.y,this._maxScrollPos.y))};this._invokeEvent("scrollPosChanged",{value:this._currentScrollPos})}return{x:Math.floor(this._currentScrollPos.x),y:Math.floor(this._currentScrollPos.y)}}isHorScrollVisible(){return this._isEnabled&&this._scrollSize.width>0?!0:!1}isVerScrollVisible(){return this._isEnabled&&this._scrollSize.height>0?!0:!1}_onHorizontalScrollStart(t){this._hoverItem=null;this._isScrollActive=!0}_onHorizontalScrollEnd(t){this._isScrollActive=!1}_onHorizontalScrollChanged(t){this._currentScrollPos.x=t.detail.value;this._invokeEvent("scrollPosChanged",{value:this.scrollPos()});this.update()}_onVerticalScrollStart(t){this._isScrollActive=!0}_onVerticalScrollEnd(t){this._isScrollActive=!1;this._updateScrollAppearance(t.detail.event)}_onVerticalScrollChanged(t){this._changeVerticalScrollPos(t.detail.value)}_updateScrollAppearance(t){let e=this;e._resetScrollAppearanceTimeout();e._scrollAppearanceTimeout=setTimeout(function(){let i=e._commonService.getPageRect(e._elemRef),l=e._commonService.getMousePos(t),r=e._commonService.getShiftPos();l.x-=r.x;l.y-=r.y;let s=l.x<i.left||l.x>i.right||l.y<i.top||l.y>i.bottom;e._isScrollVisible=s?!1:!0;e.update()},100)}_getContentStyle(){return{position:"absolute",top:this._contentAlignPos.top-this._currentScrollPos.y+"px",left:this._contentAlignPos.left-this._currentScrollPos.x+"px"}}_getControlStyle(){let t=this._currentInlineStyle||{};if(this._ctrlSize.width>0)t.width=this._ctrlSize.width+"px";if(this._isAutoSized)t.height=this._currentCtrlSize.height+"px";else if(this._ctrlSize.height>0)t.height=this._ctrlSize.height+"px";return t}_getScrollCornerClass(){let t={};t[this._scrollCornerClassName]=!0;if(this._currentScrollAppearance===IntegralUIComponentAppearance.Dynamic)t[this._scrollCornerClassName+"-dynamic"]=!0;if(!this._isEnabled)t[this._scrollCornerClassName+"-disabled"]=!0;return t}_updateColorSchemeSettings(t){this._currentColorSchemeSettings=css``;this._currentScrollColorSchemeSettings=css``;switch(t){case IntegralUIColorScheme.Dark:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiPanelDarkStyle.cssText,"../../../icons",this._currentResourcePath);this._currentScrollColorSchemeSettings.cssText=this._commonService.replaceAll(iuiScrollBarDarkStyle.cssText,"../../../icons",this._currentResourcePath);break;case IntegralUIColorScheme.Light:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiPanelLightStyle.cssText,"../../../icons",this._currentResourcePath);this._currentScrollColorSchemeSettings.cssText=this._commonService.replaceAll(iuiScrollBarLightStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentColorSchemeSettings.cssText="";this._currentScrollColorSchemeSettings.cssText=""}}_updateThemeSettings(t){this._currentThemeSettings=css``;this._currentScrollStyleSettings=css``;switch(t){case IntegralUITheme.Office:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiPanelOfficeStyle.cssText,"../../../icons",this._currentResourcePath);this._currentScrollStyleSettings.cssText=this._commonService.replaceAll(iuiScrollBarOfficeStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentThemeSettings.cssText="";this._currentScrollStyleSettings.cssText=this._commonService.replaceAll(iuiScrollBarStyle.cssText,"../../icons",this._currentResourcePath)}}_resetLayoutTimer(){if(this._updateTimer)clearTimeout(this._updateTimer);this._updateTimer=null}_resetScrollAppearanceTimeout(){if(this._scrollAppearanceTimeout)clearTimeout(this._scrollAppearanceTimeout);this._scrollAppearanceTimeout=null}firstUpdated(t){this._internalUpdateLayout()}render(){return html`             <style>                 ${iuiScrollBarStyle}                 ${this._currentScrollStyleSettings}                 ${this._currentControlStyleSettings}                 ${this._currentThemeSettings}                 ${this._currentColorSchemeSettings}                 ${this._currentScrollColorSchemeSettings}                 ${this._currentCustomStyle}             </style>             <div data-ctrl="panel" class=${classMap(this._getControlClass())} style=${styleMap(this._getControlStyle())} draggable="${this._isDraggable?!0:!1}" @DOMMouseScroll="${t=>this._processMouseWheel(t)}" @mousewheel="${t=>this._processMouseWheel(t)}" @mouseenter="${t=>this._ctrlMouseEnter(t)}" @mouseleave="${t=>this._ctrlMouseLeave(t)}">                 <div id="content" style=${styleMap(this._getContentStyle())}>                     <slot @slotchange="${t=>this._slotChange(t)}"></slot>                 </div>                 ${this.isVerScrollVisible()?html`<iui-scrollbar id="ver-scroll" .allowAnimation="${this._isAnimationAllowed}" .appearance="${this._currentScrollAppearance}" .colorScheme="${this._currentColorScheme}" .enabled="${this.enabled}" .height="${this._scrollBarSize.height}" .largeChange="${this._scrollLargeChange.y}" .max="${this._maxScrollPos.y}" .theme="${this._currentTheme}" .value="${this._currentScrollPos.y}" .visible="${this._isScrollVisible}" @valueChanged="${t=>this._onVerticalScrollChanged(t)}" @scrollStart="${t=>this._onVerticalScrollStart(t)}" @scrollEnd="${t=>this._onVerticalScrollEnd(t)}"></iui-scrollbar>`:html``}                 ${this.isHorScrollVisible()?html`<iui-scrollbar id="hor-scroll" .allowAnimation="${this._isAnimationAllowed}" .appearance="${this._currentScrollAppearance}" .colorScheme="${this._currentColorScheme}" .enabled="${this.enabled}" .largeChange="${this._scrollLargeChange.x}" .max="${this._maxScrollPos.x}" orientation="Horizontal" .theme="${this._currentTheme}" .value="${this._currentScrollPos.x}" .visible="${this._isScrollVisible}" .width="${this._scrollBarSize.width}" @valueChanged="${t=>this._onHorizontalScrollChanged(t)}" @scrollStart="${t=>this._onHorizontalScrollStart(t)}" @scrollEnd="${t=>this._onHorizontalScrollEnd(t)}"></iui-scrollbar>`:html``}                 ${this.isVerScrollVisible()&&this.isHorScrollVisible()?html`<div class=${classMap(this._getScrollCornerClass())}></div>`:html``}             </div>         `}_slotChange(t){this._internalUpdateLayout()}_updateControlStyleSettings(t){this._currentControlStyleSettings=css``;this._currentControlStyleSettings.cssText=this._commonService.replaceAll(iuiPanelDefaultStyle.cssText,"../../icons",t)}_updateReferences(){this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=panel]");this._contentElem=this.shadowRoot.querySelector("#content");if(this._resizeObserver)this._resizeObserver.observe(this._elemRef)}}window.customElements.define("iui-panel",IntegralUIPanel);export default IntegralUIPanel;