/*
  filename: integralui.popover.js
  version : 23.4.0
  Copyright © 2016-2023 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{L as LitElement,c as css,T as TemplateResult,a as defaultTemplateProcessor,h as html}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import IntegralUIAnimation from"./integralui.animation.js";import IntegralUIBase from"./integralui.base.js";import IntegralUICommonService from"../services/integralui.common.service.js";import{IntegralUIColorScheme,IntegralUITheme}from"./integralui.enums.js";import{iuiPopOverDefaultStyle}from"../styles/default/integralui.popover.style.js";import{iuiPopOverOfficeStyle}from"../styles/themes/office/integralui.popover.office.js";import{iuiPopOverDarkStyle}from"../styles/color-schemes/dark/integralui.popover.dark.js";import{iuiPopOverLightStyle}from"../styles/color-schemes/light/integralui.popover.light.js";export class IntegralUIPopOverWindow extends LitElement{constructor(){super();this._commonService=new IntegralUICommonService;this._activeAnimations=[];this._isAnimationAllowed=!0;this._currentOptions={};this._showTimer=null;this._popupTimer=null;this._mousePos={x:0,y:0};this._ctrlOpacity=0;this._currentPos={top:0,left:0};this._currentSize={width:0,height:0};this._popoverDisplay="none";this._currentResourcePath="../icons";this._currentControlStyleSettings=iuiPopOverDefaultStyle;this._currentCustomStyle={};this._currentTheme=IntegralUITheme.None;this._currentThemeSettings=css``;this._ctrlClass={};this._generalClassName="iui-popover";this._updateOptions();this._initStyle()}connectedCallback(){super.connectedCallback()}disconnectedCallback(){super.disconnectedCallback();this._clearAnimations();this._removeTimers()}_initStyle(){this._defaultStyle={general:{disabled:this._generalClassName+"-disabled",focused:this._generalClassName+"-focused",normal:this._generalClassName,hovered:this._generalClassName+"-hovered",selected:this._generalClassName+"-selected"}};this._updateColorSchemeSettings(this._currentColorScheme)}attributeChangedCallback(e,t,i){super.attributeChangedCallback(e,t,i)}static get properties(){return{allowAnimation:{type:Boolean,attribute:"allow-animation",reflect:!0},colorScheme:{converter:{fromAttribute:e=>{switch((e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"light":return IntegralUIColorScheme.Light;case"dark":return IntegralUIColorScheme.Dark;default:return IntegralUIColorScheme.None}},toAttribute:e=>{switch(e){case IntegralUIColorScheme.Light:return"Light";case IntegralUIColorScheme.Dark:return"Dark";default:return"None"}}},reflect:!0},customStyle:{type:Object,attribute:"custom-style"},options:{type:Object},resourcePath:{type:String,attribute:"resource-path",reflect:!0},theme:{converter:{fromAttribute:e=>{switch((e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"office":return IntegralUITheme.Office;case"dark":return IntegralUITheme.Dark;default:return IntegralUITheme.None}},toAttribute:e=>{switch(e){case IntegralUITheme.Office:return"Office";case IntegralUITheme.Dark:return"Dark";default:return"None"}}},reflect:!0}}}get allowAnimation(){return this._isAnimationAllowed}set allowAnimation(e){if(this._isAnimationAllowed!==e){const t=this._isAnimationAllowed;this._isAnimationAllowed=e;this.requestUpdate("allowAnimation",t)}}get colorScheme(){return this._currentColorScheme}set colorScheme(e){if(this._currentColorScheme!==e){const t=this._currentColorScheme;this._currentColorScheme=e;this._updateColorSchemeSettings(e);this.requestUpdate("colorScheme",t);this.refresh()}}get customStyle(){return this._currentCustomStyle}set customStyle(e){if(this._currentCustomStyle!==e){const t=this._currentCustomStyle;this._currentCustomStyle=e;this.requestUpdate("customStyle",t);this.refresh()}}get options(){return this._currentOptions}set options(e){const t=this._currentOptions;this._updateOptions(e);this.refresh();this.requestUpdate("options",t)}get resourcePath(){return this._currentResourcePath}set resourcePath(e){if(this._currentResourcePath!==e){const t=this._currentResourcePath;this._currentResourcePath=e;this._updateColorSchemeSettings(this._currentColorScheme);this._updateControlStyleSettings(e);this.requestUpdate("resourcePath",t)}}get theme(){return this._currentTheme}set theme(e){if(this._currentTheme!==e){const t=this._currentTheme;this._currentTheme=e;this._updateThemeSettings(e);this.requestUpdate("theme",t)}}_animationCallbackClose(e,t){this._changeAnimationValues(e);if(t)this._invokeEvent("closed")}_animationCallbackOpen(e,t){this._changeAnimationValues(e);if(t)this._invokeEvent("opened")}_changeAnimationValues(e){if(e.length>0){let t=e[0].values;this._ctrlOpacity=t.opacity;this._currentPos.left=t.left;this._currentPos.top=t.top;this.update()}}_clearActiveAnimations(){this._activeAnimations.filter(e=>e.isActive()).forEach(e=>e.destroy())}_clearAnimations(){this._activeAnimations.forEach(e=>{e.destroy();e=void 0});this._activeAnimations.length=0}_updateOptions(e){if(e)this._currentOptions={activation:this._commonService.isFieldAvailable(e.activation,"auto"),autoPopDelay:this._commonService.isFieldAvailable(e.autoPopDelay,5e3),closeButton:this._commonService.isFieldAvailable(e.closeButton,!0),enabled:this._commonService.isFieldAvailable(e.enabled,!0),header:this._commonService.isFieldAvailable(e.header,!0),initialDelay:this._commonService.isFieldAvailable(e.initialDelay,500),position:this._commonService.isFieldAvailable(e.position,"mouse"),showMarker:this._commonService.isFieldAvailable(e.showMarker,!0),title:this._commonService.isFieldAvailable(e.title,"")};else this._currentOptions={activation:"auto",autoPopDelay:5e3,closeButton:!0,enabled:!0,header:!0,initialDelay:500,position:"mouse",showMarker:!0,title:""};let t=this._commonService.isObject(e)?e.animation:{};if(t)this._currentOptions.animation={delay:this._commonService.isFieldAvailable(t.delay,0),duration:this._commonService.isFieldAvailable(t.duration,250),translateValue:this._commonService.isFieldAvailable(t.translateValue,25)};else this._currentOptions.animation={delay:0,duration:250,translateValue:25}}close(){let e=this;e._clearActiveAnimations();let t={opacity:1,left:e._currentPos.left,top:e._currentPos.top},i={opacity:0,left:e._currentPos.left,top:e._currentPos.top};switch(this._currentOptions.position){case"above":i.top+=e._currentOptions.animation.translateValue;break;case"below":i.top-=e._currentOptions.animation.translateValue;break;case"left":i.left+=e._currentOptions.animation.translateValue;break;case"right":i.left-=e._currentOptions.animation.translateValue;break;default:i.top-=e._currentOptions.animation.translateValue}if(e._isAnimationAllowed){e._ctrlOpacity=1;let s=new IntegralUIAnimation,r=e._animationCallbackClose.bind(e);e._activeAnimations.push(s);s.animate({current:t,values:i},e._currentOptions.animation.delay,e._currentOptions.animation.duration,r)}else this._invokeEvent("closed")}open(e,t){let i=this;i._clearActiveAnimations();i._updateReferences();i._currentPos.top=-9999999;i._popoverDisplay="block";i.update();let s=setTimeout(function(){i._currentSize=i._getSize();i._popoverDisplay="none";i._removeTimers();if(i._currentOptions.enabled)i._showTimer=setTimeout(function(){i._show(e,t);if("auto"===i._currentOptions.activation)i._popupTimer=setTimeout(function(){i.close();clearTimeout(i._popupTimer)},i._currentOptions.autoPopDelay);clearTimeout(i._showTimer)},i._currentOptions.initialDelay);clearTimeout(s)},1)}_show(e,t){let i=this;i._currentPos={top:i._mousePos.y+24,left:i._mousePos.x};let s=i._commonService.getShiftPos();i._currentPos.left+=s.x;i._currentPos.top+=s.y;let r={opacity:0,left:i._currentPos.left,top:i._currentPos.top};switch(i._currentOptions.position){case"above":i._currentPos={top:e.top-4-i._currentSize.height,left:e.left+Math.floor((t.width-i._currentSize.width)/2)};if(i._currentOptions.showMarker)i._currentPos.top-=8;r={opacity:0,left:i._currentPos.left,top:i._currentPos.top+i._currentOptions.animation.translateValue};break;case"below":i._currentPos={top:e.bottom+4,left:e.left+Math.floor((t.width-i._currentSize.width)/2)};if(i._currentOptions.showMarker)i._currentPos.top+=8;r={opacity:0,left:i._currentPos.left,top:i._currentPos.top-i._currentOptions.animation.translateValue};break;case"left":i._currentPos={top:e.top+Math.floor((t.height-i._currentSize.height)/2),left:e.left-4-i._currentSize.width};if(i._currentOptions.showMarker)i._currentPos.left-=8;r={opacity:0,left:i._currentPos.left+i._currentOptions.animation.translateValue,top:i._currentPos.top};break;case"right":i._currentPos={top:e.top+s.y+Math.floor((t.height-i._currentSize.height)/2),left:e.right+s.x+4};if(i._currentOptions.showMarker)i._currentPos.left+=8;r={opacity:0,left:i._currentPos.left-i._currentOptions.animation.translateValue,top:i._currentPos.top};break;default:r={opacity:0,left:i._currentPos.left,top:i._currentPos.top-i._currentOptions.animation.translateValue}}i._popoverDisplay="block";if(i._isAnimationAllowed){i._ctrlOpacity=0;let e=new IntegralUIAnimation,t=i._animationCallbackOpen.bind(i);i._activeAnimations.push(e);let s={opacity:1,left:i._currentPos.left,top:i._currentPos.top};e.animate({current:r,values:s},i._currentOptions.animation.delay,i._currentOptions.animation.duration,t)}else{i._ctrlOpacity=1;i.update();i._invokeEvent("opened")}}_getSize(){return{width:this._elemRef.offsetWidth,height:this._elemRef.offsetHeight}}_updateMousePos(e){this._mousePos=e}_invokeEvent(e,t,i,s){let r=new CustomEvent(e,{detail:t,bubbles:void 0!==i?i:!1,composed:void 0!==s?s:!1});this.dispatchEvent(r);return t}_defaultFunc(){}_preventBubbleUp(e){e.stopPropagation()}_removeTimers(){if(this._showTimer){clearTimeout(this._showTimer);this._showTimer=null}if(this._popupTimer){clearTimeout(this._popupTimer);this._popupTimer=null}}_getControlClass(){return this._ctrlClass}_updateControlClass(){this._ctrlClass={};this._ctrlClass["iui-popover"]=!0;if(this._currentOptions.showMarker)switch(this._currentOptions.position){case"above":this._ctrlClass["iui-popover-marker-bottom"]=!0;break;case"right":this._ctrlClass["iui-popover-marker-left"]=!0;break;case"below":this._ctrlClass["iui-popover-marker-top"]=!0;break;case"left":this._ctrlClass["iui-popover-marker-right"]=!0;break;default:this._defaultFunc()}}_updateColorSchemeSettings(e){this._currentColorSchemeSettings=css``;switch(e){case IntegralUIColorScheme.Dark:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiPopOverDarkStyle.cssText,"../../../icons",this._currentResourcePath);break;case IntegralUIColorScheme.Light:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiPopOverLightStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentColorSchemeSettings.cssText=""}}_updateThemeSettings(e){this._currentThemeSettings=css``;switch(e){case IntegralUITheme.Office:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiPopOverOfficeStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentThemeSettings.cssText=""}}_getContentTemplate(){if(this.contentTemplate){let e=this.contentTemplate();if(e)return new TemplateResult(e.strings,e.values,"html",defaultTemplateProcessor)}return html``}firstUpdated(e){this._updateReferences()}refresh(){this._updateControlClass();this.update();this._updateReferences()}render(){return html`             <style>                 ${this._currentControlStyleSettings}                 ${this._currentThemeSettings}                 ${this._currentColorSchemeSettings}                 ${this._currentCustomStyle}             </style>             <div data-ctrl="popover-win" class=${classMap(this._getControlClass())} style=${styleMap({display:this._popoverDisplay,top:this._currentPos.top+"px",left:this._currentPos.left+"px",opacity:this._ctrlOpacity})} @click="${e=>this._preventBubbleUp(e)}" @mousedown="${e=>this._preventBubbleUp(e)}" @mouseup="${e=>this._preventBubbleUp(e)}">                 ${this._currentOptions.header?html`<div class="iui-popover-header">                         ${this._currentOptions.closeButton?html`<div class="iui-popover-close-button" @click="${()=>this.close()}"><span></span></div>`:html``}                         ${this._currentOptions.title?html`<span class="iui-popover-title" @click="${()=>this.close()}">                                 ${this._currentOptions.title}                                 </span>`:html``}                         </div>`:html``}                 <div id="content" class="iui-popover-content">                     ${this._getContentTemplate()}                 </div>             </div>         `}_updateControlStyleSettings(e){this._currentControlStyleSettings=css``;this._currentControlStyleSettings.cssText=this._commonService.replaceAll(iuiPopOverDefaultStyle.cssText,"../../icons",e)}_updateReferences(){this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=popover-win]");this._contentElem=this.shadowRoot.querySelector("#content")}};window.customElements.define("iui-popover-win",IntegralUIPopOverWindow);class IntegralUIPopOver extends IntegralUIBase{constructor(){super();this._currentSettings={activation:"manual",autoPopDelay:3e3,closeButton:!0,enabled:!0,header:!0,initialDelay:500,position:"mouse",showMarker:!0,title:""};this._currentMousePos={x:0,y:0};this._isVisible=void 0;this._cmpRef=null;this._currentTheme=IntegralUITheme.None;this._currentThemeSettings=css``}connectedCallback(){}disconnectedCallback(){this._removeWindow()}attributeChangedCallback(e,t,i){super.attributeChangedCallback(e,t,i)}static get properties(){return{settings:{type:Object},visible:{type:Boolean,reflect:!0}}}get settings(){return this._currentSettings}set settings(e){if(this._currentSettings!==e){const t=this._currentSettings;this._currentSettings=e;this.requestUpdate("settings",t)}}get visible(){return this._isVisible}set visible(e){if(this._isVisible!==e){const t=this._isVisible;this._isVisible=e;this.toggle();this.requestUpdate("visible",t)}}close(){this._isVisible=!1;if(this._cmpRef)this._cmpRef.close()}open(e){if(this._isEnabled){this._addWindow();if(this._cmpRef){this._cmpRef.allowAnimation=this.allowAnimation;this._cmpRef.colorScheme=this._currentColorScheme;this._cmpRef.contentTemplate=this.contentTemplate;this._cmpRef.customStyle=this.customStyle;this._cmpRef.options=this._currentSettings;this._cmpRef.resourcePath=this.resourcePath;this._cmpRef.theme=this._currentTheme;if(e)this._cmpRef._updateMousePos(e);let t=this._elemRef.getBoundingClientRect();this._cmpRef.open(t,this._getSize());this._removeCtrl=this._removeCtrl.bind(this);this._cmpRef.addEventListener("closed",this._removeCtrl);this._openCtrl=this._openCtrl.bind(this);this._cmpRef.addEventListener("opened",this._openCtrl)}}}_openCtrl(e){this._isVisible=!0;this._invokeEvent("opened")}_removeCtrl(e){this._isVisible=!1;this._invokeEvent("closed");this._removeWindow()}toggle(){if(this._isVisible)this.open(0!==this._currentMousePos.x&&0!==this._currentMousePos.y?this._currentMousePos:void 0);else this.close()}_getSize(){return{width:this._elemRef.offsetWidth,height:this._elemRef.offsetHeight}}_ctrlMouseEnter(e){if(this._currentSettings&&"manual"!==this._currentSettings.activation&&!this._isVisible){let t=this._commonService.getMousePos(e);this.open(t)}}_ctrlMouseLeave(e){if(this._currentSettings&&"manual"!==this._currentSettings.activation)this.close()}_ctrlMouseMove(e){let t=this._commonService.getMousePos(e);if(this._cmpRef)this._cmpRef._updateMousePos(t);else this._currentMousePos=t}_addWindow(){this._removeWindow();this._cmpRef=document.createElement("iui-popover-win",{is:IntegralUIPopOverWindow});document.body.appendChild(this._cmpRef)}_removeWindow(){if(this._cmpRef){this._cmpRef.removeEventListener("closed",this._removeCtrl);this._cmpRef.parentNode.removeChild(this._cmpRef)}this._cmpRef=null}firstUpdated(e){this._updateReferences()}render(){return html`             <style>             </style>             <div data-ctrl="popover" style=${styleMap(this._getControlStyle())} @mouseenter="${e=>this._ctrlMouseEnter(e)}" @mouseleave="${e=>this._ctrlMouseLeave(e)}" @mousemove="${e=>this._ctrlMouseMove(e)}">                 <slot></slot>             </div>         `}_updateReferences(){this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=popover]")}}window.customElements.define("iui-popover",IntegralUIPopOver);export default IntegralUIPopOver;