/*
  filename: integralui.scrollbar.js
  version : 23.4.0
  Copyright © 2016-2023 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{c as css,h as html}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import IntegralUIBase from"./integralui.base.js";import{IntegralUIColorScheme,IntegralUIComponentAppearance,IntegralUIObjectState,IntegralUIOrientation,IntegralUITheme}from"./integralui.enums.js";import{iuiScrollBarStyle}from"../styles/default/integralui.scrollbar.style.js";import{iuiScrollBarOfficeStyle}from"../styles/themes/office/integralui.scrollbar.office.js";import{iuiScrollBarDarkStyle}from"../styles/color-schemes/dark/integralui.scrollbar.dark.js";import{iuiScrollBarLightStyle}from"../styles/color-schemes/light/integralui.scrollbar.light.js";class IntegralUIScrollBar extends IntegralUIBase{_init(){super._init();this._currentMaxValue=0;this._currentMinValue=0;this._currentValue=0;this._currentAppearance=IntegralUIComponentAppearance.Static;this._isVisible=!0;this._currentSplitterDistance={x:0,y:0};this._emptySpace=0;this._maxPos={x:0,y:0};this._currentOrientation=IntegralUIOrientation.Vertical;this._scrollPos={top:0,right:0,bottom:0,left:0};this._scrollSize={width:0,height:0};this._thumbSize={width:0,height:0};this._thumbPos={x:2,y:2};this._isThumbActive=!1;this._prevPos={x:0,y:0};this._smallChange=0;this._largeChangeValue=0;this._scrollInterval=null;this._scrollTimeout=null;this._thumbStartPos={x:0,y:0};this._generalClassName="iui-scrollbar";this._isThumbHovered=!1;this._thumbClass={};this._thumbClassName=this._generalClassName+"-thumb"}connectedCallback(){super.connectedCallback();this._windowMouseMove=this._windowMouseMove.bind(this);window.addEventListener("mousemove",this._windowMouseMove);this._windowMouseUp=this._windowMouseUp.bind(this);window.addEventListener("mouseup",this._windowMouseUp)}disconnectedCallback(){super.disconnectedCallback();window.removeEventListener("mousemove",this._windowMouseMove);window.removeEventListener("mouseup",this._windowMouseUp);this._clearScrollTimers()}static get properties(){return{appearance:{converter:{fromAttribute:e=>"dynamic"===(e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()?IntegralUIComponentAppearance.Dynamic:IntegralUIComponentAppearance.Static,toAttribute:(e,t)=>e===IntegralUIOrientation.Dynamic?"Dynamic":"Static"},reflect:!0},height:{type:Number},largeChange:{type:Number,attribute:"large-change"},max:{type:Number,reflect:!0},min:{type:Number,reflect:!0},orientation:{converter:{fromAttribute:e=>"horizontal"===(e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()?IntegralUIOrientation.Horizontal:IntegralUIOrientation.Vertical,toAttribute:(e,t)=>e===IntegralUIOrientation.Horizontal?"Horizontal":"Vertical"},reflect:!0},position:{type:Object},value:{type:Number,reflect:!0},width:{type:Number}}}attributeChangedCallback(e,t,s){super.attributeChangedCallback(e,t,s)}get appearance(){return this._currentAppearance}set appearance(e){if(this._currentAppearance!==e){const t=this._currentAppearance;this._currentAppearance=e;this.visible=this._currentAppearance===IntegralUIComponentAppearance.Dynamic?!1:!0;this.requestUpdate("appearance",t)}}set height(e){if(this._scrollSize.height!==e&&e>=0){const t=this._scrollSize.height;this._scrollSize.height=e;this.requestUpdate("height",t);this.updateLayout()}}set largeChange(e){if(this._largeChangeValue!==e&&e>=0){const t=this._largeChangeValue;this._largeChangeValue=e;this.requestUpdate("largeChange",t)}}get max(){return this._currentMaxValue}set max(e){if(this._currentMaxValue!==e){const t=this._currentMaxValue;if(e<=0)this._currentMaxValue=1;else this._currentMaxValue=e;if(this._currentValue>this._currentMaxValue)this._currentValue=this._currentMaxValue;this.requestUpdate("max",t);this.updateLayout()}}get min(){return this._currentMinValue}set min(e){if(this._currentMinValue!==e&&e>=0){const t=this._currentMinValue;this._currentMinValue=e;this.requestUpdate("min",t);this.updateLayout()}}get orientation(){return this._currentOrientation}set orientation(e){if(this._currentOrientation!==e){const t=this._currentOrientation;this._currentOrientation=e;this.requestUpdate("orientation",t);this.updateLayout()}}set position(e){const t=this._scrollPos;if(void 0!==e)this._scrollPos={top:this._commonService.isFieldAvailable(e.top,0),right:this._commonService.isFieldAvailable(e.right,0),bottom:this._commonService.isFieldAvailable(e.bottom,0),left:this._commonService.isFieldAvailable(e.left,0)};else this._scrollPos={top:0,right:0,bottom:0,left:0};this.requestUpdate("position",t)}get value(){return this._currentValue}set value(e){if(this._currentValue!==e){const t=this._currentValue;if(e<this._currentMinValue)this._currentValue=this._currentMinValue;else if(e>this._currentMaxValue)this._currentValue=this._currentMaxValue;else this._currentValue=e;this.requestUpdate("value",t);this.updateLayout();this._invokeEvent("valueChanged",{value:this._currentValue})}}get visible(){return this._isVisible}set visible(e){if(void 0!==e&&this._isVisible!==e){const t=this._isVisible;this._isVisible=this._currentAppearance===IntegralUIComponentAppearance.Dynamic?e:!0;this.requestUpdate("visible",t);this._updateVisibility()}}set width(e){if(this._scrollSize.width!==e&&e>=0){this._scrollSize.width=e;this.updateLayout()}}_thumbMouseEnter(e){this._isThumbHovered=!0;this.refresh()}_thumbMouseLeave(e){this._isThumbHovered=!1;this.refresh()}_thumbMouseDown(e){if(this._isEnabled){this.state|=IntegralUIObjectState.Selected;let t=this._commonService.getShiftPos(),s={x:e.pageX-t.x,y:e.pageY-t.y};this._thumbStartPos=s;this._isThumbActive=!0;this.prevPos={x:this.value,y:this.value};this._invokeEvent("scrollStart",{event:e,value:this._currentValue})}this._invokeEvent("scrollMouseDown");e.stopPropagation()}_windowMouseMove(e){if(this._isEnabled&&1===e.which&&this._isThumbActive){let t=this._commonService.getShiftPos(),s={x:e.pageX-t.x,y:e.pageY-t.y},i=0;if(this.orientation===IntegralUIOrientation.Horizontal){if(this._emptySpace>0)i=this.prevPos.x+(s.x-this._thumbStartPos.x)*this._currentMaxValue/this._emptySpace}else if(this._emptySpace>0)i=this.prevPos.y+(s.y-this._thumbStartPos.y)*this._currentMaxValue/this._emptySpace;this.value=i}}_windowMouseUp(e){if(this._isEnabled){this._isThumbActive=!1;this._prevPos.y=this._currentValue;this.state&=~IntegralUIObjectState.Selected;this._clearScrollTimers();this._invokeEvent("scrollEnd",{event:e,value:this._currentValue})}}isVertical(){return this.orientation===IntegralUIOrientation.Vertical?!0:!1}_updateVisibility(){if(this._isEnabled&&this._currentAppearance===IntegralUIComponentAppearance.Dynamic)if(this._isVisible)this.state|=IntegralUIObjectState.Hovered;else this.state&=~IntegralUIObjectState.Hovered}_changeScrollPos(e){if(this._isEnabled){let t=this;t._processLargeChange(e);t._clearScrollTimers();t._scrollTimeout=setTimeout(function(){t._scrollInterval=setInterval(function(){if(t._currentValue>t._currentMinValue&&t._currentValue<t._currentMaxValue)t._processLargeChange(e);else t._clearScrollTimers()},100);clearTimeout(t._scrollTimeout)},250)}}_clearScrollTimers(){if(this._scrollTimeout)clearTimeout(this._scrollTimeout);if(this._scrollInterval)clearInterval(this._scrollInterval);this._scrollTimeout=null;this._scrollInterval=null}_processLargeChange(e){let t=-1;if(this.isVertical())t=e.offsetY<this._thumbPos.y?1:e.offsetY>this._thumbPos.y+this._thumbSize.height?2:-1;else t=e.offsetX<this._thumbPos.x?1:e.offsetX>this._thumbPos.x+this._thumbSize.width?2:-1;switch(t){case 1:this.value-=this._largeChangeValue;break;case 2:this.value+=this._largeChangeValue;break;default:this._defaultFunc()}}_getControlClass(){return this._ctrlClass}_getThumbClass(){return this._thumbClass}refresh(){this._updateStyle(this.controlStyle);this._updateControlClass();this._updateThumbClass();this.update();this._updateReferences()}_updateColorSchemeSettings(e){this._currentColorSchemeSettings=css``;switch(e){case IntegralUIColorScheme.Dark:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiScrollBarDarkStyle.cssText,"../../../icons",this._currentResourcePath);break;case IntegralUIColorScheme.Light:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiScrollBarLightStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentColorSchemeSettings.cssText=""}}_updateControlClass(){this._ctrlClass={};this._ctrlClass[this._generalClassName]=!0;if(this._options.currentStyle&&this._options.currentStyle.general){this._ctrlClass[this._options.currentStyle.general.normal]=!0;if(this.orientation===IntegralUIOrientation.Horizontal)this._ctrlClass[this._options.currentStyle.general.normal+"-horizontal"]=!0;else this._ctrlClass[this._options.currentStyle.general.normal+"-vertical"]=!0;if(this._currentAppearance===IntegralUIComponentAppearance.Dynamic){this._ctrlClass[this._options.currentStyle.general.normal+"-dynamic"]=!0;if(this.orientation===IntegralUIOrientation.Horizontal)this._ctrlClass[this._options.currentStyle.general.normal+"-dynamic-horizontal"]=!0;else this._ctrlClass[this._options.currentStyle.general.normal+"-dynamic-vertical"]=!0}if(this.state&IntegralUIObjectState.Disabled)this._ctrlClass[this._options.currentStyle.general.disabled]=!0;else if(this.state&IntegralUIObjectState.Focused)this._ctrlClass[this._options.currentStyle.general.focused]=!0;else if(this.state&IntegralUIObjectState.Selected)this._ctrlClass[this._options.currentStyle.general.selected]=!0;else if(this.state&IntegralUIObjectState.Hovered)this._ctrlClass[this._options.currentStyle.general.hovered]=!0;if(this.state&IntegralUIObjectState.Hovered||this._isVisible){this._ctrlClass[this._defaultStyle.general.normal+"-enter"]=!0;if(this._currentAppearance===IntegralUIComponentAppearance.Dynamic)this._ctrlClass[this._defaultStyle.general.normal+"-dynamic-enter"]=!0}else{this._ctrlClass[this._defaultStyle.general.normal+"-leave"]=!0;if(this._currentAppearance===IntegralUIComponentAppearance.Dynamic)this._ctrlClass[this._defaultStyle.general.normal+"-dynamic-leave"]=!0}}}_updateThemeSettings(e){this._currentThemeSettings=css``;switch(e){case IntegralUITheme.Office:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiScrollBarOfficeStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentThemeSettings.cssText=""}}_updateThumbClass(){this._thumbClass={};this._thumbClass[this._thumbClassName]=!0;if(this.orientation===IntegralUIOrientation.Horizontal)this._thumbClass[this._thumbClassName+"-horizontal"]=!0;else this._thumbClass[this._thumbClassName+"-vertical"]=!0;if(this.state&IntegralUIObjectState.Disabled)this._thumbClass[this._thumbClassName+"-disabled"]=!0;else if(this.state&IntegralUIObjectState.Focused)this._thumbClass[this._thumbClassName+"-focused"]=!0;else if(this.state&IntegralUIObjectState.Selected)this._thumbClass[this._thumbClassName+"-selected"]=!0;else if(this._isThumbHovered)this._thumbClass[this._thumbClassName+"-hovered"]=!0}firstUpdated(e){this.updateLayout()}async updateLayout(e){await this._processUpdateLayout();this.refresh()}_processUpdateLayout(){let e=this;return new Promise(t=>{let s=e._currentAppearance===IntegralUIComponentAppearance.Static?2:0;if(e.orientation===IntegralUIOrientation.Horizontal){if(0===e._largeChangeValue)e._largeChangeValue=e._scrollSize.width;let t=e._scrollSize.width-s,i=0;if(e._currentMaxValue+t>0)i=t*t/(e._currentMaxValue+t);i=t/(e._currentMaxValue+e._largeChangeValue)*e._largeChangeValue;if(e._currentMaxValue<=0)i=t;else if(i<7)i=7;e._thumbSize.width=i;e._emptySpace=t-i;if(e._currentMaxValue>0)e._thumbPos.x=s+e._currentValue*e._emptySpace/e._currentMaxValue}else{if(0===e._largeChangeValue)e._largeChangeValue=e._scrollSize.height;let t=e._scrollSize.height-s,i=0;if(e._currentMaxValue+t>0)i=t*t/(e._currentMaxValue+t);i=t/(e._currentMaxValue+e._largeChangeValue)*e._largeChangeValue;if(e._currentMaxValue<=0)i=t;else if(i<7)i=7;e._thumbSize.height=i;e._emptySpace=t-i;if(e._currentMaxValue>0)e._thumbPos.y=s+e._currentValue*e._emptySpace/e._currentMaxValue}t()})}render(){const e=this.isVertical()?{top:this._scrollPos.top+"px",right:0,height:this._scrollSize.height+"px"}:{bottom:this._scrollPos.bottom+"px",left:0,width:this._scrollSize.width+"px"},t=this.isVertical()?{top:this._thumbPos.y+"px",height:this._thumbSize.height+"px"}:{left:this._thumbPos.x+"px",width:this._thumbSize.width+"px"};return html`                 <style>                     ${iuiScrollBarStyle}                     ${this._currentThemeSettings}                     ${this._currentColorSchemeSettings}                 </style>                 <div class=${classMap(this._getControlClass())} style=${styleMap(e)} @mousedown="${e=>this._changeScrollPos(e)}">                     <div class=${classMap(this._getThumbClass())} style=${styleMap(t)} @mouseenter="${e=>this._thumbMouseEnter(e)}" @mousedown="${e=>this._thumbMouseDown(e)}" @mouseleave="${e=>this._thumbMouseLeave(e)}"></div>                 </div>         `}updated(e){e.forEach((e,t)=>{})}}window.customElements.define("iui-scrollbar",IntegralUIScrollBar);export default IntegralUIScrollBar;