/*
  filename: integralui.sidebar.js
  version : 23.4.0
  Copyright © 2016-2023 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{c as css,h as html,T as TemplateResult,a as defaultTemplateProcessor}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import IntegralUIAnimation from"./integralui.animation.js";import IntegralUIBase from"./integralui.base.js";import{IntegralUIAnimationType,IntegralUIColorScheme,IntegralUIObjectState,IntegralUISpeedMode,IntegralUITabAlignment,IntegralUIPlacement,IntegralUITheme}from"./integralui.enums.js";import{iuiTabDefaultStyle}from"../styles/default/integralui.sidetab.style.js";import{iuiTabDarkStyle}from"../styles/color-schemes/dark/integralui.sidetab.dark.js";import{iuiTabOfficeStyle}from"../styles/themes/office/integralui.sidetab.office.js";import{iuiTabLightStyle}from"../styles/color-schemes/light/integralui.sidetab.light.js";import{iuiSideBarDefaultStyle}from"../styles/default/integralui.sidebar.style.js";import{iuiSideBarDarkStyle}from"../styles/color-schemes/dark/integralui.sidebar.dark.js";import{iuiSideBarOfficeStyle}from"../styles/themes/office/integralui.sidebar.office.js";import{iuiSideBarLightStyle}from"../styles/color-schemes/light/integralui.sidebar.light.js";class IntegralUISideBar extends IntegralUIBase{_init(){super._init();this._animationTimer=null;this._currentAnimation=IntegralUIAnimationType.Fade;this._currentAnimationSpeed=IntegralUISpeedMode.Normal;this._currentAnimationSpeedValue=400;this._currentTabs=[];this._dataTabs=[];this._numTabs=0;this._tabList=[];this._ctrlCursor="default";this._currentParent="";this._isExpanded=!1;this._isResizeAllowed=!0;this._parentRef=null;this._blockPos={top:"0",right:"auto",bottom:"auto",left:"0"};this._contentBlockOpacity=0;this._contentBlockPos={top:0,right:0,bottom:0,left:0};this._contentBlockSize={width:0,height:0};this._contentBorder={top:0,right:0,bottom:0,left:0};this._contentPadding={top:0,right:0,bottom:0,left:0};this._clientRect={width:0,height:0};this._ctrlMaxSize={width:0,height:0};this._currentAutoHide=!1;this._currentContentBlockOpacity=0;this._currentContentBlockSize={width:0,height:0};this._currentPlacement=IntegralUIPlacement.Left;this._currentTabAlignment=IntegralUITabAlignment.TopLeft;this._currentTabSpacing=0;this._headerDisplay="block";this._headerPadding={top:0,right:0,bottom:0,left:0};this._headerSize={width:0,height:0};this._isHeaderVisible=!1;this._isInbound=!1;this._isParentSizeChanging=!1;this._parentBounds={x:0,y:0,top:0,right:0,bottom:0,left:0,width:0,height:0};this._parentPadding={top:0,right:0,bottom:0,left:0};this._pinButtonPos={top:0,right:0,bottom:0,left:0};this._pinButtonSize={width:0,height:0};this._sidebarPos={top:"0",right:"auto",bottom:"auto",left:"0"};this._sumTabSize={width:0,height:0};this._tabSize={width:0,height:0};this._tabStripSize={width:0,height:0};this._updateTimer=null;this._isResizing=!1;this._startPos={x:0,y:0};this._currentControlStyleSettings=iuiSideBarDefaultStyle;this._currentTabColorSchemeSettings=css``;this._currentTabStyleSettings=iuiTabDefaultStyle;this._currentScrollPos=0;this._currentSelection=null;this._currentSelectedIndex=-1;this._selectedComponent=null;this._prevComponent=null;this._removeIndex=-1;this._contentClass={};this._currentTabThemeSettings=css``;this._generalClassName="iui-sidebar";this._contentClassName=this._generalClassName+"-content";this._tabHeaderClassName="iui-tab-header";this._setParent()}connectedCallback(){super.connectedCallback();this._windowMouseMove=this._windowMouseMove.bind(this);window.addEventListener("mousemove",this._windowMouseMove);this._windowMouseUp=this._windowMouseUp.bind(this);window.addEventListener("mouseup",this._windowMouseUp)}disconnectedCallback(){super.disconnectedCallback();window.removeEventListener("mousemove",this._windowMouseMove);window.removeEventListener("mouseup",this._windowMouseUp);if(this._scrollTimer)clearInterval(this._scrollTimer);this._removeAnimationTimer();this._clearResizeObserver();this._rt()}attributeChangedCallback(t,e,i){super.attributeChangedCallback(t,e,i)}static get properties(){return{allowResize:{type:Boolean,attribute:"allow-resize",reflect:!0},animation:{converter:{fromAttribute:t=>{switch((t=t.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"fade":return IntegralUIAnimationType.Fade;default:return IntegralUIAnimationType.None}},toAttribute:t=>{switch(t){case IntegralUIAnimationType.Fade:return"Fade";default:return"None"}}},reflect:!0},animationSpeed:{attribute:"animation-speed",converter:{fromAttribute:t=>{switch((t=t.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"veryslow":return IntegralUISpeedMode.VerySlow;case"slow":return IntegralUISpeedMode.Slow;case"fast":return IntegralUISpeedMode.Fast;case"veryfast":return IntegralUISpeedMode.VeryFast;default:return IntegralUISpeedMode.Normal}},toAttribute:t=>{switch(t){case IntegralUISpeedMode.VerySlow:return"VerySlow";case IntegralUISpeedMode.Slow:return"Slow";case IntegralUISpeedMode.Fast:return"Fast";case IntegralUISpeedMode.VeryFast:return"VeryFast";default:return"Normal"}}},reflect:!0},autoHide:{type:Boolean,attribute:"auto-hide",reflect:!0},expanded:{type:Boolean,reflect:!0},inbound:{type:Boolean,reflect:!0},parentId:{type:String,attribute:"parent-id",reflect:!0},placement:{converter:{fromAttribute:t=>{switch((t=t.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"bottom":return IntegralUIPlacement.Bottom;case"left":return IntegralUIPlacement.Left;case"right":return IntegralUIPlacement.Right;default:return IntegralUIPlacement.Top}},toAttribute:t=>{switch(t){case IntegralUIPlacement.Bottom:return"Bottom";case IntegralUIPlacement.Left:return"Left";case IntegralUIPlacement.Right:return"Right";default:return"Top"}}},reflect:!0},selectedIndex:{type:Number,attribute:"selected-index"},selectedTab:{type:Object,attribute:"selected-tab"},showHeader:{type:Boolean,attribute:"show-header",reflect:!0},tabAlignment:{attribute:"tab-alignment",converter:{fromAttribute:t=>{switch((t=t.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"middle":return IntegralUITabAlignment.Middle;case"bottomright":return IntegralUITabAlignment.BottomRight;default:return IntegralUITabAlignment.TopLeft}},toAttribute:t=>{switch(t){case IntegralUITabAlignment.Middle:return"Middle";case IntegralUITabAlignment.BottomRight:return"BottomRight";default:return"TopLeft"}}},reflect:!0},tabs:{type:Array}}}get allowResize(){return this._isResizeAllowed}set allowResize(t){if(this._isResizeAllowed!==t){const e=this._isResizeAllowed;this._isResizeAllowed=t;this.requestUpdate("allowResize",e)}}get animation(){return this._currentAnimation}set animation(t){if(this._currentAnimation!==t){const e=this._currentAnimation;this._currentAnimation=t;this.requestUpdate("animation",e);this.updateLayout()}}get animationSpeed(){return this._currentAnimationSpeed}set animationSpeed(t){if(this._currentAnimationSpeed!==t){const e=this._currentAnimationSpeed;this._currentAnimationSpeed=t;this._setAnimationSpeedValue();this.requestUpdate("animationSpeed",e)}}get autoHide(){return this._currentAutoHide}set autoHide(t){if(this._currentAutoHide!==t){const e=this._currentAutoHide;this._currentAutoHide=t;this.requestUpdate("autoHide",e);this._updateCurrentLayout()}}get expanded(){return this._isExpanded}set expanded(t){if(this._isExpanded!==t){const e=this._isExpanded;let i=this,n={cancel:!1,tab:this._currentSelection};if(t)i._invokeEvent("beforeExpand",n);else i._invokeEvent("beforeCollapse",n);if(!0!==n.cancel){i._isExpanded=t;i._toggleContent();i.requestUpdate("expanded",e)}}}get inbound(){return this._isInbound}set inbound(t){if(void 0!==t&&this._isInbound!==t){const e=this._isInbound;this._isInbound=t;this.requestUpdate("inbound",e);this.updateLayout()}}get parentId(){return this._currentParent}set parentId(t){if(this._commonService.isString(t)&&this._currentParent!==t){const e=this._currentParent;this._currentParent=t;this._setParent();this.requestUpdate("parentId",e)}}get placement(){return this._currentPlacement}set placement(t){if(this._currentPlacement!==t){const e=this._currentPlacement;this._currentPlacement=t;this._resetParent(!0);this.requestUpdate("placement",e);this.updateLayout()}}get selectedIndex(){return this._currentSelectedIndex}set selectedIndex(t){if(this._currentSelectedIndex!==t){const e=this._currentSelectedIndex;this._currentSelectedIndex=t;this._selectComponentByIndex(t);this.requestUpdate("selectedIndex",e)}}get selectedTab(){return this._currentSelection}set selectedTab(t){if(this._currentSelection!==t){const e=this._currentSelection;this._currentSelection=t;this.selectTab(t);this.requestUpdate("selectedTab",e)}}get showHeader(){return this._isHeaderVisible}set showHeader(t){const e=this._isHeaderVisible;this._isHeaderVisible=t;this.requestUpdate("showHeader",e);this.updateLayout()}get size(){return this._ctrlSize}set size(t){if(t){let e=!1;const i=this._ctrlSize;if(void 0!==t.width&&this._ctrlSize.width!==t.width){this._ctrlSize.width=t.width;e=!0}if(void 0!==t.height&&this._ctrlSize.height!==t.height){this._ctrlSize.height=t.height;e=!0}if(e){this._ctrlMaxSize={width:this._ctrlSize.width,height:this._ctrlSize.height};this._invokeEvent("sizeChanged",{size:this._ctrlSize});this.requestUpdate("size",i);this.updateLayout()}}}get tabAlignment(){return this._currentTabAlignment}set tabAlignment(t){if(this._currentTabAlignment!==t){const e=this._currentTabAlignment;this._currentTabAlignment=t;this.requestUpdate("tabAlignment",e);this.updateLayout()}}get tabs(){return this._currentTabs}_animate(){switch(this.animation){case IntegralUIAnimationType.Fade:if(this.allowAnimation)this._fadeTabContent();break;default:this._defaultFunc()}}_fadeTabContent(){let t=this;t._removeAnimationTimer();let e=0,i=1/t._getAnimationFactor();if(t._prevComponent){t._prevComponent.updateOpacity(1);t._prevComponent.updateVisibility(!1)}if(t._selectedComponent){t._selectedComponent.updateOpacity(0);t._selectedComponent.updateVisibility(!1)}t._animationTimer=setInterval(function(){if(e<1){e+=i;if(t._prevComponent)t._prevComponent.updateOpacity(1-e);if(t._selectedComponent)t._selectedComponent.updateOpacity(e)}else{e=1;if(t._prevComponent){t._prevComponent.updateOpacity(0);t._prevComponent.updateVisibility(!0)}if(t._selectedComponent)t._selectedComponent.updateOpacity(1);t._removeAnimationTimer()}},15)}_getAnimationFactor(){let t=15;switch(this.animationSpeed){case IntegralUISpeedMode.VerySlow:t=25;break;case IntegralUISpeedMode.Slow:t=20;break;case IntegralUISpeedMode.Fast:t=10;break;case IntegralUISpeedMode.VeryFast:t=5;break;default:t=15}return t}_removeAnimationTimer(){if(this._animationTimer)clearInterval(this._animationTimer)}_setAnimationSpeedValue(){switch(this._currentAnimationSpeed){case IntegralUISpeedMode.VerySlow:this._currentAnimationSpeedValue=1600;break;case IntegralUISpeedMode.Slow:this._currentAnimationSpeedValue=800;break;case IntegralUISpeedMode.Fast:this._currentAnimationSpeedValue=200;break;case IntegralUISpeedMode.VeryFast:this._currentAnimationSpeedValue=100;break;default:this._currentAnimationSpeedValue=400}}collapse(){this.expanded=!1}expand(){this.expanded=!0}toggle(){this.expanded=!this.expanded}_toggleContent(){if(this._currentTabs.length>0)if(this._currentAutoHide)this._toggleContentOuter();else this._toggleContentInner()}_toggleContentOuter(){this._clearActiveAnimations();if(this._isAnimationAllowed)if(this._isExpanded){let t=new IntegralUIAnimation,e=this._animationCallbackOuter.bind(this);this._activeAnimations.push(t);let i={opacity:0},n={opacity:1};if(this._isVertical()){i.height=0;n.height=this._contentBlockSize.height}else{i.width=0;n.width=this._contentBlockSize.width}t.animate({current:i,values:n},0,this._currentAnimationSpeedValue,e)}else{let t=new IntegralUIAnimation,e=this._animationCallbackOuter.bind(this),i={opacity:1},n={opacity:0};if(this._isVertical()){i.height=this._contentBlockSize.height;n.height=0}else{i.width=this._contentBlockSize.width;n.width=0}t.animate({current:i,values:n},0,this._currentAnimationSpeedValue/2,e)}else{if(this._isExpanded){this._currentContentBlockOpacity=1;if(this._isVertical())this._currentContentBlockSize.height=this._contentBlockSize.height;else this._currentContentBlockSize.width=this._contentBlockSize.width;this._invokeEvent("afterExpand",{tab:this._currentSelection})}else{this._currentContentBlockOpacity=0;if(this._isVertical())this._currentContentBlockSize.height=0;else this._currentContentBlockSize.width=0;this._invokeEvent("afterCollapse",{tab:this._currentSelection})}this.update()}}_animationCallbackOuter(t,e,i){if(this._elemRef){this._currentContentBlockOpacity=t[0].values.opacity;if(this._isVertical())this._currentContentBlockSize.height=t[0].values.height;else this._currentContentBlockSize.width=t[0].values.width;this.update()}if(e&&i)this._cancelExpand();else if(e)if(this._isExpanded)this._invokeEvent("afterExpand",{tab:this._currentSelection});else this._invokeEvent("afterCollapse",{tab:this._currentSelection})}_cancelExpand(){this._activeAnimations=this._activeAnimations.filter(t=>t.isActive());this._isExpanded=!1;this._isParentSizeChanging=!1}_toggleContentInner(){this._clearActiveAnimations();if(this._isAnimationAllowed){this._isParentSizeChanging=!0;if(this._isExpanded){let t=new IntegralUIAnimation,e=this._animationCallbackInner.bind(this);this._activeAnimations.push(t);this._contentBlockOpacity=0;let i={opacity:0},n={opacity:1};if(this._isVertical()){i.height=this._tabStripSize.height+2;n.height=this._ctrlMaxSize.height}else{i.width=this._tabStripSize.width+2;n.width=this._ctrlMaxSize.width}t.animate({current:i,values:n},0,this._currentAnimationSpeedValue,e)}else{let t=new IntegralUIAnimation,e=this._animationCallbackInner.bind(this);this._contentBlockOpacity=1;let i={opacity:1},n={opacity:0};if(this._isVertical()){i.height=this._ctrlMaxSize.height;n.height=this._tabStripSize.height+2}else{i.width=this._ctrlMaxSize.width;n.width=this._tabStripSize.width+2}t.animate({current:i,values:n},0,this._currentAnimationSpeedValue/2,e)}}else{if(this._isExpanded){this._contentBlockOpacity=1;if(this._isVertical())this._ctrlSize.height=this._ctrlMaxSize.height;else this._ctrlSize.width=this._ctrlMaxSize.width}else{this._contentBlockOpacity=0;if(this._isVertical())this._ctrlSize.height=this._tabStripSize.height+2;else this._ctrlSize.width=this._tabStripSize.width+2}this._updateContentSize();this.update();this._updateParent();if(this._isExpanded)this._invokeEvent("afterExpand",{tab:this._currentSelection});else this._invokeEvent("afterCollapse",{tab:this._currentSelection})}}_animationCallbackInner(t,e,i){if(this._elemRef){this._contentBlockOpacity=t[0].values.opacity;if(this._isVertical())this._ctrlSize.height=t[0].values.height;else this._ctrlSize.width=t[0].values.width;this._updateContentSize();this.update()}this._updateParent();if(e&&i)this._cancelExpand();else if(e){if(this._isExpanded)this._invokeEvent("afterExpand",{tab:this._currentSelection});else this._invokeEvent("afterCollapse",{tab:this._currentSelection});let t=this;setTimeout(function(){t._isParentSizeChanging=!1},100)}}_resetParent(t){if(this._parentRef){this._parentRef.style.removeProperty("width");this._parentRef.style.removeProperty("height");if(t)this._parentRef.style.removeProperty("padding")}}_updateParent(){if(this._parentRef)switch(this._currentPlacement){case IntegralUIPlacement.Top:this._parentRef.style.paddingTop=this._ctrlSize.height+"px";if(this._isInbound)this._parentRef.style.height=this._parentBounds.height-this._ctrlSize.height-this._parentPadding.bottom+"px";break;case IntegralUIPlacement.Right:this._parentRef.style.paddingRight=this._ctrlSize.width+"px";if(this._isInbound)this._parentRef.style.width=this._parentBounds.width-this._ctrlSize.width-this._parentPadding.left+"px";break;case IntegralUIPlacement.Bottom:this._parentRef.style.paddingBottom=this._ctrlSize.height+"px";if(this._isInbound)this._parentRef.style.height=this._parentBounds.height-this._ctrlSize.height-this._parentPadding.top+"px";break;default:this._parentRef.style.paddingLeft=this._ctrlSize.width+"px";if(this._isInbound)this._parentRef.style.width=this._parentBounds.width-this._ctrlSize.width-this._parentPadding.right+"px"}}_callSizeChanged(){this._invokeEvent("sizeChanged",{size:this._ctrlSize})}_getComponentData(t){if(t)if(t.data)return t.data;else{let e=this._getTabDataIndex(t);return this._currentTabs[e]}return null}_getParent(){return this._parentRef}_getParentBounds(){if(this._parentRef)return{bounds:this._commonService.getPageRect(this._parentRef),padding:this._commonService.getPadding(this._parentRef)};else return{bounds:{x:0,y:0,top:0,right:window.innerWidth,bottom:window.innerHeight,left:0,width:window.innerWidth,height:window.innerHeight},padding:{top:0,right:0,bottom:0,left:0}}}_getParentSize(){return{width:this._parentRef?this._parentRef.clientWidth:window.innerWidth,height:this._parentRef?this._parentRef.clientHeight:window.innerHeight}}_getTabCurrentIndex(t){return t&&this._tabList?this._tabList.indexOf(t):-1}_getTabDataIndex(t){if(t){let e=this._getTabCurrentIndex(t);return this._commonService.isIndexInRange(e,this._currentTabs)?e:-1}return-1}_getTabData(t){return this._currentTabs&&t>=0&&t<this._currentTabs.length?this._currentTabs[t]:null}_getTabIndex(t){return t&&this._currentTabs?this._currentTabs.indexOf(t):-1}_getTabHeaders(){this._tabHeaders=this.shadowRoot.querySelectorAll("li[data-header]");return this._tabHeaders}_setParent(){this._parentRef=""!==this._currentParent?document.querySelector("#"+this._currentParent):document.body;this._updateResizeObserver()}_isVertical(){return this._currentPlacement===IntegralUIPlacement.Top||this._currentPlacement===IntegralUIPlacement.Bottom}_getHeaderLayout(){if(this._isHeaderVisible)return html`<div id="header" class="iui-sidebar-header" style=${styleMap(this._getHeaderStyle())}>                 ${this._getHeaderTemplate()}             </div>`;else return html``}_getSumTabSize(){let t={width:0,height:0},e=this._getTabHeaders();if(e&&e.length>0)e.forEach(e=>{t.width+=e.offsetWidth;t.height+=e.offsetHeight;t.width+=this._currentTabSpacing-1;t.height+=this._currentTabSpacing-1});return t}_resetLayout(){if(this._updateTimer)clearTimeout(this._updateTimer);this._updateTimer=null}_updateContentLayout(){let t=this,e={width:t._contentBlockSize.width-(t._contentBorder.left+t._contentBorder.right),height:t._contentBlockSize.height-(t._contentBorder.top+t._contentBorder.bottom)};e.height-=t._headerSize.height;if(t._tabList&&t._tabList.length>0)t._tabList.forEach(function(t){t.updateSize(e)})}_updateContentSize(){if(this._currentTabs.length>0){let t=this._currentAutoHide?this._ctrlMaxSize:this._ctrlSize;if(this._isVertical()){this._contentBlockSize={width:this._parentBounds.width-(this._parentPadding.left+this._parentPadding.right),height:t.height-this._tabStripSize.height-(this._contentPadding.top+this._contentPadding.bottom)+1};if(this._currentPlacement===IntegralUIPlacement.Top)this._contentBlockSize.height+=1}else this._contentBlockSize={width:t.width-this._tabStripSize.width-(this._contentPadding.left+this._contentPadding.right)+1,height:this._parentBounds.height-(this._parentPadding.top+this._parentPadding.bottom)}}else this._contentBlockSize.width=this._contentBlockSize.height=0;this._currentContentBlockSize={width:this._contentBlockSize.width,height:this._contentBlockSize.height};this._updateContentVisibility()}_updateContentVisibility(){if(this._selectedComponent){let t=!1;if(this._currentAutoHide){if(this._isVertical()){if(this._contentBlockSize.height<20)t=!0}else if(this._contentBlockSize.width<20)t=!0}else if(this._isVertical()){if(this._ctrlSize.height<this._tabStripSize.height+20)t=!0}else if(this._ctrlSize.width<this._tabStripSize.width+20)t=!0;this._headerDisplay=t?"none":"block";this._selectedComponent.updateVisibility(t)}}_updateCtrlSize(){let t=this;if(t._currentTabs.length>0)if(t._isVertical())t._ctrlSize.height=t._isExpanded&&!t._currentAutoHide?t._ctrlMaxSize.height:t._tabStripSize.height+2;else t._ctrlSize.width=t._isExpanded&&!t._currentAutoHide?t._ctrlMaxSize.width:t._tabStripSize.width+2;else t._ctrlSize.width=t._ctrlSize.height=0;t._updateContentSize();t._contentBlockOpacity=t._isExpanded?1:0;t._currentContentBlockOpacity=t._contentBlockOpacity}_updateCurrentLayout(){this._resetParent();this._updateCtrlSize();this._updateContentLayout();this._updateParent();this.refresh()}async updateLayout(t){this._ut();if(!this._tCmp)this._at();this._updateTabList();await this._updateTabLayout();this._updateParent();this._invokeEvent("updateComplete");this.refresh()}_updateParentBounds(){let t=this._getParentBounds();this._parentBounds=t.bounds;this._parentPadding=t.padding}_updateSideBarSize(){let t=this,e=t._commonService.getBorderWidth(t._tabBlock);t._clientRect={width:t._elemRef.clientWidth,height:t._elemRef.clientHeight};t._tabStripSize={width:t._clientRect.width-2,height:t._clientRect.height-2};switch(t._currentPlacement){case IntegralUIPlacement.Top:t._blockPos={top:"0",right:"auto",bottom:"auto",left:"0"};t._tabStripSize.height=t._tabSize.height+e.top+e.bottom;t._contentBlockPos={top:t._tabStripSize.height-2,right:0,bottom:0,left:0};t._toolbarPos={top:"0",bottom:"auto"};break;case IntegralUIPlacement.Right:t._blockPos={top:"0",right:"0",bottom:"auto",left:"auto"};t._tabStripSize.width=t._tabSize.width+e.left+e.right;t._contentBlockPos={top:0,right:t._tabStripSize.width-1,bottom:0,left:0};break;case IntegralUIPlacement.Bottom:t._blockPos={top:"auto",right:"auto",bottom:"0",left:"0"};t._tabStripSize.height=t._tabSize.height+e.top+e.bottom;t._contentBlockPos={top:0,right:0,bottom:t._tabStripSize.height-1,left:0};t._toolbarPos={top:"auto",bottom:"0"};break;default:t._blockPos={top:"0",right:"auto",bottom:"auto",left:"0"};t._tabStripSize.width=t._tabSize.width+e.left+e.right;t._contentBlockPos={top:0,right:0,bottom:0,left:t._tabStripSize.width-1}}}_updateTabLayout(){return new Promise(t=>{let e=this;e._updateParentBounds();e.refresh();setTimeout(function(){e._clientRect={width:e._elemRef.clientWidth,height:e._elemRef.clientHeight};let i=e._getTabHeaders();if(i&&i.length>0){e._contentBorder=e._commonService.getBorderWidth(e._contentBlockElem);e._contentPadding=e._commonService.getPadding(e._contentElem);let t={x:0,y:0},n=e._currentTabSpacing,s={width:0,height:0};e._headerPadding=e._commonService.getPadding(e._headerElem);e._headerSize=e._headerElem?{width:e._headerElem.offsetWidth,height:e._headerElem.offsetHeight}:{width:0,height:0};e._pinButtonSize=e._pinButtonElem?{width:e._pinButtonElem.offsetWidth,height:e._pinButtonElem.offsetHeight}:{width:0,height:0};if(e._pinButtonElem&&e._headerSize.height<e._pinButtonElem.offsetHeight)e._headerSize.height=e._pinButtonElem.offsetHeight;e._tabSize={width:0,height:0};e._sumTabSize=e._getSumTabSize();i.forEach(i=>{i.style.removeProperty("width");i.style.removeProperty("height");s={width:i.offsetWidth,height:i.offsetHeight};if(e._currentPlacement===IntegralUIPlacement.Left||e._currentPlacement===IntegralUIPlacement.Right)s.width+=5;switch(e._currentPlacement){case IntegralUIPlacement.Top:e._sidebarPos={top:"0",right:"auto",bottom:"auto",left:"0"};i.style.top="0";i.style.right="auto";i.style.bottom="auto";i.style.left=t.x+"px";if(e._tabSize.height<s.height)e._tabSize.height=s.height;break;case IntegralUIPlacement.Right:e._sidebarPos={top:"0",right:"0",bottom:"auto",left:"auto"};i.style.top=t.y+"px";i.style.right="0";i.style.bottom="auto";i.style.left="auto";if(e._tabSize.width<s.width)e._tabSize.width=s.width;break;case IntegralUIPlacement.Bottom:e._sidebarPos={top:"auto",right:"auto",bottom:"0",left:"0"};i.style.top="auto";i.style.right="auto";i.style.bottom="0";i.style.left=t.x+"px";if(e._tabSize.height<s.height)e._tabSize.height=s.height;break;default:e._sidebarPos={top:"0",right:"auto",bottom:"auto",left:"0"};i.style.top=t.y+"px";i.style.right="auto";i.style.bottom="auto";i.style.left="0";if(e._tabSize.width<s.width)e._tabSize.width=s.width}t.x+=s.width+n-1;t.y+=s.height+n-1});e._updateSideBarSize();i.forEach(function(t,i){let n=e._commonService.getPadding(t);switch(e._currentPlacement){case IntegralUIPlacement.Top:t.style.height=e._tabSize.height-(n.top+n.bottom)+"px";break;case IntegralUIPlacement.Right:t.style.width=e._tabSize.width-(n.left+n.right)-1+"px";break;case IntegralUIPlacement.Bottom:t.style.height=e._tabSize.height-(n.top+n.bottom)+"px";break;default:t.style.width=e._tabSize.width-(n.left+n.right)-1+"px"}});e._updateCtrlSize();e.update();e._pinButtonPos.top=e._pinButtonElem?(e._headerSize.height-e._pinButtonElem.offsetHeight)/2:0;e._pinButtonPos.right=e._pinButtonPos.top;if(e._tabList&&e._tabList.length>0){let t={top:1,left:1},i={width:0,height:0};switch(e._currentPlacement){case IntegralUIPlacement.Right:t={top:e._headerSize.height+1,left:e._contentPadding.left+1};break;case IntegralUIPlacement.Bottom:t={top:e._contentPadding.top+e._headerSize.height+1,left:1};break;default:t={top:e._headerSize.height+1,left:1}}if(e._currentAutoHide)i={width:e._contentBlockSize.width-(e._contentBorder.left+e._contentBorder.right),height:e._contentBlockSize.height-(e._contentBorder.top+e._contentBorder.bottom)};else{if(e._isVertical())i={width:e._elemRef.clientWidth-(e._contentBorder.left+e._contentBorder.right),height:e._ctrlMaxSize.height-e._tabStripSize.height-2-(e._contentBorder.top+e._contentBorder.bottom)};else i={width:e._ctrlMaxSize.width-e._tabStripSize.width-3-(e._contentBorder.left+e._contentBorder.right),height:e._elemRef.clientHeight-(e._contentBorder.top+e._contentBorder.bottom)};if(e._currentPlacement===IntegralUIPlacement.Bottom)i.height-=1}i.height-=e._headerSize.height;e._tabList.forEach(function(n){n.animation=e.animation;n.updateLayoutPos(t,i,!0)})}let a={top:0,right:0,bottom:0,left:0};if(e._currentPlacement===IntegralUIPlacement.Left||e._currentPlacement===IntegralUIPlacement.Right){a.top=-e._currentScrollPos;if(e._tabStripSize.height>e._sumTabSize.height)switch(e._currentTabAlignment){case IntegralUITabAlignment.Middle:a.top=-e._currentScrollPos+(e._tabStripSize.height-e._sumTabSize.height)/2;break;case IntegralUITabAlignment.BottomRight:a.top=-e._currentScrollPos+(e._tabStripSize.height-e._sumTabSize.height-n-1)}e._sidebarPos.top=a.top+"px"}else{a.left=-e._currentScrollPos;if(e._tabStripSize.width>e._sumTabSize.width)switch(e._currentTabAlignment){case IntegralUITabAlignment.Middle:a.left=-e._currentScrollPos+(e._tabStripSize.width-e._sumTabSize.width)/2;break;case IntegralUITabAlignment.BottomRight:a.left=-e._currentScrollPos+(e._tabStripSize.width-e._sumTabSize.width-n-1)}e._sidebarPos.left=a.left+"px"}if(e._selectedComponent){e._selectedComponent.updateOpacity(1);e._selectedComponent.updateVisibility(!1)}e._updateContentVisibility()}else e._updateCtrlSize();t()},1)})}_tabMouseDown(t,e){if(this._isEnabled&&1===t.which)this._selectComponent(e)}_tabEnter(t,e){if(this._isEnabled&&!e.selected){e.state|=IntegralUIObjectState.Hovered;this.update()}}_tabLeave(t,e){e.state&=~IntegralUIObjectState.Hovered;this.update()}_getTabOpacity(t){if(this._tabReorderActive&&t===this._reorderTab)return 0;else return 1}_clearResizeObserver(){if(this._resizeObserver)this._resizeObserver.disconnect();this._resizeObserver=null}_ctrlMouseDown(t){if(this._isEnabled&&this._isResizeAllowed&&1===t.which){let e=this._commonService.getPadding(this._contentElem),i=!1;switch(this._currentPlacement){case IntegralUIPlacement.Top:if(t.offsetY>=this._contentBlockSize.height-e.bottom)i=!0;break;case IntegralUIPlacement.Right:if(t.offsetX<=e.left)i=!0;break;case IntegralUIPlacement.Bottom:if(t.offsetY<=e.top)i=!0;break;default:if(t.offsetX>=this._contentBlockSize.width-e.right)i=!0}if(i){let e=this._commonService.getShiftPos();this._startPos={x:t.pageX-e.x,y:t.pageY-e.y};this._isResizing=!0;this.refresh()}}}_updateResizeObserver(){let t=this;t._clearResizeObserver();t._resizeObserver=new ResizeObserver(e=>{if(e&&e.length>0&&e[0].contentRect&&!t._isParentSizeChanging&&!t._isResizing){t._updateParentBounds();t.update();t._updateSideBarSize();t._updateCtrlSize();t._updateContentLayout();t.update()}});if(t._resizeObserver&&t._parentRef)t._resizeObserver.observe(t._parentRef)}_windowMouseMove(t){let e=this;if(e._isEnabled&&e._isResizeAllowed&&e._isResizing&&1===t.which&&e._parentRef){let i=e._commonService.getShiftPos(),n={x:t.pageX-i.x,y:t.pageY-i.y},s=0,a=!1,r={width:e._contentBlockSize.width,height:e._contentBlockSize.height},h=getComputedStyle(e._parentRef),o={width:parseFloat(h.width),height:parseFloat(h.height)};s=e._isVertical()?n.y-e._startPos.y:n.x-e._startPos.x;if(e._currentAutoHide)switch(e._currentPlacement){case IntegralUIPlacement.Top:if(n.y>e._startPos.y&&e._contentBlockSize.height+s<o.height){r.height+=s;a=!0}else if(n.y<e._startPos.y&&e._contentBlockSize.height+s>0){r.height+=s;a=!0}break;case IntegralUIPlacement.Right:if(n.x>e._startPos.x&&e._contentBlockSize.width-s>0){r.width-=s;a=!0}else if(n.x<e._startPos.x&&e._contentBlockSize.width-s<o.width){r.width-=s;a=!0}break;case IntegralUIPlacement.Bottom:if(n.y>e._startPos.y&&e._contentBlockSize.height-s>0){r.height-=s;a=!0}else if(n.y<e._startPos.y&&e._contentBlockSize.height-s<o.height){r.height-=s;a=!0}break;default:if(n.x>e._startPos.x&&e._contentBlockSize.width+s<o.width){r.width+=s;a=!0}else if(n.x<e._startPos.x&&e._contentBlockSize.width+s>0){r.width+=s;a=!0}}else{r={width:e._ctrlSize.width,height:e._ctrlSize.height};switch(e._currentPlacement){case IntegralUIPlacement.Top:if(n.y>e._startPos.y&&o.height-s>=0){r.height+=s;a=!0}else if(n.y<e._startPos.y&&r.height+s>=e._tabStripSize.height+4){r.height+=s;a=!0}break;case IntegralUIPlacement.Right:if(n.x>e._startPos.x&&r.width-s>=e._tabStripSize.width+4){r.width-=s;a=!0}else if(n.x<e._startPos.x&&o.width+s>=0){r.width-=s;a=!0}break;case IntegralUIPlacement.Bottom:if(n.y>e._startPos.y&&r.height-s>=e._tabStripSize.height+4){r.height-=s;a=!0}else if(n.y<e._startPos.y&&o.height+s>=0){r.height-=s;a=!0}break;default:if(n.x>e._startPos.x&&o.width-s>=0){r.width+=s;a=!0}else if(n.x<e._startPos.x&&r.width+s>=e._tabStripSize.width+4){r.width+=s;a=!0}}}e._startPos=n;if(a){if(e._currentAutoHide){if(e._isVertical())e._contentBlockSize.height=r.height;else e._contentBlockSize.width=r.width;e._currentContentBlockSize={width:e._contentBlockSize.width,height:e._contentBlockSize.height};switch(e._currentPlacement){case IntegralUIPlacement.Top:e._ctrlMaxSize.height+=s;break;case IntegralUIPlacement.Right:e._ctrlMaxSize.width-=s;break;case IntegralUIPlacement.Bottom:e._ctrlMaxSize.height-=s;break;default:e._ctrlMaxSize.width+=s}e._updateContentLayout()}else{if(e._isVertical()){e._ctrlSize.height=r.height;e._ctrlMaxSize.height=e._ctrlSize.height}else{e._ctrlSize.width=r.width;e._ctrlMaxSize.width=e._ctrlSize.width}e._updateContentSize();e._updateContentLayout();e._updateParent();e._invokeEvent("sizeChanged",{size:e._ctrlSize})}e._updateContentVisibility();e.update()}}}_windowMouseUp(t){if(this._isEnabled&&this._isResizing){this._isResizing=!1;this.refresh()}}_clearSelection(t){this._tabList.forEach(function(e,i){if(e!==t)e.selected=!1})}_selectComponent(t,e){let i=this;if(t&&t!==i._selectedComponent){let n=i._getTabCurrentIndex(t),s=i._getComponentData(t),a={cancel:!1,index:n,tab:s};i._invokeEvent("beforeSelect",a);if(!0!==a.cancel){i._currentSelectedIndex=n;if(i._currentTabs&&n>=0&&n<i._currentTabs.length)i._currentSelection=i._currentTabs[n];i._prevComponent=i._selectedComponent;i._selectedComponent=t;i._clearSelection(t);t.selected=!0;i._animate();if(!e){i._invokeEvent("afterSelect",{index:n,tab:s});i._invokeEvent("selectionChanged",{index:n,tab:s})}i.expanded=!0;i.update();return!0}}else{i.toggle();i._clearSelection();i._selectedComponent=null}return!1}_selectComponentByIndex(t,e){let i=this;setTimeout(function(){if(i._commonService.isIndexInRange(t,i._tabList))i._selectComponent(i._tabList[t],e)},1)}selectTab(t,e){if(this._currentTabs){if(0===this._currentTabs.length)this._updateTabList();this._currentSelectedIndex=this._currentTabs.indexOf(t);this._selectComponentByIndex(this._currentSelectedIndex,e)}}_findTabIndexByID(t){let e=this._currentTabs.filter(e=>e.id===t);return e.length>0?this._currentTabs.indexOf(e[0]):-1}_getContentClass(){return this._contentClass}_getContentStyle(){let t={pointerEvents:!this._isExpanded?"none":"auto"};if(this._currentTabs.length>0){t.top=t.right=t.bottom=t.left="auto";switch(this._currentPlacement){case IntegralUIPlacement.Top:t.top=this._contentBlockPos.top+"px";t.left=this._contentBlockPos.left+"px";break;case IntegralUIPlacement.Right:t.top=this._contentBlockPos.top+"px";t.right=this._contentBlockPos.right+"px";break;case IntegralUIPlacement.Bottom:t.bottom=this._contentBlockPos.bottom+"px";t.left=this._contentBlockPos.left+"px";break;default:t.top=this._contentBlockPos.top+"px";t.left=this._contentBlockPos.left+"px"}if(this._currentAutoHide){t.opacity=this._currentContentBlockOpacity;if(this._isVertical()){t.width=this._contentBlockSize.width+"px";t.height=this._currentContentBlockSize.height+"px"}else{t.width=this._currentContentBlockSize.width+"px";t.height=this._contentBlockSize.height+"px"}}else{t.width=this._contentBlockSize.width+"px";t.height=this._contentBlockSize.height+"px";t.opacity=this._contentBlockOpacity}}return t}_getControlStyle(){let t=this._currentInlineStyle||{};if(this._currentTabs.length>0){t.display="block";t.width=t.height=t.top=t.right=t.bottom=t.left="auto";if(this._isVertical()){if(this._ctrlSize.height>0)t.height=this._ctrlSize.height+"px";if(this._parentBounds.width>0)t.width=this._parentBounds.width-(this._parentPadding.left+this._parentPadding.right)+"px";else if(this._ctrlSize.width>0)t.width=this._ctrlSize.width+"px";t.left=this._parentPadding.left+"px";if(this._currentPlacement===IntegralUIPlacement.Bottom)t.bottom=0;else t.top=0}else{if(this._ctrlSize.width>0)t.width=this._ctrlSize.width+"px";if(this._parentBounds.height>0)t.height=this._parentBounds.height-(this._parentPadding.top+this._parentPadding.bottom)+"px";else if(this._ctrlSize.height>0)t.height=this._ctrlSize.height+"px";t.top=this._parentPadding.top+"px";if(this._currentPlacement===IntegralUIPlacement.Right)t.right=0;else t.left=0}}else t.display="none";return t}_getHeaderStyle(){let t={display:this._headerDisplay};t.paddingRight=this._pinButtonPos.top+this._pinButtonSize.width+2+"px";return t}_getPinButtonStyle(){return{right:this._pinButtonPos.right+"px",top:this._pinButtonPos.top+"px"}}_getTabHeaderClass(t,e){let i=t._getCurrentTabStyle(),n={};n[i.header.normal]=!0;if(t.state&IntegralUIObjectState.Disabled)n[i.header.disabled]=!0;else if(t.state&IntegralUIObjectState.Focused)n[i.header.focused]=!0;else if(t.state&IntegralUIObjectState.Selected){n[i.header.selected]=!0;switch(this._currentPlacement){case IntegralUIPlacement.Right:n["iui-tab-selected-right"]=!0;break;case IntegralUIPlacement.Bottom:n["iui-tab-selected-bottom"]=!0;break;case IntegralUIPlacement.Left:n["iui-tab-selected-left"]=!0;break;default:n["iui-tab-selected-top"]=!0}}else if(t.state&IntegralUIObjectState.Hovered)n[i.header.hovered]=!0;return n}_updateColorSchemeSettings(t){this._currentColorSchemeSettings=css``;this._currentTabColorSchemeSettings=css``;switch(t){case IntegralUIColorScheme.Dark:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiSideBarDarkStyle.cssText,"../../../icons",this._currentResourcePath);this._currentTabColorSchemeSettings.cssText=this._commonService.replaceAll(iuiTabDarkStyle.cssText,"../../../icons",this._currentResourcePath);break;case IntegralUIColorScheme.Light:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiSideBarLightStyle.cssText,"../../../icons",this._currentResourcePath);this._currentTabColorSchemeSettings.cssText=this._commonService.replaceAll(iuiTabLightStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentColorSchemeSettings.cssText="";this._currentTabColorSchemeSettings.cssText=""}}_updateContentClass(){this._contentClass={};this._contentClass[this._contentClassName]=!0;if(this._currentAutoHide)this._contentClass[this._contentClassName+"-popup"]=!0;if(this._isResizeAllowed){switch(this._currentPlacement){case IntegralUIPlacement.Top:this._contentClass[this._contentClassName+"-top"]=!0;break;case IntegralUIPlacement.Right:this._contentClass[this._contentClassName+"-right"]=!0;break;case IntegralUIPlacement.Bottom:this._contentClass[this._contentClassName+"-bottom"]=!0;break;default:this._contentClass[this._contentClassName+"-left"]=!0}if(this._isResizing)this._contentClass[this._contentClassName+"-resize"]=!0}}_updateThemeSettings(t){this._currentThemeSettings=css``;this._currentTabThemeSettings=css``;switch(t){case IntegralUITheme.Office:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiSideBarOfficeStyle.cssText,"../../../icons",this._currentResourcePath);this._currentTabThemeSettings.cssText=this._commonService.replaceAll(iuiTabOfficeStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentThemeSettings.cssText="";this._currentTabThemeSettings.cssText=""}}_autoHideClicked(){this.autoHide=!this.autoHide}_getHeaderTemplate(){let t,e=null;if(this._selectedComponent)e=this._selectedComponent.data;else if(this._tabList.length>0)e=this._tabList[0].data;if(e){let i=this.headerTemplate;if(i){let n=i(e);if(n)t=new TemplateResult(n.strings,n.values,"html",defaultTemplateProcessor)}if(!t){let i=this._headerElem?this._headerElem.clientWidth-this._headerPadding.left-(this._pinButtonPos.top+this._pinButtonSize.width+2):0;t=html`                     <span style=${styleMap({opacity:i<10?0:1})}>${e.text}</span>                     <span class=${classMap(this._getPinIcon())} style=${styleMap(this._getPinButtonStyle())} @click="${()=>this._autoHideClicked()}"></span>                 `}}return t}_getTabTemplate(t){let e=null,i=this.tabTemplate;if(i){let n=i(t);if(n)e=new TemplateResult(n.strings,n.values,"html",defaultTemplateProcessor)}if(!e)e=html`                 ${t.icon?html`<span class=${classMap(this._getTabIcon(t.icon))}></span>`:html``}             `;return e}_tabTouchStart(t,e){if(this._isEnabled)this._selectComponent(e)}refresh(){this._updateStyle(this.controlStyle);this._updateControlClass();this._updateContentClass();this.update();this._updateReferences()}_getPinIcon(){let t={"iui-sidebar-button":!0,"iui-sidebar-button-pin":!0};if(this._currentAutoHide)t["iui-sidebar-button-pin-set"]=!0;return t}_getTabIcon(t){let e={};if(this._commonService.isString(t)){t.split(" ").map(t=>e[t]=!0)}return e}render(){return html`             <style>                 ${this._currentControlStyleSettings}                 ${this._currentTabStyleSettings}                 ${this._currentThemeSettings}                 ${this._currentTabThemeSettings}                 ${this._currentColorSchemeSettings}                 ${this._currentTabColorSchemeSettings}                 ${this._currentCustomStyle}             </style>             <div data-ctrl="sidebar" class=${classMap(this._getControlClass())} style=${styleMap(this._getControlStyle())}>                 <div id="tab-block" class="iui-sidebar-block" style=${styleMap({top:this._blockPos.top,right:this._blockPos.right,bottom:this._blockPos.bottom,left:this._blockPos.left,width:this._tabStripSize.width+"px",height:this._tabStripSize.height+"px"})}>                     <ul style=${styleMap({top:this._sidebarPos.top,right:this._sidebarPos.right,bottom:this._sidebarPos.bottom,left:this._sidebarPos.left})}>                         ${this._tabList.map(t=>html`                             <li data-header class=${classMap(this._getTabHeaderClass(t))} style=${styleMap({opacity:this._getTabOpacity(t),"z-index":t._elemOrder})} @mouseenter="${e=>this._tabEnter(e,t)}" @mouseleave="${e=>this._tabLeave(e,t)}" @mousedown="${e=>this._tabMouseDown(e,t)}" @touchstart="${e=>this._tabTouchStart(e,t)}">                                 ${this._getTabTemplate(t.data)}                             </li>                         `)}                     </ul>                 </div>                 <div id="content" class=${classMap(this._getContentClass())} style=${styleMap(this._getContentStyle())} @mousedown="${t=>this._ctrlMouseDown(t)}">                     <div class="iui-sidebar-content-block">                         ${this._getHeaderLayout()}                         <slot @slotchange="${t=>this._slotChange(t)}"></slot>                     </div>                 </div>             </div>         `}updated(t){}_updateControlStyleSettings(t){this._currentControlStyleSettings=css``;this._currentControlStyleSettings.cssText=this._commonService.replaceAll(iuiSideBarDefaultStyle.cssText,"../../icons",t);this._currentTabStyleSettings=css``;this._currentTabStyleSettings.cssText=this._commonService.replaceAll(iuiTabDefaultStyle.cssText,"../../icons",t)}_updateTabList(){if(this._contentElem){this._contentSlotElem=this._contentElem.querySelector("slot").assignedNodes();this._tabList=this._contentSlotElem?this._contentSlotElem.filter(t=>"iui-tab"===t.nodeName.toLowerCase()):[];this._currentTabs=this._tabList.map(t=>t.data)}}_slotChange(t){this._updateReferences();this.updateLayout()}_updateReferences(){this._contentElem=this.shadowRoot.querySelector("#content");this._contentBlockElem=this.shadowRoot.querySelector(".iui-sidebar-content-block");this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=sidebar]");this._headerElem=this.shadowRoot.querySelector("#header");this._pinButtonElem=this.shadowRoot.querySelector(".iui-sidebar-button-pin");this._tabBlock=this.shadowRoot.querySelector("#tab-block");if(this._resizeObserver)this._resizeObserver.observe(this._elemRef)}}window.customElements.define("iui-sidebar",IntegralUISideBar);export default IntegralUISideBar;