/*
  filename: integralui.sidepanel.js
  version : 23.4.0
  Copyright © 2016-2023 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{c as css,h as html}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import IntegralUIAnimation from"./integralui.animation.js";import IntegralUIBase from"./integralui.base.js";import{IntegralUIColorScheme,IntegralUIPlacement,IntegralUISpeedMode,IntegralUITheme}from"./integralui.enums.js";import{iuiSidePanelDefaultStyle}from"../styles/default/integralui.sidepanel.style.js";import{iuiSidePanelOfficeStyle}from"../styles/themes/office/integralui.sidepanel.office.js";import{iuiSidePanelDarkStyle}from"../styles/color-schemes/dark/integralui.sidepanel.dark.js";import{iuiSidePanelLightStyle}from"../styles/color-schemes/light/integralui.sidepanel.light.js";class IntegralUISidePanel extends IntegralUIBase{_init(){super._init();this._currentAnimationSpeed=IntegralUISpeedMode.Normal;this._currentAnimationSpeedValue=400;this._currentParent="";this._isVisible=!1;this._overlayRef=null;this._parentRef=null;this._contentBlockSize={width:0,height:0};this._contentPadding={top:0,right:0,bottom:0,left:0};this._ctrlBorder={top:0,right:0,bottom:0,left:0};this._ctrlCurrentSize={width:0,height:0};this._ctrlMaxSize={width:0,height:0};this._currentPlacement=IntegralUIPlacement.Left;this._isInbound=!0;this._isOverlayVisible=!0;this._parentBounds={x:0,y:0,top:0,right:0,bottom:0,left:0,width:0,height:0};this._parentPadding={top:0,right:0,bottom:0,left:0};this._ctrlOpacity=0;this._generalClassName="iui-sidepanel";this._currentControlStyleSettings=iuiSidePanelDefaultStyle;this._initStyle();this.updateLayout();this._setParent()}connectedCallback(){super.connectedCallback()}disconnectedCallback(){super.disconnectedCallback();this._removeBlockElement();this._clearResizeObserver()}attributeChangedCallback(e,t,i){super.attributeChangedCallback(e,t,i)}static get properties(){return{animationSpeed:{attribute:"animation-speed",converter:{fromAttribute:e=>{switch((e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"veryslow":return IntegralUISpeedMode.VerySlow;case"slow":return IntegralUISpeedMode.Slow;case"fast":return IntegralUISpeedMode.Fast;case"veryfast":return IntegralUISpeedMode.VeryFast;default:return IntegralUISpeedMode.Normal}},toAttribute:e=>{switch(e){case IntegralUISpeedMode.VerySlow:return"VerySlow";case IntegralUISpeedMode.Slow:return"Slow";case IntegralUISpeedMode.Fast:return"Fast";case IntegralUISpeedMode.VeryFast:return"VeryFast";default:return"Normal"}}},reflect:!0},inbound:{type:Boolean,reflect:!0},parentId:{type:String,attribute:"parent-id",reflect:!0},placement:{converter:{fromAttribute:e=>{switch((e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"bottom":return IntegralUIPlacement.Bottom;case"right":return IntegralUIPlacement.Right;case"top":return IntegralUIPlacement.Top;default:return IntegralUIPlacement.Left}},toAttribute:e=>{switch(e){case IntegralUIPlacement.Bottom:return"Bottom";case IntegralUIPlacement.Right:return"Right";case IntegralUIPlacement.Top:return"Top";default:return"Left"}}},reflect:!0},showOverlay:{type:Boolean,attribute:"show-overlay",reflect:!0},visible:{type:Boolean,reflect:!0}}}get animationSpeed(){return this._currentAnimationSpeed}set animationSpeed(e){if(this._currentAnimationSpeed!==e){const t=this._currentAnimationSpeed;this._currentAnimationSpeed=e;this._setAnimationSpeedValue();this.requestUpdate("animationSpeed",t)}}get inbound(){return this._isInbound}set inbound(e){if(void 0!==e&&this._isInbound!==e){const t=this._isInbound;this._isInbound=e;this.requestUpdate("inbound",t);this.updateLayout()}}get parentId(){return this._currentParent}set parentId(e){if(this._commonService.isString(e)&&this._currentParent!==e){const t=this._currentParent;this._currentParent=e;this._setParent();this.requestUpdate("parentId",t)}}get placement(){return this._currentPlacement}set placement(e){if(this._currentPlacement!==e){const t=this._currentPlacement;this._currentPlacement=e;this.requestUpdate("placement",t);this.updateLayout()}}get size(){return this._ctrlSize}set size(e){if(e){let t=!1;const i=this._ctrlSize;if(void 0!==e.width&&this._ctrlSize.width!==e.width){this._ctrlSize.width=e.width;t=!0}if(void 0!==e.height&&this._ctrlSize.height!==e.height){this._ctrlSize.height=e.height;t=!0}if(t){this._ctrlMaxSize={width:this._ctrlSize.width,height:this._ctrlSize.height};this._invokeEvent("sizeChanged",{size:this._ctrlSize});this.requestUpdate("size",i);this.updateLayout()}}}get showOverlay(){return this._isOverlayVisible}set showOverlay(e){if(void 0!==e&&this._isOverlayVisible!==e){const t=this._isOverlayVisible;this._isOverlayVisible=e;this.requestUpdate("showOverlay",t)}}get visible(){return this._isVisible}set visible(e){if(void 0!==e&&this._isVisible!==e){const t=this._isVisible;this._isVisible=e;this.updateLayout();if(e)this.open();else this.close();this._invokeEvent("visibleChanged",{visible:e});this.requestUpdate("visible",t)}}_animationCallback(e,t){if(e.length>1){let t=e[0].values,i={width:this._ctrlSize.width,height:this._ctrlSize.height};this._ctrlOpacity=t.opacity;if(this._isVertical()){this._ctrlCurrentSize.height=t.height;i.height=this._ctrlCurrentSize.height}else{this._ctrlCurrentSize.width=t.width;i.width=this._ctrlCurrentSize.width}if(this._overlayRef)this._overlayRef.style.opacity=e[1].values.opacity;this.update();this._invokeEvent("sizeChanged",{size:i})}if(!this._isVisible&&t){this._elemRef.style.display="none";this._removeBlockElement()}}_setAnimationSpeedValue(){switch(this._currentAnimationSpeed){case IntegralUISpeedMode.VerySlow:this._currentAnimationSpeedValue=1600;break;case IntegralUISpeedMode.Slow:this._currentAnimationSpeedValue=800;break;case IntegralUISpeedMode.Fast:this._currentAnimationSpeedValue=200;break;case IntegralUISpeedMode.VeryFast:this._currentAnimationSpeedValue=100;break;default:this._currentAnimationSpeedValue=400}}_getParent(){return this._parentRef}_getParentBounds(){if(this._parentRef)return this._commonService.getPageRect(this._parentRef);else return{x:0,y:0,top:0,right:window.innerWidth,bottom:window.innerHeight,left:0,width:window.innerWidth,height:window.innerHeight}}_getParentSize(){return{width:this._parentRef?this._parentRef.clientWidth:window.innerWidth,height:this._parentRef?this._parentRef.clientHeight:window.innerHeight}}_setParent(){this._parentRef=""!==this._currentParent?document.querySelector("#"+this._currentParent):document.body;this._updateResizeObserver()}close(){this._clearActiveAnimations();let e=new IntegralUIAnimation,t=this._animationCallback.bind(this);this._activeAnimations.push(e);let i=[{opacity:1},{opacity:.5}],r=[{opacity:0},{opacity:0}];if(this._isVertical()){i[0].height=this._ctrlMaxSize.height;r[0].height=0}else{i[0].width=this._ctrlMaxSize.width;r[0].width=0}e.animate([{current:i[0],values:r[0]},{current:i[1],values:r[1]}],0,this._currentAnimationSpeedValue/2,t)}open(){let e=this;e._clearActiveAnimations();e.update();let t=e._getParent();e._overlayRef=document.createElement("div");e._overlayRef.style.background="#808080";e._overlayRef.style.opacity="0";e._overlayRef.style.overflow="hidden";e._overlayRef.style.position="absolute";e._overlayRef.style.zIndex=998;switch(e._currentPlacement){case IntegralUIPlacement.Top:e._overlayRef.style.top=e._parentPadding.top+"px";break;case IntegralUIPlacement.Right:e._overlayRef.style.left=e._parentPadding.left+"px";break;case IntegralUIPlacement.Bottom:e._overlayRef.style.top=e._parentPadding.top+"px";break;default:e._overlayRef.style.left=e._parentPadding.left+"px"}e._updateOverlayLayout();if(e._isVertical())e._overlayRef.style.left=e._parentPadding.left+"px";else e._overlayRef.style.top=e._parentPadding.top+"px";t.appendChild(e);e._updateResizeObserver();setTimeout(function(){if(e._isOverlayVisible)t.appendChild(e._overlayRef);e._overlayClick=e._overlayClick.bind(e);e._overlayRef.addEventListener("click",e._overlayClick);let i=new IntegralUIAnimation,r=e._animationCallback.bind(e);e._activeAnimations.push(i);e._elemRef.style.display="block";let n=[{opacity:0},{opacity:0}],s=[{opacity:1},{opacity:.5}];if(e._isVertical()){n[0].height=0;s[0].height=e._ctrlMaxSize.height}else{n[0].width=0;s[0].width=e._ctrlMaxSize.width}i.animate([{current:n[0],values:s[0]},{current:n[1],values:s[1]}],0,e._currentAnimationSpeedValue,r)},10)}_overlayClick(){this.visible=!1}_removeBlockElement(){if(this._overlayRef){this._overlayRef.removeEventListener("click",this._overlayClick);this._overlayRef.remove()}}_isVertical(){return this._currentPlacement===IntegralUIPlacement.Top||this._currentPlacement===IntegralUIPlacement.Bottom}_processUpdateLayout(){let e=this;return new Promise(t=>{if(e._isUpdateAllowed)setTimeout(function(){e._updateReferences();e._clientRect={width:e._elemRef.clientWidth,height:e._elemRef.clientHeight};e._parentBounds=e._getParentBounds();e._parentPadding=e._isInbound?e._commonService.getPadding(e._parentRef):{top:0,right:0,bottom:0,left:0};e._ctrlBorder=e._commonService.getBorderWidth(e._elemRef);e._contentPadding=e._commonService.getPadding(e._contentElem);e._updateOverlayLayout();e._updateContentSize();t()},1)})}_updateContentSize(){if(this._isVertical())this._contentBlockSize={width:this._parentBounds.width-(this._ctrlBorder.left+this._ctrlBorder.right)-(this._parentPadding.left+this._parentPadding.right),height:this._ctrlMaxSize.height-(this._ctrlBorder.top+this._ctrlBorder.bottom)-(this._contentPadding.top+this._contentPadding.bottom)};else this._contentBlockSize={width:this._ctrlMaxSize.width-(this._ctrlBorder.left+this._ctrlBorder.right)-(this._contentPadding.left+this._contentPadding.right),height:this._parentBounds.height-(this._ctrlBorder.top+this._ctrlBorder.bottom)-(this._parentPadding.top+this._parentPadding.bottom)}}_updateOverlayLayout(){let e=this;if(e._overlayRef){e._overlayRef.style.width=e._parentBounds.width-(e._parentPadding.left+e._parentPadding.right)+"px";e._overlayRef.style.height=e._parentBounds.height-(e._parentPadding.top+e._parentPadding.bottom)+"px"}}async updateLayout(e){await this._processUpdateLayout();this.update()}_clearResizeObserver(){if(this._resizeObserver)this._resizeObserver.disconnect();this._resizeObserver=null}_updateResizeObserver(){this._clearResizeObserver();this._resizeObserver=new ResizeObserver(e=>{if(e&&e.length>0&&e[0].contentRect)this.updateLayout()});if(this._resizeObserver&&this._parentRef)this._resizeObserver.observe(this._parentRef)}_getContentStyle(){let e={};e.width=this._contentBlockSize.width+"px";e.height=this._contentBlockSize.height+"px";return e}_getControlStyle(){let e=this,t=e._currentInlineStyle||{};t.top=t.right=t.bottom=t.left="auto";if(e._isVertical()){t.height=e._ctrlCurrentSize.height-(e._ctrlBorder.top+e._ctrlBorder.bottom)+"px";if(e._parentBounds.width>0)t.width=e._parentBounds.width-(e._parentPadding.left+e._parentPadding.right)-(e._ctrlBorder.left+e._ctrlBorder.right)+"px";else if(e._ctrlSize.width>0)t.width=e._ctrlSize.width-(e._ctrlBorder.left+e._ctrlBorder.right)+"px";t.left=e._parentPadding.left+"px";if(e._currentPlacement===IntegralUIPlacement.Bottom)t.bottom=e._parentPadding.bottom+"px";else t.top=e._parentPadding.top+"px"}else{t.width=e._ctrlCurrentSize.width-(e._ctrlBorder.left+e._ctrlBorder.right)+"px";if(e._parentBounds.height>0)t.height=e._parentBounds.height-(e._parentPadding.top+e._parentPadding.bottom)-(e._ctrlBorder.top+e._ctrlBorder.bottom)+"px";else if(e._ctrlSize.height>0)t.height=e._ctrlSize.height-(e._ctrlBorder.top+e._ctrlBorder.bottom)+"px";t.top=e._parentPadding.top+"px";if(e._currentPlacement===IntegralUIPlacement.Right)t.right=e._parentPadding.right+"px";else t.left=e._parentPadding.left+"px"}t.opacity=e._ctrlOpacity;return t}_updateColorSchemeSettings(e){this._currentColorSchemeSettings=css``;switch(e){case IntegralUIColorScheme.Dark:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiSidePanelDarkStyle.cssText,"../../../icons",this._currentResourcePath);break;case IntegralUIColorScheme.Light:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiSidePanelLightStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentColorSchemeSettings.cssText=""}}_updateThemeSettings(e){this._currentThemeSettings=css``;switch(e){case IntegralUITheme.Office:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiSidePanelOfficeStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentThemeSettings.cssText=""}}firstUpdated(e){this.updateLayout()}render(){return html`             <style>                 ${this._currentControlStyleSettings}                 ${this._currentThemeSettings}                 ${this._currentColorSchemeSettings}                 ${this._currentCustomStyle}             </style>             <div data-ctrl="sidepanel" class=${classMap(this._getControlClass())} style=${styleMap(this._getControlStyle())}>                 <div id="content" class="iui-sidepanel-content" style=${styleMap(this._getContentStyle())}>                     <slot></slot>                 </div>             </div>         `}_updateControlStyleSettings(e){this._currentControlStyleSettings=css``;this._currentControlStyleSettings.cssText=this._commonService.replaceAll(iuiSidePanelDefaultStyle.cssText,"../../icons",e)}_updateReferences(){this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=sidepanel]");this._contentElem=this.shadowRoot.querySelector("#content")}}window.customElements.define("iui-sidepanel",IntegralUISidePanel);export default IntegralUISidePanel;