/*
  filename: integralui.slidebar.js
  version : 23.4.0
  Copyright © 2016-2023 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{c as css,h as html}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import IntegralUIBase from"./integralui.base.js";import IntegralUISlide from"./integralui.slide.js";import{IntegralUIAnimationType,IntegralUIColorScheme,IntegralUISlideDisplayMode,IntegralUISpeedMode,IntegralUITheme}from"./integralui.enums.js";import{iuiSlideBarDefaultStyle}from"../styles/default/integralui.slidebar.style.js";import{iuiSlideBarOfficeStyle}from"../styles/themes/office/integralui.slidebar.office.js";import{iuiSlideBarDarkStyle}from"../styles/color-schemes/dark/integralui.slidebar.dark.js";import{iuiSlideBarLightStyle}from"../styles/color-schemes/light/integralui.slidebar.light.js";class IntegralUISlideBar extends IntegralUIBase{_init(){super._init();this._currentList=[];this._slideList=[];this._animationTimeout=null;this._animationTimer=null;this._currentAnimationCounter=50;this._currentAnimationPause=3e3;this._currentAnimationSpeed=IntegralUISpeedMode.Normal;this._arrowTopPos=0;this._arrowOpacity=0;this._buttons=[];this._currentDisplayMode=IntegralUISlideDisplayMode.Stream;this._elemSize={width:0,height:0};this._navigatorSize={width:0,height:0};this._isNavigationBarVisible=!0;this._showNavigationButtons=!0;this._slideSize={width:0,height:0};this._firstSlide=null;this._prevSlide=null;this._currentSlide=null;this._nextSlide=null;this._lastSlide=null;this._currentSelection=null;this._currentSelectedIndex=-1;this._removeIndex=-1;this._selectedSlideComponent=null;this._currentControlStyleSettings=iuiSlideBarDefaultStyle;this._initStyle();this._resizeObserver=new ResizeObserver(e=>{if(e&&e.length>0&&e[0].contentRect){let e=!1;if(this._elemRef)this._clientRect={width:this._elemRef.clientWidth,height:this._elemRef.clientHeight};if(this._clientRect.width!==this._prevClientRect.width){this._prevClientRect.width=this._clientRect.width;e=!0}if(this._clientRect.height!==this._prevClientRect.height){this._prevClientRect.height=this._clientRect.height;e=!0}if(e)this.updateLayout(!0)}})}connectedCallback(){}disconnectedCallback(){this._rt();if(this._resizeObserver)this._resizeObserver.disconnect();this._resizeObserver=null}attributeChangedCallback(e,t,i){super.attributeChangedCallback(e,t,i)}static get properties(){return{animationPause:{type:Number,attribute:"animation-pause",reflect:!0},animationSpeed:{attribute:"animation-speed",converter:{fromAttribute:e=>{switch((e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"veryslow":return IntegralUISpeedMode.VerySlow;case"slow":return IntegralUISpeedMode.Slow;case"fast":return IntegralUISpeedMode.Fast;case"veryfast":return IntegralUISpeedMode.VeryFast;default:return IntegralUISpeedMode.Normal}},toAttribute:e=>{switch(e){case IntegralUISpeedMode.VerySlow:return"VerySlow";case IntegralUISpeedMode.Slow:return"Slow";case IntegralUISpeedMode.Fast:return"Fast";case IntegralUISpeedMode.VeryFast:return"VeryFast";default:return"Normal"}}},reflect:!0},displayMode:{attribute:"display-mode",converter:{fromAttribute:e=>{switch((e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"carousel":return IntegralUISlideDisplayMode.Carousel;default:return IntegralUISlideDisplayMode.Stream}},toAttribute:e=>{switch(e){case IntegralUISlideDisplayMode.Carousel:return"Carousel";default:return"Stream"}}},reflect:!0},navigationButtons:{type:Boolean,attribute:"navigation-buttons",reflect:!0},selectedIndex:{type:Number,attribute:"selected-index",reflect:!0}}}get animationPause(){return this._currentAnimationPause}set animationPause(e){if(this._currentAnimationPause!==e){const t=this._currentAnimationPause;this._currentAnimationPause=e;this.requestUpdate("animationPause",t)}}get animationSpeed(){return this._currentAnimationSpeed}set animationSpeed(e){if(this._currentAnimationSpeed!==e){const t=this._currentAnimationSpeed;this._currentAnimationSpeed=e;switch(this._currentAnimationSpeed){case IntegralUISpeedMode.VerySlow:this._currentAnimationCounter=100;break;case IntegralUISpeedMode.Slow:this._currentAnimationCounter=75;break;case IntegralUISpeedMode.Fast:this._currentAnimationCounter=30;break;case IntegralUISpeedMode.VeryFast:this._currentAnimationCounter=20;break;default:this._currentAnimationCounter=50}this.requestUpdate("animationSpeed",t)}}get displayMode(){return this._currentDisplayMode}set displayMode(e){if(void 0!==e&&this._currentDisplayMode!==e){const t=this._currentDisplayMode;this._currentDisplayMode=e;this._isNavigationBarVisible=this._currentDisplayMode===IntegralUISlideDisplayMode.Carousel?!1:!0;this.update();this.updateLayout();this.requestUpdate("displayMode",t)}}get navigationButtons(){return this._showNavigationButtons}set navigationButtons(e){if(this._showNavigationButtons!==e){const t=this._showNavigationButtons;this._showNavigationButtons=e;this.updateLayout();this.requestUpdate("navigationButtons",t)}}get selectedIndex(){return this._currentSelectedIndex}set selectedIndex(e){if(this._currentSelectedIndex!==e){const t=this._currentSelectedIndex;this.selectSlideByIndex(e);this.requestUpdate("selectedIndex",t)}}_getButtonClass(e){let t={"iui-slidebar-navigator-button":!0},i=this._getSlideIndex(this._selectedSlideComponent);if(e&&e.index===i)t["iui-slidebar-navigator-button-selected"]=!0;return t}_cancelAnimation(){if(this._animationTimer)clearInterval(this._animationTimer);this._animationTimer=null}_getSpeedFactor(){switch(this._currentAnimationSpeed){case IntegralUISpeedMode.VeryFast:return 25;case IntegralUISpeedMode.Fast:return 15;case IntegralUISpeedMode.Slow:return 5;case IntegralUISpeedMode.VerySlow:return 2;default:return 10}}startAnimation(){let e=this;e.stopAnimation();if(e._slideList.length>1)e._animationTimer=setInterval(function(){e.nextSlide()},e._currentAnimationPause+2e3)}stopAnimation(){this._cancelAnimation()}_updateCurrentList(){this._currentList.length=0;if(this._currentSlide){this._currentList.push(this._currentSlide);let e=this._currentSlide,t=Math.floor(this._slideList.length/2);for(let i=t+1;i<this._slideList.length;i++)if(e=this._getNextSlide(e))this._currentList.push(e);e=this._currentSlide;for(let i=t-1;i>=0;i--)if(e=this._getPrevSlide(e))this._currentList.unshift(e)}}_getNextSlide(e){let t=this._slideList.indexOf(e);return t>=0&&t<this._slideList.length-1?this._slideList[t+1]:this._slideList[0]}_getPrevSlide(e){let t=this._slideList.indexOf(e);return t>0?this._slideList[t-1]:this._slideList[this._slideList.length-1]}_getSlideCurrentIndex(e){return e&&this._currentList?this._currentList.indexOf(e):-1}_getSlideIndex(e){return e&&this._slideList?this._slideList.indexOf(e):-1}_getSlideData(e){return this._slideList&&e>=0&&e<this._slideList.length?this._slideList[e].data:null}invokeCtrlMethod(e,t){let i=!0;if(this._isEnabled)switch(e){case"SELECT_SLIDE":if(this._currentDisplayMode===IntegralUISlideDisplayMode.Carousel)this.selectSlide(t);break;default:i=!0}return i}_ctrlMouseEnter(e){if(this._isEnabled){this._arrowOpacity=1;this.update()}}_ctrlMouseLeave(e){this._arrowOpacity=0;this.update()}prevSlide(){if(this._isEnabled){let e=this._getSlideIndex(this._selectedSlideComponent)-1;if(this._commonService.isIndexInRange(e,this._slideList))this.selectSlideByIndex(e);else this.selectSlideByIndex(this._slideList.length-1)}}nextSlide(){if(this._isEnabled){let e=this._getSlideIndex(this._selectedSlideComponent)+1;if(this._commonService.isIndexInRange(e,this._slideList))this.selectSlideByIndex(e);else this.selectSlideByIndex(0)}}_updateSlideReferences(){if(this._currentSelectedIndex>=0){this._currentSlide=this._slideList[this._currentSelectedIndex];switch(this._slideList.length){case 4:this._prevSlide=this._getPrevSlide(this._currentSlide);this._firstSlide=null;this._nextSlide=this._getNextSlide(this._currentSlide);this._lastSlide=this._getNextSlide(this._nextSlide);break;case 3:this._prevSlide=this._getPrevSlide(this._currentSlide);this._firstSlide=null;this._nextSlide=this._getNextSlide(this._currentSlide);this._lastSlide=null;break;case 2:this._prevSlide=null;this._firstSlide=null;this._nextSlide=this._getNextSlide(this._currentSlide);this._lastSlide=null;break;case 1:this._prevSlide=null;this._firstSlide=null;this._nextSlide=null;this._lastSlide=null;break;default:this._prevSlide=this._getPrevSlide(this._currentSlide);this._firstSlide=this._getPrevSlide(this._prevSlide);this._nextSlide=this._getNextSlide(this._currentSlide);this._lastSlide=this._getNextSlide(this._nextSlide)}}}async updateLayout(e){this._ut();if(!this._tCmp)this._at();this._updateControlReferences();await this._processUpdateLayout(e)}_processUpdateLayout(e){let t=this;return new Promise(e=>{setTimeout(function(){t._buttons.length=0;if(t._slideList&&t._slideList.length>0){if(!t._selectedSlideComponent){t._currentSelectedIndex=0;t._selectedSlideComponent=t._slideList[0]}t._updateSlideReferences();t._navigatorSize=t._navigatorElem?{width:t._navigatorElem.offsetWidth,height:t._navigatorElem.offsetHeight}:{width:0,height:0};let e=0,i={top:0,left:0},s={dx:0,dy:0};t._arrowOpacity=0;if(t._currentDisplayMode===IntegralUISlideDisplayMode.Carousel)t._slideList.forEach((l,r)=>{let n=l.getSize();if(l===t._slideList[0]){t._elemSize.width=t._elemRef.clientWidth;t._elemSize.height=n.height+t._navigatorSize.height;s={dx:.5*(t._elemSize.width-n.width),dy:(t._elemRef.clientHeight-t._elemSize.height)/2};i.top=(t._elemRef.clientHeight-t._elemSize.height)/2}let a={top:i.top,left:r===t._currentSelectedIndex?s.dx/2:i.left},d=1,h=1,o=3;if(l===t._currentSlide)a.left=s.dx;else if(l===t._prevSlide){a.left=s.dx/3;d=.8;h=.6;o=2}else if(l===t._firstSlide){a.left=-s.dx/6;d=.6;h=.3;o=1}else if(l===t._nextSlide){a.left=t._elemSize.width-n.width-s.dx/3;d=.8;h=.6;o=2}else if(l===t._lastSlide){a.left=t._elemSize.width-n.width+s.dx/6-1;d=.6;h=.3;o=1}else{d=0;h=0;a.left=-9999999;o=-1}l.position=a;let _={transform:"scale("+d+")",zIndex:o};l.setOpacity(h);l.setScale(d);l.setStyle(_);t._slideSize.width=n.width;t._slideSize.height=n.height;t._buttons.push({index:e});i.left+=s.dx/4;e++});else t._slideList.forEach(function(s){let l=s.getSize();if(s===t._slideList[0]){t._elemSize.width=l.width;t._elemSize.height=l.height+t._navigatorSize.height;i.top=(t._elemRef.clientHeight-t._elemSize.height)/2}s.position={top:i.top,left:i.left};s.setOpacity(.6);s.setScale(.8);s.setStyle({transform:"scale(0.8)",zIndex:1});t._slideSize.width=l.width;t._slideSize.height=l.height;t._buttons.push({index:e});i.left+=l.width;e++});t._arrowTopPos=t._arrowElem?Math.floor((t._elemRef.clientHeight-t._arrowElem.offsetHeight)/2):-999}t._updateSlideReferences();t._updateSlides(!0);t._updateCurrentList();t._invokeEvent("updateComplete");t.update();e()},1)})}async _updateSlides(e){let t=this;if(t._slideList&&t._slideList.length>0)if(t._currentDisplayMode===IntegralUISlideDisplayMode.Carousel){let i={dx:0,dy:0},s=1,l=1,r=3,n={top:(t._elemRef.clientHeight-t._elemSize.height)/2,left:0};for(let e=0;e<t._slideList.length;e++){let a=t._slideList[e],d=a.getSize();if(a===t._slideList[0])i={dx:.5*(t._elemSize.width-d.width),dy:(t._elemRef.clientHeight-t._elemSize.height)/2};n={top:i.dy,left:a===t._currentSlide?i.dx/2:0};if(a===t._currentSlide)n.left=i.dx;else if(a===t._prevSlide){n.left=i.dx/3;s=.8;l=.6;r=2}else if(a===t._firstSlide){n.left=-i.dx/6;s=.6;l=.3;r=1}else if(a===t._nextSlide){n.left=t._elemSize.width-d.width-i.dx/3;s=.8;l=.6;r=2}else if(a===t._lastSlide){n.left=t._elemSize.width-d.width+i.dx/6;s=.6;l=.3;r=1}else{s=0;l=0;n.left=-9999999;r=-1}let h={transform:"scale("+s+")",zIndex:r};if(a!==t._currentSlide){a.setStyle(h);a._animate({opacity:l,position:n,scale:s},t._currentAnimationCounter)}}if(t._currentSlide){n={top:i.dy,left:i.dx};t._currentSlide.setStyle({transform:"scale(1)",zIndex:3});await t._currentSlide._animate({opacity:1,position:n,scale:1},t._currentAnimationCounter);if(!e)t._invokeEvent("slideChanged",{index:t._currentSelectedIndex,slide:t._getSlideData(t._currentSelectedIndex)})}}else if(t._currentSlide)t._currentSlide._animate({opacity:1,scale:1},t._currentAnimationCounter);t.update()}selectSlide(e){let t=this._getSlideIndex(e);this.selectSlideByIndex(t)}async selectSlideByIndex(e){let t=this;t.stopAnimation();let i=t._getSlideCurrentIndex(t._selectedSlideComponent);if(t._commonService.isIndexInRange(e,t._slideList)&&e!==t._currentSelectedIndex){t._selectedSlideComponent=t._slideList[e];t._currentSelectedIndex=e;let s=t._getSlideCurrentIndex(t._selectedSlideComponent);if(t._currentDisplayMode===IntegralUISlideDisplayMode.Carousel){t._updateSlideReferences();t._updateSlides()}else{let e={top:(t._elemRef.clientHeight-t._elemSize.height)/2,left:0};for(let s=i;s<t._currentList.length;s++){t._currentList[s].position={top:e.top,left:e.left};e.left+=t._elemSize.width}e.left=0;for(let s=i;s>=0;s--){t._currentList[s].position={top:e.top,left:e.left};e.left-=t._elemSize.width}if(t._currentSlide)await t._currentSlide._animate({opacity:.6,scale:.8},t._currentAnimationCounter);if(i>=0&&i<s){e.left=0;for(let l=s;l>=i;l--){let s={top:e.top,left:e.left};if(l===i)await t._currentList[l]._animate({position:s,scale:.8},t._currentAnimationCounter);else t._currentList[l]._animate({position:s,scale:.8},t._currentAnimationCounter);e.left-=t._elemSize.width}}else if(i>=0&&i>s){e.left=0;for(let l=s;l<=i;l++){let s={top:e.top,left:e.left};if(l===i)await t._currentList[l]._animate({position:s,scale:.8},t._currentAnimationCounter);else t._currentList[l]._animate({position:s,scale:.8},t._currentAnimationCounter);e.left+=t._elemSize.width}}t._updateSlideReferences();t.update();if(t._currentSlide)await t._currentSlide._animate({opacity:1,scale:1},t._currentAnimationCounter);t._invokeEvent("slideChanged",{index:t._currentSelectedIndex,slide:t._getSlideData(t._currentSelectedIndex)})}t._updateCurrentList()}t.startAnimation()}_getControlStyle(){let e=this._currentInlineStyle||{};e.width="auto";e.height=this._elemSize.height+"px";if(this._currentDisplayMode===IntegralUISlideDisplayMode.Stream)e.width=this._elemSize.width+"px";else if(this._ctrlSize.width>0)e.width=this._ctrlSize.width+"px";if(this._ctrlSize.height>0)e.height=this._ctrlSize.height+"px";return e}_updateColorSchemeSettings(e){this._currentColorSchemeSettings=css``;switch(e){case IntegralUIColorScheme.Dark:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiSlideBarDarkStyle.cssText,"../../../icons",this._currentResourcePath);break;case IntegralUIColorScheme.Light:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiSlideBarLightStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentColorSchemeSettings.cssText=""}}_updateThemeSettings(e){this._currentThemeSettings=css``;switch(e){case IntegralUITheme.Office:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiSlideBarOfficeStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentThemeSettings.cssText=""}}firstUpdated(e){this._updateReferences();this.updateLayout()}render(){return html`             <style>                 ${this._currentControlStyleSettings}                 ${this._currentThemeSettings}                 ${this._currentColorSchemeSettings}                 ${this._currentCustomStyle}             </style>             <div data-ctrl="slidebar" class="iui-slidebar" style=${styleMap(this._getControlStyle())} @mouseenter="${e=>this._ctrlMouseEnter(e)}" @mouseleave="${e=>this._ctrlMouseLeave(e)}">                 <div id="block" class="iui-slidebar-container">                     <slot @slotchange="${e=>this._slotChange(e)}"></slot>                 </div>                 ${this._isNavigationBarVisible?html`<div class="iui-slidebar-navigator">                                 ${this._buttons.map((e,t)=>html`                                     <span class=${classMap(this._getButtonClass(e))} @click="${()=>this.selectSlideByIndex(t)}"></span>                                 `)}                             </div>`:html``}                 ${this._showNavigationButtons?html`<div id="arrow" class="iui-slidebar-arrow iui-slidebar-arrow-left" style=${styleMap({opacity:this._arrowOpacity,top:this._arrowTopPos+"px"})} @click="${e=>this.prevSlide()}"><span></span></div>`:html``}                 ${this._showNavigationButtons?html`<div id="arrow" class="iui-slidebar-arrow iui-slidebar-arrow-right" style=${styleMap({opacity:this._arrowOpacity,top:this._arrowTopPos+"px"})} @click="${e=>this.nextSlide()}"><span></span></div>`:html``}             </div>         `}_refreshSlides(){let e=this.shadowRoot.querySelector("slot").assignedNodes();this._slideList=e?e.filter(e=>"iui-slide"===e.nodeName.toLowerCase()):[];if(this._slideList){if(this._numSlides!==this._slideList.length){if(this._numSlides>this._slideList.length){if(this._removeIndex===this._slideList.length)this._removeIndex=this._slideList.length-1;if(this._removeIndex>=0&&this._removeIndex<this._slideList.length)if(this._commonService.isIndexInRange(this._removeIndex,this._slideList))this.selectSlideByIndex(this._removeIndex);else this.selectSlideByIndex(this._slideList.length-1)}this._numSlides=this._slideList.length}this._updateSlideReferences();if(0===this._numSlides){this._selectedSlideComponent=null;this._arrowOpacity=0}this._slideList.forEach(e=>e.setParent(this))}this.updateLayout();this.startAnimation()}_slotChange(e){this._refreshSlides()}_updateControlStyleSettings(e){this._currentControlStyleSettings=css``;this._currentControlStyleSettings.cssText=this._commonService.replaceAll(iuiSlideBarDefaultStyle.cssText,"../../icons",e)}_updateControlReferences(){this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=slidebar]");this._blockElem=this.shadowRoot.querySelector("#block");this._arrowElem=this.shadowRoot.querySelector("#arrow");this._navigatorElem=this.shadowRoot.querySelector(".iui-slidebar-navigator")}_updateReferences(){this._updateControlReferences();this._refreshSlides();if(this._resizeObserver)this._resizeObserver.observe(this._elemRef)}}window.customElements.define("iui-slidebar",IntegralUISlideBar);export default IntegralUISlideBar;