/*
  filename: integralui.splitimage.js
  version : 23.4.0
  Copyright © 2016-2023 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{c as css,h as html}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import IntegralUIBase from"./integralui.base.js";import{IntegralUIColorScheme,IntegralUIOrientation,IntegralUITheme}from"./integralui.enums.js";import{iuiSplitImageDefaultStyle}from"../styles/default/integralui.splitimage.style.js";import{iuiSplitImageOfficeStyle}from"../styles/themes/office/integralui.splitimage.office.js";import{iuiSplitImageDarkStyle}from"../styles/color-schemes/dark/integralui.splitimage.dark.js";import{iuiSplitImageLightStyle}from"../styles/color-schemes/light/integralui.splitimage.light.js";class IntegralUISplitImage extends IntegralUIBase{constructor(){super();this._isHovered=!1;this._isSplitterActive=!1;this._contentSize={width:0,height:0};this._ctrlPadding={top:0,right:0,bottom:0,left:0};this._ctrlPageRect={top:0,right:0,bottom:0,left:0,height:0,width:0,x:0,y:0};this._currentOrientation=IntegralUIOrientation.Vertical;this._currentSplitterDistance=100;this._currentSplitterSize=5;this._maxPos={x:9999999,y:9999999};this._splitterStartPos={x:0,y:0};this._currentControlStyleSettings=iuiSplitImageDefaultStyle;this._generalClassName="iui-splitimage";this._splitterClassName="iui-splitimage-splitter";this._initStyle()}_init(){super._init();this._initStyle()}connectedCallback(){this._windowMouseUp=this._windowMouseUp.bind(this);window.addEventListener("mouseup",this._windowMouseUp)}disconnectedCallback(){window.removeEventListener("mouseup",this._windowMouseUp)}attributeChangedCallback(t,e,i){super.attributeChangedCallback(t,e,i)}static get properties(){return{orientation:{converter:{fromAttribute:t=>"horizontal"===(t=t.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()?IntegralUIOrientation.Horizontal:IntegralUIOrientation.Vertical,toAttribute:(t,e)=>t===IntegralUIOrientation.Horizontal?"Horizontal":"Vertical"},reflect:!0},splitterDistance:{type:Number,attribute:"splitter-distance",reflect:!0},splitterSize:{type:Number,attribute:"splitter-size",reflect:!0}}}get orientation(){return this._currentOrientation}set orientation(t){if(this._currentOrientation!==t){const e=this._currentOrientation;let i=this,s=setTimeout(function(){i._currentOrientation=t;i.requestUpdate("orientation",e);i.splitterDistance=i._keepSplitterPosInRange(i.splitterDistance);i.refresh();i.updateLayout();i.updateLayout();clearTimeout(s)},1)}}get splitterDistance(){return this._currentSplitterDistance}set splitterDistance(t){if(this._currentSplitterDistance!==t){const e=this._currentSplitterDistance;this._currentSplitterDistance=this._keepSplitterPosInRange(t);this.requestUpdate("splitterDistance",e);this.updateLayout();this._invokeEvent("splitterMoved",{value:t})}}get splitterSize(){return this._currentSplitter}set splitterSize(t){if(this._currentSplitterSize!==t&&t>0){const e=this._currentSplitterSize;this._currentSplitterSize=t;this.requestUpdate("splitterSize",e);this.updateLayout()}}_ctrlMouseLeave(t){this._isHovered=!1;this._updateSplitterClass();this.update()}_ctrlMouseMove(t){let e=this;if(e._isEnabled){if(1===t.which&&e._isSplitterActive){let i=e._commonService.getShiftPos(),s={x:t.pageX-e._ctrlPageRect.left-i.x,y:t.pageY-e._ctrlPageRect.top-i.y},r=e._currentSplitterDistance;if(e._currentOrientation===IntegralUIOrientation.Vertical){r+=s.x-e._splitterStartPos.x;r=Math.min(Math.max(0,r),e._maxPos.x)}else{r+=s.y-e._splitterStartPos.y;r=Math.min(Math.max(0,r),e._maxPos.y)}if(e._currentSplitterDistance!==r){let t={cancel:!1,value:r};e._invokeEvent("splitterMoving",t);if(!0!==t.cancel){e._currentSplitterDistance=r;e._updateContentPos();e.update()}}e._splitterStartPos=s}if(!e._isHovered){e._isHovered=!0;e._updateSplitterClass();e.update()}}}_splitterMouseDown(t){if(this._isEnabled){let e=this._commonService.getShiftPos(),i={x:t.pageX-this._ctrlPageRect.left-e.x,y:t.pageY-this._ctrlPageRect.top-e.y};this._splitterStartPos=i;this._isSplitterActive=!0}}_windowMouseUp(t){if(this._isEnabled){this._isSplitterActive=!1;this._invokeEvent("splitterMoved",{value:this._currentSplitterDistance});this.update()}}_keepSplitterPosInRange(t){return this._currentOrientation===IntegralUIOrientation.Vertical?Math.min(Math.max(0,t),this._maxPos.x):Math.min(Math.max(0,t),this._maxPos.y)}_processUpdateLayout(){let t=this;return new Promise(e=>{setTimeout(function(){t._ctrlPadding=t._commonService.getPadding(t._elemRef);t._contentSize=t._contentElem1?{width:t._contentElem1.offsetWidth,height:t._contentElem1.offsetHeight}:{width:0,height:0};if(t._contentElem1)t._contentElem1.setAttribute("draggable",!1);if(t._contentElem2){t._contentElem2.setAttribute("draggable",!1);t._updateContentPos()}t._ctrlPageRect=t._commonService.getPageRect(t._elemRef);t._ctrlRect={top:0,left:0,width:t._contentSize.width,height:t._contentSize.height};t._clientRect={width:t._ctrlRect.width-(t._ctrlPadding.left+t._ctrlPadding.right),height:t._ctrlRect.height-(t._ctrlPadding.top+t._ctrlPadding.bottom)};if(t._currentOrientation===IntegralUIOrientation.Vertical)t._maxPos={x:t._clientRect.width-t._currentSplitterSize,y:t._clientRect.height-t._currentSplitterSize};else t._maxPos={x:t._clientRect.width-t._currentSplitterSize,y:t._clientRect.height-t._currentSplitterSize};e()},1)})}_updateContentPos(){let t=this;if(t._contentElem2)if(t._currentOrientation===IntegralUIOrientation.Vertical)t._contentElem2.style.marginLeft=-t._currentSplitterDistance+"px";else t._contentElem2.style.marginTop=-t._currentSplitterDistance+"px"}async updateLayout(t){this._updateReferences();await this._processUpdateLayout();this.update()}_getBlockStyle(){let t={};if(this._currentOrientation===IntegralUIOrientation.Vertical)t.left=this._currentSplitterDistance+"px";else t.top=this._currentSplitterDistance+"px";return t}_getControlStyle(){let t=this._currentInlineStyle||{};if(this._ctrlSize.width>0)t.width=this._ctrlSize.width+"px";else if(this._ctrlRect.width>0)t.width=this._ctrlRect.width+"px";if(this._ctrlSize.height>0)t.height=this._ctrlSize.height+"px";else if(this._ctrlRect.height>0)t.height=this._ctrlRect.height+"px";return t}_getSplitterClass(){return this._splitterClass}_getSplitterStyle(){let t=this,e={top:"0",left:"0",width:"auto",height:"auto"};if(t._currentSplitterSize>0)if(t._currentOrientation===IntegralUIOrientation.Vertical){e.cursor="ew-resize";e.left=t._currentSplitterDistance+"px";e.width=t._currentSplitterSize+"px";e.height=t._clientRect.height+"px"}else{e.cursor="ns-resize";e.width=t._clientRect.width+"px";e.height=t._currentSplitterSize+"px";e.top=t._currentSplitterDistance+"px"}return e}refresh(){this._updateStyle(this.controlStyle);this._updateControlClass();this._updateSplitterClass();this.update();this._updateReferences()}_updateColorSchemeSettings(t){this._currentColorSchemeSettings=css``;switch(t){case IntegralUIColorScheme.Dark:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiSplitImageDarkStyle.cssText,"../../../icons",this._currentResourcePath);break;case IntegralUIColorScheme.Light:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiSplitImageLightStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentColorSchemeSettings.cssText=""}}_updateSplitterClass(){this._splitterClass={};this._splitterClass[this._splitterClassName]=!0;if(this._isHovered||this._isSplitterActive)this._splitterClass[this._splitterClassName+"-active"]=!0}_updateThemeSettings(t){this._currentThemeSettings=css``;switch(t){case IntegralUITheme.Office:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiSplitImageOfficeStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentThemeSettings.cssText=""}}firstUpdated(t){this.updateLayout()}render(){return html`             <style>                 ${this._currentControlStyleSettings}                 ${this._currentThemeSettings}                 ${this._currentColorSchemeSettings}                 ${this._currentCustomStyle}             </style>             <div data-ctrl="splitimage" class=${classMap(this._getControlClass())}  style=${styleMap(this._getControlStyle())} @mousemove="${t=>this._ctrlMouseMove(t)}" @mouseleave="${t=>this._ctrlMouseLeave(t)}">                 <div id="block-1" class="iui-splitimage-block">                     <slot name="image1" @slotchange="${t=>this._slotChange(t)}"></slot>                 </div>                 <div id="splitter" class=${classMap(this._getSplitterClass())} style=${styleMap(this._getSplitterStyle())} @mousedown="${t=>this._splitterMouseDown(t)}"></div>                 <div id="block-2" class="iui-splitimage-block" style=${styleMap(this._getBlockStyle())}>                     <slot name="image2" @slotchange="${t=>this._slotChange(t)}"></slot>                 </div>             </div>         `}_slotChange(t){this.updateLayout()}_updateControlStyleSettings(t){this._currentControlStyleSettings=css``;this._currentControlStyleSettings.cssText=this._commonService.replaceAll(iuiSplitImageDefaultStyle.cssText,"../../icons",t)}_updateReferences(){this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=splitimage]");this._blockElem1=this.shadowRoot.querySelector("#block-1");if(this._blockElem1){let t=this._blockElem1.querySelector("slot").assignedNodes();if(t.length>0)this._contentElem1=t[0]}this._blockElem2=this.shadowRoot.querySelector("#block-2");if(this._blockElem2){let t=this._blockElem2.querySelector("slot").assignedNodes();if(t.length>0)this._contentElem2=t[0]}}}window.customElements.define("iui-splitimage",IntegralUISplitImage);export default IntegralUISplitImage;