/*
  filename: integralui.tabstrip.js
  version : 23.4.0
  Copyright © 2016-2023 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{c as css,h as html,T as TemplateResult,a as defaultTemplateProcessor}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import IntegralUIBase from"./integralui.base.js";import IntegralUIDataService from"../services/integralui.data.service.js";import{IntegralUIAnimationType,IntegralUIColorScheme,IntegralUIMoveDirection,IntegralUIObjectState,IntegralUIOrientation,IntegralUISpeedMode,IntegralUITabAlignment,IntegralUITabDisplayMode,IntegralUITabNavigationMode,IntegralUITabScrollMode,IntegralUITabStripPlacement,IntegralUITheme}from"./integralui.enums.js";import"./integralui.tab.js";import{iuiTabDefaultStyle}from"../styles/default/integralui.tab.style.js";import{iuiTabDarkStyle}from"../styles/color-schemes/dark/integralui.tab.dark.js";import{iuiTabOfficeStyle}from"../styles/themes/office/integralui.tab.office.js";import{iuiTabLightStyle}from"../styles/color-schemes/light/integralui.tab.light.js";import{iuiTabStripDefaultStyle}from"../styles/default/integralui.tabstrip.style.js";import{iuiTabStripDarkStyle}from"../styles/color-schemes/dark/integralui.tabstrip.dark.js";import{iuiTabStripOfficeStyle}from"../styles/themes/office/integralui.tabstrip.office.js";import{iuiTabStripLightStyle}from"../styles/color-schemes/light/integralui.tabstrip.light.js";class IntegralUITabStrip extends IntegralUIBase{_init(){super._init();this._dataService=new IntegralUIDataService;this._animationTimer=null;this._currentAnimationSpeed=IntegralUISpeedMode.Normal;this._currentContentAnimation=IntegralUIAnimationType.Fade;this._currentTabs=[];this._dataTabs=[];this._numTabs=0;this._tabList=[];this._reorderTab=null;this._tabReorderActive=!1;this._reorderTabPos={top:0,left:0};this._reorderTabStartPos={top:0,left:0};this._reorderTabCurrentPos={top:0,left:0};this._reorderTabPrevPos={top:0,left:0};this._startTabReorder=!1;this._reorderTabIndex=-1;this._reorderNewTabIndex=-1;this._orgHeaderList=[];this._orgReorderTabIndex=-1;this._ctrlCursor="default";this._currentTabSpacing=2;this._isDragAllowed=!1;this._isDropAllowed=!0;this._autoSizeValue=!1;this._blockPos={top:"0",right:"auto",bottom:"auto",left:"0"};this._contentBlockPos={top:0,left:0};this._contentBlockSize={width:0,height:0};this._clientRect={width:0,height:0};this._currentNavigation=IntegralUITabNavigationMode.Normal;this._currentTabAlignment=IntegralUITabAlignment.TopLeft;this._currentTabOrientation=IntegralUIOrientation.Horizontal;this._currentTabPlacement=IntegralUITabStripPlacement.Top;this._currentDisplayMode=IntegralUITabDisplayMode.AutoSized;this._emptyTabSpace=0;this._isTabLineAllowed=!1;this._orgTabHeaderSpace=[];this._reorderTabRect={left:0,top:0};this._scrollBlockSize={width:0,height:0};this._scrollButtonSize={width:0,height:0};this._selTabLinePos={top:0,left:0};this._selTabLineSize={width:0,height:0};this._sumTabSize={width:0,height:0};this._tabHeaderRect=[];this._tabPos={top:0,left:0};this._tabSize={width:0,height:0};this._tabstripPos={top:"0",right:"auto",bottom:"auto",left:"0"};this._tabStripSize={width:0,height:0};this._toolbarPos={top:"0",bottom:"auto"};this._leftToolbarSize={width:0,height:0};this._rightToolbarSize={width:0,height:0};this._updateTimer=null;this._currentControlStyleSettings=iuiTabStripDefaultStyle;this._currentTabColorSchemeSettings=css``;this._currentTabStyleSettings=iuiTabDefaultStyle;this._currentScrollMode=IntegralUITabScrollMode.None;this._isScrollActive=!1;this._isScrollAllowed=!1;this._scrollCount=0;this._currentScrollPos=0;this._scrollTimer=null;this._stopScrolling=!0;this._maxScrollPos=0;this._currentSelection=null;this._currentSelectedIndex=-1;this._selectedComponent=null;this._prevComponent=null;this._removeIndex=-1;this._currentTabThemeSettings=css``;this._generalClassName="iui-tabstrip";this._tabHeaderClassName="iui-tab-header";this._resizeObserver=new ResizeObserver(t=>{if(t&&t.length>0&&t[0].contentRect){let t=!1;if(this._elemRef)this._clientRect={width:this._elemRef.clientWidth,height:this._elemRef.clientHeight};if(this._clientRect.width!==this._prevClientRect.width){this._prevClientRect.width=this._clientRect.width;t=!0}if(this._clientRect.height!==this._prevClientRect.height){this._prevClientRect.height=this._clientRect.height;t=!0}if(t)this.updateLayout()}})}connectedCallback(){this._windowMouseMove=this._windowMouseMove.bind(this);window.addEventListener("mousemove",this._windowMouseMove);this._windowMouseUp=this._windowMouseUp.bind(this);window.addEventListener("mouseup",this._windowMouseUp)}disconnectedCallback(){window.removeEventListener("mousemove",this._windowMouseMove);window.removeEventListener("mouseup",this._windowMouseUp);if(this._resizeObserver)this._resizeObserver.disconnect();this._resizeObserver=null;if(this._scrollTimer)clearInterval(this._scrollTimer);this._removeAnimationTimer();this._rt()}attributeChangedCallback(t,e,i){super.attributeChangedCallback(t,e,i)}static get properties(){return{allowDrag:{type:Boolean,attribute:"allow-drag",reflect:!0},allowDrop:{type:Boolean,attribute:"allow-drop",reflect:!0},animationSpeed:{attribute:"animation-speed",converter:{fromAttribute:t=>{switch((t=t.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"veryslow":return IntegralUISpeedMode.VerySlow;case"slow":return IntegralUISpeedMode.Slow;case"fast":return IntegralUISpeedMode.Fast;case"veryfast":return IntegralUISpeedMode.VeryFast;default:return IntegralUISpeedMode.Normal}},toAttribute:t=>{switch(t){case IntegralUISpeedMode.VerySlow:return"VerySlow";case IntegralUISpeedMode.Slow:return"Slow";case IntegralUISpeedMode.Fast:return"Fast";case IntegralUISpeedMode.VeryFast:return"VeryFast";default:return"Normal"}}},reflect:!0},autoSize:{type:Boolean,attribute:"auto-size",reflect:!0},contentAnimation:{attribute:"content-animation",converter:{fromAttribute:t=>{switch((t=t.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"fade":return IntegralUIAnimationType.Fade;case"slide":return IntegralUIAnimationType.Slide;default:return IntegralUIAnimationType.None}},toAttribute:t=>{switch(t){case IntegralUIAnimationType.Fade:return"Fade";case IntegralUIAnimationType.Slide:return"Slide";default:return"None"}}},reflect:!0},displayMode:{attribute:"display-mode",converter:{fromAttribute:t=>{switch((t=t.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"justified":return IntegralUITabDisplayMode.Justified;default:return IntegralUITabDisplayMode.AutoSized}},toAttribute:t=>{switch(t){case IntegralUIAnimationType.Justified:return"Justified";default:return"AutoSized"}}},reflect:!0},navigation:{converter:{fromAttribute:t=>{switch((t=t.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"multiline":return IntegralUITabNavigationMode.Multiline;default:return IntegralUITabNavigationMode.Normal}},toAttribute:t=>{switch(t){case IntegralUITabScrollMode.Multiline:return"Multiline";default:return"Normal"}}},reflect:!0},scrollMode:{attribute:"scroll-mode",converter:{fromAttribute:t=>{switch((t=t.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"inbound":return IntegralUITabScrollMode.InBound;case"outbound":return IntegralUITabScrollMode.OutBound;default:return IntegralUITabScrollMode.None}},toAttribute:t=>{switch(t){case IntegralUITabScrollMode.InBound:return"InBound";case IntegralUITabScrollMode.OutBound:return"OutBound";default:return"None"}}},reflect:!0},selectedIndex:{type:Number,attribute:"selected-index"},selectedTab:{type:Object,attribute:"selected-tab"},showTabLine:{type:Boolean,attribute:"show-tabline",reflect:!0},tabAlignment:{attribute:"tab-alignment",converter:{fromAttribute:t=>{switch((t=t.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"middle":return IntegralUITabAlignment.Middle;case"bottomright":return IntegralUITabAlignment.BottomRight;default:return IntegralUITabAlignment.TopLeft}},toAttribute:t=>{switch(t){case IntegralUITabAlignment.Middle:return"Middle";case IntegralUITabAlignment.BottomRight:return"BottomRight";default:return"TopLeft"}}},reflect:!0},tabOrientation:{attribute:"tab-orientation",converter:{fromAttribute:t=>"horizontal"===(t=t.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()?IntegralUIOrientation.Horizontal:IntegralUIOrientation.Vertical,toAttribute:(t,e)=>t===IntegralUIOrientation.Horizontal?"Horizontal":"Vertical"},reflect:!0},tabs:{type:Array},tabSpacing:{type:Number,attribute:"tab-spacing",reflect:!0},tabStripPlacement:{attribute:"tabstrip-placement",converter:{fromAttribute:t=>{switch((t=t.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"bottom":return IntegralUITabStripPlacement.Bottom;case"left":return IntegralUITabStripPlacement.Left;case"right":return IntegralUITabStripPlacement.Right;default:return IntegralUITabStripPlacement.Top}},toAttribute:t=>{switch(t){case IntegralUITabStripPlacement.Bottom:return"Bottom";case IntegralUITabStripPlacement.Left:return"Left";case IntegralUITabStripPlacement.Right:return"Right";default:return"Top"}}},reflect:!0}}}get allowDrag(){return this._isDragAllowed}set allowDrag(t){if(this._isDragAllowed!==t){const e=this._isDragAllowed;this._isDragAllowed=t;this.requestUpdate("allowDrag",e)}}get allowDrop(){return this._isDropAllowed}set allowDrop(t){if(this._isDropAllowed!==t){const e=this._isDropAllowed;this._isDropAllowed=t;this.requestUpdate("allowDrop",e)}}get animationSpeed(){return this._currentAnimationSpeed}set animationSpeed(t){if(this._currentAnimationSpeed!==t){const e=this._currentAnimationSpeed;this._currentAnimationSpeed=t;this.requestUpdate("animationSpeed",e)}}get autoSize(){return this._autoSizeValue}set autoSize(t){if(this._autoSizeValue!==t){const e=this._autoSizeValue;this._autoSizeValue=t;this.requestUpdate("autoSize",e);this.updateLayout()}}get contentAnimation(){return this._currentContentAnimation}set contentAnimation(t){if(this._currentContentAnimation!==t){const e=this._currentContentAnimation;this._currentContentAnimation=t;this.requestUpdate("contentAnimation",e);this.updateLayout()}}get displayMode(){return this._currentDisplayMode}set displayMode(t){if(this._autoSizeValue!==t){const e=this._currentDisplayMode;this._currentDisplayMode=t;this.requestUpdate("displayMode",e);this.updateLayout()}}get navigation(){return this._currentNavigation}set navigation(t){if(this._currentNavigation!==t){const e=this._currentNavigation;this._currentNavigation=t;this.requestUpdate("navigation",e);this.updateLayout()}}get scrollMode(){return this._currentScrollMode}set scrollMode(t){if(this._currentScrollMode!==t){const e=this._currentScrollMode;this._currentScrollMode=t;this.scrollPos(0);this.requestUpdate("scrollMode",e);this.updateLayout()}}get selectedIndex(){return this._currentSelectedIndex}set selectedIndex(t){if(this._currentSelectedIndex!==t){const e=this._currentSelectedIndex;this._currentSelectedIndex=t;this._selectComponentByIndex(t);this.requestUpdate("selectedIndex",e)}}get selectedTab(){return this._currentSelection}set selectedTab(t){if(this._currentSelection!==t){const e=this._currentSelection;this._currentSelection=t;this.selectTab(t);this.requestUpdate("selectedTab",e)}}get showTabLine(){return this._isTabLineAllowed}set showTabLine(t){if(this._isTabLineAllowed!==t){const e=this._isTabLineAllowed;this._isTabLineAllowed=t;this.requestUpdate("showTabLine",e);this.updateLayout()}}get tabAlignment(){return this._currentTabAlignment}set tabAlignment(t){if(this._currentTabAlignment!==t){const e=this._currentTabAlignment;this._currentTabAlignment=t;this.requestUpdate("tabAlignment",e);this.updateLayout()}}get tabOrientation(){return this._currentTabOrientation}set tabOrientation(t){if(this._currentTabOrientation!==t){const e=this._currentTabOrientation;this._currentTabOrientation=t;this.requestUpdate("tabOrientation",e);this.updateLayout()}}get tabs(){return this._currentTabs}get tabSpacing(){return this._currentTabSpacing}set tabSpacing(t){if(this._currentTabSpacing!==t){const e=this._currentTabSpacing;this._currentTabSpacing=t;this.requestUpdate("tabSpacing",e);this.updateLayout()}}get tabStripPlacement(){return this._currentTabPlacement}set tabStripPlacement(t){if(this._currentTabPlacement!==t){const e=this._currentTabPlacement;this._currentTabPlacement=t;this.scrollPos(0);this.requestUpdate("tabStripPlacement",e);this.updateLayout()}}addTab(t){this._callEventAdd("add",t)}clearTabs(){this._dataService.clear();this._invokeEvent("clear")}insertTabAt(t,e){this._callEventAdd("at",t,e)}insertTabBefore(t,e){this._callEventAdd("ref",t,-1,e)}insertTabAfter(t,e){this._callEventAdd("ref",t,-1,e,!0)}removeTab(t){return this._callEventRemove(t)}removeTabAt(t){if(this._currentTabs&&t>=0&&t<this._currentTabs.length)return this._callEventRemove(this._currentTabs[t]);else return!1}_callEventAdd(t,e,i,a,r){let o={cancel:!1,tab:e};this._invokeEvent("tabAdding",o);if(!0!==o.cancel){switch(t){case"at":this._dataService.insert(e,i);break;case"ref":this._dataService.insertByRef(e,a,r);break;default:this._dataService.insert(e)}this._invokeEvent("tabAdded",{tab:e});this._refreshTabParent();if(!this._selectedComponent)this._selectComponentByIndex(0)}}_callEventRemove(t){let e={cancel:!1,tab:t};this._invokeEvent("tabRemoving",e);if(!0!==e.cancel){this._removeIndex=this._currentTabs?this._currentTabs.indexOf(t):-1;this._dataService.removeAt(t);this._invokeEvent("tabRemoved",{tab:t});this._refreshTabParent();return!0}return!1}_animate(){switch(this._currentContentAnimation){case IntegralUIAnimationType.Fade:if(this._isAnimationAllowed)this._fadeTabContent();break;case IntegralUIAnimationType.Slide:if(this.allowAnimation&&this._prevComponent&&this._selectedComponent)if(this._currentTabPlacement===IntegralUITabStripPlacement.Left||this._currentTabPlacement===IntegralUITabStripPlacement.Right)this._slideTabContentVertical();else this._slideTabContentHorizontal();else{let t=this._currentTabPlacement===IntegralUITabStripPlacement.Left||this._currentTabPlacement===IntegralUITabStripPlacement.Right?!0:!1,e=t?this._clientRect.height:this._clientRect.width;if(this._prevComponent){this._prevComponent.updatePos(t?{top:-e}:{left:-e});this._prevComponent.updateOpacity(0);this._prevComponent.updateContentOverflow()}if(this._selectedComponent){this._selectedComponent.updatePos(t?{top:0}:{left:0});this._selectedComponent.updateOpacity(1);this._selectedComponent.updateContentOverflow()}let i=this._getTabCurrentIndex(this._selectedComponent);this._updateTabLine(i)}break;default:if(this._prevComponent)this._prevComponent.updateOpacity(0);if(this._selectedComponent)this._selectedComponent.updateOpacity(1)}}_fadeTabContent(){let t=this;t._removeAnimationTimer();let e=0,i=1/t._getAnimationFactor();if(t._prevComponent){t._prevComponent.updateOpacity(1);t._prevComponent.updateVisibility(!1)}if(t._selectedComponent){t._selectedComponent.updateOpacity(0);t._selectedComponent.updateVisibility(!1)}t._animationTimer=setInterval(function(){if(e<1){e+=i;if(t._prevComponent)t._prevComponent.updateOpacity(1-e);if(t._selectedComponent)t._selectedComponent.updateOpacity(e)}else{e=1;if(t._prevComponent){t._prevComponent.updateOpacity(0);t._prevComponent.updateVisibility(!0)}if(t._selectedComponent)t._selectedComponent.updateOpacity(1);t._removeAnimationTimer()}},15)}_getAnimationFactor(){let t=15;switch(this._currentAnimationSpeed){case IntegralUISpeedMode.VerySlow:t=25;break;case IntegralUISpeedMode.Slow:t=20;break;case IntegralUISpeedMode.Fast:t=10;break;case IntegralUISpeedMode.VeryFast:t=5;break;default:t=15}return t}_removeAnimationTimer(){if(this._animationTimer)clearInterval(this._animationTimer)}_slideTabContentHorizontal(){let t=this;t._removeAnimationTimer();let e=t._clientRect.width;if(e<=0){if(t._prevComponent){t._prevComponent.updatePos({left:-9999999});t._prevComponent.updateOpacity(0)}if(t._selectedComponent){t._selectedComponent.updatePos({left:0});t._selectedComponent.updateOpacity(1)}}else{let i=0,a=t._getAnimationFactor(),r=e/a,o=t._getTabCurrentIndex(t._selectedComponent)<t._getTabCurrentIndex(t._prevComponent)?"backward":"forward";if("forward"===o){if(t._prevComponent){t._prevComponent.updatePos({left:0});t._prevComponent.updateOpacity(1)}if(t._selectedComponent){t._selectedComponent.updatePos({left:e});t._selectedComponent.updateOpacity(0)}}else{if(t._prevComponent){t._prevComponent.updatePos({left:0});t._prevComponent.updateOpacity(1)}if(t._selectedComponent){t._selectedComponent.updatePos({left:-e});t._selectedComponent.updateOpacity(0)}}let l=t._getTabCurrentIndex(t._prevComponent),n=t._getTabCurrentIndex(t._selectedComponent),s=t._commonService.isIndexInRange(l,t._tabHeaderRect),h=t._commonService.isIndexInRange(n,t._tabHeaderRect),c=s&&h?t._tabHeaderRect[n].left-t._tabHeaderRect[l].left:0,d=s&&h?t._tabHeaderRect[n].width-t._tabHeaderRect[l].width:0,_=c/a,p=d/a;t._animationTimer=setInterval(function(){if("forward"===o)if(i>-e){i-=r;if(t._prevComponent){t._prevComponent.updatePos({left:i});t._prevComponent.updateOpacity(1-Math.abs(i/e))}if(t._selectedComponent){t._selectedComponent.updatePos({left:e+i});t._selectedComponent.updateOpacity(1-Math.abs((e+i)/e))}t._selTabLinePos.left+=_;t._selTabLineSize.width+=p;t.update()}else{i=-e;if(t._prevComponent){t._prevComponent.updatePos({left:-e});t._prevComponent.updateOpacity(0)}if(t._selectedComponent){t._selectedComponent.updatePos({left:0});t._selectedComponent.updateOpacity(1)}t._updateTabLine(n);t.update();t._removeAnimationTimer()}else if(i<e){i+=r;if(t._prevComponent){t._prevComponent.updatePos({left:i});t._prevComponent.updateOpacity(1-Math.abs(i/e))}if(t._selectedComponent){t._selectedComponent.updatePos({left:-e+i});t._selectedComponent.updateOpacity(1-Math.abs((-e+i)/e))}t._selTabLinePos.left+=_;t._selTabLineSize.width+=p;t.update()}else{i=-e;if(t._prevComponent){t._prevComponent.updatePos({left:e});t._prevComponent.updateOpacity(0)}if(t._selectedComponent){t._selectedComponent.updatePos({left:0});t._selectedComponent.updateOpacity(1)}t._updateTabLine(n);t.update();t._removeAnimationTimer()}},15)}}_slideTabContentVertical(){let t=this;t._removeAnimationTimer();let e=t._clientRect.height;if(e<=0){if(t._prevComponent){t._prevComponent.updatePos({top:-e});t._prevComponent.updateOpacity(0)}if(t._selectedComponent){t._selectedComponent.updatePos({top:0});t._selectedComponent.updateOpacity(1)}}else{let i=0,a=t._getAnimationFactor(),r=e/a,o=t._getTabCurrentIndex(t._selectedComponent)<t._getTabCurrentIndex(t._prevComponent)?"backward":"forward";if("forward"===o){if(t._prevComponent){t._prevComponent.updatePos({top:0});t._prevComponent.updateOpacity(1)}if(t._selectedComponent){t._selectedComponent.updatePos({top:e});t._selectedComponent.updateOpacity(0)}}else{if(t._prevComponent){t._prevComponent.updatePos({top:0});t._prevComponent.updateOpacity(1)}if(t._selectedComponent){t._selectedComponent.updatePos({top:-e});t._selectedComponent.updateOpacity(0)}}let l=t._getTabCurrentIndex(t._prevComponent),n=t._getTabCurrentIndex(t._selectedComponent),s=t._commonService.isIndexInRange(l,t._tabHeaderRect),h=t._commonService.isIndexInRange(n,t._tabHeaderRect),c=s&&h?t._tabHeaderRect[n].top-t._tabHeaderRect[l].top:h?t._tabHeaderRect[n].height:0,d=s&&h?t._tabHeaderRect[n].height-t._tabHeaderRect[l].height:0,_=c/a,p=d/a;t._animationTimer=setInterval(function(){if("forward"===o)if(i>-e){i-=r;if(t._prevComponent){t._prevComponent.updatePos({top:i});t._prevComponent.updateOpacity(1-Math.abs(i/e))}if(t._selectedComponent){t._selectedComponent.updatePos({top:e+i});t._selectedComponent.updateOpacity(1-Math.abs((e+i)/e))}t._selTabLinePos.top+=_;t._selTabLineSize.height+=p;t.update()}else{i=-e;if(t._prevComponent){t._prevComponent.updatePos({top:-e});t._prevComponent.updateOpacity(0)}if(t._selectedComponent){t._selectedComponent.updatePos({top:0});t._selectedComponent.updateOpacity(1)}t._updateTabLine(n);t.update();t._removeAnimationTimer()}else if(i<e){i+=r;if(t._prevComponent){t._prevComponent.updatePos({top:i});t._prevComponent.updateOpacity(1-Math.abs(i/e))}if(t._selectedComponent){t._selectedComponent.updatePos({top:-e+i});t._selectedComponent.updateOpacity(1-Math.abs((-e+i)/e))}t._selTabLinePos.top+=_;t._selTabLineSize.height+=p;t.update()}else{i=-e;if(t._prevComponent){t._prevComponent.updatePos({top:e});t._prevComponent.updateOpacity(0)}if(t._selectedComponent){t._selectedComponent.updatePos({top:0});t._selectedComponent.updateOpacity(1)}t._updateTabLine(n);t.update();t._removeAnimationTimer()}},15)}}_updateData(){this._dataService.init([{data:this._currentTabs}])}_getComponentData(t){if(t)if(t.data)return t.data;else{let e=this._getTabDataIndex(t);return this._currentTabs[e]}return null}_getTabCurrentIndex(t){return t&&this._tabList?this._tabList.indexOf(t):-1}_getTabDataIndex(t){if(t){let e=this._getTabCurrentIndex(t);return this._commonService.isIndexInRange(e,this._currentTabs)?e:-1}return-1}_getTabData(t){return this._currentTabs&&t>=0&&t<this._currentTabs.length?this._currentTabs[t]:null}_getTabIndex(t){return t&&this._currentTabs?this._currentTabs.indexOf(t):-1}_getTabHeaders(){let t=[],e=this.shadowRoot.querySelectorAll("li[data-header]");if(e&&e.length>0)e.forEach((e,i)=>t.push({index:i,header:e,line:-1,space:0}));return t}_calcEmptyTabSpace(t,e){let i=this,a=0,r=void 0!==e?e:-1,o=t?t:i._getTabHeaders();if(o&&o.length>0){let t={width:0,height:0},e=0,l=o.filter(t=>t.line===r);l.forEach(function(a,r){a.header.style.width="auto";a.header.style.height="auto";if(i._isTabOrientationVertical())t={width:a.header.offsetHeight,height:a.header.offsetWidth};else t={width:a.header.offsetWidth,height:a.header.offsetHeight};if(i._currentTabPlacement===IntegralUITabStripPlacement.Left||i._currentTabPlacement===IntegralUITabStripPlacement.Right)e+=t.height+i._currentTabSpacing-1;else e+=t.width+i._currentTabSpacing-1});if(i._currentNavigation===IntegralUITabNavigationMode.Multiline)e-=i._currentTabSpacing-1;if(l.length>0){if(i._currentTabPlacement===IntegralUITabStripPlacement.Left||i._currentTabPlacement===IntegralUITabStripPlacement.Right)a=i._clientRect.height+1-e;else a=i._clientRect.width+1-e;a=Math.floor(Math.max(0,a/l.length))-1;if(i._isTabOrientationVertical()||i._currentTabPlacement===IntegralUITabStripPlacement.Left||i._currentTabPlacement===IntegralUITabStripPlacement.Right)a-=1}}return Math.max(0,a)}_getAlignmentSpace(){let t=0,e=this;if(e._currentTabPlacement===IntegralUITabStripPlacement.Left||e._currentTabPlacement===IntegralUITabStripPlacement.Right){if(e._tabStripSize.height>e._sumTabSize.height)switch(e._currentTabAlignment){case IntegralUITabAlignment.Middle:t=(e._tabStripSize.height-e._sumTabSize.height)/2;break;case IntegralUITabAlignment.BottomRight:t=e._tabStripSize.height-e._sumTabSize.height-e._currentTabSpacing-1}}else if(e._tabStripSize.width>e._sumTabSize.width)switch(e._currentTabAlignment){case IntegralUITabAlignment.Middle:t=(e._tabStripSize.width-e._sumTabSize.width)/2;break;case IntegralUITabAlignment.BottomRight:t=e._tabStripSize.width-e._sumTabSize.width-e._currentTabSpacing-1}return t}_resetLayoutTimer(){if(this._updateTimer)clearTimeout(this._updateTimer);this._updateTimer=null}async updateLayout(t){let e=this;e._ut();if(!e._tCmp)e._at();return new Promise(t=>{setTimeout(async function(){e._updateTabList();e.update();e._updateReferences();e._updateSelection();if(e._currentNavigation===IntegralUITabNavigationMode.Multiline)await e._updateTabLayoutMultiline();else await e._updateTabLayout();e._updateSelectedTab();e.update();e._invokeEvent("updateComplete");t()},1)})}_updateTabLine(t){if(this._isTabLineAllowed&&this._currentNavigation!==IntegralUITabNavigationMode.Multiline&&t>=0&&t<this._tabHeaderRect.length){switch(this._currentTabPlacement){case IntegralUITabStripPlacement.Right:this._selTabLinePos={top:this._tabHeaderRect[t].top-this._currentScrollPos,left:0};this._selTabLineSize={width:2,height:this._tabHeaderRect[t].height};if(this._currentScrollMode===IntegralUITabScrollMode.OutBound)this._selTabLinePos.top+=this._scrollButtonSize.height+4;break;case IntegralUITabStripPlacement.Bottom:this._selTabLinePos={top:0,left:this._tabHeaderRect[t].left-this._currentScrollPos};this._selTabLineSize={width:this._tabHeaderRect[t].width,height:2};if(this._currentScrollMode===IntegralUITabScrollMode.OutBound)this._selTabLinePos.left+=this._scrollButtonSize.width+2;break;case IntegralUITabStripPlacement.Left:this._selTabLinePos={top:this._tabHeaderRect[t].top-this._currentScrollPos,left:this._contentBlockPos.left-2};this._selTabLineSize={width:2,height:this._tabHeaderRect[t].height};if(this._currentScrollMode===IntegralUITabScrollMode.OutBound)this._selTabLinePos.top+=this._scrollButtonSize.height+4;break;default:this._selTabLinePos={top:this._contentBlockPos.top-1,left:this._tabHeaderRect[t].left-this._currentScrollPos};this._selTabLineSize={width:this._tabHeaderRect[t].width,height:2};if(this._currentScrollMode===IntegralUITabScrollMode.OutBound)this._selTabLinePos.left+=this._scrollButtonSize.width+2}if(this._currentTabPlacement===IntegralUITabStripPlacement.Left||this._currentTabPlacement===IntegralUITabStripPlacement.Right)switch(this._currentTabAlignment){case IntegralUITabAlignment.Middle:this._selTabLinePos.top+=Math.max(0,(this._tabStripSize.height-this._sumTabSize.height)/2);break;case IntegralUITabAlignment.BottomRight:this._selTabLinePos.top+=Math.max(0,this._tabStripSize.height-this._sumTabSize.height-this._currentTabSpacing-1)}else switch(this._currentTabAlignment){case IntegralUITabAlignment.Middle:this._selTabLinePos.left+=Math.max(0,(this._tabStripSize.width-this._sumTabSize.width)/2);break;case IntegralUITabAlignment.BottomRight:this._selTabLinePos.left+=Math.max(0,this._tabStripSize.width-this._sumTabSize.width-this._currentTabSpacing-1)}}}_getLongestTabSize(){let t={width:0,height:0},e={width:0,height:0};this._tabHeaderRect.length=0;let i=this._getTabHeaders();if(i&&i.length>0)i.forEach((i,a)=>{i.header.style.width="auto";i.header.style.height="auto";if(this._isTabOrientationVertical())e={width:i.header.offsetHeight,height:i.header.offsetWidth};else e={width:i.header.offsetWidth,height:i.header.offsetHeight};this._tabHeaderRect.push({top:0,left:0,width:e.width,height:e.height});if(t.width<i.header.offsetWidth)t.width=i.header.offsetWidth;if(t.height<i.header.offsetHeight)t.height=i.header.offsetHeight});return t}_getSumTabSize(){let t={width:0,height:0},e=this._getTabHeaders();if(e&&e.length>0)e.forEach(e=>{if(this._isTabOrientationVertical())t.width+=e.header.offsetHeight;else t.width+=e.header.offsetWidth;if(this._isTabOrientationVertical())t.height+=e.header.offsetWidth;else t.height+=e.header.offsetHeight;t.width+=this.tabSpacing-1;t.height+=this.tabSpacing-1});return t}_isTabOrientationVertical(){return this._currentTabOrientation===IntegralUIOrientation.Vertical}_updateSelectedTab(t){let e=this,i=e._getTabHeaders();if(i&&e._commonService.isIndexInRange(e._currentSelectedIndex,i)&&e._commonService.isIndexInRange(e._currentSelectedIndex,e._tabHeaderRect)){let a=i[e._currentSelectedIndex],r=e._commonService.getBorderWidth(a.header),o=e._commonService.getPadding(a.header),l=t?0:e._currentTabSpacing;switch(e._currentTabPlacement){case IntegralUITabStripPlacement.Right:if(e._isTabOrientationVertical()){a.header.style.left=e._tabHeaderRect[e._currentSelectedIndex].left-l+"px";a.header.style.height=e._tabSize.width-(o.left+o.right)-(r.left+r.right)-1+l+"px"}else a.header.style.width=e._tabSize.width-(o.left+o.right)-(r.left+r.right)-1+l+"px";break;case IntegralUITabStripPlacement.Bottom:if(e._isTabOrientationVertical())a.header.style.width=e._tabSize.height-(o.top+o.bottom)-(r.top+r.bottom)+l+"px";else a.header.style.height=e._tabSize.height-(o.top+o.bottom)-(r.top+r.bottom)+l+"px";break;case IntegralUITabStripPlacement.Left:if(e._isTabOrientationVertical())a.header.style.height=e._tabSize.width-(o.left+o.right)-(r.left+r.right)-1+l+"px";else a.header.style.width=e._tabSize.width-(o.left+o.right)-(r.left+r.right)-1+l+"px";break;default:if(e._isTabOrientationVertical()){a.header.style.top=e._tabHeaderRect[e._currentSelectedIndex].top+l+"px";a.header.style.width=e._tabSize.height-(o.top+o.bottom)-(r.top+r.bottom)+l+"px"}else a.header.style.height=e._tabSize.height-(o.top+o.bottom)-(r.top+r.bottom)+l+"px"}}e.update()}_updateTabLayout(){return new Promise(t=>{let e=this;setTimeout(function(){e._clientRect={width:e._elemRef.clientWidth,height:e._elemRef.clientHeight};let i=e._toolbarLeftElem?e._commonService.getMargin(e._toolbarLeftElem):{top:0,right:0,bottom:0,left:0},a=e._toolbarRightElem?e._commonService.getMargin(e._toolbarRightElem):{top:0,right:0,bottom:0,left:0};e._leftToolbarSize=e._toolbarLeftElem?{width:e._toolbarLeftElem.offsetWidth+i.left+i.right,height:e._toolbarLeftElem.offsetHeight+i.top+i.bottom}:{width:0,height:0};e._rightToolbarSize=e._toolbarRightElem?{width:e._toolbarRightElem.offsetWidth+a.left+a.right,height:e._toolbarRightElem.offsetHeight+a.top+a.bottom}:{width:0,height:0};e._tabStripSize={width:e._toolbarLeftElem&&e._toolbarRightElem?e._clientRect.width-2-(e._toolbarLeftElem.offsetWidth+i.left+i.right)-(e._toolbarRightElem.offsetWidth+a.left+a.right):e._clientRect.width,height:e._clientRect.height};e._scrollBlockSize=e._scrollInBoundElem?{width:e._scrollInBoundElem.offsetWidth,height:e._scrollInBoundElem.offsetHeight}:{width:0,height:0};e._scrollButtonSize=e._scrollButtonElem?{width:e._scrollButtonElem.offsetWidth,height:e._scrollButtonElem.offsetHeight}:{width:0,height:0};let r=e._getTabHeaders();if(r){let t={x:0,y:0},o={width:0,height:0},l={top:0,left:0},n={width:0,height:0};e._tabSize={width:0,height:0};e._orgTabHeaderSpace.length=0;let s=e._commonService.getBorderWidth(e._elemRef),h=e._commonService.getBorderWidth(e._contentElem),c=e._getLongestTabSize(),d={top:0,right:0,bottom:0,left:0},_=e._currentTabSpacing;e._sumTabSize=e._getSumTabSize();if(r&&r.length>0){e._emptyTabSpace=e._calcEmptyTabSpace(r);r.forEach(function(i,a){i.header.style.width="auto";i.header.style.height="auto";i.line=-1;let r=e._commonService.getPadding(i.header),l=e._commonService.getBorderWidth(i.header);o={width:e._tabHeaderRect[a].width,height:e._tabHeaderRect[a].height};e._orgTabHeaderSpace.push({border:l,padding:r,size:o});if(e._currentDisplayMode===IntegralUITabDisplayMode.Justified)if(e._currentTabPlacement===IntegralUITabStripPlacement.Left||e._currentTabPlacement===IntegralUITabStripPlacement.Right)o.height+=e._emptyTabSpace;else o.width+=e._emptyTabSpace;if(e._currentTabPlacement===IntegralUITabStripPlacement.Left||e._currentTabPlacement===IntegralUITabStripPlacement.Right)o.width+=5;let n={top:0,left:t.x,width:o.width,height:o.height};switch(e._currentTabPlacement){case IntegralUITabStripPlacement.Right:e._tabstripPos={top:-e._currentScrollPos+"px",right:"0",bottom:"auto",left:"auto"};if(e._currentScrollMode===IntegralUITabScrollMode.OutBound)e._tabstripPos.top=e._scrollButtonSize.height+4-e._currentScrollPos+"px";if(e._isTabOrientationVertical()){i.header.style.top=t.y+o.height+"px";i.header.style.right="auto";i.header.style.bottom="auto";i.header.style.left=-c.height+_+"px";n.left=-c.height+_}else{i.header.style.top=t.y+"px";i.header.style.right=l.right+1+"px";i.header.style.bottom="auto";i.header.style.left="auto"}if(e._tabSize.width<o.width)e._tabSize.width=o.width;break;case IntegralUITabStripPlacement.Bottom:e._tabstripPos={top:"auto",right:"auto",bottom:"0",left:"0"};if(e._currentScrollMode===IntegralUITabScrollMode.OutBound)e._tabstripPos.left=e._scrollButtonSize.width+2-e._currentScrollPos+"px";i.header.style.top="auto";i.header.style.right="auto";i.header.style.bottom=e._isTabOrientationVertical()?-c.width+"px":"0";i.header.style.left=t.x+"px";if(e._tabSize.height<o.height)e._tabSize.height=o.height;break;case IntegralUITabStripPlacement.Left:e._tabstripPos={top:"0",right:"auto",bottom:"auto",left:"0"};if(e._currentScrollMode===IntegralUITabScrollMode.OutBound)e._tabstripPos.top=e._scrollButtonSize.height+4-e._currentScrollPos+"px";i.header.style.top=e._isTabOrientationVertical()?t.y+o.height+"px":t.y+"px";i.header.style.right="auto";i.header.style.bottom="auto";i.header.style.left=l.left+1+"px";if(e._tabSize.width<o.width)e._tabSize.width=o.width;break;default:e._tabstripPos={top:"0",right:"auto",bottom:"auto",left:"0"};i.header.style.top=e._isTabOrientationVertical()?c.width+_+"px":_+"px";i.header.style.right="auto";i.header.style.bottom="auto";i.header.style.left=t.x+"px";if(e._tabSize.height<o.height)e._tabSize.height=o.height}if(e._currentTabPlacement===IntegralUITabStripPlacement.Left||e._currentTabPlacement===IntegralUITabStripPlacement.Right){n.top=t.y;d.top=-e._currentScrollPos;if(e._currentScrollMode===IntegralUITabScrollMode.OutBound)d.top=e._scrollButtonSize.height+4-e._currentScrollPos;if(e._tabStripSize.height>e._sumTabSize.height)switch(e._currentTabAlignment){case IntegralUITabAlignment.Middle:d.top+=(e._tabStripSize.height-e._sumTabSize.height)/2;break;case IntegralUITabAlignment.BottomRight:d.top+=e._tabStripSize.height-e._sumTabSize.height-_-1}e._tabstripPos.top=d.top+"px"}else{d.left=-e._currentScrollPos;if(e._currentScrollMode===IntegralUITabScrollMode.OutBound)d.left=e._scrollButtonSize.width+2-e._currentScrollPos;if(e._tabStripSize.width>e._sumTabSize.width)switch(e._currentTabAlignment){case IntegralUITabAlignment.Middle:d.left+=(e._tabStripSize.width-e._sumTabSize.width)/2;break;case IntegralUITabAlignment.BottomRight:d.left+=e._tabStripSize.width-e._sumTabSize.width-_-1}e._tabstripPos.left=d.left+"px"}if(e._commonService.isIndexInRange(a,e._tabHeaderRect)){e._tabHeaderRect[a].top=n.top;e._tabHeaderRect[a].left=n.left}t.x+=o.width+_;t.y+=o.height+_});let i=e._toolbarLeftElem&&e._toolbarRightElem?Math.max(e._toolbarLeftElem.offsetHeight,e._toolbarRightElem.offsetHeight)+1:0;e._tabPos={top:i>e._tabSize.height?i-e._tabSize.height+_:_,left:0};switch(e._currentTabPlacement){case IntegralUITabStripPlacement.Right:e._blockPos={top:"0",right:_+"px",bottom:"auto",left:"auto"};e._tabStripSize.width=e._tabSize.width+2*_;e._contentBlockPos={top:0,left:0};e._contentBlockSize={width:e._elemRef.clientWidth-e._tabStripSize.width-(s.left+s.right),height:e._elemRef.clientHeight-(s.top+s.bottom)};break;case IntegralUITabStripPlacement.Bottom:e._blockPos={top:"auto",right:"auto",bottom:"1px",left:e.toolbarLeftElem?e.toolbarLeftElem.offsetWidth+"px":"0"};e._tabStripSize.height=i>e._tabSize.height?i+2*_:e._tabSize.height+2*_;e._contentBlockPos={top:0,left:0};e._contentBlockSize={width:e._elemRef.clientWidth-(s.left+s.right),height:e._elemRef.clientHeight-e._tabStripSize.height-(s.top+s.bottom)};e._toolbarPos={top:"auto",bottom:"0"};break;case IntegralUITabStripPlacement.Left:e._blockPos={top:"0",right:"auto",bottom:"auto",left:_+"px"};e._tabStripSize.width=e._tabSize.width+2*_;e._contentBlockPos={top:0,left:e._tabStripSize.width};e._contentBlockSize={width:e._elemRef.clientWidth-e._tabStripSize.width-(s.left+s.right),height:e._elemRef.clientHeight-(s.top+s.bottom)};break;default:e._blockPos={top:"0",right:"auto",bottom:"auto",left:e._toolbarLeftElem?e._toolbarLeftElem.offsetWidth+"px":"0"};e._tabStripSize.height=i>e._tabSize.height?i+2*_:e._tabSize.height+2*_;e._contentBlockPos={top:e._tabStripSize.height-1,left:0};e._contentBlockSize={width:e._elemRef.clientWidth-(s.left+s.right),height:e._elemRef.clientHeight-e._tabStripSize.height-(s.top+s.bottom-1)};e._toolbarPos={top:"0",bottom:"auto"}}e._contentBlockSize.width-=h.left+h.right;e._contentBlockSize.height-=h.top+h.bottom;r.forEach(function(t,i){let a=e._commonService.getBorderWidth(t.header),r=e._commonService.getPadding(t.header),h={top:0,left:0};o={width:e._tabHeaderRect[i].width,height:e._tabHeaderRect[i].height};switch(e._currentTabPlacement){case IntegralUITabStripPlacement.Right:if(!e._isTabOrientationVertical())t.header.style.width=c.width-(r.left+r.right)-(a.left+a.right)+"px";l={top:e._currentContentAnimation===IntegralUIAnimationType.Slide?-e._clientRect.height:0,left:0};n={width:e._elemRef.clientWidth-(s.left+s.right-1)-e._tabStripSize.width-2,height:e._elemRef.clientHeight-(s.top+s.bottom)};break;case IntegralUITabStripPlacement.Bottom:h.top=e._isTabOrientationVertical()?-(c.width-o.width)/2+a.right+1+_:e._tabPos.top;if(e._isTabOrientationVertical()&&e._currentDisplayMode===IntegralUITabDisplayMode.Justified&&e._emptyTabSpace>0)h.top-=e._emptyTabSpace;t.header.style.bottom=h.top+"px";e._tabHeaderRect[i].top=h.top;l={top:0,left:e._currentContentAnimation===IntegralUIAnimationType.Slide?-e._clientRect.width:0};n={width:e._elemRef.clientWidth-(s.left+s.right),height:e._elemRef.clientHeight-e._tabStripSize.height-(s.top+s.bottom-1)};break;case IntegralUITabStripPlacement.Left:l={top:e._currentContentAnimation===IntegralUIAnimationType.Slide?-e._clientRect.height:0,left:0};n={width:e._elemRef.clientWidth-(s.left+s.right-1)-e._tabStripSize.width-2,height:e._elemRef.clientHeight-(s.top+s.bottom)};break;default:h.top=e._isTabOrientationVertical()?c.width+a.left-1+_:e._tabPos.top;t.header.style.top=h.top+"px";e._tabHeaderRect[i].top=h.top;l={top:0,left:e._currentContentAnimation===IntegralUIAnimationType.Slide?-e._clientRect.width:0};n={width:e._elemRef.clientWidth-(s.left+s.right),height:e._elemRef.clientHeight-e._tabStripSize.height-(s.top+s.bottom-1)};if(e.autoSizeValue)n.height="auto"}if(!e._isTabOrientationVertical())switch(e._currentTabPlacement){case IntegralUITabStripPlacement.Right:t.header.style.width=e._tabSize.width-(r.left+r.right)-(a.left+a.right)-1+"px";break;case IntegralUITabStripPlacement.Bottom:t.header.style.height=e._tabSize.height-(r.top+r.bottom)-(a.top+a.bottom)+"px";break;case IntegralUITabStripPlacement.Left:t.header.style.width=e._tabSize.width-(r.left+r.right)-(a.left+a.right)-1+"px";break;default:t.header.style.height=e._tabSize.height-(r.top+r.bottom)-(a.top+a.bottom)+"px"}if(e._currentTabPlacement===IntegralUITabStripPlacement.Left||e._currentTabPlacement===IntegralUITabStripPlacement.Right){if(e._isTabOrientationVertical()){t.header.style.height=c.height-(r.top+r.bottom)-(a.top+a.bottom)+_+"px";if(e._currentDisplayMode===IntegralUITabDisplayMode.Justified&&e._emptyTabSpace>0)t.header.style.width=o.height-(r.top+r.bottom)-(a.top+a.bottom)+e._emptyTabSpace+"px"}else if(e._currentDisplayMode===IntegralUITabDisplayMode.Justified&&e._emptyTabSpace>0){t.header.style.width=e._tabSize.width-(r.left+r.right)-(a.left+a.right)-1+"px";t.header.style.height=o.height-(r.top+r.bottom)-(a.top+a.bottom)+e._emptyTabSpace+"px"}}else if(e._isTabOrientationVertical()){t.header.style.width=c.width-(r.left+r.right)-(a.left+a.right)+"px";if(e._currentDisplayMode===IntegralUITabDisplayMode.Justified&&e._emptyTabSpace>0)t.header.style.height=o.width-(r.left+r.right)-(a.left+a.right)+e._emptyTabSpace+"px"}else if(e._currentDisplayMode===IntegralUITabDisplayMode.Justified&&e._emptyTabSpace>0){t.header.style.width=o.width-(r.left+r.right)-(a.left+a.right)+e._emptyTabSpace+"px";t.header.style.height=e._tabSize.height-(r.top+r.bottom)-(a.top+a.bottom)+"px"}})}if(e._tabList&&e._tabList.length>0)e._tabList.forEach(function(t){t.contentAnimation=e._currentContentAnimation;t.updateLayoutPos(l,n,e._currentContentAnimation===IntegralUIAnimationType.Slide?!1:!0)});e._maxScrollPos=0;if(e._currentTabPlacement===IntegralUITabStripPlacement.Left||e._currentTabPlacement===IntegralUITabStripPlacement.Right){e._maxScrollPos+=t.y-e.tabSpacing+1-e._clientRect.height;if(e._currentScrollMode===IntegralUITabScrollMode.OutBound)e._maxScrollPos+=2*(e._scrollButtonSize.height+4);else e._maxScrollPos+=e._scrollBlockSize.height;if(e._maxScrollPos<=0)e._currentScrollPos=0}else{e._maxScrollPos+=t.x-e.tabSpacing+1-e._clientRect.width;e._maxScrollPos+=e._toolbarLeftElem?e._toolbarLeftElem.offsetWidth+i.left+i.right:0;e._maxScrollPos+=e._toolbarRightElem?e._toolbarRightElem.offsetWidth+a.left+a.right:0;if(e._maxScrollPos>0)if(e._currentScrollMode===IntegralUITabScrollMode.OutBound)e._maxScrollPos+=2*(e._scrollButtonSize.width+2);else{let t=e._scrollInBoundElem?e._commonService.getPadding(e._scrollInBoundElem):{top:0,right:0,bottom:0,left:0};e._maxScrollPos+=e._scrollBlockSize.width+t.left+t.right}else e._currentScrollPos=0}e._maxScrollPos=Math.max(e._maxScrollPos,0);e._isScrollAllowed=e._maxScrollPos>0&&e._currentScrollMode!==IntegralUITabScrollMode.None;if(!e._isScrollAllowed)if(e._currentTabPlacement===IntegralUITabStripPlacement.Left||e._currentTabPlacement===IntegralUITabStripPlacement.Right){d.top=-e._currentScrollPos;if(e._tabStripSize.height>e._sumTabSize.height)switch(e._currentTabAlignment){case IntegralUITabAlignment.Middle:d.top=-e._currentScrollPos+(e._tabStripSize.height-e._sumTabSize.height)/2;break;case IntegralUITabAlignment.BottomRight:d.top=-e._currentScrollPos+(e._tabStripSize.height-e._sumTabSize.height-_-1)}e._tabstripPos.top=d.top+"px"}else{d.left=-e._currentScrollPos;if(e._tabStripSize.width>e._sumTabSize.width)switch(e._currentTabAlignment){case IntegralUITabAlignment.Middle:d.left=-e._currentScrollPos+(e._tabStripSize.width-e._sumTabSize.width)/2;break;case IntegralUITabAlignment.BottomRight:d.left=-e._currentScrollPos+(e._tabStripSize.width-e._sumTabSize.width-_-1)}e._tabstripPos.left=d.left+"px"}if(e._selectedComponent){e._selectedComponent.updatePos({left:0,top:0});e._selectedComponent.updateOpacity(1);e._selectedComponent.updateVisibility(!1)}let p=e._getTabCurrentIndex(e._selectedComponent);e._updateTabLine(p)}t()},1)})}_updateTabLayoutMultiline(){return new Promise(t=>{let e=this;setTimeout(function(){e._clientRect={width:e._elemRef.clientWidth,height:e._elemRef.clientHeight};e._tabStripSize={width:e._clientRect.width,height:e._clientRect.height};e._scrollBlockSize={width:0,height:0};e._scrollButtonSize={width:0,height:0};let i=e._getTabHeaders();if(i){let t={x:0,y:0},a={width:0,height:0},r={top:0,left:0},o={width:0,height:0};e._tabSize={width:0,height:0};e._orgTabHeaderSpace.length=0;let l=e._commonService.getBorderWidth(e._elemRef),n=e._commonService.getBorderWidth(e._contentElem),s=e._getLongestTabSize(),h=1,c=0,d=e._currentTabSpacing;if(i&&i.length>0){switch(e._currentTabPlacement){case IntegralUITabStripPlacement.Right:e._tabstripPos={top:"0",right:"0",bottom:"auto",left:"auto"};break;case IntegralUITabStripPlacement.Bottom:e._tabstripPos={top:"auto",right:"auto",bottom:"0",left:"0"};break;case IntegralUITabStripPlacement.Left:default:e._tabstripPos={top:"0",right:"auto",bottom:"auto",left:"0"}}i.forEach(function(i,r){i.header.style.width="auto";i.header.style.height="auto";i.line=-1;let o=e._commonService.getBorderWidth(i.header),l=e._commonService.getPadding(i.header);a={width:e._tabHeaderRect[r].width,height:e._tabHeaderRect[r].height};e._orgTabHeaderSpace.push({border:o,padding:l,size:a});let n={top:0,left:t.x,width:a.width,height:a.height},_={x:t.x,y:t.y};switch(e._currentTabPlacement){case IntegralUITabStripPlacement.Right:if(t.y+a.height>e._tabStripSize.height){t.y=a.height+d-1;t.x-=e._isTabOrientationVertical()?s.height+d:s.width+d;h++;_={x:t.x,y:0}}else t.y+=a.height+d-1;i.header.style.top=_.y+"px";i.header.style.right="auto";i.header.style.bottom="auto";i.header.style.left=e._isTabOrientationVertical()?s.height+d+"px":_.x+"px";if(e._tabSize.width<a.width)e._tabSize.width=a.width;n.top=_.y;n.left=_.x;if(e._commonService.isIndexInRange(r,e._tabHeaderRect)){e._tabHeaderRect[r].top=n.top;e._tabHeaderRect[r].left=n.left}break;case IntegralUITabStripPlacement.Bottom:if(t.x+a.width>e._tabStripSize.width){t.x=a.width+d-1;t.y+=e._isTabOrientationVertical()?s.width+d:s.height+d;h++;_={x:0,y:t.y}}else t.x+=a.width+d-1;i.header.style.top="auto";i.header.style.right="auto";i.header.style.bottom=e._isTabOrientationVertical()?s.width+d+"px":_.y+"px";i.header.style.left=_.x+"px";if(e._tabSize.height<a.height)e._tabSize.height=a.height;n.top=_.y;n.left=_.x;if(e._commonService.isIndexInRange(r,e._tabHeaderRect)){e._tabHeaderRect[r].top=n.top;e._tabHeaderRect[r].left=n.left}break;case IntegralUITabStripPlacement.Left:if(t.y+a.height>e._tabStripSize.height){t.y=a.height+d-1;t.x-=e._isTabOrientationVertical()?s.height+d:s.width+d;h++;_={x:t.x,y:0}}else t.y+=a.height+d-1;i.header.style.top=_.y+"px";i.header.style.right="auto";i.header.style.bottom="auto";i.header.style.left=e._isTabOrientationVertical()?s.height+d+"px":_.x+"px";if(e._tabSize.width<a.width)e._tabSize.width=a.width;n.top=_.y;n.left=_.x;if(e._commonService.isIndexInRange(r,e._tabHeaderRect)){e._tabHeaderRect[r].top=n.top;e._tabHeaderRect[r].left=n.left}break;default:if(t.x+a.width>e._tabStripSize.width){t.x=a.width+d-1;t.y-=e._isTabOrientationVertical()?s.width+d:s.height+d;h++;_={x:0,y:t.y}}else t.x+=a.width+d-1;i.header.style.top=e._isTabOrientationVertical()?s.width+d+"px":_.y+"px";i.header.style.right="auto";i.header.style.bottom="auto";i.header.style.left=_.x+"px";if(e._tabSize.height<a.height)e._tabSize.height=a.height;n.top=_.y;n.left=_.x;if(e._commonService.isIndexInRange(r,e._tabHeaderRect)){e._tabHeaderRect[r].top=n.top;e._tabHeaderRect[r].left=n.left}}i.line=h;if(c<h)c=h});let r=0;if(e._commonService.isIndexInRange(e._currentSelectedIndex,i))r=i[e._currentSelectedIndex].line;for(;r>1;){for(let t=i.length-1;t>=0;t--)if(1===i[t].line)i[t].line=c;else i[t].line--;r--}for(let t=1;t<=c;t++){let r=e._currentDisplayMode===IntegralUITabDisplayMode.Justified?e._calcEmptyTabSpace(i,t):0,o={x:0,y:0};if(e._currentTabPlacement===IntegralUITabStripPlacement.Left||e._currentTabPlacement===IntegralUITabStripPlacement.Right)o.y=e._isTabOrientationVertical()?1:0;i.filter(e=>e.line===t).forEach(function(t,i){let l=e._commonService.getPadding(t.header),n=e._commonService.getBorderWidth(t.header);t.space=r;a=e._commonService.isIndexInRange(t.index,e._tabHeaderRect)?{width:e._tabHeaderRect[t.index].width,height:e._tabHeaderRect[t.index].height}:{width:0,height:0};let h=0,c=0;switch(e._currentTabPlacement){case IntegralUITabStripPlacement.Right:c=a.height+r;if(e._isTabOrientationVertical()){t.header.style.height=s.height-(l.top+l.bottom)-(n.top+n.bottom)+"px";if(e._currentDisplayMode===IntegralUITabDisplayMode.Justified&&r>0)t.header.style.width=a.height-(l.left+l.right)-(n.left+n.right)+r+"px"}else if(e._currentDisplayMode===IntegralUITabDisplayMode.Justified&&r>0)t.header.style.height=c-(l.top+l.bottom)-(n.top+n.bottom)+"px";if(e._isTabOrientationVertical()){o.y+=c-1;t.header.style.top=o.y+"px";if(e._commonService.isIndexInRange(t.index,e._tabHeaderRect))e._tabHeaderRect[t.index].top=o.y;o.y+=d}else{t.header.style.top=o.y+"px";if(e._commonService.isIndexInRange(t.index,e._tabHeaderRect))e._tabHeaderRect[t.index].top=o.y;o.y+=c+d-1}break;case IntegralUITabStripPlacement.Bottom:h=a.width+r;if(e._isTabOrientationVertical()){t.header.style.width=s.width-(l.left+l.right)-(n.left+n.right)+"px";if(e._currentDisplayMode===IntegralUITabDisplayMode.Justified&&r>0)t.header.style.height=a.width-(l.top+l.bottom)-(n.top+n.bottom)+r+"px"}else if(e._currentDisplayMode===IntegralUITabDisplayMode.Justified&&r>0)t.header.style.width=h-(l.left+l.right)-(n.left+n.right)+"px";t.header.style.left=o.x+"px";if(e._commonService.isIndexInRange(t.index,e._tabHeaderRect))e._tabHeaderRect[t.index].left=o.x;o.x+=h+d-1;break;case IntegralUITabStripPlacement.Left:c=a.height+r;if(e._isTabOrientationVertical()){t.header.style.height=s.height-(l.top+l.bottom)-(n.top+n.bottom)+"px";if(e._currentDisplayMode===IntegralUITabDisplayMode.Justified&&r>0)t.header.style.width=a.height-(l.left+l.right)-(n.left+n.right)+r+"px"}else if(e._currentDisplayMode===IntegralUITabDisplayMode.Justified&&r>0)t.header.style.height=c-(l.top+l.bottom)-(n.top+n.bottom)+"px";if(e._isTabOrientationVertical()){o.y+=c-1;t.header.style.top=o.y+"px";if(e._commonService.isIndexInRange(t.index,e._tabHeaderRect))e._tabHeaderRect[t.index].top=o.y;o.y+=d}else{t.header.style.top=o.y+"px";if(e._commonService.isIndexInRange(t.index,e._tabHeaderRect))e._tabHeaderRect[t.index].top=o.y;o.y+=c+d-1}break;default:h=a.width+r;if(e._isTabOrientationVertical()){t.header.style.width=s.width-(l.left+l.right)-(n.left+n.right)+"px";if(e._currentDisplayMode===IntegralUITabDisplayMode.Justified&&r>0)t.header.style.height=a.width-(l.top+l.bottom)-(n.top+n.bottom)+r+"px"}else if(e._currentDisplayMode===IntegralUITabDisplayMode.Justified&&r>0)t.header.style.width=h-(l.left+l.right)-(n.left+n.right)+"px";t.header.style.left=o.x+"px";if(e._commonService.isIndexInRange(t.index,e._tabHeaderRect))e._tabHeaderRect[t.index].left=o.x;o.x+=h+d-1}})}switch(e._currentTabPlacement){case IntegralUITabStripPlacement.Right:e._blockPos={top:"0",right:"0",bottom:"auto",left:"auto"};e._tabStripSize.width=e._isTabOrientationVertical()?(s.height+2*d)*c:(s.width+2*d)*c;e._tabStripSize.width-=(c-1)*d;e._contentBlockPos={top:0,left:0};e._contentBlockSize={width:e._elemRef.clientWidth-e._tabStripSize.width-(l.left+l.right),height:e._elemRef.clientHeight-(l.top+l.bottom)};break;case IntegralUITabStripPlacement.Bottom:e._blockPos={top:"auto",right:"auto",bottom:"1px",left:"0"};e._tabStripSize.height=e._isTabOrientationVertical()?(s.width+2*d)*c:(s.height+2*d)*c;e._tabStripSize.height-=(c-1)*d;e._contentBlockPos={top:0,left:0};e._contentBlockSize={width:e._elemRef.clientWidth-(l.left+l.right),height:e._elemRef.clientHeight-e._tabStripSize.height-(l.top+l.bottom)};break;case IntegralUITabStripPlacement.Left:e._blockPos={top:"0",right:"auto",bottom:"auto",left:"0"};e._tabStripSize.width=e._isTabOrientationVertical()?(s.height+2*d)*c:(s.width+2*d)*c;e._tabStripSize.width-=(c-1)*d;e._contentBlockPos={top:0,left:e._tabStripSize.width};e._contentBlockSize={width:e._elemRef.clientWidth-e._tabStripSize.width-(l.left+l.right),height:e._elemRef.clientHeight-(l.top+l.bottom)};break;default:e._blockPos={top:"0",right:"auto",bottom:"auto",left:"0"};e._tabStripSize.height=e._isTabOrientationVertical()?(s.width+2*d)*c:(s.height+2*d)*c;e._tabStripSize.height-=(c-1)*d;e._contentBlockPos={top:e._tabStripSize.height-1,left:0};e._contentBlockSize={width:e._elemRef.clientWidth-(l.left+l.right),height:e._elemRef.clientHeight-e._tabStripSize.height-(l.top+l.bottom-1)}}e._contentBlockSize.width-=n.left+n.right;e._contentBlockSize.height-=n.top+n.bottom}let _={top:0,left:0};i.forEach(function(t,i){let a=e._commonService.getBorderWidth(t.header),n=e._commonService.getPadding(t.header);switch(e._currentTabPlacement){case IntegralUITabStripPlacement.Right:_.left=e._isTabOrientationVertical()?(t.line-c)*(s.height+d+a.bottom-1)-.8*s.height-d:(t.line-c)*(s.width+d)+a.right-1-s.width+d-3;t.header.style.left=_.left+"px";e._tabHeaderRect[i].left=_.left;if(e._isTabOrientationVertical())t.header.style.height=e._tabSize.width-(n.left+n.right)-(a.left+a.right)-1+"px";else t.header.style.width=e._tabSize.width-(n.left+n.right)-(a.left+a.right)-1+"px";r={top:e._currentContentAnimation===IntegralUIAnimationType.Slide?-e._clientRect.height:0,left:0};o={width:e._elemRef.clientWidth-(l.left+l.right-1)-e._tabStripSize.width-2,height:e._elemRef.clientHeight-(l.top+l.bottom)};break;case IntegralUITabStripPlacement.Bottom:t.header.style.bottom=e._isTabOrientationVertical()?(c-t.line)*(s.width+d)-(s.width-s.height)/2-t.space+a.left+1+d+"px":(c-t.line)*(s.height+d)+a.right-1+d+"px";r={top:0,left:e._currentContentAnimation===IntegralUIAnimationType.Slide?-e._clientRect.width:0};o={width:e._elemRef.clientWidth-(l.left+l.right),height:e._elemRef.clientHeight-e._tabStripSize.height-(l.top+l.bottom-1)};break;case IntegralUITabStripPlacement.Left:_.left=e._isTabOrientationVertical()?(c-t.line)*(s.height+d+a.bottom-1)+d+2:(c-t.line)*(s.width+d)+d+2+a.right-1;t.header.style.left=_.left+"px";e._tabHeaderRect[i].left=_.left;if(e._isTabOrientationVertical())t.header.style.height=e._tabSize.width-(n.left+n.right)-(a.left+a.right)-1+"px";else t.header.style.width=e._tabSize.width-(n.left+n.right)-(a.left+a.right)-1+"px";r={top:e._currentContentAnimation===IntegralUIAnimationType.Slide?-e._clientRect.height:0,left:0};o={width:e._elemRef.clientWidth-(l.left+l.right-1)-e._tabStripSize.width-2,height:e._elemRef.clientHeight-(l.top+l.bottom)};break;default:_.top=e._isTabOrientationVertical()?(c+1-t.line)*(s.width+d)+a.left-1:(c-t.line)*(s.height+d)+d+a.bottom-1;t.header.style.top=_.top+"px";e._tabHeaderRect[i].top=_.top;if(e._commonService.isIndexInRange(i,e._tabHeaderRect.length))e._tabHeaderRect[i].top=t.header.style.top;r={top:0,left:e._currentContentAnimation===IntegralUIAnimationType.Slide?-e._clientRect.width:0};o={width:e._elemRef.clientWidth-(l.left+l.right),height:e._elemRef.clientHeight-e._tabStripSize.height-(l.top+l.bottom-1)};if(e.autoSizeValue)o.height="auto"}});if(e._tabList&&e._tabList.length>0)e._tabList.forEach((t,a)=>{t.contentAnimation=e._currentContentAnimation;t.updateLayoutPos(r,o,e._currentContentAnimation===IntegralUIAnimationType.Slide?!1:!0);if(e._commonService.isIndexInRange(a,i))t.updateZIndex(c-i[a].line+1)});e._currentScrollPos=0;e._maxScrollPos=0;e._isScrollAllowed=!1;if(e._selectedComponent){e._selectedComponent.updatePos({left:0,top:0});e._selectedComponent.updateOpacity(1);e._selectedComponent.updateVisibility(!1);e._selectedComponent.updateZIndex(99)}}t()},1)})}_updateTabHeaders(){let t=this,e={x:0,y:0},i={width:0,height:0};t._tabHeaderRect.length=0;let a=t._getTabHeaders();if(a&&a.length>0){a.forEach(function(a,r){a.header.style.width="auto";a.header.style.height="auto";if(t._isTabOrientationVertical())i={width:a.header.offsetHeight,height:a.header.offsetWidth};else i={width:a.header.offsetWidth,height:a.header.offsetHeight};if(t._currentDisplayMode===IntegralUITabDisplayMode.Justified)if(t._currentTabPlacement===IntegralUITabStripPlacement.Left||t._currentTabPlacement===IntegralUITabStripPlacement.Right)i.height+=t._emptyTabSpace;else i.width+=t._emptyTabSpace;let o=t._commonService.getPadding(a.header),l=t._commonService.getBorderWidth(a.header),n={top:0,left:e.x,width:i.width,height:i.height},s=t._currentTabSpacing;switch(t._currentTabPlacement){case IntegralUITabStripPlacement.Right:a.header.style.top=e.y+"px";a.header.style.right=s+"px";a.header.style.bottom="auto";a.header.style.left="auto";break;case IntegralUITabStripPlacement.Bottom:a.header.style.top="auto";a.header.style.right="auto";a.header.style.bottom=s+"px";a.header.style.left=e.x+"px";if(t._currentDisplayMode===IntegralUITabDisplayMode.Justified&&t._emptyTabSpace>0)a.header.style.width=i.width-(o.left+o.right)-(l.left+l.right)+"px";break;case IntegralUITabStripPlacement.Left:a.header.style.top=e.y+"px";a.header.style.right="auto";a.header.style.bottom="auto";a.header.style.left=s+"px";break;default:a.header.style.top=s+"px";a.header.style.right="auto";a.header.style.bottom="auto";a.header.style.left=e.x+"px";if(t._currentDisplayMode===IntegralUITabDisplayMode.Justified&&t._emptyTabSpace>0)a.header.style.width=i.width-(o.left+o.right)-(l.left+l.right)+"px"}n.top=e.y;n.left=e.x;t._tabHeaderRect.push(n);e.x+=i.width+s-1;e.y+=i.height+s-1});t._updateTabHeaderSize()}}_updateTabHeaderSize(){let t=this,e=t._getTabHeaders();if(e&&e.length>0)e.forEach(function(e,i){let a=t._commonService.getBorderWidth(e.header),r=t._commonService.getPadding(e.header);switch(t._currentTabPlacement){case IntegralUITabStripPlacement.Right:if(t._isTabOrientationVertical())e.header.style.height=t._tabSize.width-(r.left+r.right)-(a.left+a.right)-1+"px";else e.header.style.width=t._tabSize.width-(r.left+r.right)-(a.left+a.right)-1+"px";break;case IntegralUITabStripPlacement.Bottom:if(t._isTabOrientationVertical())e.header.style.width=t._tabSize.height-(r.top+r.bottom)-(a.top+a.bottom)+"px";else e.header.style.height=t._tabSize.height-(r.top+r.bottom)-(a.top+a.bottom)+"px";break;case IntegralUITabStripPlacement.Left:if(t._isTabOrientationVertical())e.header.style.height=t._tabSize.width-(r.left+r.right)-(a.left+a.right)-1+"px";else e.header.style.width=t._tabSize.width-(r.left+r.right)-(a.left+a.right)-1+"px";break;default:if(t._isTabOrientationVertical())e.header.style.width=t._tabSize.height-(r.top+r.bottom)-(a.top+a.bottom)+"px";else e.header.style.height=t._tabSize.height-(r.top+r.bottom)-(a.top+a.bottom)+"px"}})}_tabMouseDown(t,e){if(this._isEnabled){this._isCtrlMouseActive=!0;switch(t.which){case 1:this._selectComponent(e);if(this.allowDrag&&e.allowDrag&&this._currentNavigation!==IntegralUITabNavigationMode.Multiline&&!this._isTabOrientationVertical()){this._startTabReorder=!0;this._reorderTabStartPos={top:t.pageY,left:t.pageX};this._reorderTabPrevPos=this._reorderTabStartPos}break;case 2:this._selectComponent(e);break;default:this._defaultFunc()}}}_tabMouseMove(t,e){if(this._isEnabled&&1===t.which)if(this._startTabReorder){this._reorderTabCurrentPos={top:t.pageY,left:t.pageX};let i={dx:Math.abs(this._reorderTabCurrentPos.left-this._reorderTabStartPos.left),dy:Math.abs(this._reorderTabCurrentPos.top-this._reorderTabStartPos.top)};if(!this._tabReorderActive&&(i.dx>3||i.dy>3)){this._tabReorderActive=!0;this._reorderTab=e;this._ctrlCursor="move";this._orgHeaderList=this._getTabHeaders();this._orgReorderTabIndex=this._tabList.indexOf(this._reorderTab);if(this._orgReorderTabIndex<this._orgHeaderList.length)this._reorderTabRect=this._commonService.getPageRect(this._orgHeaderList[this._orgReorderTabIndex].header);this._updateReorderDirection();this._updateReorderTabPos();this.update()}}}_tabEnter(t,e){if(this._isEnabled&&!e.selected){e.state|=IntegralUIObjectState.Hovered;this.update()}}_tabLeave(t,e){if(this._isEnabled&&!e.selected){e.state&=~IntegralUIObjectState.Hovered;this.update()}}_updateReorderTabPos(){let t=this;if(t._reorderTab){let e={width:0,height:0},i={width:0,height:0};t._reorderTabIndex=t._tabList.indexOf(t._reorderTab);t._reorderNewTabIndex=t._reorderTabIndex;let a=t._commonService.getPageRect(t._elemRef),r=t._orgHeaderList,o=0;for(o=0;o<r.length&&o<t._orgReorderTabIndex;o++){i={width:r[o].header.offsetWidth,height:r[o].header.offsetHeight};if(t._currentTabPlacement===IntegralUITabStripPlacement.Left||t._currentTabPlacement===IntegralUITabStripPlacement.Right)e.height+=i.height+t._currentTabSpacing-1;else e.width+=i.width+t._currentTabSpacing-1}let l={width:0,height:0};if(o<r.length&&o===t._orgReorderTabIndex){l={width:r[o].header.offsetWidth,height:r[o].header.offsetHeight};let e=0;if(t._currentScrollMode===IntegralUITabScrollMode.OutBound&&t._isScrollAllowed)if(t._currentTabPlacement===IntegralUITabStripPlacement.Left||t._currentTabPlacement===IntegralUITabStripPlacement.Right)e=t._scrollButtonSize.height+4;else e=t._scrollButtonSize.width+2;if(t._currentTabPlacement===IntegralUITabStripPlacement.Left||t._currentTabPlacement===IntegralUITabStripPlacement.Right){t._reorderTabPos.top=t._reorderTabCurrentPos.top-a.top-(t._reorderTabStartPos.top-t._reorderTabRect.top)+e;t._reorderTabPos.top=Math.max(0,Math.min(t._reorderTabPos.top,t._clientRect.height-l.height))}else{t._reorderTabPos.left=t._reorderTabCurrentPos.left-a.left-(t._reorderTabStartPos.left-t._reorderTabRect.left)+e;t._reorderTabPos.left=Math.max(0,Math.min(t._reorderTabPos.left,t._clientRect.width-l.width))}}e={width:0,height:0};let n=t._commonService.getPageRect(t._elemRef),s=t._getAlignmentSpace();for(let a=0;a<t._currentTabs.length;a++)if(a<r.length){i={width:r[a].header.offsetWidth,height:r[a].header.offsetHeight};let o=!1;if(t._currentTabPlacement===IntegralUITabStripPlacement.Left||t._currentTabPlacement===IntegralUITabStripPlacement.Right){e.height+=i.height;o=t._reorderTabCurrentPos.top-(n.top+s)<e.height-t._currentScrollPos?!0:!1}else{e.width+=i.width;o=t._reorderTabCurrentPos.left-(n.left+s)<e.width-t._currentScrollPos?!0:!1}if(o)if(t._reorderDirection>=0){if(a>=t._reorderTabIndex){t._reorderNewTabIndex=a;break}}else if(a<=t._reorderTabIndex){t._reorderNewTabIndex=a;break}}if(t._reorderTabIndex!==t._reorderNewTabIndex){t._commonService.moveObject(t._reorderTabIndex,t._reorderNewTabIndex,t._tabList);t.update();t._updateTabHeaders()}t._updateReorderDirection();t._reorderTabPrevPos=t._reorderTabCurrentPos}}_updateReorderDirection(){if(this._currentTabPlacement===IntegralUITabStripPlacement.Left||this._currentTabPlacement===IntegralUITabStripPlacement.Right)this._reorderDirection=this._reorderTabCurrentPos.top>this._reorderTabPrevPos.top?1:-1;else this._reorderDirection=this._reorderTabCurrentPos.left>this._reorderTabPrevPos.left?1:-1}_resetReorderTabSettings(){this._reorderTab=null;this._tabReorderActive=!1;this._startTabReorder=!1;this._ctrlCursor="default";this._reorderTabStartPos={top:0,left:0};this._reorderTabCurrentPos={top:0,left:0};this._reorderTabPos={top:0,left:0}}_getTabOpacity(t){if(this._tabReorderActive&&t===this._reorderTab)return 0;else return 1}_windowMouseMove(t){if(this._isEnabled&&this._isCtrlMouseActive&&1===t.which)if(this._tabReorderActive&&this._reorderTab){this._reorderTabCurrentPos.left=t.pageX;this._updateReorderTabPos();this._processDragScroll(t);this.update()}}async _windowMouseUp(t){let e=this;if(this._isCtrlMouseActive&&1===t.which){if(e._reorderTab&&e._reorderNewTabIndex>=0&&e._reorderNewTabIndex<e._tabList.length)if(e._orgReorderTabIndex!==e._reorderNewTabIndex){e._currentTabs=e._tabList.map(t=>t.data);e._updateData();let t={index:e._tabList.indexOf(e._reorderTab),list:e._currentTabs,tab:e._getComponentData(e._reorderTab)};e._currentSelectedIndex=t.index;t.index=e._currentSelectedIndex;t.list=e._currentTabs;e._invokeEvent("tabOrderChanged",t);await e.updateLayout()}else e._updateSelectedTab();e._resetReorderTabSettings();e.update()}else e._resetReorderTabSettings();this._isCtrlMouseActive=!1}_getLastTabIndex(){let t=this._dataService.getList();return t?t.length-1:-1}_getPrevTab(t){let e=null;if(t){let i=this._dataService.getList(),a=i.indexOf(t);if((a=a>0?a-1:-1)>=0)e=i[a]}return e}_getNextTab(t){let e=null;if(t){let i=this._dataService.getList(),a=i.indexOf(t);if((a=a<i.length-1?a+1:-1)>=0)e=i[a]}return e}_moveTab(t,e,i,a){if(t){let r=-1;switch(e){case IntegralUIMoveDirection.At:r=a;break;case IntegralUIMoveDirection.Down:i=this._getNextTab(t);break;case IntegralUIMoveDirection.First:r=0;break;case IntegralUIMoveDirection.Last:r=this._getLastTabIndex();break;case IntegralUIMoveDirection.Left:i=this._getPrevTab(t);break;case IntegralUIMoveDirection.Right:i=this._getNextTab(t);break;case IntegralUIMoveDirection.Up:i=this._getPrevTab(t);break;default:r=-1}this._moveTabAt(t,i,e,r);this._currentTabs=this._dataService.getList();this.selectTab(t);this.updateLayout();this._invokeEvent("change",{type:"move-tab"});this._scrollTo(t)}}_moveTabAt(t,e,i,a){if(this._removeTab(t))if(i===IntegralUIMoveDirection.First||i===IntegralUIMoveDirection.Right||i===IntegralUIMoveDirection.Last||i===IntegralUIMoveDirection.At)this._insertTabAt(t,a);else if(i===IntegralUIMoveDirection.Before||i===IntegralUIMoveDirection.Up)this._insertTabBefore(t,e);else if(i===IntegralUIMoveDirection.After||i===IntegralUIMoveDirection.Left||i===IntegralUIMoveDirection.Down)this._insertTabAfter(t,e)}scrollPos(t){if(void 0!==t){this._currentScrollPos=Math.max(0,Math.min(t,this._maxScrollPos));this.updateLayout();this._invokeEvent("scrollPosChanged",{value:this._currentScrollPos})}return Math.floor(this._currentScrollPos)}_startScroll(t){let e=this;if(e._isScrollAllowed){if(e._scrollTimer)clearInterval(e._scrollTimer);e._scrollCount=0;e._isScrollActive=!0;e._scrollTimer=setInterval(function(){e._scrollTimerElapsed(t)},100)}}_stopScroll(){if(this._scrollTimer)clearInterval(this._scrollTimer);this._isScrollActive=!1}_processScroll(t){if(t)if(this._currentScrollPos+this._scrollCount<this._maxScrollPos)this._currentScrollPos+=this._scrollCount;else{this._stopScrolling=!0;this._currentScrollPos=this._maxScrollPos}else if(this._currentScrollPos-this._scrollCount>0)this._currentScrollPos-=this._scrollCount;else{this._stopScrolling=!0;this._currentScrollPos=0}this._scrollTabs();let e=this._getTabCurrentIndex(this._selectedComponent);this._updateTabLine(e);this.update();this._invokeEvent("scrollPosChanged",{value:this._currentScrollPos})}_processDragScroll(t){if(this._isEnabled){let e=this._commonService.getShiftPos(),i=this._commonService.getMousePos(t);i.x-=e.x;i.y-=e.y;let a=this._commonService.getPageRect(this._elemRef),r={top:a.top+10,right:a.right-10,bottom:a.bottom-10,left:a.left+10};if(this._currentScrollMode===IntegralUITabScrollMode.OutBound){r.top+=this._scrollButtonSize.height+4;r.right-=this._scrollButtonSize.width+2;r.bottom-=this._scrollButtonSize.height+4;r.left+=this._scrollButtonSize.width+2}else{r.right-=this._scrollBlockSize.width;r.bottom-=this._scrollBlockSize.height}if(this._currentTabPlacement===IntegralUITabStripPlacement.Left||this._currentTabPlacement===IntegralUITabStripPlacement.Right)if(i.y<r.top)this._startScroll();else if(i.y>r.bottom)this._startScroll(!0);else this._stopScroll();else if(i.x<r.left)this._startScroll();else if(i.x>r.right)this._startScroll(!0);else this._stopScroll()}}_processMouseWheel(t){if(this._isEnabled&&this._maxScrollPos>0){t.preventDefault();let e=Math.max(-1,Math.min(1,t.wheelDelta||-t.detail)),i=5,a=this._currentTabPlacement===IntegralUITabStripPlacement.Left||this._currentTabPlacement===IntegralUITabStripPlacement.Right?Math.floor(this._tabStripSize.height/i):Math.floor(this._tabStripSize.width/i),r=this._currentScrollPos+a*e*-1;this.scrollPos(Math.min(r,this._maxScrollPos));t.stopPropagation()}}_scrollTimerElapsed(t){if(0===this._scrollCount)this._scrollCount=1;this._scrollCount+=5;this._stopScrolling=!1;this._processScroll(t);if(this._stopScrolling){clearInterval(this._scrollTimer);this._isScrollActive=!1}}_scrollTabs(){let t={top:0,right:0,bottom:0,left:0};switch(this._currentTabPlacement){case IntegralUITabStripPlacement.Right:t.top=-this._currentScrollPos;t.right=0;if(this._currentScrollMode===IntegralUITabScrollMode.OutBound)t.top+=this._scrollButtonSize.height+4;this._tabstripPos={top:t.top+"px",right:"0",bottom:"auto",left:"auto"};break;case IntegralUITabStripPlacement.Bottom:t.bottom=0;t.left=-this._currentScrollPos;if(this._currentScrollMode===IntegralUITabScrollMode.OutBound)t.left+=this._scrollButtonSize.width+2;this._tabstripPos={top:"auto",right:"auto",bottom:"0",left:t.left+"px"};break;case IntegralUITabStripPlacement.Left:t.top=-this._currentScrollPos;t.left=0;if(this._currentScrollMode===IntegralUITabScrollMode.OutBound)t.top+=this._scrollButtonSize.height+4;this._tabstripPos={top:t.top+"px",right:"auto",bottom:"auto",left:"0"};break;default:t.top=0;t.left=-this._currentScrollPos;if(this._currentScrollMode===IntegralUITabScrollMode.OutBound)t.left+=this._scrollButtonSize.width+2;this._tabstripPos={top:"0",right:"auto",bottom:"auto",left:t.left+"px"}}}_scrollButtonMouseDown(t,e){this._startScroll(e);t.stopPropagation()}_scrollButtonMouseUp(t){this._stopScroll();t.stopPropagation()}scrollTo(t){if(t){let e=this._getTabIndex(t),i=this._getTabHeaders();if(i&&i.length>0){let t=0;for(let a=0;a<e&&a<i.length;a++)switch(this._currentTabPlacement){case IntegralUITabStripPlacement.Left:case IntegralUITabStripPlacement.Right:t+=i[a].header.offsetHeight+this.tabSpacing;break;default:t+=i[a].header.offsetWidth+this.tabSpacing}this.scrollPos(Math.min(t,this._maxScrollPos));this.updateLayout()}}}_clearSelection(t){this._tabList.forEach(function(e,i){if(e!==t)e.selected=!1})}_selectComponent(t,e){let i=this;if(t&&t!==i._selectedComponent){let a=i._getTabCurrentIndex(t),r=i._getComponentData(t),o={cancel:!1,index:a,tab:r};i._invokeEvent("beforeSelect",o);if(!0!==o.cancel){i._updateSelectedTab(!0);i._currentSelectedIndex=a;if(i._currentTabs&&a>=0&&a<i._currentTabs.length)i._currentSelection=i._currentTabs[a];i._prevComponent=i._selectedComponent;i._selectedComponent=t;i._clearSelection(t);t.selected=!0;if(!this._tabReorderActive)if(i._currentDisplayMode===IntegralUITabDisplayMode.Compressed&&this._currentTabPlacement!==IntegralUITabStripPlacement.Left&&this._currentTabPlacement!==IntegralUITabStripPlacement.Right){i._updateTabHeaders();setTimeout(function(){i._animate()},10)}else i._animate();if(!e){i._invokeEvent("afterSelect",{index:a,tab:r});i._invokeEvent("selectionChanged",{index:a,tab:r})}if(this._currentNavigation===IntegralUITabNavigationMode.Multiline)i.updateLayout();i._updateSelectedTab();return!0}}return!1}_selectComponentByIndex(t,e){let i=this;setTimeout(function(){if(i._commonService.isIndexInRange(t,i._tabList))i._selectComponent(i._tabList[t],e)},1)}selectTab(t,e){if(this._currentTabs){if(0===this._currentTabs.length)this._updateTabList();this._currentSelectedIndex=this._currentTabs.indexOf(t);this._selectComponentByIndex(this._currentSelectedIndex,e)}}_updateSelection(){if(this._currentSelection&&this._currentTabs)this._selectComponentByIndex(this._findTabIndexByID(this._currentSelection.id));else if(this._currentSelectedIndex>=0)this._selectComponentByIndex(this._currentSelectedIndex);else this._selectComponentByIndex(0)}_findTabIndexByID(t){let e=this._currentTabs.filter(e=>e.id===t);return e.length>0?this._currentTabs.indexOf(e[0]):-1}_getScrollBlockClass(){let t={};if(this._currentScrollMode===IntegralUITabScrollMode.OutBound)t["iui-tabstrip-scroll-outbound"]=!0;else t["iui-tabstrip-scroll-inbound"]=!0;switch(this._currentTabPlacement){case IntegralUITabStripPlacement.Right:t["iui-tabstrip-scroll-border-left"]=!0;break;case IntegralUITabStripPlacement.Bottom:t["iui-tabstrip-scroll-border-top"]=!0;break;case IntegralUITabStripPlacement.Left:t["iui-tabstrip-scroll-border-right"]=!0;break;default:t["iui-tabstrip-scroll-border-bottom"]=!0}return t}_getScrollInBoundStyle(){let t={top:"auto",right:"auto",bottom:"auto",left:"auto",opacity:"1",padding:"0",width:"auto",height:"auto"};switch(this._currentTabPlacement){case IntegralUITabStripPlacement.Right:t.bottom="0px";t.right="0";t.padding="2px 0 0 0";t.width=this._tabStripSize.width+"px";break;case IntegralUITabStripPlacement.Bottom:t.right="0px";t.bottom="0";t.padding="0 0 0 2px";t.height=this._tabStripSize.height+1+"px";break;case IntegralUITabStripPlacement.Left:t.bottom="0px";t.left="0";t.padding="2px 0 0 0";t.width=this._tabStripSize.width+"px";break;default:t.right="0px";t.top="0";t.padding="0 0 0 2px";t.height=this._tabStripSize.height-1+"px"}if(0===this._maxScrollPos)t.opacity="0.4";if(!this._isScrollAllowed){t.opacity="0";t["pointer-events"]="none"}return t}_getScrollInBoundButtonStyle(t){let e={"margin-left":"auto","margin-top":"auto"};switch(this._currentTabPlacement){case IntegralUITabStripPlacement.Right:e["margin-left"]="2px";break;case IntegralUITabStripPlacement.Bottom:e["margin-top"]="2px";break;case IntegralUITabStripPlacement.Left:e["margin-left"]=this._tabStripSize.width-this._scrollButtonSize.width-2+"px";break;default:e["margin-top"]=this._tabStripSize.height-this._scrollButtonSize.height-2+"px"}return e}_getScrollOutBoundStyle(t){let e={top:"auto",right:"auto",bottom:"auto",left:"auto",marginLeft:"auto",marginTop:"auto",opacity:"1",padding:"0",width:"auto",height:"auto"};switch(this._currentTabPlacement){case IntegralUITabStripPlacement.Right:if(1===t){e.top="0";e.padding="0  0 2px 0"}else{e.bottom="0";e.padding="2px 0 0 0"}e.right="0";e.width=this._tabStripSize.width+"px";break;case IntegralUITabStripPlacement.Bottom:if(1===t){e.left="0";e.padding="0 2px 0 0"}else{e.right="0";e.padding="0 0 0 2px"}e.bottom="0";e.height=this._tabStripSize.height+1+"px";break;case IntegralUITabStripPlacement.Left:if(1===t){e.top="0";e.padding="0  0 2px 0"}else{e.bottom="0";e.padding="2px 0 0 0"}e.left="0";e.width=this._tabStripSize.width+"px";break;default:if(1===t){e.left="0";e.padding="0 2px 0 0"}else{e.right="0";e.padding="0 0 0 2px"}e.top="0";e.height=this._tabStripSize.height-1+"px"}if(0===this._maxScrollPos)e.opacity="0.4";if(!this._isScrollAllowed){e.opacity="0";e["pointer-events"]="none"}return e}_getContentBlockStyle(){let t={top:this._contentBlockPos.top+"px",left:this._contentBlockPos.left+"px",width:this._contentBlockSize.width+"px",height:this._contentBlockSize.height+"px"};if(this._currentSelection){let e=this._currentSelection?this._commonService.getStyle(this._currentSelection.style):{};if(e.selected){if(e.selected.background)t.background=e.selected.background;if(e.selected.borderColor)t.borderColor=e.selected.borderColor;if(e.selected.color)t.color=e.selected.color}}return t}_getControlStyle(){let t=this._currentInlineStyle||{};t.cursor=this._ctrlCursor;if(this._ctrlSize.width>0)t.width=this._ctrlSize.width+"px";if(this._ctrlSize.height>0)t.height=this._ctrlSize.height+"px";if(this._currentNavigation===IntegralUITabNavigationMode.Multiline)t.overflow="visible";return t}_getTabHeaderClass(t,e){let i=t._getCurrentTabStyle(),a={};a[i.header.normal]=!0;if(this._isTabOrientationVertical())a["iui-tab-header-vertical"]=!0;if(t.state&IntegralUIObjectState.Disabled)a[i.header.disabled]=!0;else if(t.state&IntegralUIObjectState.Focused)a[i.header.focused]=!0;else if(t.state&IntegralUIObjectState.Selected){a[i.header.selected]=!0;switch(this._currentTabPlacement){case IntegralUITabStripPlacement.Right:a["iui-tab-selected-right"]=!0;break;case IntegralUITabStripPlacement.Bottom:a["iui-tab-selected-bottom"]=!0;break;case IntegralUITabStripPlacement.Left:a["iui-tab-selected-left"]=!0;break;default:a["iui-tab-selected-top"]=!0}}else if(t.state&IntegralUIObjectState.Hovered&&!this._tabReorderActive)a[i.header.hovered]=!0;return a}_getTabHeaderStyle(t){let e={opacity:this._getTabOpacity(t),zIndex:this._currentNavigation===IntegralUITabNavigationMode.Multiline?t._currentZIndex:t._elemOrder},i=t.data?this._commonService.getStyle(t.data.style):{},a=i.normal||{};if(t.state&IntegralUIObjectState.Disabled)a=i.disabled||{};else if(t.state&IntegralUIObjectState.Focused)a=i.focused||{};else if(t.state&IntegralUIObjectState.Selected){a=i.selected||{};if(this._isTabOrientationVertical())switch(this._currentTabPlacement){case IntegralUITabStripPlacement.Right:a.borderTopColor="transparent";break;case IntegralUITabStripPlacement.Bottom:a.borderRightColor="transparent";break;case IntegralUITabStripPlacement.Left:a.borderBottomColor="transparent";break;default:a.borderLeftColor="transparent"}else switch(this._currentTabPlacement){case IntegralUITabStripPlacement.Right:a.borderLeftColor="transparent";break;case IntegralUITabStripPlacement.Bottom:a.borderTopColor="transparent";break;case IntegralUITabStripPlacement.Left:a.borderRightColor="transparent";break;default:a.borderBottomColor="transparent"}}else if(t.state&IntegralUIObjectState.Hovered&&!this._tabReorderActive)a=i.hovered||{};return Object.assign(e,a)}_getReorderTabStyle(){let t={position:"absolute","pointer-events":"none","z-index":999},e=this._currentTabSpacing;switch(this._currentTabPlacement){case IntegralUITabStripPlacement.Right:t.top=this._reorderTabPos.top+"px";t.right=e+"px";t.bottom="auto";t.left="auto";t.width=this._tabSize.width-1+"px";break;case IntegralUITabStripPlacement.Left:t.top=this._reorderTabPos.top+"px";t.right="auto";t.bottom="auto";t.left=e+"px";t.width=this._tabSize.width-1+"px";break;default:t.top=e+"px";t.right="auto";t.bottom="auto";t.left=this._reorderTabPos.left+"px";t.height="auto"}if(this._currentTabPlacement===IntegralUITabStripPlacement.Top||this._currentTabPlacement===IntegralUITabStripPlacement.Bottom)if(this._currentDisplayMode===IntegralUITabDisplayMode.Justified&&this._emptyTabSpace>0&&this._orgReorderTabIndex>=0&&this._orgReorderTabIndex<this._orgTabHeaderSpace.length){let e=this._orgTabHeaderSpace[this._orgReorderTabIndex];t.width=e.size.width-(e.padding.left+e.padding.right)-(e.border.left+e.border.right)+"px"}return t}_updateColorSchemeSettings(t){this._currentColorSchemeSettings=css``;this._currentTabColorSchemeSettings=css``;switch(t){case IntegralUIColorScheme.Dark:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiTabStripDarkStyle.cssText,"../../../icons",this._currentResourcePath);this._currentTabColorSchemeSettings.cssText=this._commonService.replaceAll(iuiTabDarkStyle.cssText,"../../../icons",this._currentResourcePath);break;case IntegralUIColorScheme.Light:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiTabStripLightStyle.cssText,"../../../icons",this._currentResourcePath);this._currentTabColorSchemeSettings.cssText=this._commonService.replaceAll(iuiTabLightStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentColorSchemeSettings.cssText="";this._currentTabColorSchemeSettings.cssText=""}}_updateThemeSettings(t){this._currentThemeSettings=css``;this._currentTabThemeSettings=css``;switch(t){case IntegralUITheme.Office:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiTabStripOfficeStyle.cssText,"../../../icons",this._currentResourcePath);this._currentTabThemeSettings.cssText=this._commonService.replaceAll(iuiTabOfficeStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentThemeSettings.cssText="";this._currentTabThemeSettings.cssText=""}}_getTabTemplate(t){let e=this.tabTemplate,i=null;if(e&&t){let a=e(t);if(a)i=new TemplateResult(a.strings,a.values,"html",defaultTemplateProcessor)}if(!i&&t)i=html`                 ${t.icon?html`<span class="iui-tab-icon" class=${classMap(this._getTabIcon(t.icon))}></span>`:html``}                 ${t.text?html`<span class="iui-tab-label">${t.text}</span>`:html``}             `;return i}_tabTouchStart(t,e){if(this._isEnabled)this._selectComponent(e)}firstUpdated(t){this._updateReferences();this._refreshTabParent()}_getMultilineLayout(){return html`             <div id="tabstrip" class="iui-tabstrip-block" style=${styleMap({overflow:"visible",top:this._blockPos.top,right:this._blockPos.right,bottom:this._blockPos.bottom,left:this._blockPos.left,width:this._tabStripSize.width+"px",height:this._tabStripSize.height+"px"})}>                 <ul id="tabBlock" style=${styleMap({top:this._tabstripPos.top,right:this._tabstripPos.right,bottom:this._tabstripPos.bottom,left:this._tabstripPos.left})}>                     ${this._tabList.map(t=>html`                         <li data-header class=${classMap(this._getTabHeaderClass(t))} style=${styleMap(this._getTabHeaderStyle(t))} @mouseenter="${e=>this._tabEnter(e,t)}" @mouseleave="${e=>this._tabLeave(e,t)}" @mousedown="${e=>this._tabMouseDown(e,t)}" @mousemove="${e=>this._tabMouseMove(e,t)}" @touchstart="${e=>this._tabTouchStart(e,t)}">                             ${this._getTabTemplate(t.data)}                         </li>                     `)}                 </ul>             </div>             <div id="content" class="iui-tabstrip-content" style=${styleMap(this._getContentBlockStyle())}>                 <slot @slotchange="${t=>this._slotChange(t)}"></slot>             </div>         `}_getNormalLayout(){return html`             ${this.tabStripPlacement===IntegralUITabStripPlacement.Top||this.tabStripPlacement===IntegralUITabStripPlacement.Bottom?html`                     <div id="toolbarLeft" class="iui-tabstrip-left-toolbar" style=${styleMap({top:this._toolbarPos.top,bottom:this._toolbarPos.bottom})}>                         <slot name="toolbar-left"></slot>                     </div>`:html``}             <div id="tabstrip" class="iui-tabstrip-block" style=${styleMap({top:this._blockPos.top,right:this._blockPos.right,bottom:this._blockPos.bottom,left:this._blockPos.left,width:this._tabStripSize.width+"px",height:this._tabStripSize.height+"px"})} @DOMMouseScroll="${t=>this._processMouseWheel(t)}" @mousewheel="${t=>this._processMouseWheel(t)}">                 ${this._currentScrollMode===IntegralUITabScrollMode.OutBound?html`                     <div id="scrollInBound" class=${classMap(this._getScrollBlockClass())} style=${styleMap(this._getScrollOutBoundStyle(1))}>                         <div id="scrollButton" class=${classMap({"iui-tabstrip-scroll-button":!0,"iui-tabstrip-scroll-button-up":this.tabStripPlacement===IntegralUITabStripPlacement.Left||this.tabStripPlacement===IntegralUITabStripPlacement.Right,"iui-tabstrip-scroll-button-left":this.tabStripPlacement===IntegralUITabStripPlacement.Top||this.tabStripPlacement===IntegralUITabStripPlacement.Bottom,"iui-tabstrip-scroll-button-inactive":0===this._currentScrollPos})} style=${styleMap(this._getScrollInBoundButtonStyle())} @mousedown="${t=>this._scrollButtonMouseDown(t)}" @mouseup="${t=>this._scrollButtonMouseUp(t)}"><span></span></div>                     </div>`:html``}                 <ul id="tabBlock" style=${styleMap({top:this._tabstripPos.top,right:this._tabstripPos.right,bottom:this._tabstripPos.bottom,left:this._tabstripPos.left})}>                     ${this._tabList.map(t=>html`                         <li data-header class=${classMap(this._getTabHeaderClass(t))} style=${styleMap(this._getTabHeaderStyle(t))} @mouseenter="${e=>this._tabEnter(e,t)}" @mouseleave="${e=>this._tabLeave(e,t)}" @mousedown="${e=>this._tabMouseDown(e,t)}" @mousemove="${e=>this._tabMouseMove(e,t)}" @touchstart="${e=>this._tabTouchStart(e,t)}">                             ${this._getTabTemplate(t.data)}                         </li>                     `)}                 </ul>                 ${this._reorderTab?html`                         <li class=${classMap(this._getTabHeaderClass(this._reorderTab,!0))} style=${styleMap(this._getReorderTabStyle())}>                             <div style=${styleMap({opacity:"0.5"})}>                                 ${this._getTabTemplate(this._reorderTab.data)}                             </div>                         </li>`:html``}                 ${this._currentScrollMode===IntegralUITabScrollMode.InBound?html`                         <div id="scrollInBound" class=${classMap(this._getScrollBlockClass())} style=${styleMap(this._getScrollInBoundStyle())}>                             <div id="scrollButton" class=${classMap({"iui-tabstrip-scroll-button":!0,"iui-tabstrip-scroll-button-up":this.tabStripPlacement===IntegralUITabStripPlacement.Left||this.tabStripPlacement===IntegralUITabStripPlacement.Right,"iui-tabstrip-scroll-button-left":this.tabStripPlacement===IntegralUITabStripPlacement.Top||this.tabStripPlacement===IntegralUITabStripPlacement.Bottom,"iui-tabstrip-scroll-button-inactive":0===this._currentScrollPos})} style=${styleMap(this._getScrollInBoundButtonStyle())} @mousedown="${t=>this._scrollButtonMouseDown(t)}" @mouseup="${t=>this._scrollButtonMouseUp(t)}"><span></span></div>                             <div class=${classMap({"iui-tabstrip-scroll-button":!0,"iui-tabstrip-scroll-button-down":this.tabStripPlacement===IntegralUITabStripPlacement.Left||this.tabStripPlacement===IntegralUITabStripPlacement.Right,"iui-tabstrip-scroll-button-right":this.tabStripPlacement===IntegralUITabStripPlacement.Top||this.tabStripPlacement===IntegralUITabStripPlacement.Bottom,"iui-tabstrip-scroll-button-inactive":this._currentScrollPos===this._maxScrollPos})} style=${styleMap(this._getScrollInBoundButtonStyle())} @mousedown="${t=>this._scrollButtonMouseDown(t,!0)}" @mouseup="${t=>this._scrollButtonMouseUp(t)}"><span></span></div>                         </div>`:html``}                 ${this._currentScrollMode===IntegralUITabScrollMode.OutBound?html`                         <div class=${classMap(this._getScrollBlockClass())} style=${styleMap(this._getScrollOutBoundStyle())}>                             <div class=${classMap({"iui-tabstrip-scroll-button":!0,"iui-tabstrip-scroll-button-down":this.tabStripPlacement===IntegralUITabStripPlacement.Left||this.tabStripPlacement===IntegralUITabStripPlacement.Right,"iui-tabstrip-scroll-button-right":this.tabStripPlacement===IntegralUITabStripPlacement.Top||this.tabStripPlacement===IntegralUITabStripPlacement.Bottom,"iui-tabstrip-scroll-button-inactive":this._currentScrollPos===this._maxScrollPos})} style=${styleMap(this._getScrollInBoundButtonStyle())} @mousedown="${t=>this._scrollButtonMouseDown(t,!0)}" @mouseup="${t=>this._scrollButtonMouseUp(t)}"><span></span></div>                         </div>`:html``}                 ${this._isTabLineAllowed&&this._currentContentAnimation===IntegralUIAnimationType.Slide&&!this._reorderTab?html`<div class="iui-tabstrip-line" style=${styleMap({top:this._selTabLinePos.top+"px",left:this._selTabLinePos.left+"px",height:this._selTabLineSize.height+"px",width:this._selTabLineSize.width+"px"})}></div>`:html``}             </div>             <div id="content" class="iui-tabstrip-content" style=${styleMap(this._getContentBlockStyle())}>                 <slot @slotchange="${t=>this._slotChange(t)}"></slot>             </div>             ${this.tabStripPlacement===IntegralUITabStripPlacement.Top||this.tabStripPlacement===IntegralUITabStripPlacement.Bottom?html`                     <div id="toolbarRight" class="iui-tabstrip-right-toolbar" style=${styleMap({top:this._toolbarPos.top,bottom:this._toolbarPos.bottom})}>                         <slot name="toolbar-right"></slot>                     </div>`:html``}         `}_getLayout(){if(this._currentNavigation===IntegralUITabNavigationMode.Multiline)return this._getMultilineLayout();else return this._getNormalLayout()}_getTabIcon(t){let e={};if(this._commonService.isString(t)){t.split(" ").map(t=>e[t]=!0)}return e}refresh(){this._updateStyle(this.controlStyle);this._updateControlClass();this.update();this._updateReferences()}_refreshTabParent(){let t=this;setTimeout(function(){t._contentSlotElem=t._contentElem.querySelector("slot").assignedNodes();t._updateTabList();t._tabList.map(e=>e.setParent(t));t.updateLayout()},10)}render(){return html`             <style>                 ${this._currentControlStyleSettings}                 ${this._currentTabStyleSettings}                 ${this._currentThemeSettings}                 ${this._currentTabThemeSettings}                 ${this._currentColorSchemeSettings}                 ${this._currentTabColorSchemeSettings}                 ${this._currentCustomStyle}             </style>             <div data-ctrl="tabstrip" class=${classMap(this._getControlClass())} style=${styleMap(this._getControlStyle())}>                 ${this._getLayout()}             </div>         `}updated(t){}_updateControlStyleSettings(t){this._currentControlStyleSettings=css``;this._currentControlStyleSettings.cssText=this._commonService.replaceAll(iuiTabStripDefaultStyle.cssText,"../../icons",t);this._currentTabStyleSettings=css``;this._currentTabStyleSettings.cssText=this._commonService.replaceAll(iuiTabDefaultStyle.cssText,"../../icons",t)}_updateTabList(){this._contentSlotElem=this._contentElem.querySelector("slot").assignedNodes();this._tabList=this._contentSlotElem?this._contentSlotElem.filter(t=>"iui-tab"===t.nodeName.toLowerCase()):[];this._currentTabs=this._tabList.map(t=>t.data);this._updateData()}_slotChange(t){this._updateReferences();this.updateLayout()}_updateReferences(){this._contentElem=this.shadowRoot.querySelector("#content");this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=tabstrip]");this._scrollInBoundElem=this.shadowRoot.querySelector("#scrollInBound");this._scrollButtonElem=this.shadowRoot.querySelector("#scrollButton");this._tabBlock=this.shadowRoot.querySelector("#tabBlock");if(this._resizeObserver)this._resizeObserver.observe(this._elemRef)}}window.customElements.define("iui-tabstrip",IntegralUITabStrip);export default IntegralUITabStrip;