/*
  filename: integralui.tooltip.js
  version : 23.4.0
  Copyright © 2016-2023 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{L as LitElement,c as css,h as html}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import IntegralUIBase from"./integralui.base.js";import IntegralUICommonService from"../services/integralui.common.service.js";import{IntegralUIColorScheme,IntegralUISpeedMode,IntegralUITheme}from"./integralui.enums.js";import{iuiTooltipStyle}from"../styles/default/integralui.tooltip.style.js";import{iuiTooltipOfficeStyle}from"../styles/themes/office/integralui.tooltip.office.js";import{iuiTooltipDarkStyle}from"../styles/color-schemes/dark/integralui.tooltip.dark.js";import{iuiTooltipLightStyle}from"../styles/color-schemes/light/integralui.tooltip.light.js";export class IntegralUITooltipWindow extends LitElement{constructor(){super();this._commonService=new IntegralUICommonService;this._animationTimer=null;this._currentOpacity=0;this._currentOptions={};this._showTimer=null;this._popupTimer=null;this._mousePos={x:0,y:0};this._isOpening=!1;this._currentPos={x:0,y:0};this._currentSize={width:0,height:0};this._tooltipDisplay="none";this._startPos={x:0,y:0};this._tooltipSize={width:0,height:0};this._updateOptions();this._currentTheme=IntegralUITheme.None;this._currentThemeSettings=css``;this._ctrlClass={};this._generalClassName="iui-tooltip";this._initStyle()}connectedCallback(){}disconnectedCallback(){this._removeTimers()}_initStyle(){this._defaultStyle={general:{disabled:this._generalClassName+"-disabled",focused:this._generalClassName+"-focused",normal:this._generalClassName,hovered:this._generalClassName+"-hovered",selected:this._generalClassName+"-selected"}};this._updateColorSchemeSettings(this._currentColorScheme)}attributeChangedCallback(e,t,i){super.attributeChangedCallback(e,t,i)}static get properties(){return{colorScheme:{converter:{fromAttribute:e=>{switch((e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"light":return IntegralUIColorScheme.Light;case"dark":return IntegralUIColorScheme.Dark;default:return IntegralUIColorScheme.None}},toAttribute:e=>{switch(e){case IntegralUIColorScheme.Light:return"Light";case IntegralUIColorScheme.Dark:return"Dark";default:return"None"}}},reflect:!0},options:{type:Object},theme:{converter:{fromAttribute:e=>{switch((e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()){case"office":return IntegralUITheme.Office;case"dark":return IntegralUITheme.Dark;default:return IntegralUITheme.None}},toAttribute:e=>{switch(e){case IntegralUITheme.Office:return"Office";case IntegralUITheme.Dark:return"Dark";default:return"None"}}},reflect:!0}}}get colorScheme(){return this._currentColorScheme}set colorScheme(e){if(this._currentColorScheme!==e){const t=this._currentColorScheme;this._currentColorScheme=e;this._updateColorSchemeSettings(e);this.requestUpdate("colorScheme",t);this.refresh()}}get options(){return this._currentOptions}set options(e){const t=this._currentOptions;this._updateOptions(e);this.refresh();this.requestUpdate("options",t)}get theme(){return this._currentTheme}set theme(e){if(this._currentTheme!==e){const t=this._currentTheme;this._currentTheme=e;this._updateThemeSettings(e);this.requestUpdate("theme",t)}}_updateOptions(e){if(e)this._currentOptions={allowAnimation:this._commonService.isFieldAvailable(e.allowAnimation,!0),animationSpeed:this._commonService.isFieldAvailable(e.animationSpeed,!0),autoPopDelay:this._commonService.isFieldAvailable(e.autoPopDelay,5e4),enabled:this._commonService.isFieldAvailable(e.enabled,!0),initialDelay:this._commonService.isFieldAvailable(e.initialDelay,500),position:this._commonService.isFieldAvailable(e.position,"mouse"),showMarker:this._commonService.isFieldAvailable(e.showMarker,!0),title:this._commonService.isFieldAvailable(e.title,"")};else this._currentOptions={allowAnimation:!0,animationSpeed:IntegralUISpeedMode.Normal,autoPopDelay:5e3,enabled:!0,initialDelay:500,position:"mouse",showMarker:!0,title:""}}_invokeEvent(e,t,i,s){let o=new CustomEvent(e,{detail:t,bubbles:void 0!==i?i:!1,composed:void 0!==s?s:!1});this.dispatchEvent(o);return t}_defaultFunc(){}_removeTimers(){if(this._showTimer){clearTimeout(this._showTimer);this._showTimer=null}if(this._popupTimer){clearTimeout(this._popupTimer);this._popupTimer=null}}close(){this._isOpening=!1;this._invokeEvent("closed");this.refresh()}open(e,t){let i=this;i._startPos.y=-9999999;i._tooltipDisplay="block";i.update();let s=setTimeout(function(){i._tooltipSize=i._getSize();i._tooltipDisplay="none";i.update();i._removeTimers();if(i._currentOptions.enabled&&""!==i._currentOptions.title)i._showTimer=setTimeout(function(){i._show(e,t);i._popupTimer=setTimeout(function(){i.close();clearTimeout(i._popupTimer)},i._currentOptions.autoPopDelay);clearTimeout(i._showTimer)},i._currentOptions.initialDelay);clearTimeout(s)},1)}_show(e,t){this._startPos={x:this._mousePos.x,y:this._mousePos.y+24};switch(this._currentOptions.position){case"above":this._startPos={x:e.left+Math.floor((t.width-this._tooltipSize.width)/2),y:e.top-4-this._tooltipSize.height};if(this._currentOptions.showMarker)this._startPos.y-=4;break;case"below":this._startPos={x:e.left+Math.floor((t.width-this._tooltipSize.width)/2),y:e.bottom+4};if(this._currentOptions.showMarker)this._startPos.y+=4;break;case"left":this._startPos={x:e.left-4-this._tooltipSize.width,y:e.top+Math.floor((t.height-this._tooltipSize.height)/2)};if(this._currentOptions.showMarker)this._startPos.x-=4;break;case"right":this._startPos={x:e.right+4,y:e.top+Math.floor((t.height-this._tooltipSize.height)/2)};if(this._currentOptions.showMarker)this._startPos.x+=4;break;default:this._startPos={x:this._mousePos.x,y:this._mousePos.y+24}}this._tooltipDisplay="block";this._isOpening=!0;this._currentPos={x:this._startPos.x,y:this._startPos.y};this._currentSize={width:this._tooltipSize.width,height:this._tooltipSize.height};this.refresh()}_getSize(){let e={width:this._contentElem?this._contentElem.offsetWidth:0,height:this._contentElem?this._contentElem.offsetHeight:0};return{width:e.width,height:e.height}}updateMousePos(e){this._mousePos=e}_getControlClass(){return this._ctrlClass}_updateControlClass(){this._ctrlClass={};this._ctrlClass["iui-tooltip"]=!0;if(this._currentOptions.showMarker)switch(this._currentOptions.position){case"above":this._ctrlClass["iui-tooltip-marker-bottom"]=!0;break;case"right":this._ctrlClass["iui-tooltip-marker-left"]=!0;break;case"below":this._ctrlClass["iui-tooltip-marker-top"]=!0;break;case"left":this._ctrlClass["iui-tooltip-marker-right"]=!0;break;default:this._defaultFunc()}if(!1===this._currentOptions.allowAnimation)this._ctrlClass["iui-tooltip-animation-none"]=!0;else if(this._isOpening)this._ctrlClass["iui-tooltip-open"]=!0}_updateColorSchemeSettings(e){this._currentColorSchemeSettings=css``;switch(e){case IntegralUIColorScheme.Dark:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiTooltipDarkStyle.cssText,"../../../icons",this._currentResourcePath);break;case IntegralUIColorScheme.Light:this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiTooltipLightStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentColorSchemeSettings.cssText=""}}_updateThemeSettings(e){this._currentThemeSettings=css``;switch(e){case IntegralUITheme.Office:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiTooltipOfficeStyle.cssText,"../../icons",this._currentResourcePath);break;default:this._currentThemeSettings.cssText=""}}firstUpdated(e){this._updateReferences()}refresh(){this._updateControlClass();this.update();this._updateReferences()}render(){return html`             <style>                 ${iuiTooltipStyle}                 ${this._currentThemeSettings}                 ${this._currentColorSchemeSettings}             </style>             <div data-ctrl="tooltip-win" class=${classMap(this._getControlClass())} style=${styleMap({top:this._currentPos.y+"px",left:this._currentPos.x+"px",width:this._currentSize.width+"px",height:this._currentSize.height+"px"})}>                 <div id="content">${this._currentOptions.title}</div>             </div>         `}_updateReferences(){this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=tooltip-win]");this._contentElem=this.shadowRoot.querySelector("#content")}};window.customElements.define("iui-tooltip-win",IntegralUITooltipWindow);class IntegralUITooltip extends IntegralUIBase{_init(){super._init();this._currentSettings=null;this._cmpRef=null;this._currentTheme=IntegralUITheme.None;this._currentThemeSettings=css``;this._generalClassName="iui-tooltip-block";this._closeTimeout=null}connectedCallback(){}disconnectedCallback(){this._removeCloseTimeout();this._removeWindow()}attributeChangedCallback(e,t,i){super.attributeChangedCallback(e,t,i)}static get properties(){return{settings:{type:Object}}}get settings(){return this._currentSettings}set settings(e){if(this._currentSettings!==e){const t=this._currentSettings;this._currentSettings=e;this.requestUpdate("settings",t)}}_close(){if(this._cmpRef)this._cmpRef.close()}_getSize(){return{width:this._elemRef.offsetWidth,height:this._elemRef.offsetHeight}}_ctrlMouseEnter(e){if(this._isEnabled){this._addWindow();if(this._cmpRef){this._cmpRef.colorScheme=this._currentColorScheme;this._cmpRef.options=this._currentSettings;this._cmpRef.theme=this._currentTheme;this._cmpRef.updateMousePos(this._commonService.getMousePos(e));let t=this._elemRef.getBoundingClientRect();this._cmpRef.open(t,this._getSize());this._removeCtrl=this._removeCtrl.bind(this);this._cmpRef.addEventListener("closed",this._removeCtrl)}}}_ctrlMouseLeave(e){this._close();this._removeCtrl()}_ctrlMouseMove(e){if(this._cmpRef)this._cmpRef.updateMousePos(this._commonService.getMousePos(e))}_removeCloseTimeout(){if(this._closeTimeout)clearTimeout(this._closeTimeout);this._closeTimeout=null}_removeCtrl(e){let t=this;t._removeCloseTimeout();t._closeTimeout=setTimeout(function(){t._removeWindow();clearTimeout(t._closeTimeout)},250)}_addWindow(){this._removeWindow();this._cmpRef=document.createElement("iui-tooltip-win",{is:IntegralUITooltipWindow});document.body.appendChild(this._cmpRef)}_removeWindow(){if(this._cmpRef){this._cmpRef.removeEventListener("closed",this._removeCtrl);this._cmpRef.parentNode.removeChild(this._cmpRef)}this._cmpRef=null}firstUpdated(e){this._updateReferences()}render(){return html`             <style>                 ${this._currentCustomStyle}             </style>             <div data-ctrl="tooltip" class=${classMap(this._getControlClass())} style=${styleMap(this._getControlStyle())} @mouseenter="${e=>this._ctrlMouseEnter(e)}" @mouseleave="${e=>this._ctrlMouseLeave(e)}" @mousemove="${e=>this._ctrlMouseMove(e)}">                 <slot></slot>             </div>         `}_updateReferences(){this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=tooltip]")}}window.customElements.define("iui-tooltip",IntegralUITooltip);export default IntegralUITooltip;