/*
  filename: integralui.treeview.js
  version : 23.4.0
  Copyright © 2016-2023 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{c as css,h as html,T as TemplateResult,a as defaultTemplateProcessor}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import IntegralUIAnimation from"./integralui.animation.js";import{IntegralUICheckMode,IntegralUICheckState,IntegralUIColorScheme,IntegralUIComponentAppearance,IntegralUIDragDropMode,IntegralUIItemDisplayMode,IntegralUIMoveDirection,IntegralUITheme}from"./integralui.enums.js";import IntegralUIBaseList from"./integralui.base.list.js";import"./integralui.scrollbar.js";import{iuiBaseDefaultStyle}from"../styles/default/integralui.style.js";import{iuiDarkStyle}from"../styles/color-schemes/dark/integralui.dark.js";import{iuiLightStyle}from"../styles/color-schemes/light/integralui.light.js";import{iuiTreeViewDefaultStyle}from"../styles/default/integralui.treeview.style.js";import{iuiTreeViewOfficeStyle}from"../styles/themes/office/integralui.treeview.office.js";import{iuiTreeViewDarkStyle}from"../styles/color-schemes/dark/integralui.treeview.dark.js";import{iuiTreeViewLightStyle}from"../styles/color-schemes/light/integralui.treeview.light.js";import{iuiTreeItemDefaultStyle}from"../styles/default/integralui.treeitem.style.js";import{iuiTreeItemOfficeStyle}from"../styles/themes/office/integralui.treeitem.office.js";import{iuiTreeItemDarkStyle}from"../styles/color-schemes/dark/integralui.treeitem.dark.js";import{iuiTreeItemLightStyle}from"../styles/color-schemes/light/integralui.treeitem.light.js";import{iuiScrollBarStyle}from"../styles/default/integralui.scrollbar.style.js";import{iuiScrollBarOfficeStyle}from"../styles/themes/office/integralui.scrollbar.office.js";import{iuiScrollBarDarkStyle}from"../styles/color-schemes/dark/integralui.scrollbar.dark.js";import{iuiScrollBarLightStyle}from"../styles/color-schemes/light/integralui.scrollbar.light.js";class IntegralUITreeView extends IntegralUIBaseList{_init(){super._init();this._isCheckBoxVisible=!1;this._currentCheckMode=IntegralUICheckMode.TwoState;this._isThereChildItems=!1;this._fullMoveList=[];this._currentItemDisplay=IntegralUIItemDisplayMode.Full;this._currentItemSize={width:1999,height:1999};this._isExpandBoxVisible=!0;this._isLongestInProcess=!1;this._longestObj={data:null,width:0};this._currentBaseColorSchemeSettings=css``;this._currentBaseStyleSettings=iuiBaseDefaultStyle;this._currentControlStyleSettings=iuiTreeViewDefaultStyle;this._currentItemColorSchemeSettings=css``;this._currentItemStyleSettings=iuiTreeItemDefaultStyle;this._currentItemThemeSettings=css``;this._currentScrollColorSchemeSettings=css``;this._currentScrollStyleSettings=iuiScrollBarStyle;this._generalClassName="iui-treeview";this._itemClassName="iui-treeitem";this._itemContentClassName=this._itemClassName+"-content";this._expandBoxClassName=this._itemClassName+"-expand-box";this._isExpandBoxTouched=!1;this._updateOptions();this._initStyle();this._updateData();this._resizeObserver=new ResizeObserver(e=>{let t=this;if(!t._isAnimationInProcess&&e&&e.length>0&&e[0].contentRect){let e=!1;if(t._elemRef)t._updateClientRect();if(t._clientRect.width!==t._prevClientRect.width){t._prevClientRect.width=t._clientRect.width;e=!0}if(t._clientRect.height!==t._prevClientRect.height){t._prevClientRect.height=t._clientRect.height;e=!0}if(e){t._updateScrollLayout();t._invokeEvent("sizeChanged",{size:t._clientRect})}}})}connectedCallback(){super.connectedCallback()}disconnectedCallback(){super.disconnectedCallback();if(this._resizeObserver)this._resizeObserver.disconnect();this._resizeObserver=null;this._removeDropMark();if(this._loadingEndTimeout)clearTimeout(this._loadingEndTimeout);this._resetLayoutTimer();this._rt()}_initStyle(){this._defaultStyle={general:{disabled:this._generalClassName+"-disabled",focused:this._generalClassName+"-focused",normal:this._generalClassName,hovered:this._generalClassName+"-hovered",selected:this._generalClassName+"-selected"},item:{general:{disabled:this._itemClassName+"-disabled",focused:this._itemClassName+"-focused",normal:this._itemClassName,hovered:this._itemClassName+"-hovered",selected:this._itemClassName+"-selected"},expandBox:{general:this._expandBoxClassName,load:this._expandBoxClassName+"-load",expanded:this._expandBoxClassName+"-open",collapsed:this._expandBoxClassName+"-close"},content:{disabled:this._itemContentClassName+"-disabled",focused:this._itemContentClassName+"-focused",normal:this._itemContentClassName,hovered:this._itemContentClassName+"-hovered",selected:this._itemContentClassName+"-selected"}}};this._updateStyle(this.controlStyle);this._updateControlClass();this._updateColorSchemeSettings(this._currentColorScheme);this.refresh()}attributeChangedCallback(e,t,i){super.attributeChangedCallback(e,t,i)}static get properties(){return{autoExpand:{type:Boolean,attribute:"auto-expand",reflect:!0},autoSize:{type:Boolean,attribute:"auto-size",reflect:!0},checkBoxes:{type:Boolean,attribute:"check-boxes",reflect:!1},checkMode:{attribute:"check-mode",converter:{fromAttribute:e=>"twostate"===(e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()?IntegralUICheckMode.TwoState:IntegralUICheckMode.ThreeState,toAttribute:(e,t)=>e===IntegralUICheckMode.TwoState?"twostate":"threestate"},reflect:!0},compactMode:{type:Boolean,attribute:"compact-mode",reflect:!0},indent:{type:Number,reflect:!0},itemDisplay:{attribute:"item-display",converter:{fromAttribute:e=>"partial"===(e=e.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()?IntegralUIItemDisplayMode.Partial:IntegralUIItemDisplayMode.Full,toAttribute:(e,t)=>e===IntegralUIItemDisplayMode.Partial?"Partial":"Full"},reflect:!0},showExpandBox:{type:Boolean,attribute:"show-expandbox",reflect:!0}}}get autoExpand(){return this._isAutoExpanded}set autoExpand(e){if(this._isAutoExpanded!==e){const t=this._isAutoExpanded;this._isAutoExpanded=e;this.requestUpdate("autoExpand",t)}}get autoSize(){return this._isAutoSized}set autoSize(e){if(this._isAutoSized!==e){const t=this._isAutoSized;this._isAutoSized=e;this.requestUpdate("autoSize",t);this._internalUpdateLayout()}}get checkBoxes(){return this._isCheckBoxVisible}set checkBoxes(e){if(this._isCheckBoxVisible!==e){const t=this._isCheckBoxVisible;this._isCheckBoxVisible=e;this.requestUpdate("checkBoxes",t);this._internalUpdateLayout()}}get checkMode(){return this._currentCheckMode}set checkMode(e){if(this._currentCheckMode!==e){const t=this._currentCheckMode;this._currentCheckMode=e;this.requestUpdate("checkMode",t);this._internalUpdateLayout()}}get compactMode(){return this._currentCompactMode}set compactMode(e){if(this._currentCompactMode!==e){const t=this._currentCompactMode;this._currentCompactMode=e;this.requestUpdate("compactMode",t);this._internalUpdateLayout()}}get indent(){return this._options.indent}set indent(e){if(this._options.indent!==e){const t=this._options.indent;this._options.indent=e;this.requestUpdate("indent",t);this._internalUpdateLayout()}}get itemDisplay(){return this._currentItemDisplay}set itemDisplay(e){if(this._currentItemDisplay!==e){const t=this._currentItemDisplay;this._currentItemDisplay=e;this.requestUpdate("itemDisplay",t);this._internalUpdateLayout()}}get showExpandBox(){return this._isExpandBoxVisible}set showExpandBox(e){if(this._isExpandBoxVisible!==e){const t=this._isExpandBoxVisible;this._isExpandBoxVisible=e;this.requestUpdate("showExpandBox",t);this._internalUpdateLayout()}}async _moveItemAt(e,t,i,s){let l=this;if(i===IntegralUIMoveDirection.Before||i===IntegralUIMoveDirection.After||i===IntegralUIMoveDirection.Left||i===IntegralUIMoveDirection.Right)if(!t)return Promise.resolve();return new Promise(a=>{let o=e.filter(e=>l._fullList.indexOf(e)>=0);if(o.length>0){let e=[],r=!0,n=0,h=!1,c=-1,d=null;switch(i){case IntegralUIMoveDirection.At:if(t){c=l._getItemCurrentIndex(t);if(l._commonService.isIndexInRange(c,l._currentList)&&l.isItemExpanded(t))e=l._currentList.filter(e=>"group"!==e.data.type&&e.data[l._options.dataFields.pid]===t[l._options.dataFields.id])}else e=l._currentList.filter(e=>"group"!==e.data.type&&!e.data[l._options.dataFields.pid]);if(l._commonService.isIndexInRange(s,e))d=e[s].data;else{s=-1;if(d=e.length>0?e[e.length-1].data:t){i=IntegralUIMoveDirection.After;t=d;d=l._getLastChildItemFromExpanded(d)}}break;case IntegralUIMoveDirection.First:s=0;if(t){d=t;n=1}else if(l._currentList.length>0)d=l._currentList[0].data;break;case IntegralUIMoveDirection.Last:s=-1;if(t)d=l._getLastChildItemFromExpanded(t);else{e=l._currentList.filter(e=>"group"!==e.data.type&&!e.data[l._options.dataFields.pid]);if(d=e.length>0?e[e.length-1].data:null){i=IntegralUIMoveDirection.After;t=d;d=l._getLastChildItemFromExpanded(d)}}break;case IntegralUIMoveDirection.Left:if(t){i=IntegralUIMoveDirection.After;h=!0;d=l._getLastChildItemFromExpanded(t);if(!l.isItemExpanded(t)||o.indexOf(d)>=0)d=null}else r=!1;break;case IntegralUIMoveDirection.Right:s=-1;break;default:if(t){d=t;if(i===IntegralUIMoveDirection.After||i===IntegralUIMoveDirection.Down){i=IntegralUIMoveDirection.After;d=l._getLastChildItemFromExpanded(d)}}else r=!1}if(!h&&r){let e=!1;if(t)for(let i=0;i<o.length&&!(e=t===o[i]?!0:l._isChildOf(t,o[i]));i++);if(!e&&d)for(let t=0;t<o.length&&!(e=d===o[t]?!0:l._isChildOf(d,o[t]));t++);r=!e}if(r){for(let e=0;e<o.length;e++)l._dataService.removeAt(o[e]);let e=i===IntegralUIMoveDirection.Before||i===IntegralUIMoveDirection.Up?o:o.toReversed();for(let a=0;a<e.length;a++){let o=e[a];if(i===IntegralUIMoveDirection.First||i===IntegralUIMoveDirection.Last||i===IntegralUIMoveDirection.Right||i===IntegralUIMoveDirection.At)l._dataService.insert(o,s,t);else if(i===IntegralUIMoveDirection.Before||i===IntegralUIMoveDirection.Up)l._dataService.insertByRef(o,t);else if(i===IntegralUIMoveDirection.After||i===IntegralUIMoveDirection.Left||i===IntegralUIMoveDirection.Down)l._dataService.insertByRef(o,t,!0)}setTimeout(async function(){let e=l._getObjFromScrollItem(d);if(e){let t=l._getItemCurrentIndex(d),s=l._getItemScrollIndex(e);if(i===IntegralUIMoveDirection.After||i===IntegralUIMoveDirection.Down||i===IntegralUIMoveDirection.Last)s+=1;else if(i===IntegralUIMoveDirection.First)s+=n;l._fullMoveList.length=0;l._updateMoveList(o);let a=0;for(let e=0;e<l._fullMoveList.length;e++){let i=l._getItemCurrentIndex(l._fullMoveList[e]),s=l._getObjFromScrollItem(l._fullMoveList[e]);if(i<t&&!s)a++}if(l._isAnimationAllowed){l._isAnimationInProcess=!0;if(l._scrollItemList.length>0){let e=l._scrollItemList[0],i=l._scrollItemList.length-1,o=l._scrollItemList[i],r=[];for(let s=0;s<l._fullMoveList.length;s++){let a=l._getObjFromScrollItem(l._fullMoveList[s]);if(a)r.push(a);else{let a=l._getObjFromItem(l._fullMoveList[s]),n=l._getItemCurrentIndex(l._fullMoveList[s]),h={clickPos:{x:0,y:0},data:l._fullMoveList[s],indent:a?a.indent:0,index:i+s+1,inlineStyle:{},position:{x:o.position.x,y:o.position.y+l._currentItemSize.height},showCheckBox:l._isItemCheckBoxAllowed(l._fullMoveList[s]),showRadioButton:l._isItemRadioButtonAllowed(l._fullMoveList[s]),size:{width:0,height:l._currentItemSize.height},targetPosition:{x:o.position.x,y:o.position.y+l._currentItemSize.height},style:{},tabIndex:0,zIndex:0};if(n<t){h.position.y=e.position.y-l._currentItemSize.height;h.targetPosition.y=h.position.y}l._updateItemStyle(h);r.push(h);l._scrollItemList.splice(h.index,0,h)}}l.update();let n=l._scrollItemList.filter(e=>l._fullMoveList.indexOf(e.data)<0),h={x:l._ctrlPadding.left,y:l._ctrlPadding.top};for(let e=0;e<l._scrollItemList.length&&e<s+a;e++){let t=l._scrollItemList[e];if(r.indexOf(t)<0){t.targetPosition.y=h.y;h.y+=l._currentItemSize.height}}r.forEach(e=>{e.targetPosition.y=h.y;e.zIndex=999;h.y+=l._currentItemSize.height});for(let e=s+a;e<l._scrollItemList.length;e++){let t=l._scrollItemList[e];if(r.indexOf(t)<0){t.targetPosition.y=h.y;h.y+=l._currentItemSize.height}}l._repositionItems(r,0,250);await l._repositionItems(n,0,250)}}l._currentIndex=Math.max(0,l._currentIndex-a);l._currentScrollPos.y=Math.max(0,Math.min(l._avgItemHeight*l._currentIndex,l._maxScrollPos.y))}await l._processUpdateCurrentLayout();l._invokeEvent("itemMoved",{item:o});l._isAnimationInProcess=!1;a()},1)}else a()}else a()})}_updateMoveList(e){let t=this;e.forEach(e=>{if(t._getItemCurrentIndex(e)>=0&&t._isItemAllowed(e)){t._fullMoveList.push(e);if(e[t._options.dataFields.items]&&t.isItemExpanded(e))t._updateMoveList(e[t._options.dataFields.items])}})}_itemDblClickEvent(e,t){if(this._isEnabled){let i={cancel:!1,event:e,item:t.data};this._invokeEvent("itemDblClick",i);if(!0!==i.cancel)this.toggle(t.data)}}_checkItem(e,t){if(t){let e=this._getItemCheckValue(t);e=void 0===e||e===IntegralUICheckState.Indeterminate||e===IntegralUICheckState.Unchecked?IntegralUICheckState.Checked:IntegralUICheckState.Unchecked;this._updateCheckValue(t,e);this._updateChildItemCheckValue(t);this._updateParentItemCheckValue(t);this.refresh();this._invokeEvent("checkStateChanged",{item:t,checked:t[this._options.dataFields.checked],checkState:t[this._options.dataFields.checkState]})}e.stopPropagation()}_getItemCheckValue(e){if(e)if(this._currentCheckMode===IntegralUICheckMode.ThreeState)return e[this._options.dataFields.checkState];else return!0===e[this._options.dataFields.checked]?IntegralUICheckState.Checked:IntegralUICheckState.Unchecked;return IntegralUICheckState.Unchecked}_updateCheckValue(e,t){if(e){e[this._options.dataFields.checkState]=t;e[this._options.dataFields.checked]=t===IntegralUICheckState.Checked?!0:!1}}_updateChildItemCheckValue(e){if(e&&e[this._options.dataFields.items])for(let t=0;t<e[this._options.dataFields.items].length;t++){let i=this._getItemCheckValue(e);if(i===IntegralUICheckState.Checked)this._updateCheckValue(e.items[t],IntegralUICheckState.Checked);else if(i===IntegralUICheckState.Unchecked)this._updateCheckValue(e.items[t],IntegralUICheckState.Unchecked);this._updateChildItemCheckValue(e.items[t])}}_updateParentItemCheckValue(e){let t=this.getItemParent(e);for(;t;){let e=t[this._options.dataFields.items];if(e){let i=0,s=0;for(let t=0;t<e.length;t++){let l=this._getItemCheckValue(e[t]);if(l===IntegralUICheckState.Checked)i++;else if(l===IntegralUICheckState.Indeterminate)s++}let l=IntegralUICheckState.Unchecked;if(i===e.length)l=IntegralUICheckState.Checked;else if(i>0||s>0)l=IntegralUICheckState.Indeterminate;this._updateCheckValue(t,l)}t=this.getItemParent(t)}}_updateCheckState(){if(this._currentCheckMode===IntegralUICheckMode.ThreeState)this._updateChildrenCheckState(this._dataService.getList())}_updateChildrenCheckState(e){if(e)e.forEach(e=>{this._updateChildItemCheckValue(e);this._updateParentItemCheckValue(e);this._updateChildrenCheckState(e[this._options.dataFields.items])})}_updateData(){this._dataService.init([{data:this.items,fields:this._options.dataFields}]);this._internalUpdateLayout()}_updateOptions(e){if(e){this._options={allowDrag:this._commonService.isFieldAvailable(e.allowDrag,!1),allowDrop:this._commonService.isFieldAvailable(e.allowDrop,!1),allowFilter:this._commonService.isFieldAvailable(e.allowFilter,!1),compactMode:this._commonService.isFieldAvailable(e.compactMode,!1),dataFields:null,indent:this._commonService.isFieldAvailable(e.indent,15),loadItems:[],selectedItem:this._commonService.isFieldAvailable(e.selectedItem,this._options.selectedItem?this._options.selectedItem:null)};this._updateShowScroll(e.showScroll)}else{this._options={allowDrag:!1,allowDrop:!1,allowFilter:!1,compactMode:!1,dataFields:null,indent:15,loadItems:[],selectedItem:null};this._updateDataFields();this._updateShowScroll()}}_updateDataFields(e){if(e)this._options.dataFields={allowCheckBox:e.allowCheckBox?e.allowCheckBox:"allowCheckBox",allowDrag:e.allowDrag?e.allowDrag:"allowDrag",allowDrop:e.allowDrop?e.allowDrop:"allowDrop",allowEdit:e.allowEdit?e.allowEdit:"allowEdit",allowFocus:e.allowFocus?e.allowFocus:"allowFocus",allowRadioButton:e.allowRadioButton?e.allowRadioButton:"allowRadioButton",autoCheck:e.autoCheck?e.autoCheck:"autoCheck",canSelect:e.canSelect?e.canSelect:"canSelect",checkBoxSettings:e.checkBoxSettings?e.checkBoxSettings:"checkBoxSettings",checked:e.checked?e.checked:"checked",checkState:e.checkState?e.checkState:"checkState",content:e.content?e.content:"content",contentVisibility:e.contentVisibility?e.contentVisibility:"contentVisibility",contextMenu:e.contextMenu?e.contextMenu:"contextMenu",data:e.data?e.data:"data",enabled:e.enabled?e.enabled:"enabled",expanded:e.expanded?e.expanded:"expanded",hasChildren:e.hasChildren?e.hasChildren:"hasChildren",icon:e.icon?e.icon:"icon",iconUrl:e.iconUrl?e.iconUrl:"iconUrl",id:e.id?e.id:"id",isRoot:e.isRoot?e.id:"isRoot",items:e.items?e.items:"items",objects:e.items?e.items:"items",pid:e.pid?e.pid:"pid",selected:e.selected?e.selected:"selected",showCheckBox:e.showCheckBox?e.showCheckBox:"showCheckBox",statusIcon:e.statusIcon?e.statusIcon:"statusIcon",style:e.style?e.style:"style",templateObj:e.templateObj?e.templateObj:"templateObj",text:e.text?e.text:"text",tooltip:e.tooltip?e.tooltip:"tooltip",value:e.value?e.value:"value",visible:e.value?e.visible:"visible"};else this._options.dataFields={allowCheckBox:"allowCheckBox",allowDrag:"allowDrag",allowDrop:"allowDrop",allowEdit:"allowEdit",allowFocus:"allowFocus",allowRadioButton:"allowRadioButton",autoCheck:"autoCheck",checkBoxSettings:"checkBoxSettings",canSelect:"canSelect",checked:"checked",checkState:"checkState",content:"content",contentVisibility:"contentVisibility",contextMenu:"contextMenu",data:"data",enabled:"enabled",expanded:"expanded",hasChildren:"hasChildren",icon:"icon",iconUrl:"iconUrl",id:"id",isRoot:"isRoot",items:"items",objects:"items",pid:"pid",selected:"selected",showCheckBox:"showCheckBox",statusIcon:"statusIcon",style:"style",templateObj:"templateObj",text:"text",tooltip:"tooltip",value:"value",visible:"visible"};if(this._dataService)this._dataService.updateDataFields(this._options.dataFields)}_updateCurrentList(){this._currentList.length=0;this._isThereChildItems=!1;let e=this._dataService.getList();if(!0===this._options.compactMode)e=this._createCompactList(e);if(e)(e=this._applySorting(e)).forEach(e=>this._addChildItems(e,0,null,!1))}_addChildItems(e,t,i,s,l){let a=!0;if(!e[this._options.dataFields.items])return a=this._addItemToCurrentList(e,t,i,s,l);if(this._addItemToCurrentList(e,t,i,s,l)){a=!0;let i=0;if(s||this.isItemExpanded(e)){let l=e[this._options.dataFields.items];if(l)(l=this._applySorting(l)).forEach(l=>{if(this._addChildItems(l,t+this._options.indent,e[this._options.dataFields.id],s,e))i++})}if(!s&&!this._isThereChildItems&&(i>0||this._isThereItems(e)))this._isThereChildItems=!0}return a}_addItemToCurrentList(e,t,i,s,l){e.type="item";if(!e[this._options.dataFields.id])e[this._options.dataFields.id]=this._commonService.getUniqueId();if(i)e[this._options.dataFields.pid]=i;else delete e[this._options.dataFields.pid];let a=this._isItemAllowed(e);if(a)if(s)this._fullList.push(e);else this._currentList.push({data:e,dragIndent:t,indent:t,inlineStyle:{},style:{general:{},expandBox:{},content:{}}});return a}_isThereItems(e){return!this.isItemExpanded(e)&&e[this._options.dataFields.items]&&e[this._options.dataFields.items].length>0&&this._isThereVisibleChildren(e)}_resetVisiblity(e){if(e)e.forEach(e=>{e[this._options.dataFields.visible]=!0;this._resetVisiblity(e[this._options.dataFields.items])})}_collapseChildren(e){if(e)e.forEach(e=>{e[this._options.dataFields.expanded]=!1;this._collapseChildren(e[this._options.dataFields.items])})}_createCompactList(e){this._resetVisiblity(e);if(this.selectedItem){let t=this.selectedItem,i=this.getItemParent(this.selectedItem),s=i,l=this.selectedItem;this._collapseChildren(l[this._options.dataFields.items]);if(i)for(;i;){this._updateChildren(i,l);let e=this.getItemParent(i);if(!e)t=i;l=i;i=e}e.forEach(e=>{if(!this._commonService.isEqual(e[this._options.dataFields.id],t[this._options.dataFields.id]))e[this._options.dataFields.visible]=s&&this.isItemExpanded(t)?!1:this.isItemExpanded(l)&&this._isThereVisibleChildren(this.selectedItem)?!1:!0})}return e}_updateChildren(e,t){e[this._options.dataFields.items].forEach(e=>{if(!this._commonService.isEqual(e[this._options.dataFields.id],t[this._options.dataFields.id])){e[this._options.dataFields.expanded]=!1;e[this._options.dataFields.visible]=this.isItemExpanded(t)&&this._isThereVisibleChildren(t)?!1:!0}})}loadData(e,t,i,s){this._processLoadData(e,t,i,s)}_updateScrollItemList(e){let t=this;t._resetScrollItemList();t._scrollItemList.length=0;t.update();let i=t._isInitAnimationAllowed(),s=i?{x:-t._clientRect.width,y:0}:{x:0,y:0},l={x:t._ctrlPadding.left+s.x,y:t._ctrlPadding.top+s.y},a=t._currentIndex,o=0;for(;a+o<t._currentList.length&&a<t._currentIndex+t._visibleRange;){let s=t._currentList[a+o];if(!t._isItemDragged(s.data)){if(e&&s.data===e)l.y+=t._dragListSize.height;let o={clickPos:{x:0,y:0},data:s.data,indent:s.indent,index:a-t._currentIndex,inlineStyle:t._getItemInlineStyle(s),position:{x:i?l.x-25*a:l.x,y:l.y},showCheckBox:t._isItemCheckBoxAllowed(s.data),showRadioButton:t._isItemRadioButtonAllowed(s.data),size:{width:0,height:t._currentItemSize.height},style:{},tabIndex:0,targetPosition:{x:t._ctrlPadding.left,y:l.y},zIndex:t._currentIndex+t._visibleRange-a};t._updateItemStyle(o);t._scrollItemList.push(o);l.y+=t._currentItemSize.height;a++}else o++}}_checkForChildren(e){let t=!1,i=e[this._options.dataFields.items];if(i)for(let e=0;e<i.length;e++)if(this._isItemAllowed(i[e])){t=!0;break}return t}_updateIsThereChildItems(){let e=!1,t=this._dataService.getList();if(t)for(let i=0;i<t.length&&!(e=this._checkForChildren(t[i]));i++);this.isThereChildItems=e}_processItemAdd(e,t){if(this._isUpdateAllowed)this._updateIsThereChildItems()}_processItemRemoval(e,t){if(this._isUpdateAllowed)this._updateIsThereChildItems()}_itemDragDrop(e,t){if(this._isEnabled&&this._currentDragDropMode===IntegralUIDragDropMode.Static){this._expandItem=null;if(this._expandTimeout)clearTimeout(this._expandTimeout);this._processDragDropStatic(e,t.data);e.stopPropagation()}}async collapse(e){return this.toggle(e,!1)}async expand(e){return this.toggle(e,!0)}_expandBoxMouseDown(e,t){if(this._isEnabled){if(1===e.which&&!this._isExpandBoxTouched)this.toggle(t);this._isExpandBoxTouched=!1}e.stopPropagation()}_expandBoxMouseUp(e){this._isExpandBoxTouched=!1;e.stopPropagation()}_expandBoxTouchStart(e,t){if(this._isEnabled){this._isExpandBoxTouched=!0;this.toggle(t)}e.stopPropagation()}_expandBoxTouchEnd(e,t){}async toggle(e,t){let i=this,s=Promise.resolve();if(e){if(!e[i._options.dataFields.hasChildren]&&(!e[i._options.dataFields.items]||0===e[i._options.dataFields.items].length))return;else if(t&&!1!==e[i._options.dataFields.expanded])return;else if(!1===t&&!1===e[i._options.dataFields.expanded])return;let l=void 0!==t?t:!1!==e[i._options.dataFields.expanded]?!0:!1,a=void 0!==t?t:!l,o={cancel:!1,item:e};if(void 0!==t)if(t)i._invokeEvent("beforeExpand",o);else i._invokeEvent("beforeCollapse",o);else if(l)i._invokeEvent("beforeCollapse",o);else i._invokeEvent("beforeExpand",o);if(!0!==o.cancel){if(a!==e[i._options.dataFields.expanded]){e[i._options.dataFields.expanded]=a;if(!i._isAnimationAllowed)i._internalUpdateCurrentLayout();else if(!0===i._options.compactMode)i._processSelection(null,e);else{i._isAnimationInProcess=!0;i._clearAnimations();if(a)s=i._updateItemExpand(e);else s=i._updateItemCollapse(e)}}if(i.isItemExpanded(e))i._invokeEvent("afterExpand",{item:e});else i._invokeEvent("afterCollapse",{item:e})}}else{i.getFullList().forEach(e=>e[i._options.dataFields.expanded]=t);i._internalUpdateCurrentLayout()}i.update();return s}exportToJSON(e,t,i,s){i=i?i:null;e=e?e:!1===s?this.items:this.getFullList();let l=t?t:[this._options.dataFields.allowDrag,this._options.dataFields.allowDrop,this._options.dataFields.allowEdit,this._options.dataFields.allowFocus,this._options.dataFields.autoCheck,this._options.dataFields.canSelect,this._options.dataFields.checkBoxSettings,this._options.dataFields.checked,this._options.dataFields.checkState,this._options.dataFields.content,this._options.dataFields.contextMenu,this._options.dataFields.contentVisibility,this._options.dataFields.enabled,this._options.dataFields.expanded,this._options.dataFields.fixed,this._options.dataFields.fixChildren,this._options.dataFields.hasChildren,this._options.dataFields.icon,this._options.dataFields.id,this._options.dataFields.pid,this._options.dataFields.selected,this._options.dataFields.showCheckBox,this._options.dataFields.statusIcon,this._options.dataFields.style,this._options.dataFields.templateObj,this._options.dataFields.text,this._options.dataFields.tooltip,this._options.dataFields.value,this._options.dataFields.visible];if(!1===s)l.push(this._options.dataFields.items);return JSON.stringify(e,l,i)}_getCheckedItems(){return this._fullList.filter(e=>!0===e[this._options.dataFields.checked])}_getDisplayMode(){return this._currentItemDisplay===IntegralUIItemDisplayMode.Partial&&!this._isHoverTemplatePresent&&!this._isSelectedTemplatePresent?IntegralUIItemDisplayMode.Partial:IntegralUIItemDisplayMode.Full}updateFullList(){this._fullList.length=0;let e=this._dataService.getList();if(e)e.forEach(e=>this._addChildItems(e,0,null,!0));return this._fullList}getItemLevel(e){let t=0,i=this.getItemParent(e);for(;i;){t++;i=this.getItemParent(i)}return t}getItemParent(e){return this._dataService.getParent(e)}getList(e,t){let i=[];switch(e){case"checked":i=this._getCheckedItems();break;case"current":i=this._currentList;break;case"selected":i=this._currentSelectedItems;break;case"virtual":i=this._scrollItemList?this._scrollItemList.map(e=>e.data):[];break;default:i=this._dataService.getList(t)}return i}_isChildOf(e,t){let i=!1;if(e&&t){let s=t[this._options.dataFields.items];if(s&&s.length>0)for(let t=0;t<s.length;t++){if(this._commonService.isEqual(e[this._options.dataFields.id],s[t][this._options.dataFields.id])){i=!0;break}else i=this._isChildOf(e,s[t]);if(i)break}}return i}_isItemCheckBoxAllowed(e){return this._isCheckBoxVisible&&e&&this._commonService.isTrue(e[this._options.dataFields.allowCheckBox])}_isParentOf(e,t){let i=this._dataService.getParent(t);if(e&&t&&i&&this._commonService.isEqual(e[this._options.dataFields.id],i[this._options.dataFields.id]))return!0;else return!1}isThereChildren(){return this._isThereChildItems}_isThereVisibleChildren(e){let t=!1;if(e){let i=e[this._options.dataFields.items];if(i)for(let e=0;e<i.length;e++)if(this._isItemAllowed(i[e])){t=!0;break}}return t}_getFirstItem(e){let t=null,i=this._dataService.getList();if(e)i=e[this._options.dataFields.items];i=this._applySorting(i);if(Array.isArray(i)&&i.length>0)t=i[0];return t}_getItemRealIndex(e){let t=this._dataService.getList();return t?t.indexOf(e):-1}getPrevItem(e){let t=null;if(e){let i=this._dataService.getList(),s=this.getItemParent(e);if(s)i=s[this._options.dataFields.items];i=this._applySorting(i);if(Array.isArray(i)){let s=i.indexOf(e);if((s=s>0?s-1:-1)>=0)t=i[s]}}return t}getNextItem(e){let t=null;if(e){let i=this._dataService.getList(),s=this.getItemParent(e);if(s)i=s[this._options.dataFields.items];i=this._applySorting(i);if(Array.isArray(i)){let s=i.indexOf(e);if((s=s<i.length-1?s+1:-1)>=0)t=i[s]}}return t}_getLastItem(e){let t=null,i=this._dataService.getList();if(e)i=e[this._options.dataFields.items];i=this._applySorting(i);if(Array.isArray(i)&&i.length>0)t=i[i.length-1];return t}async moveItem(e,t,i,s){if(e){let l=-1;switch(t){case IntegralUIMoveDirection.At:l=s;break;case IntegralUIMoveDirection.Down:i=this.getNextItem(e);break;case IntegralUIMoveDirection.Left:i=this.getItemParent(e);break;case IntegralUIMoveDirection.Right:case IntegralUIMoveDirection.Up:i=this.getPrevItem(e);break;default:l=-1}let a=Array.isArray(e)?e:[e],o=[];for(let e=0;e<a.length;e++){let t=a[e],i=!1,s=this.getItemParent(t);for(;s;){if(a.indexOf(s)>=0){i=!0;break}s=this.getItemParent(s)}if(!i)o.push(t)}if(o.length>0){if(this._getItemCurrentIndex(o[0])>this._getItemCurrentIndex(o[o.length-1]))o=o.toReversed()}await this._moveItemAt(o,i,t,l)}return Promise.resolve()}_processLeftArrowKey(e,t){this.collapse(e.data);this._refreshFocusedItem(e);return null}_processRightArrowKey(e,t){this.expand(e.data);this._refreshFocusedItem(e);return null}_updateBlockSize(){if(this._currentItemDisplay===IntegralUIItemDisplayMode.Partial){if(!1!==this.virtualMode)this._updateLongestItem()}else{this._blockSize={width:this._scrollBarSize.width+2,height:this._scrollBarSize.height+2};if(this._currentScrollAppearance===IntegralUIComponentAppearance.Dynamic)this._blockSize.width+=5;this._longestItemWidthValue=this._getFullItemWidth()}}_isItemInCurrentList(e){let t=!1;if(e)for(let i=0;i<this._currentList.length;i++)if(this._currentList[i].data.id===e.id){t=!0;break}return t}_getFullItemWidth(){if(!this._isLongestInProcess&&this._currentItemDisplay===IntegralUIItemDisplayMode.Partial&&(this._isHoverTemplatePresent||this._isSelectedTemplatePresent))return this._longestItemWidth+"px";else return this._currentItemSize.width+"px"}_updateLongestItem(){let e=this;e._isLongestInProcess=!0;e._prevLongestItemWidth=e._longestObj&&e._isItemInCurrentList(e._longestObj.data)?e._longestObj.width:0;setTimeout(function(){if(e._longestObj&&!e._isItemInCurrentList(e._longestObj.data))e._longestObj={data:null,width:0};let t=e._getItemContentElemList();if(t){e._calcLongestItem(t);if(e._prevLongestItemWidth<e._clientRect.width)e._prevLongestItemWidth=e._clientRect.width}let i=e._commonService.getPadding(e._elemRef);e._blockSize.width=e._longestObj.width+(i.left+i.right);e._isLongestInProcess=!1;e._longestItemWidth=e._prevLongestItemWidth;e._longestItemWidthValue=e._getFullItemWidth();e._updateScrollSize()},1)}_calcLongestItem(e,t){let i=0;for(let s=0;s<e.length;s++)if(s<this._scrollItemList.length){let l=this._scrollItemList[s].data,a=this._getObjFromItem(l);if(a){let l=e[s].offsetWidth+a.indent;if(!t&&this._longestObj.data===a.data){this._calcLongestItem(e,!0);break}if(i<l&&l>=this._longestObj.width){i=l;this._longestObj={data:a.data,width:i};this._prevLongestItemWidth=i}}}}_processUpdateCurrentLayout(){let e=this;return new Promise(t=>{if(e._isAnimationAllowed||e._isUpdateAllowed){let t=e._currentFocusObj?e._currentFocusObj.data:null;e._currentCtrlSize={width:e._clientRect.width,height:e._clientRect.height};e._updateClientRect();e._updateCurrentList();e.updateFullList();e._updateScrollItemList();e.update();e._updateScrollSize();e._updateBlockSize();e._updateItemElems();e._updateCurrentItemSize();e._updateVisibleRange();e._updateScrollItemList();if(e._currentItemDisplay===IntegralUIItemDisplayMode.Partial&&!1!==e._virtualMode)e._updateLongestItem();else e._updateScrollSize();e._currentItemSize.width=e._contentSize.width;if(e._isAutoSized){e._clientRect.height=e._visibleRange*e._avgItemHeight;e._updateCtrlSize(10)}e._updateHoverContentPos();e._updateSelectContentPos();if(t)e.focusedItem=t;e.update();e._updateItemElems()}t()})}_updateCurrentLayout(e){let t=this;if(t._isUpdateAllowed){t._resetLayoutTimer();t._updateCurrentList();if(this._isAutoSized)this._updateVisibleRange();if(e)t.updateFullList();t._updateScrollItemList();if(this._currentItemDisplay===IntegralUIItemDisplayMode.Partial&&!1!==this._virtualMode)t._updateLongestItem();else t._updateScrollSize();t._updateTimer=setTimeout(function(){t._updateBlockSize();t.update();t._updateItemElems();t._updateHoverContentPos();t._updateSelectContentPos();t.update();clearTimeout(t._updateTimer)},1)}}_updateScrollLayout(){this._updateClientRect();this._updateBlockSize();this._updateScrollSize();this._currentItemSize={width:this._contentSize.width,height:this._avgItemHeight};this.refresh();this._updateItemElems();this.update()}_updateScrollSize(){let e=this;e._contentSize={width:e._clientRect.width-3,height:e._clientRect.height};e._scrollSize={width:e._currentItemDisplay===IntegralUIItemDisplayMode.Partial?e._blockSize.width-e._clientRect.width-2:0,height:e._avgItemHeight*e._currentList.length-e._clientRect.height+e._avgItemHeight};if(e._isDragActive)e._scrollSize.height+=e._scrollSizeAddition;if(e.isVerScrollVisible())if(e._currentScrollAppearance===IntegralUIComponentAppearance.Static)e._contentSize.width-=16;else if(e._isHoverTemplatePresent||e._isSelectedTemplatePresent)e._contentSize.width-=13;if(e._currentItemDisplay===IntegralUIItemDisplayMode.Partial&&e._scrollSize.width>=-6){if(e.isVerScrollVisible())e._scrollSize.width+=16;if(e._isHoverTemplatePresent||e._isSelectedTemplatePresent)e._scrollSize.width+=4}if(e.isHorScrollVisible())e._scrollSize.height+=16;e._scrollSize.width=Math.max(0,e._scrollSize.width);e._scrollSize.height=Math.max(0,e._scrollSize.height);e._maxScrollPos={x:e._scrollSize.width,y:e._scrollSize.height};if(e._currentScrollPos.x>e._maxScrollPos.x)e._changeHorizontalScrollPos(e._maxScrollPos.x);if(e._currentScrollPos.y>e._maxScrollPos.y)e._changeVerticalScrollPos(e._maxScrollPos.y);e._scrollBarSize={width:e.isVerScrollVisible()?e._clientRect.width-16:e._clientRect.width,height:e.isHorScrollVisible()?e._clientRect.height-16:e._clientRect.height};if(e._currentScrollAppearance===IntegralUIComponentAppearance.Static){e._scrollBarSize.width-=2;e._scrollBarSize.height-=2}else{if(e.isVerScrollVisible())e._scrollBarSize.height+=2;if(e.isHorScrollVisible())e._scrollBarSize.width+=2;if(e.isVerScrollVisible()&&e.isHorScrollVisible()){e._scrollBarSize.width+=5;e._scrollBarSize.height+=5}}e._scrollLargeChange={x:e._scrollBarSize.width,y:e._scrollBarSize.height};e._blockHoverRect.width=e._clientRect.width-2;let t={height:e._avgItemHeight-2,left:0,top:-9999999,width:e._clientRect.width-2};if(e.isVerScrollVisible()){e._blockHoverRect.width-=16;t.width-=16;if(e._currentScrollAppearance===IntegralUIComponentAppearance.Dynamic){e._blockHoverRect.width+=7;t.width+=7}}e._blockSelectRect.forEach(e=>{e.width=t.width;e.height=t.height})}beginLoad(e){if(e){if(this._options.loadItems.indexOf(e)<0)this._options.loadItems.push(e)}else{this._isLoading=!0;this.update();let e=this.shadowRoot.querySelector(".iui-loading-icon");if(e)this._loadIconPos={top:(this._clientRect.height-e.offsetHeight)/2,left:(this._clientRect.width-e.offsetWidth)/2}}this.update()}endLoad(e){let t=this;if(e){let i=t._options.loadItems.indexOf(e);if(i>=0)t._options.loadItems.splice(i,1);t._updateCurrentLayout(!0)}else{t._options.loadItems.length=0;t._isLoading=!1;t._isLoadingEnd=!0;t.refresh();t._loadingEndTimeout=setTimeout(function(){t._isLoadingEnd=!1;t.update();clearTimeout(t._loadingEndTimeout)},400)}}_isItemLoading(e){return this._options.loadItems.indexOf(e)>=0?!0:!1}_checkedChanged(e,t){if(!this._isAnimationInProcess){let i=e.detail.checked;if(t.data[this._options.dataFields.checked]!==i){t.data[this._options.dataFields.checked]=i;this._updateItemRadioButtonValue(t);this._invokeEvent("checkedChanged",{event:e,item:t.data,checked:t.data[this._options.dataFields.checked]});this.update()}}}_getItemRadioValue(e){return e&&!0===e[this._options.dataFields.checked]?!0:!1}_isItemRadioButtonAllowed(e){return e&&!0===e[this._options.dataFields.allowRadioButton]}_updateItemRadioButtonValue(e){if(e){let t=this.getItemParent(e.data);(t?t[this._options.dataFields.items]:[]).forEach(t=>{if(this._isItemRadioButtonAllowed(t)&&t!==e.data)t[this._options.dataFields.checked]=!1})}}scrollTo(e,t){let i=this;if(!1!==i.virtualMode&&e)if(void 0!==t){let s=i._getItemCurrentIndex(e);if(s>=0)i.scrollPos({x:i._currentScrollPos.x,y:void 0!==t?i._avgItemHeight*(s-t):i._avgItemHeight*(s+1-Math.floor(i._visibleRange/2))});i._processUpdateLayout()}else{i.suspendLayout();let t=i.getItemParent(e);for(;null!==t;){i.expand(t);t=i.getItemParent(t)}i.resumeLayout();let s=setTimeout(function(){let t=i._getItemCurrentIndex(e);if(t>=0){i.scrollPos({x:i._currentScrollPos.x,y:i._avgItemHeight*(t-Math.floor(i._visibleRange/2))});i._processUpdateLayout()}clearTimeout(s)},150)}}_callAfterSelectEvent(e){let t={item:e};this._invokeEvent("afterSelect",t);this._invokeEvent("selectionChanged",t);if(!0===this._options.compactMode){if(this.getItemParent(e))e[this._options.dataFields.expanded]=!0;this._processUpdateLayout()}}_getControlStyle(){let e=this._currentInlineStyle||{};e.cursor=this._ctrlCursor;e.overflow=this.virtualMode?"hidden":"auto";if(this._ctrlSize.width>0)e.width=this._ctrlSize.width+"px";if(this._isAutoSized){let t=this._currentCtrlSize.height;if(this.isHorScrollVisible())t+=16;e.height=t+"px"}else if(this._ctrlSize.height>0)e.height=this._ctrlSize.height+"px";return e}_getBlockStyle(){let e={};if(this._currentItemDisplay===IntegralUIItemDisplayMode.Partial)e={width:this._blockSize.width+"px"};return e}_getItemInlineContentStyle(e){let t={};t["padding-left"]=e.indent+"px";return t}_isThereNoItems(e){return e[this._options.dataFields.items]&&0===e[this._options.dataFields.items].length}_itemHasChildren(e){return e[this._options.dataFields.hasChildren]&&(this._isThereVisibleChildren(e)||!e[this._options.dataFields.items]||this._isThereNoItems(e))}_updateItemStyle(e){if(e){e.style={general:{},expandBox:{},content:{}};e.inlineStyle=this._getItemInlineStyle(e);e.style.general[this._itemClassName]=!0;e.style.general[this._options.currentStyle.item.general.normal]=!0;e.style.content[this._itemContentClassName]=!0;e.style.content[this._options.currentStyle.item.content.normal]=!0;if(this._getDisplayMode()===IntegralUIItemDisplayMode.Partial){e.style.content["iui-treeitem-content-block"]=!0;if(!this._isItemEnabled(e.data))e.style.content[this._options.currentStyle.item.content.disabled]=!0;else if(this._isItemSelected(e.data))e.style.content[this._options.currentStyle.item.content.selected]=!0;else if(this._isItemHovered(e.data))e.style.content[this._options.currentStyle.item.content.hovered]=!0}else{e.style.general["iui-treeitem-block"]=!0;if(!this._isItemEnabled(e.data))e.style.general[this._options.currentStyle.item.general.disabled]=!0;else if(this._isItemSelected(e.data))e.style.general[this._options.currentStyle.item.general.selected]=!0;else if(this._isItemHovered(e.data))e.style.general[this._options.currentStyle.item.general.hovered]=!0}if(this._options.allowFocus&&this._currentFocusObj&&e.data===this._currentFocusObj.data)e.style.content[this._options.currentStyle.item.content.focused]=!0;if(this._isThereChildItems||e.data[this._options.dataFields.hasChildren])e.style.expandBox[this._options.currentStyle.item.expandBox.general]=!0;if(this._itemHasChildren(e.data)||this._isThereVisibleChildren(e.data))if(this._isItemLoading(e.data))e.style.expandBox[this._options.currentStyle.item.expandBox.load]=!0;else if(!1!==e.data[this._options.dataFields.expanded])e.style.expandBox[this._options.currentStyle.item.expandBox.expanded]=!0;else e.style.expandBox[this._options.currentStyle.item.expandBox.collapsed]=!0;let t=this._getObjFromItem(e.data);if(t){t.style=e.style;t.inlineStyle=e.inlineStyle}}}_getAppliedExpandBoxClass(e){return e.style.expandBox}_getAppliedItemClass(e){return e.style.general}_getAppliedItemStyle(e,t){let i=this._commonService.getStyle(e.inlineStyle),s={...i.normal}||{};if(!this._isItemEnabled(e.data))s={...i.disabled}||{};else if(this._isItemSelected(e.data))s={...i.selected}||{};else if(this._isItemHovered(e.data))s={...i.hovered}||{};s.position="absolute";if(e.position){s.top=e.position.y+"px";if(!e.removeStart)s.left=e.position.x-this._currentScrollPos.x+"px"}if(void 0!==e.scale)s.transform="scale("+e.scale+")";if(void 0!==e.animateLeft)s.left=e.animateLeft+"%";s.zIndex=void 0!==e.zIndex?e.zIndex:this._visibleRange-t;s.display=this._currentItemDisplay===IntegralUIItemDisplayMode.Partial?"inline-block":"block";s.width=this._longestItemWidthValue;return s}_getAppliedItemExpandBoxStyle(e){return this._commonService.getStyle(e.inlineStyle).expandBox||{}}_getCheckBoxClass(e){let t={"iui-treeitem-checkbox":!0};if(this._currentCheckMode===IntegralUICheckMode.ThreeState)switch(e[this._options.dataFields.checkState]){case IntegralUICheckState.Indeterminate:t["iui-treeitem-checkbox-indeterminate"]=!0;break;case IntegralUICheckState.Checked:t["iui-treeitem-checkbox-checked"]=!0;break;default:this._defaultFunc()}else if(e[this._options.dataFields.checked])t["iui-treeitem-checkbox-checked"]=!0;return t}_getItemStyle(e){if(e)return{general:this._getItemGeneralStyle(e.general),expandBox:this._getItemExpandBoxStyle(e.expandBox),content:this._getItemContentStyle(e.content)};else return this._getDefaultItemStyle()}_getItemExpandBoxStyle(e){if(this._commonService.isString(e))return e;else if(e)return{general:this._commonService.isFieldAvailable(e.disabled,this._expandBoxClassName),load:this._commonService.isFieldAvailable(e.focused,this._expandBoxClassName+"-load"),expanded:this._commonService.isFieldAvailable(e.normal,this._expandBoxClassName+"-open"),collapsed:this._commonService.isFieldAvailable(e.hovered,this._expandBoxClassName+"-close")};else return this._getDefaultItemExpandBoxStyle()}_getDefaultItemStyle(){return{general:this._getDefaultItemGeneralStyle(),expandBox:this._getDefaultItemExpandBoxStyle(),content:this._getDefaultItemContentStyle()}}_getDefaultItemExpandBoxStyle(){return{general:this._defaultStyle.item.expandBox.general,load:this._defaultStyle.item.expandBox.load,expanded:this._defaultStyle.item.expandBox.expanded,collapsed:this._defaultStyle.item.expandBox.collapsed}}_getDefaultListStyle(){return{general:this._getDefaultGeneralStyle(),item:this._getDefaultItemStyle()}}_updateColorSchemeSettings(e){this._currentBaseColorSchemeSettings=css``;this._currentColorSchemeSettings=css``;this._currentItemColorSchemeSettings=css``;this._currentScrollColorSchemeSettings=css``;switch(e){case IntegralUIColorScheme.Dark:this._currentBaseColorSchemeSettings.cssText=this._commonService.replaceAll(iuiDarkStyle.cssText,"../../../icons",this._currentResourcePath);this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiTreeViewDarkStyle.cssText,"../../../icons",this._currentResourcePath);this._currentItemColorSchemeSettings.cssText=this._commonService.replaceAll(iuiTreeItemDarkStyle.cssText,"../../../icons",this._currentResourcePath);this._currentScrollColorSchemeSettings.cssText=this._commonService.replaceAll(iuiScrollBarDarkStyle.cssText,"../../../icons",this._currentResourcePath);break;case IntegralUIColorScheme.Light:this._currentBaseColorSchemeSettings.cssText=this._commonService.replaceAll(iuiLightStyle.cssText,"../../../icons",this._currentResourcePath);this._currentColorSchemeSettings.cssText=this._commonService.replaceAll(iuiTreeViewLightStyle.cssText,"../../../icons",this._currentResourcePath);this._currentItemColorSchemeSettings.cssText=this._commonService.replaceAll(iuiTreeItemLightStyle.cssText,"../../../icons",this._currentResourcePath);this._currentScrollColorSchemeSettings.cssText=this._commonService.replaceAll(iuiScrollBarLightStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentBaseColorSchemeSettings.cssText="";this._currentColorSchemeSettings.cssText="";this._currentItemColorSchemeSettings.cssText="";this._currentScrollColorSchemeSettings.cssText=""}}_updateThemeSettings(e){this._currentThemeSettings=css``;this._currentItemThemeSettings=css``;this._currentScrollStyleSettings=css``;switch(e){case IntegralUITheme.Office:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiTreeViewOfficeStyle.cssText,"../../icons",this._currentResourcePath);this._currentItemThemeSettings.cssText=this._commonService.replaceAll(iuiTreeItemOfficeStyle.cssText,"../../icons",this._currentResourcePath);this._currentScrollStyleSettings.cssText=this._commonService.replaceAll(iuiScrollBarOfficeStyle.cssText,"../../icons",this._currentResourcePath);break;case IntegralUITheme.Dark:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiTreeViewDarkStyle.cssText,"../../../icons",this._currentResourcePath);this._currentItemThemeSettings.cssText=this._commonService.replaceAll(iuiTreeItemDarkStyle.cssText,"../../../icons",this._currentResourcePath);this._currentScrollStyleSettings.cssText=this._commonService.replaceAll(iuiScrollBarDarkStyle.cssText,"../../../icons",this._currentResourcePath);break;default:this._currentThemeSettings.cssText="";this._currentItemThemeSettings.cssText="";this._currentScrollStyleSettings.cssText=this._commonService.replaceAll(iuiScrollBarStyle.cssText,"../../icons",this._currentResourcePath)}}_getItemTemplate(e,t){let i=null,s=null;switch(t){case"hover":i=this.itemHoverTemplate;break;case"select":i=this.itemSelectTemplate;break;default:i=this.itemTemplate}if(i){let t=i(e,this._getItemCurrentIndex(e));if(t)s=new TemplateResult(t.strings,t.values,"html",defaultTemplateProcessor)}if(!s){let t={},i=this._commonService.isString(e[this._options.dataFields.icon])?e[this._options.dataFields.icon].split(" "):[];i.map(e=>t[e]=!0);s=html`                 ${i.length>0?html`<span class=${classMap(t)}></span>`:html``}                 ${e[this._options.dataFields.iconUrl]?html`<img style=${styleMap({verticalAlign:"middle"})} src="${e[this._options.dataFields.iconUrl]} />`:html``}                 <span class="iui-item-label" >${e[this._options.dataFields.text]}</span>             `}return s}_getDragTemplate(e){return html`             <div class=${classMap({[this._itemClassName]:!0})}>                 <div style=${styleMap({"padding-left":e.indent+"px"})}>                     <div class=${classMap({[this._itemContentClassName]:!0})}>                         ${this.showExpandBox?html`<span class=${classMap(e.style.expandBox)}></span>`:html``}                         ${this._isCheckBoxVisible?html`<span class=${classMap(this._getCheckBoxClass(e.data))}></span>`:html``}                         <div style="display:inline-block">                             ${this._getItemTemplate(e.data)}                         </div>                     </div>                 </div>             </div>         `}_isExpandBoxPresent(e){return this._isThereChildItems||e[this._options.dataFields.hasChildren]}_getDragItemExpandBoxStyle(e){let t={};if(this._isThereChildItems||e[this._options.dataFields.hasChildren])t[this._expandBoxClassName]=!0;if(this._itemHasChildren(e)||this._isThereVisibleChildren(e))t[this._expandBoxClassName+"-close"]=!0;return t}_calcDragMoveSpace(){return Math.floor(.25*this._currentItemSize.height)}_getDragDropTarget(e){let t=null,i=this._dragDropService.getData();if(this._currentDragPos.y>this._prevDragPos.y)for(let s=this._scrollItemList.length-1;s>=0;s--){let l=this._scrollItemList[s];t=l;if(this._dragListPos.top+this._dragListSize.height>l.position.y)if(this._isDropAllowed(i.source,t.data)){this._dropPos=1;if(this._dragListPos.top+this._dragListSize.height>l.position.y+this._dragMoveSpace){this._dragListIndex=s+1;this._dropPos=0;if(this._dragListPos.top>l.position.y+l.size.height+this._dragMoveSpace/2)this._dropPos=-1;else if(this._dragListPos.top>l.position.y+l.size.height-this._dragMoveSpace)this._dropPos=2}e=!0;this._dragTargetIndex=s;break}}else if(this._currentDragPos.y<this._prevDragPos.y)for(let s=0;s<this._scrollItemList.length;s++){let l=this._scrollItemList[s];t=l;if(this._dragListPos.top<l.position.y+l.size.height)if(this._isDropAllowed(i.source,t.data)){this._dropPos=2;if(this._dragListPos.top<l.position.y+l.size.height-this._dragMoveSpace){this._dropPos=0;if(this._dragListPos.top<l.position.y+l.size.height/2){this._dragListIndex=s;this._dropPos=1}}e=!0;this._dragTargetIndex=s;break}}return{pass:e,target:t}}_updateDragIndent(e){if(0===this._activeAnimations.filter(e=>"INDENT"===e.getTarget()).length)this._animateIndent(this._dragItemList,0===this._dropPos?e+this._options.indent:e)}_animateIndent(e,t){let i=this._updateIndentAnimation.bind(this),s=new IntegralUIAnimation("INDENT");this._activeAnimations.push(s);let l=[];e.forEach(e=>l.push({element:e,current:{paddingLeft:e.indent},values:{paddingLeft:t}}));s.animate(l,0,this._currentAnimationSpeedValue,i)}_updateIndentAnimation(e,t,i){if(e.length>0){e.forEach(e=>{if(e.element){e.element.indent=e.values.paddingLeft;if(t){this._clearTargetAnimation("INDENT");this._clearInactiveAnimations()}}});this.update()}}_getRadioButtonLayout(e){let t=html``;if(e.showRadioButton){let i=css`                 .iui-radio-button {                     margin: var(--iui-radio-button-margin, 0 3px);                     padding: var(--iui-radio-button-padding, 3px 0);                 }                 .iui-radio-button-btn {                     margin: var(--iui-radio-button-btn-margin, 0);                 }                 .iui-radio-button-btn span {                     height: var(--iui-radio-button-btn-content-height, 10px);                     width: var(--iui-radio-button-btn-content-width, 10px);                 }             `;t=html`                 <iui-radiobutton                      .checked=${this._getItemRadioValue(e.data)}                     .colorScheme="${this._currentColorScheme}"                     .customStyle="${[i,this.customStyle]}"                     .enabled="${this.enabled}"                      .theme="${this._currentTheme}"                     @checkedChanged="${t=>this._checkedChanged(t,e)}"                 ></iui-radiobutton>`}return t}render(){return html`                 <style>                     ${iuiScrollBarStyle}                     ${this._currentBaseStyleSettings}                     ${this._currentBaseColorSchemeSettings}                     ${this._currentScrollStyleSettings}                     ${this._currentControlStyleSettings}                     ${this._currentItemStyleSettings}                     ${this._currentThemeSettings}                     ${this._currentItemThemeSettings}                     ${this._currentColorSchemeSettings}                     ${this._currentItemColorSchemeSettings}                     ${this._currentScrollColorSchemeSettings}                     ${this._currentCustomStyle}                 </style>                 <div data-ctrl="treeview" class=${classMap(this._getControlClass())} style=${styleMap(this._getControlStyle())} @DOMMouseScroll="${e=>this._processMouseWheel(e)}" @mousewheel="${e=>this._processMouseWheel(e)}" @mouseenter="${e=>this._ctrlMouseEnter(e)}" @mouseleave="${e=>this._ctrlMouseLeave(e)}" @mousemove="${e=>this._onCtrlMouseMove(e)}" @dragenter="${e=>this._ctrlDragEnter(e)}" @dragleave="${e=>this._ctrlDragLeave(e)}" @dragover="${e=>this._ctrlDragOver(e)}" @drop="${e=>this._ctrlDragDrop(e)}" @dragend="${e=>this._ctrlDragEnd(e)}" @scroll="${e=>this._onScroll(e)}">                     <div class=${classMap({"iui-base-loading":this._isLoading?!0:!1,"iui-base-loading-end":this._isLoadingEnd?!0:!1})}>                         <ul style=${styleMap({width:this._currentItemDisplay===IntegralUIItemDisplayMode.Partial?"9999px":this._blockSize.width+"px",height:this._contentSize.height+"px",margin:this._isScrollListInit?"-9999px 0 0 0":0,padding:0})} @touchstart="${e=>this._ctrlTouchStart(e)}" @touchend="${e=>this._ctrlTouchEnd(e)}">                             ${this._scrollItemList.map((e,t)=>html`                                 <li data-item class=${classMap(this._getAppliedItemClass(e))} style=${styleMap(this._getAppliedItemStyle(e,t))} @mouseenter="${t=>this._itemMouseEnter(t,e)}" @mousemove="${t=>this._itemMouseMove(t,e)}" @mouseleave="${t=>this._itemMouseLeave(t,e)}">                                     <div style=${styleMap({"padding-left":e.indent+"px"})} draggable="true" @mousedown="${t=>this._itemMouseDown(t,e)}" @mouseup="${t=>this._itemMouseUp(t,e)}" @dragstart="${i=>this._itemDragStart(i,e,t)}" @dragover="${i=>this._itemDragOver(i,e,t)}" @drop="${t=>this._itemDragDrop(t,e)}" @dragend="${e=>this._ctrlDragEnd(e)}" @touchstart="${t=>this._itemTouchStart(t,e)}" @touchmove="${t=>this._itemTouchMove(t,e)}" @touchend="${t=>this._itemTouchEnd(t,e)}">                                         <div data-item-content class=${classMap(e.style.content)} style=${styleMap({display:this._currentItemDisplay===IntegralUIItemDisplayMode.Partial?"inline-block":"block"})} tabindex="${e.tabIndex}" @focus="${()=>this._itemGotFocus(e)}" @blur="${()=>this._itemLostFocus(e)}" @keydown="${t=>this._itemKeyDown(t,e)}" @keypress="${t=>this._itemKeyPress(t,e)}" @keyup="${t=>this._itemKeyUp(t,e)}">                                             <div class="iui-treeitem-content-block">                                                 ${this.showExpandBox?html`<span class=${classMap(this._getAppliedExpandBoxClass(e))} style=${styleMap(this._getAppliedItemExpandBoxStyle(e))} @mousedown="${t=>this._expandBoxMouseDown(t,e.data)}" @mouseup="${e=>this._expandBoxMouseUp(e)}" @touchstart="${t=>this._expandBoxTouchStart(t,e.data)}" @touchend="${t=>this._expandBoxTouchEnd(t,e.data)}"></span>`:html``}                                                 ${e.showCheckBox?html`<span class=${classMap(this._getCheckBoxClass(e.data))} @mousedown="${t=>this._checkItem(t,e.data)}" @touchstart="${t=>this._checkItem(t,e.data)}"></span>`:html``}                                                 ${this._getRadioButtonLayout(e)}                                                 <div class="iui-treeitem-content-template" @click="${t=>this._itemClickEvent(t,e)}" @dblclick="${t=>this._itemDblClickEvent(t,e)}" @contextmenu="${t=>this._itemRightClickEvent(t,e)}">                                                     ${this._getItemTemplate(e.data)}                                                 </div>                                             </div>                                         </div>                                     </div>                                 </li>                             `)}                         </ul>                         ${!this._isDragActive&&!this._isAnimationInProcess&&this._isHoverTemplatePresent&&this._hoverItemObj&&this._isContentAllowed(this._hoverItemObj.data,"hover")?html`<div class="iui-treeview-block iui-treeview-block-hover" style=${styleMap({left:this._blockHoverRect.left+"px",top:this._blockHoverRect.top+"px",height:this._blockHoverRect.height+"px",width:this._blockHoverRect.width+"px"})}>                                     <div style=${styleMap({height:this._blockHoverRect.height+"px"})} @mousemove="${e=>this._hoverBlockMouseMove(e)}" @mouseleave="${e=>this._hoverBlockMouseLeave(e)}">                                         ${this._getItemTemplate(this._hoverItemObj.data,"hover")}                                     </div>                                 </div>`:html``}                         ${!this._isDragActive&&!this._isAnimationInProcess&&this._isSelectedTemplatePresent?this._currentSelectedItems.map((e,t)=>html`<span>                                     ${this._isContentAllowed(e,"select")?html`<div class="iui-treeview-block iui-treeview-block-select" style=${styleMap(this._getSelectBlockRect(t))}>                                             <div style=${styleMap({height:this._blockSelectHeight+"px"})}>                                                 ${this._getItemTemplate(e,"select")}                                             </div>                                         </div>`:html``}                                     </span>`):html``}                         ${this.isVerScrollVisible()?html`<iui-scrollbar id="ver-scroll" .allowAnimation="${this._isAnimationAllowed}" .appearance="${this._currentScrollAppearance}" .colorScheme="${this._currentColorScheme}" .enabled="${this.enabled}" .value="${this._currentScrollPos.y}" .max="${this._maxScrollPos.y}" .largeChange="${this._scrollLargeChange.y}" .height="${this._scrollBarSize.height}" .theme="${this._currentTheme}" .visible="${this._isScrollVisible}" @mouseenter="${e=>this._scrollMouseEnter(e)}" @valueChanged="${e=>this._onVerticalScrollChanged(e)}" @scrollStart="${e=>this._onVerticalScrollStart(e)}" @scrollEnd="${e=>this._onVerticalScrollEnd(e)}"></iui-scrollbar>`:html``}                         ${this.isHorScrollVisible()?html`<iui-scrollbar id="hor-scroll" .allowAnimation="${this._isAnimationAllowed}" .appearance="${this._currentScrollAppearance}" .colorScheme="${this._currentColorScheme}" .enabled="${this.enabled}" orientation="Horizontal" .value="${this._currentScrollPos.x}" .max="${this._maxScrollPos.x}" .width="${this._scrollBarSize.width}" .theme="${this._currentTheme}" .visible="${this._isScrollVisible}" @mouseenter="${e=>this._scrollMouseEnter(e)}" @valueChanged="${e=>this._onHorizontalScrollChanged(e)}" @scrollStart="${e=>this._onHorizontalScrollStart(e)}" @scrollEnd="${e=>this._onHorizontalScrollEnd(e)}"></iui-scrollbar>`:html``}                         ${this.isVerScrollVisible()&&this.isHorScrollVisible()?html`<div class=${classMap(this._getScrollCornerClass())}></div>`:html``}                     </div>                     ${this._isDragActive&&this._isCtrlDragEntered?html`<div id="drag-content" class=${classMap(this._getDragListClass())} style=${styleMap({top:this._dragListPos.top+"px",width:this._contentSize.width-2+"px"})}>                                 ${this._isDragCopy?html`<span class="iui-draglist-copy" style=${styleMap({top:1===this._currentDragItems?this._dragListSize.height/2-8+"px":"3px",left:this._dragListSize.width/2-8+"px"})}></span>`:html``}                                 <ul style=${styleMap({margin:0,padding:0})}>                                     ${this._dragItemList.filter((e,t)=>t<this._maxDragItems).map((e,t)=>html`                                         <li class=${classMap({"iui-listitem-animate":this.allowAnimation})} style=${styleMap({border:"thin solid gray2"})}>                                             ${this._getDragTemplate(e)}                                         </li>                                     `)}                                 </ul>                                 ${this._totalDragItems>this._currentDragItems?html`<div class="iui-draglist-corner">                                             <div class="iui-draglist-corner-block"></div>                                             <div class="iui-draglist-num">+${this._totalDragItems-this._currentDragItems}</div>                                         </div>`:html``}                             </div>`:html``}                     ${this._isLoading?html`<div class="iui-loading-icon" style=${styleMap({top:this._loadIconPos.top+"px",left:this._loadIconPos.left+"px"})}></div>`:html``}                 </div>             `}firstUpdated(e){let t=this;t._updateReferences();setTimeout(function(){t._isHoverTemplatePresent=t.itemHoverTemplate?!0:!1;t._isSelectedTemplatePresent=t.itemSelectTemplate?!0:!1;t._internalUpdateLayout()},1)}updated(e){e.forEach((e,t)=>{});this._updateFocusItem()}_updateControlStyleSettings(e){this._currentBaseStyleSettings=css``;this._currentBaseStyleSettings.cssText=this._commonService.replaceAll(iuiBaseDefaultStyle.cssText,"../../icons",e);this._currentControlStyleSettings=css``;this._currentControlStyleSettings.cssText=this._commonService.replaceAll(iuiTreeViewDefaultStyle.cssText,"../../icons",e);this._currentItemStyleSettings=css``;this._currentItemStyleSettings.cssText=this._commonService.replaceAll(iuiTreeItemDefaultStyle.cssText,"../../icons",e)}_updateReferences(){this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=treeview]");if(this._resizeObserver)this._resizeObserver.observe(this._elemRef)}}window.customElements.define("iui-treeview",IntegralUITreeView);export default IntegralUITreeView;